# -*- encoding:utf-8; warn-indent:false; frozen_string_literal: true  -*-
#
# DO NOT MODIFY!!!!
# This file is automatically generated by Racc 1.6.0
# from Racc grammar file "".
#

require 'racc/parser.rb'


require 'parser'

module Parser
  class Ruby32 < Parser::Base


  def version
    32
  end

  def default_encoding
    Encoding::UTF_8
  end

  def endless_method_name(name_t)
    if !%w[=== == != <= >=].include?(name_t[0]) && name_t[0].end_with?('=')
      diagnostic :error, :endless_setter, nil, name_t
    end
  end

  def local_push
    @static_env.extend_static
    @lexer.cmdarg.push(false)
    @lexer.cond.push(false)
    @max_numparam_stack.push(static: true)
  end

  def local_pop
    @static_env.unextend
    @lexer.cmdarg.pop
    @lexer.cond.pop
    @max_numparam_stack.pop
  end

  def try_declare_numparam(node)
    name = node.children[0]

    if name =~ /\A_[1-9]\z/ && !static_env.declared?(name) && @context.in_dynamic_block?
      # definitely an implicit param
      location = node.loc.expression

      if max_numparam_stack.has_ordinary_params?
        diagnostic :error, :ordinary_param_defined, nil, [nil, location]
      end

      raw_max_numparam_stack = max_numparam_stack.stack.dup
      # ignore current block scope
      raw_max_numparam_stack.pop

      raw_max_numparam_stack.reverse_each do |outer_scope|
        if outer_scope[:static]
          # found an outer scope that can't have numparams
          # like def/class/etc
          break
        else
          outer_scope_has_numparams = outer_scope[:value] > 0

          if outer_scope_has_numparams
            diagnostic :error, :numparam_used_in_outer_scope, nil, [nil, location]
          else
            # for now it's ok, but an outer scope can also be a block
            # like proc { _1; proc { proc { proc { _2 }} }}
            # with numparams, so we need to continue
          end
        end
      end

      static_env.declare(name)
      max_numparam_stack.register(name[1].to_i)

      true
    else
      false
    end
  end
##### State transition tables begin ###

racc_action_table = [
  -612,   221,   222,   221,   222,   233,  -116,  -612,  -612,  -612,
   927,   622,  -612,  -612,  -612,   227,  -612,   311,   239,   663,
   126,   264,   226,   622,  -612,   125,  -612,  -612,  -612,   221,
   222,   224,   698,   665,  -117,  -124,  -612,  -612,   622,  -612,
  -612,  -612,  -612,  -612,   622,   622,   622,  -116,  -117,  -728,
   699,  -123,   894,   261,  -124,   927,   926,   263,   262,   240,
   311,  -740,   835,  -626,  -119,  -121,  -612,  -612,  -612,  -612,
  -612,  -612,  -612,  -612,  -612,  -612,  -612,  -612,  -612,  -612,
   228,   306,  -612,  -612,  -612,   662,  -612,  -612,   830,   240,
  -612,  1002,  -118,  -612,  -612,   240,  -612,   240,  -612,   664,
  -612,  -509,  -612,  -612,   310,  -612,  -612,  -612,  -612,  -612,
  -123,  -612,  -615,  -612,  -119,  -107,   311,   221,   222,  -615,
  -615,  -615,  -116,   240,  -615,  -615,  -615,  -612,  -615,   126,
  -612,  -612,  -612,  -612,   125,  -612,  -615,  -612,  -615,  -615,
  -615,   126,  -612,  -108,  -115,  -612,   125,   310,  -615,  -615,
  -121,  -615,  -615,  -615,  -615,  -615,   126,  -120,  -118,   991,
  -114,   125,   126,   126,   126,  -116,  -117,   125,   125,   125,
  -116,  -117,  -124,  -110,  -112,  -120,  -122,  -124,  -615,  -615,
  -615,  -615,  -615,  -615,  -615,  -615,  -615,  -615,  -615,  -615,
  -615,  -615,   126,  -122,  -615,  -615,  -615,   125,  -615,  -615,
  1001,  -109,  -615,   310,     3,  -615,  -615,  -728,  -615,   927,
  -615,   126,  -615,   650,  -615,  -615,   125,  -615,  -615,  -615,
  -615,  -615,  -320,  -615,   240,  -615,   122,  -627,  -123,  -320,
  -320,  -320,  -119,  -123,  -714,  -320,  -320,  -119,  -320,  -615,
  -714,  -715,  -615,  -615,  -615,  -615,  -320,  -615,   227,  -615,
   311,   233,   240,   650,  -615,   304,   135,  -615,  -320,  -320,
  -110,  -320,  -320,  -320,  -320,  -320,   104,   105,  -121,   614,
  -715,   218,   613,  -121,  -112,  -120,  -118,   652,   651,   524,
  -120,  -118,   104,   105,  -111,  -113,  -117,   861,  -320,  -320,
  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,
  -320,  -320,   219,   227,  -320,  -320,  -320,  -740,   689,  -320,
   304,  -122,  -320,   228,   306,  -320,  -122,   652,   651,   648,
  -320,   220,  -320,   650,  -320,  -320,  -110,  -320,  -320,  -320,
  -320,  -320,   237,  -320,  -719,  -320,   698,   310,  -124,   602,
  -112,  -719,  -719,  -719,   106,   107,  -728,  -719,  -719,  -320,
  -719,   126,  -320,  -320,   950,  -113,   125,  -320,  -719,  -719,
   106,   107,  -109,   921,  -320,   223,  -110,  -122,   228,  -110,
  -719,  -719,   922,  -719,  -719,  -719,  -719,  -719,  -102,  -612,
  -112,  -110,   240,  -112,  -111,   300,  -612,   652,   651,   650,
   -88,  -124,   684,   650,   126,  -112,   233,   863,  -123,   125,
  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,
  -719,  -719,  -719,  -719,   361,   756,  -719,  -719,  -719,  -356,
   690,  -719,  -119,   362,  -719,   501,  -356,  -719,  -109,   685,
   650,  -121,  -719,  1036,  -719,  -356,  -719,  -719,   650,  -719,
  -719,  -719,  -719,  -719,  -612,  -719,  -719,  -719,   240,  -714,
  -111,  -119,  -740,   652,   651,   648,   650,   652,   651,   648,
   237,  -719,   650,   502,  -719,  -719,  -714,  -111,  -109,  -719,
   802,  -109,   650,  -719,  1064,  1057,  -719,   233,   431,  -120,
  -719,  -719,  -719,  -109,  -356,  -719,  -719,  -719,  -121,  -719,
  -111,   126,  -118,  -111,   652,   651,   125,  -719,  -719,  -719,
  -719,  -719,   652,   651,   653,  -111,  -715,  -115,   472,  -719,
  -719,  1064,  -719,  -719,  -719,  -719,  -719,  -633,  -612,  -124,
   652,   651,   655,   650,   629,  -612,   652,   651,   657,   512,
  -714,   877,   835,  -740,  -612,   523,   652,   651,   661,  -719,
  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,
  -719,  -719,  -719,  -714,   525,  -719,  -719,  -719,  -615,   923,
  -719,   221,   222,  -719,   635,  -615,  -719,  -719,   636,  -719,
  -715,  -719,   126,  -719,  -615,  -719,  -719,   125,  -719,  -719,
  -719,  -719,  -719,  -612,  -719,  -719,  -719,   652,   651,   666,
  -118,   227,  -615,  -715,  -622,  -621,   281,   282,   521,  -615,
  -719,  -622,  -621,  -719,  -719,  -719,  -719,   522,  -719,  -623,
  -719,  -626,  -320,   221,   222,  -719,  -623,  -627,  -120,  -320,
  -320,  -320,   526,  -615,  -320,  -320,  -320,  -620,  -320,   894,
   239,   629,   280,   279,  -620,  -617,  -320,   560,  -320,  -320,
  -320,   428,  -617,   509,   508,   572,   430,   429,  -320,  -320,
   602,  -320,  -320,  -320,  -320,  -320,   228,  -615,  -107,  -622,
  -621,  -618,  -619,   635,  -108,   574,   933,   961,  -618,  -619,
  -116,   929,   576,   635,  -623,   930,  -117,   961,  -320,  -320,
  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,
  -320,  -320,  -620,   756,  -320,  -320,  -320,  -114,   924,  -320,
  -617,   684,  -320,   501,   614,  -320,  -320,   616,  -320,  -123,
  -320,   135,  -320,   614,  -320,  -320,   616,  -320,  -320,  -320,
  -320,  -320,  -320,  -320,   -87,  -320,  -618,  -619,    90,  -320,
  -320,  -320,   951,   952,   614,  -320,  -320,   616,  -320,  -320,
    91,   502,  -320,  -320,  -320,  -320,  -320,  -320,  -110,  -320,
    92,   986,   894,  1057,  -320,   685,   240,  -122,  -320,  -320,
  -119,  -320,  -320,  -320,  -320,  -320,   240,  1149,  1150,  1196,
   493,  -624,   490,   489,   488,   498,   491,   587,  -624,   877,
   493,   588,   490,   489,   488,   501,   491,  -624,  -320,  -320,
  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,  -320,
  -320,  -320,  -112,   595,  -320,  -320,  -320,   496,   689,  -320,
   986,   894,  -320,   315,  -121,  -320,   506,   505,   509,   508,
  -320,   240,  -320,   502,  -320,  -320,  -109,  -320,  -320,  -320,
  -320,  -320,   233,  -320,  -719,  -320,  -624,   233,  -118,   306,
   599,  -719,  -719,  -719,   605,   264,   608,  -719,  -719,  -320,
  -719,   240,  -320,  -320,   617,  -320,   618,  -320,  -719,  -719,
   576,   629,   420,   487,  -320,   633,   634,  -122,   642,   667,
  -719,  -719,   670,  -719,  -719,  -719,  -719,  -719,   671,  -293,
   673,   674,   493,  -625,   490,   489,   488,   498,   491,   955,
  -625,   959,   958,   678,   240,   960,   682,   501,   683,  -625,
  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,  -719,
  -719,  -719,  -719,  -719,   306,   696,  -719,  -719,  -719,   496,
   690,  -719,   697,   240,  -719,   701,   957,  -719,   506,   505,
   509,   508,  -719,   704,  -719,   502,  -719,  -719,   705,  -719,
  -719,  -719,  -719,  -719,   498,  -719,  -719,  -719,  -625,   707,
   227,   709,  -385,   721,   501,  -311,   227,   594,   722,   726,
   728,  -719,  -311,   604,  -719,  -719,   592,  -719,   734,  -719,
   227,  -311,   522,   735,   264,   487,  -719,   632,   264,  -120,
     7,    81,    82,    83,    11,    65,   630,   509,   508,    71,
    72,   264,   502,   264,    75,  -719,    73,    74,    76,    35,
    36,    79,    80,   129,   130,   131,   132,   133,    84,    33,
    32,   114,   113,   115,   116,   228,   240,    23,   790,   240,
  -311,   228,   240,    10,    53,     9,    12,   118,   117,   119,
   108,    64,   110,   109,   111,   228,   112,   120,   121,   227,
   104,   105,    49,    50,    48,   227,   638,  -719,   240,  -321,
  -102,   805,   677,   240,  -719,   640,  -321,   608,   816,  -714,
   821,   675,   240,  -719,    45,  -321,   823,    38,   826,   831,
    66,    67,  -321,   832,    68,   836,    40,   860,   864,  -321,
    52,   865,  -719,  -294,   264,   878,   855,   856,  -321,    24,
   857,   120,   121,   560,   102,    90,    93,    94,   560,    95,
    97,    96,    98,   890,   228,   894,   912,    91,   101,   915,
   228,   916,  -719,   240,  -321,    85,   261,    92,   106,   107,
   263,   262,    46,    47,   333,    81,    82,    83,    11,    65,
   919,   240,   928,    71,    72,   945,   946,  -321,    75,   947,
    73,    74,    76,    35,    36,    79,    80,   256,   963,   965,
   300,   971,    84,    33,    32,   114,   113,   115,   116,   973,
  1159,    23,   490,   489,   488,   975,   491,    10,    53,   335,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   574,
   112,   120,   121,   576,   104,   105,    49,    50,    48,   264,
   268,   269,   270,   271,   281,   282,   276,   277,   272,   273,
  -320,   257,   258,   816,   240,   274,   275,  -320,    45,   306,
   255,   337,  -715,   306,    66,    67,  -320,   816,    68,   264,
    40,   261,   894,   267,    52,   263,   262,   988,   259,   260,
   280,   279,   265,    24,   266,   989,   240,   240,   102,    90,
    93,    94,   227,    95,    97,    96,    98,   999,   240,  1164,
  -295,    91,   101,   240,   278,  1010,  1014,  -293,  1162,    85,
  1018,    92,   106,   107,   704,  -320,    46,    47,     7,    81,
    82,    83,    11,    65,   699,  1021,  1023,    71,    72,  1025,
  1027,  1027,    75,   240,    73,    74,    76,    35,    36,    79,
    80,   129,   130,   131,   132,   133,    84,    33,    32,   114,
   113,   115,   116,   776,   240,    23,   240,   228,  1055,  1058,
   679,    10,    53,     9,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   927,   112,   120,   121,   973,   104,   105,
    49,    50,    48,   264,   268,   269,   270,   271,   281,   282,
   276,   277,   272,   273,  -320,   257,   258,  1070,   240,   274,
   275,  -320,    45,   816,  1087,    38,  -715,  1089,    66,    67,
  -320,  1094,    68,  1095,    40,   261,  1100,   267,    52,   263,
   262,  1101,   259,   260,   280,   279,   265,    24,   266,  1102,
  -296,  1115,   102,    90,    93,    94,   227,    95,    97,    96,
    98,  1116,  1117,  1187,   240,    91,   101,   240,   278,   240,
  -265,   240,   640,    85,   240,    92,   106,   107,   240,  -320,
    46,    47,   333,    81,    82,    83,    11,    65,   927,  1124,
  1125,    71,    72,   240,  1129,  1130,    75,  1132,    73,    74,
    76,    35,    36,    79,    80,   129,   130,   131,   132,   133,
    84,    33,    32,   114,   113,   115,   116,   704,  1135,    23,
  1138,   228,  1140,  1142,   679,    10,    53,   335,    12,   118,
   117,   119,   108,    64,   110,   109,   111,   240,   112,   120,
   121,  -385,   104,   105,    49,    50,    48,   264,   268,   269,
   270,   271,   281,   282,   276,   277,   272,   273,   227,   257,
   258,  1154,  1165,   274,   275,  1187,    45,  1166,  1027,    38,
   498,  1027,    66,    67,   640,  1027,    68,  1185,    40,   261,
   501,   267,    52,   263,   262,  1188,   259,   260,   280,   279,
   265,    24,   266,  1193,  1194,   696,   102,    90,    93,    94,
  1116,    95,    97,    96,    98,  1204,  1204,   704,  1206,    91,
   101,  1208,   278,   509,   508,  1210,  1212,    85,   502,    92,
   106,   107,  1212,   228,    46,    47,   333,    81,    82,    83,
    11,    65,   240,  1027,  -715,    71,    72,  -714,  1229,  1212,
    75,  1212,    73,    74,    76,    35,    36,    79,    80,   129,
   130,   131,   132,   133,    84,    33,    32,   114,   113,   115,
   116,  1212,  1212,    23,   nil,   nil,   nil,   nil,   891,    10,
    53,   335,    12,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   264,   268,   269,   270,   271,   281,   282,   276,   277,
   272,   273,   nil,   257,   258,   nil,   nil,   274,   275,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   261,   nil,   267,    52,   263,   262,   nil,
   259,   260,   280,   279,   265,    24,   266,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   278,   nil,   nil,   nil,
   nil,    85,   nil,    92,   106,   107,   nil,   nil,    46,    47,
   333,    81,    82,    83,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   920,    10,    53,   335,    12,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   264,   268,   269,   270,   271,
   281,   282,   276,   277,   272,   273,   nil,   257,   258,   nil,
   nil,   274,   275,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   261,   nil,   267,
    52,   263,   262,   nil,   259,   260,   280,   279,   265,    24,
   266,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   278,   nil,   nil,   nil,   nil,    85,   nil,    92,   106,   107,
   nil,   nil,    46,    47,   333,    81,    82,    83,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
  1159,    23,   490,   489,   488,   nil,   491,    10,    53,   335,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   264,
   268,   269,   270,   271,   281,   282,   276,   277,   272,   273,
   nil,   257,   258,   nil,   nil,   274,   275,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   261,   nil,   267,    52,   263,   262,   nil,   259,   260,
   280,   279,   265,    24,   266,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   278,   nil,   nil,   nil,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,    46,    47,   333,    81,
    82,    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   335,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   264,   268,   269,   270,   271,   281,   282,
   276,   277,   272,   273,   nil,   257,   258,   nil,   nil,   274,
   275,   nil,    45,   nil,   nil,   337,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   261,   nil,   267,    52,   263,
   262,   nil,   259,   260,   280,   279,   265,    24,   266,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   240,   278,   nil,
   nil,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
    46,    47,   333,    81,    82,    83,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   335,    12,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   264,   268,   269,
   270,   271,   281,   282,   276,   277,   272,   273,   nil,   257,
   258,   nil,   nil,   274,   275,   nil,    45,   nil,   nil,   337,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   261,
   nil,   267,    52,   263,   262,   nil,   259,   260,   280,   279,
   265,    24,   266,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   278,   nil,   nil,   nil,   nil,    85,   nil,    92,
   106,   107,   nil,   nil,    46,    47,   333,    81,    82,    83,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,
   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   335,    12,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   264,   268,   269,   270,   271,   281,   282,   276,   277,
   272,   273,   nil,   257,   258,   nil,   nil,   274,   275,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   261,   nil,   267,    52,   263,   262,   nil,
   259,   260,   280,   279,   265,    24,   266,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   278,   nil,   nil,   nil,
   nil,    85,   nil,    92,   106,   107,   nil,   nil,    46,    47,
   333,    81,    82,    83,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,    10,    53,   335,    12,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   264,   268,   269,   270,   271,
   281,   282,   276,   277,   272,   273,   nil,   257,   258,   nil,
   nil,   274,   275,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   261,   nil,   267,
    52,   263,   262,   nil,   259,   260,   280,   279,   265,    24,
   266,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   278,   nil,   nil,   nil,   nil,    85,   nil,    92,   106,   107,
   nil,   nil,    46,    47,   333,    81,    82,    83,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   335,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   264,
   268,   269,   270,   271,   281,   282,   276,   277,   272,   273,
   nil,   257,   258,   nil,   nil,   274,   275,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   261,   nil,   267,    52,   263,   262,   nil,   259,   260,
   280,   279,   265,    24,   266,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   278,   nil,   nil,   nil,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,    46,    47,   333,    81,
    82,    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   335,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   264,   268,   269,   270,   271,   281,   282,
   276,   277,   272,   273,   nil,   257,   258,   nil,   nil,   274,
   275,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   261,   nil,   267,    52,   263,
   262,   nil,   259,   260,   280,   279,   265,    24,   266,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   278,   nil,
   nil,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
    46,    47,   333,    81,    82,    83,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   335,    12,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   264,   268,   269,
   270,   271,   281,   282,   276,   277,   272,   273,   nil,   257,
   258,   nil,   nil,   274,   275,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   261,
   nil,   267,    52,   263,   262,   nil,   259,   260,   280,   279,
   265,    24,   266,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   278,   nil,   nil,   nil,   nil,    85,   nil,    92,
   106,   107,   nil,   nil,    46,    47,   333,    81,    82,    83,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,
   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   335,    12,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   264,   268,   269,   270,   271,   281,   282,   276,   277,
   272,   273,   nil,   257,   258,   nil,   nil,   274,   275,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   261,   nil,   267,    52,   263,   262,   nil,
   259,   260,   280,   279,   265,    24,   266,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   278,   nil,   nil,   nil,
   nil,    85,   nil,    92,   106,   107,   nil,   nil,    46,    47,
   333,    81,    82,    83,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   493,    23,   490,   489,
   488,   nil,   491,    10,    53,   335,    12,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   493,   nil,   490,   489,   488,
   nil,   491,   nil,   714,   nil,   493,   nil,   490,   489,   488,
   nil,   491,   718,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   493,    40,   490,   489,   488,
    52,   491,   714,   nil,   nil,   nil,   nil,   nil,   nil,    24,
   nil,   718,   714,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,   714,   nil,   nil,    85,   nil,    92,   106,   107,
   nil,   718,    46,    47,   333,    81,    82,    83,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   335,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   264,
   268,   269,   270,   271,   281,   282,   276,   277,   272,   273,
   nil,  -741,  -741,   nil,   nil,   274,   275,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   264,    68,   nil,
    40,   261,   nil,   267,    52,   263,   262,   nil,   259,   260,
   280,   279,   265,    24,   266,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   261,
   nil,    91,   101,   263,   262,   nil,   259,   260,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,    46,    47,   333,    81,
    82,    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   335,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   264,   268,   269,   270,   271,   281,   282,
   276,   277,   272,   273,   nil,  -741,  -741,   nil,   nil,   274,
   275,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   264,    68,   nil,    40,   261,   nil,   267,    52,   263,
   262,   nil,   259,   260,   280,   279,   265,    24,   266,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   261,   nil,    91,   101,   263,   262,   nil,
   259,   260,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
    46,    47,   333,    81,    82,    83,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   335,    12,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   264,   268,   269,
   270,   271,   281,   282,   276,   277,   272,   273,   nil,  -741,
  -741,   nil,   nil,   274,   275,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   261,
   nil,   267,    52,   263,   262,   nil,   259,   260,   280,   279,
   265,    24,   266,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   493,   nil,   490,   489,   488,    85,   491,    92,
   106,   107,   nil,   nil,    46,    47,   333,    81,    82,    83,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   714,
   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,
   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   335,    12,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   264,   268,   269,   270,   271,   281,   282,   276,   277,
   272,   273,   nil,  -741,  -741,   nil,   nil,   274,   275,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   261,   nil,   267,    52,   263,   262,   nil,
   259,   260,   280,   279,   265,    24,   266,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   493,   nil,   490,   489,
   488,    85,   491,    92,   106,   107,   nil,   nil,    46,    47,
   333,    81,    82,    83,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   714,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,    10,    53,   335,    12,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   264,  -741,  -741,  -741,  -741,
   281,   282,   nil,   nil,  -741,  -741,   nil,   nil,   nil,   nil,
   nil,   274,   275,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   261,   nil,   267,
    52,   263,   262,   nil,   259,   260,   280,   279,   265,    24,
   266,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,   106,   107,
   nil,   nil,    46,    47,   333,    81,    82,    83,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   335,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   264,
  -741,  -741,  -741,  -741,   281,   282,   nil,   nil,  -741,  -741,
   nil,   nil,   nil,   nil,   nil,   274,   275,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   261,   nil,   267,    52,   263,   262,   nil,   259,   260,
   280,   279,   265,    24,   266,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,    46,    47,   333,    81,
    82,    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   335,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   264,  -741,  -741,  -741,  -741,   281,   282,
   nil,   nil,  -741,  -741,   nil,   nil,   nil,   nil,   nil,   274,
   275,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   261,   nil,   267,    52,   263,
   262,   nil,   259,   260,   280,   279,   265,    24,   266,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
   nil,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
    46,    47,   333,    81,    82,    83,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   335,    12,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   264,  -741,  -741,
  -741,  -741,   281,   282,   nil,   nil,  -741,  -741,   nil,   nil,
   nil,   nil,   nil,   274,   275,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   261,
   nil,   267,    52,   263,   262,   nil,   259,   260,   280,   279,
   265,    24,   266,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,
   106,   107,   nil,   nil,    46,    47,   333,    81,    82,    83,
    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,
   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,
    53,   335,    12,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   264,  -741,  -741,  -741,  -741,   281,   282,   nil,   nil,
  -741,  -741,   nil,   nil,   nil,   nil,   nil,   274,   275,   nil,
    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,    40,   261,   nil,   267,    52,   263,   262,   nil,
   259,   260,   280,   279,   265,    24,   266,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,
   nil,    85,   nil,    92,   106,   107,   nil,   nil,    46,    47,
   333,    81,    82,    83,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,    10,    53,   335,    12,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   264,  -741,  -741,  -741,  -741,
   281,   282,   nil,   nil,  -741,  -741,   nil,   nil,   nil,   nil,
   nil,   274,   275,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   261,   nil,   267,
    52,   263,   262,   nil,   259,   260,   280,   279,   265,    24,
   266,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,   106,   107,
   nil,   nil,    46,    47,   333,    81,    82,    83,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   335,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   264,
   268,   269,   270,   271,   281,   282,   nil,   nil,   272,   273,
   nil,   nil,   nil,   nil,   nil,   274,   275,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   261,   nil,   267,    52,   263,   262,   nil,   259,   260,
   280,   279,   265,    24,   266,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,    46,    47,   333,    81,
    82,    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   335,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   264,   268,   269,   270,   271,   281,   282,
   276,   nil,   272,   273,   nil,   nil,   nil,   nil,   nil,   274,
   275,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   261,   nil,   267,    52,   263,
   262,   nil,   259,   260,   280,   279,   265,    24,   266,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
   nil,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
    46,    47,   333,    81,    82,    83,    11,    65,   nil,   nil,
   nil,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,    10,    53,   335,    12,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   264,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   274,   275,   nil,    45,   nil,   nil,    38,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,    40,   261,
   nil,   267,    52,   263,   262,   nil,   259,   260,   nil,   nil,
   265,    24,   266,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,
   106,   107,   nil,   nil,    46,    47,    81,    82,    83,    11,
    65,   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,   116,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,
     9,    12,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   264,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   274,   275,   nil,    45,
   nil,   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,    40,   261,   nil,   267,    52,   263,   262,   nil,   259,
   260,   nil,   nil,   265,    24,   266,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   264,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   274,   275,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   261,   nil,   267,    52,   263,   262,   nil,
   259,   260,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,
   nil,    85,   nil,    92,   106,   107,  -441,   nil,    46,    47,
   nil,   nil,   nil,  -441,  -441,  -441,   nil,   nil,  -441,  -441,
  -441,   264,  -441,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  -441,  -441,  -441,  -441,   nil,   nil,   nil,   274,   275,   nil,
   nil,   nil,  -441,  -441,   nil,  -441,  -441,  -441,  -441,  -441,
   nil,   nil,   nil,   261,   nil,   267,   nil,   263,   262,   nil,
   259,   260,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -441,  -441,  -441,  -441,  -441,  -441,  -441,  -441,
  -441,  -441,  -441,  -441,  -441,  -441,   nil,   nil,  -441,  -441,
  -441,   nil,   nil,  -441,   nil,   306,  -441,   nil,   nil,  -441,
  -441,   nil,  -441,   nil,  -441,   nil,  -441,   nil,  -441,  -441,
   nil,  -441,  -441,  -441,  -441,  -441,  -327,  -441,  -441,  -441,
   nil,   nil,   nil,  -327,  -327,  -327,   nil,   nil,  -327,  -327,
  -327,   nil,  -327,  -441,   264,   nil,  -441,  -441,   nil,  -441,
  -327,  -441,  -327,  -327,   nil,   nil,   nil,   nil,  -441,   nil,
   274,   275,  -327,  -327,   nil,  -327,  -327,  -327,  -327,  -327,
   nil,   nil,   nil,   nil,   nil,   nil,   261,   nil,   nil,   nil,
   263,   262,   nil,   259,   260,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -327,  -327,  -327,  -327,  -327,  -327,  -327,  -327,
  -327,  -327,  -327,  -327,  -327,  -327,   nil,   nil,  -327,  -327,
  -327,   nil,   nil,  -327,   nil,   315,  -327,   nil,   nil,  -327,
  -327,   nil,  -327,   nil,  -327,   nil,  -327,   nil,  -327,  -327,
   nil,  -327,  -327,  -327,  -327,  -327,   nil,  -327,   nil,  -327,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  -327,   nil,   nil,  -327,  -327,   nil,  -327,
   nil,  -327,    81,    82,    83,   nil,    65,   nil,  -327,   nil,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   327,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   324,   nil,   322,
   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   327,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   324,   nil,
   322,   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   327,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   324,
   nil,   322,   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,   325,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,   349,   357,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
   nil,   nil,   nil,    85,   nil,    92,   106,   107,  -312,   nil,
    46,    47,   nil,   nil,   nil,  -312,  -312,  -312,   nil,   nil,
  -312,  -312,  -312,   nil,  -312,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  -312,   nil,  -312,  -312,  -312,   nil,   nil,   nil,
   114,   113,   115,   116,  -312,  -312,   nil,  -312,  -312,  -312,
  -312,  -312,   nil,   nil,   nil,   nil,   118,   117,   119,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   104,
   105,   nil,   nil,   358,  -312,  -312,  -312,  -312,  -312,  -312,
  -312,  -312,  -312,  -312,  -312,  -312,  -312,  -312,   nil,   nil,
  -312,  -312,  -312,   nil,   nil,  -312,   nil,   nil,  -312,   nil,
   nil,  -312,  -312,   nil,  -312,   nil,  -312,   nil,  -312,   nil,
  -312,  -312,   nil,  -312,  -312,  -312,  -312,  -312,   nil,  -312,
   nil,  -312,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,  -312,    91,   101,  -312,  -312,
  -312,  -312,   nil,  -312,    85,  -312,    92,   106,   107,   nil,
  -312,    81,    82,    83,    11,    65,   nil,   nil,   nil,    71,
    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,    10,    53,   nil,    12,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    45,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   327,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   324,   nil,   nil,
   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   327,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,   116,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   126,   nil,   nil,   nil,   nil,   125,
    85,   nil,    92,   106,   107,   nil,   nil,    46,    47,    81,
    82,    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,     9,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
   nil,   nil,   420,    85,   nil,    92,   106,   107,   nil,   nil,
    46,    47,    81,    82,    83,   nil,    65,   nil,   nil,   nil,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,    23,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    24,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,    46,    47,    81,    82,
    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,
   nil,    75,   nil,    73,    74,    76,    35,    36,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,
   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,
    10,    53,   nil,    12,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,    40,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   436,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   436,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   327,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   324,
   nil,   322,   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,   325,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,   116,
   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,    35,    36,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,
   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   240,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,   349,   357,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,   349,   357,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,   349,   357,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,   349,   357,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   327,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   324,   nil,
   322,   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,   562,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   327,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   324,
   nil,   322,   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,   325,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   327,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   324,   nil,   322,   nil,    52,   nil,   nil,   328,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,   325,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   240,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
   nil,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
    46,    47,    81,    82,    83,    11,    65,   nil,   nil,   nil,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,    10,    53,   nil,    12,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    45,   nil,   nil,    38,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,    40,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,   nil,
    85,   nil,    92,   106,   107,  -275,   nil,    46,    47,   nil,
   nil,   nil,  -275,  -275,  -275,   nil,   nil,  -275,  -275,  -275,
   nil,  -275,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  -275,
  -275,  -275,  -275,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  -275,  -275,   nil,  -275,  -275,  -275,  -275,  -275,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  -275,  -275,  -275,  -275,  -275,  -275,  -275,  -275,  -275,
  -275,  -275,  -275,  -275,  -275,   nil,   nil,  -275,  -275,  -275,
   nil,   nil,  -275,   nil,   306,  -275,   nil,   nil,  -275,  -275,
   nil,  -275,   nil,  -275,   nil,  -275,   nil,  -275,  -275,   nil,
  -275,  -275,  -275,  -275,  -275,   nil,  -275,  -275,  -275,   493,
   nil,   490,   489,   488,   498,   491,   nil,   nil,   nil,   nil,
   nil,   nil,  -275,   nil,   501,  -275,  -275,  -720,  -275,   nil,
  -275,   nil,   nil,   nil,  -720,  -720,  -720,  -275,   nil,  -720,
  -720,  -720,   nil,  -720,   nil,   nil,   496,   nil,   nil,   nil,
   nil,  -720,  -720,  -720,  -720,  -720,   nil,   509,   508,   nil,
   nil,   nil,   502,  -720,  -720,   nil,  -720,  -720,  -720,  -720,
  -720,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  -720,  -720,  -720,  -720,  -720,  -720,  -720,
  -720,  -720,  -720,  -720,  -720,  -720,  -720,   nil,   nil,  -720,
  -720,  -720,   nil,   nil,  -720,   nil,   nil,  -720,   nil,   nil,
  -720,  -720,   nil,  -720,   nil,  -720,   nil,  -720,   nil,  -720,
  -720,   nil,  -720,  -720,  -720,  -720,  -720,   nil,  -720,  -720,
  -720,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  -720,   nil,   nil,  -720,  -720,  -720,
  -720,   nil,  -720,  -721,  -720,   nil,   nil,   nil,   nil,  -720,
  -721,  -721,  -721,   nil,   nil,  -721,  -721,  -721,   nil,  -721,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,  -721,  -721,  -721,
  -721,  -721,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  -721,
  -721,   nil,  -721,  -721,  -721,  -721,  -721,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  -721,
  -721,  -721,  -721,  -721,  -721,  -721,  -721,  -721,  -721,  -721,
  -721,  -721,  -721,   nil,   nil,  -721,  -721,  -721,   nil,   nil,
  -721,   nil,   nil,  -721,   nil,   nil,  -721,  -721,   nil,  -721,
   nil,  -721,   nil,  -721,   nil,  -721,  -721,   nil,  -721,  -721,
  -721,  -721,  -721,   nil,  -721,  -721,  -721,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  -721,   nil,   nil,  -721,  -721,  -721,  -721,   nil,  -721,   nil,
  -721,   nil,    81,    82,    83,  -721,    65,   nil,   nil,   nil,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   327,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   324,   nil,   322,   nil,    52,   nil,   nil,   328,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,   325,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,   nil,
   nil,   nil,    85,   nil,    92,   106,   107,  -275,   nil,    46,
    47,   nil,   nil,   nil,  -275,  -275,  -275,   nil,   nil,  -275,
  -275,  -275,   493,  -275,   490,   489,   488,   498,   491,   nil,
   nil,  -275,  -275,  -275,   nil,   nil,   nil,   501,   nil,   nil,
   nil,   nil,   nil,  -275,  -275,   nil,  -275,  -275,  -275,  -275,
  -275,   nil,   493,   nil,   490,   489,   488,   498,   491,   496,
   646,   nil,   nil,   nil,   nil,   nil,   nil,   501,   506,   505,
   509,   508,   nil,   nil,   nil,   502,   nil,   493,   nil,   490,
   489,   488,   498,   491,  -275,   nil,   nil,   nil,   nil,   496,
   nil,  -275,   501,   nil,   nil,   nil,   306,  -275,   506,   505,
   509,   508,   nil,   nil,   nil,   502,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   496,   487,   nil,   nil,   nil,  -275,
  -275,   nil,   nil,   506,   505,   509,   508,   nil,   nil,   nil,
   502,   nil,   nil,   nil,  -275,   nil,   nil,  -275,   nil,    81,
    82,    83,  -275,    65,   nil,   487,   nil,    71,    72,  -275,
   nil,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   327,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   799,   nil,   322,   nil,    52,
   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,   325,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   327,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   322,   nil,
    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,   325,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,   106,
   107,   nil,   nil,    46,    47,    81,    82,    83,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   335,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,   420,    85,
   nil,    92,   106,   107,   nil,   nil,    46,    47,    81,    82,
    83,   nil,    65,   nil,   nil,   nil,    71,    72,   nil,   nil,
   nil,    75,   nil,    73,    74,    76,    35,    36,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   327,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   324,   nil,   322,   nil,    52,   nil,   nil,
   328,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,   325,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   327,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   799,   nil,   nil,
   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   327,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,   349,   357,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   324,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   327,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   324,   nil,   322,   nil,    52,   nil,   nil,   328,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,   325,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,    35,    36,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,    33,    32,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   327,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   324,   nil,   322,   nil,    52,   nil,   nil,   328,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
   325,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,   nil,
    85,   nil,    92,   106,   107,   nil,   nil,    46,    47,    81,
    82,    83,    11,    65,   nil,   nil,   nil,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,    10,    53,   nil,    12,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    45,   nil,   nil,    38,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   869,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   327,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   324,   nil,   322,
   nil,    52,   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,   325,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,   106,
   107,   nil,   nil,    46,    47,    81,    82,    83,    11,    65,
   nil,   nil,   nil,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,    33,    32,   114,   113,   115,   116,   nil,
   nil,    23,   nil,   nil,   nil,   nil,   nil,    10,    53,   nil,
    12,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    45,   nil,
   nil,    38,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
    40,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   327,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   799,   nil,   322,   nil,    52,   nil,   nil,   328,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,   325,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   327,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   322,   nil,    52,   nil,   nil,
   328,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,   325,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   436,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,   349,   357,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,   349,   357,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   327,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   799,   nil,   322,   nil,    52,   nil,   nil,   328,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,   325,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,   562,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,
   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,    35,
    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,
    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,    33,    32,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,   349,   357,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,   349,   357,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,
    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   250,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,    46,    47,   nil,    75,   nil,    73,    74,    76,
    35,    36,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
    33,    32,   114,   113,   115,   116,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,    46,    47,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,    46,    47,   nil,    75,   nil,    73,
    74,    76,    35,    36,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,    33,    32,   114,   113,   115,   116,   nil,   nil,
    23,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,    49,    50,    48,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    24,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,    46,    47,   nil,    75,   nil,
    73,    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,   349,   357,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,    49,    50,    48,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,   nil,
   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   799,   nil,   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,    46,    47,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,    53,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   327,   112,   120,   121,   nil,   104,   105,    49,    50,    48,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   245,
   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   322,   nil,    52,   nil,   nil,   328,   nil,
   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,   102,
   325,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,    46,    47,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
    53,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,    49,    50,
    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,    46,    47,
   nil,    75,   nil,    73,    74,    76,    35,    36,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,   113,
   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,   nil,
   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,    49,
    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,    46,
    47,   nil,    75,   nil,    73,    74,    76,    35,    36,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,   114,
   113,   115,   116,   nil,   nil,    23,   nil,   nil,   nil,   nil,
   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    24,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
    46,    47,   nil,    75,   nil,    73,    74,    76,    35,    36,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,    33,    32,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,    53,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   327,   112,   120,   121,   nil,   104,
   105,    49,    50,    48,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   245,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   324,   nil,   322,   nil,    52,
   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,   250,   nil,
   nil,   nil,   nil,   102,   325,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,    81,    82,    83,    85,    65,    92,   106,   107,    71,
    72,    46,    47,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,   350,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,   nil,   nil,   358,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   346,   nil,   nil,   342,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,   341,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,   350,   nil,   nil,   118,   117,
   119,   108,    64,   110,   109,   111,   nil,   112,   120,   121,
   nil,   104,   105,   nil,   nil,   358,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   346,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   493,   nil,
   490,   489,   488,   498,   491,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   501,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,   360,   nil,   496,    85,   nil,    92,   106,
   107,    81,    82,    83,   nil,    65,   509,   508,   nil,    71,
    72,   502,   nil,   nil,    75,   nil,    73,    74,    76,   354,
   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,
   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,
   nil,   nil,   nil,   nil,   350,   nil,   nil,   118,   117,   119,
   108,    64,   110,   109,   111,   nil,   112,   120,   121,   nil,
   104,   105,   nil,   nil,   358,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   395,   nil,   nil,    38,   nil,   nil,
    66,    67,   nil,   nil,    68,   nil,    40,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,
   nil,   nil,    81,    82,    83,    85,    65,    92,   106,   107,
    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,    76,
   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,    84,
   349,   357,   114,   113,   115,   116,   nil,   nil,   254,   nil,
   nil,   nil,   nil,   nil,   nil,   350,   nil,   nil,   118,   117,
   119,   400,    64,   110,   109,   401,   nil,   112,   120,   121,
   nil,   104,   105,   nil,   nil,   358,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   407,   nil,   nil,   402,   nil,   nil,   253,   nil,
   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,   106,
   107,    71,    72,   nil,   nil,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,   350,   nil,   nil,   118,
   117,   119,   400,    64,   110,   109,   401,   nil,   112,   120,
   121,   nil,   104,   105,   nil,   nil,   358,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   402,   nil,   nil,   253,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,   nil,   nil,   nil,    75,   nil,    73,
    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,   349,   357,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,   350,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,   nil,   nil,   358,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   346,   nil,   nil,
   253,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   493,   nil,   490,   489,   488,   498,   491,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   501,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,   590,   nil,   496,    85,   nil,
    92,   106,   107,    81,    82,    83,   nil,    65,   509,   508,
   nil,    71,    72,   502,   nil,   nil,    75,   nil,    73,    74,
    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,   nil,
    84,   349,   357,   114,   113,   115,   116,   nil,   nil,   254,
   nil,   nil,   nil,   nil,   nil,   nil,   350,   nil,   nil,   118,
   117,   119,   108,    64,   110,   109,   111,   nil,   112,   120,
   121,   nil,   104,   105,   nil,   nil,   358,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   346,   nil,   nil,   342,
   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,    92,
   106,   107,    71,    72,   nil,   nil,   nil,    75,   nil,    73,
    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,   nil,
   nil,    84,   349,   357,   114,   113,   115,   116,   nil,   nil,
   254,   nil,   nil,   nil,   nil,   nil,   nil,   350,   nil,   nil,
   118,   117,   119,   108,    64,   110,   109,   111,   nil,   112,
   120,   121,   nil,   104,   105,   nil,   nil,   358,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   346,   nil,   nil,
   342,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,    65,
    92,   106,   107,    71,    72,   nil,   nil,   nil,    75,   nil,
    73,    74,    76,   354,   355,    79,    80,   nil,   nil,   nil,
   nil,   nil,    84,   349,   357,   114,   113,   115,   116,   nil,
   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,   350,   nil,
   nil,   118,   117,   119,   108,    64,   110,   109,   111,   nil,
   112,   120,   121,   nil,   104,   105,   nil,   nil,   358,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   346,   nil,
   nil,   342,   nil,   nil,    66,    67,   nil,   nil,    68,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,    85,
    65,    92,   106,   107,    71,    72,   nil,   nil,   nil,    75,
   nil,    73,    74,    76,   354,   355,    79,    80,   nil,   nil,
   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,   116,
   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,   350,
   nil,   nil,   118,   117,   119,   108,    64,   110,   109,   111,
   nil,   112,   120,   121,   nil,   104,   105,   nil,   nil,   358,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   346,
   nil,   nil,   342,   nil,   nil,    66,    67,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,    83,
    85,    65,    92,   106,   107,    71,    72,   nil,   nil,   nil,
    75,   nil,    73,    74,    76,   354,   355,    79,    80,   nil,
   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,   115,
   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,   nil,
   350,   nil,   nil,   118,   117,   119,   108,    64,   110,   109,
   111,   nil,   112,   120,   121,   nil,   104,   105,   nil,   nil,
   358,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   346,   nil,   nil,   342,   nil,   nil,    66,    67,   nil,   nil,
    68,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,    82,
    83,    85,    65,    92,   106,   107,    71,    72,   nil,   nil,
   nil,    75,   nil,    73,    74,    76,   354,   355,    79,    80,
   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,   113,
   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,   nil,
   nil,   350,   nil,   nil,   118,   117,   119,   108,    64,   110,
   109,   111,   nil,   112,   120,   121,   nil,   104,   105,   nil,
   nil,   358,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1108,   nil,   nil,   253,   nil,   nil,    66,    67,   nil,
   nil,    68,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   102,    90,    93,    94,   nil,    95,    97,    96,    98,
   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,    81,
    82,    83,    85,    65,    92,   106,   107,    71,    72,   nil,
   nil,   nil,    75,   nil,    73,    74,    76,   354,   355,    79,
    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,   114,
   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,   nil,
   nil,   nil,   350,   nil,   nil,   118,   117,   119,   108,    64,
   110,   109,   111,   nil,   112,   120,   121,   nil,   104,   105,
   nil,   nil,   358,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1146,   nil,   nil,   253,   nil,   nil,    66,    67,
   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
    81,    82,    83,    85,    65,    92,   106,   107,    71,    72,
   nil,   nil,   nil,    75,   nil,    73,    74,    76,   354,   355,
    79,    80,   nil,   nil,   nil,   nil,   nil,    84,   349,   357,
   114,   113,   115,   116,   nil,   nil,   254,   nil,   nil,   nil,
   nil,   nil,   nil,   350,   nil,   nil,   118,   117,   119,   108,
    64,   110,   109,   111,   nil,   112,   120,   121,   nil,   104,
   105,   nil,   nil,   358,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1146,   nil,   nil,   253,   nil,   nil,    66,
    67,   nil,   nil,    68,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,
   nil,   nil,   nil,   nil,    85,   nil,    92,   106,   107,   185,
   196,   186,   209,   182,   202,   192,   191,   212,   213,   207,
   190,   189,   184,   210,   214,   215,   194,   183,   197,   201,
   203,   195,   188,   nil,   nil,   nil,   204,   211,   206,   205,
   198,   208,   193,   181,   200,   199,   nil,   nil,   nil,   nil,
   nil,   180,   187,   178,   179,   175,   176,   177,   138,   140,
   137,   nil,   139,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   169,   170,   nil,   166,   148,   149,   150,   157,   154,   156,
   nil,   nil,   151,   152,   nil,   nil,   nil,   171,   172,   158,
   159,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   163,   162,   nil,   147,   168,   165,
   164,   173,   160,   161,   155,   153,   145,   167,   146,   nil,
   nil,   174,   102,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   101,   185,   196,   186,
   209,   182,   202,   192,   191,   212,   213,   207,   190,   189,
   184,   210,   214,   215,   194,   183,   197,   201,   203,   195,
   188,   nil,   nil,   nil,   204,   211,   206,   205,   198,   208,
   193,   181,   200,   199,   nil,   nil,   nil,   nil,   nil,   180,
   187,   178,   179,   175,   176,   177,   138,   140,   nil,   nil,
   139,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,
   nil,   166,   148,   149,   150,   157,   154,   156,   nil,   nil,
   151,   152,   nil,   nil,   nil,   171,   172,   158,   159,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   163,   162,   nil,   147,   168,   165,   164,   173,
   160,   161,   155,   153,   145,   167,   146,   nil,   nil,   174,
   102,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   101,   185,   196,   186,   209,   182,
   202,   192,   191,   212,   213,   207,   190,   189,   184,   210,
   214,   215,   194,   183,   197,   201,   203,   195,   188,   nil,
   nil,   nil,   204,   211,   206,   205,   198,   208,   193,   181,
   200,   199,   nil,   nil,   nil,   nil,   nil,   180,   187,   178,
   179,   175,   176,   177,   138,   140,   nil,   nil,   139,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,   nil,   166,
   148,   149,   150,   157,   154,   156,   nil,   nil,   151,   152,
   nil,   nil,   nil,   171,   172,   158,   159,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   163,   162,   nil,   147,   168,   165,   164,   173,   160,   161,
   155,   153,   145,   167,   146,   nil,   nil,   174,   102,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   101,   185,   196,   186,   209,   182,   202,   192,
   191,   212,   213,   207,   190,   189,   184,   210,   214,   215,
   194,   183,   197,   201,   203,   195,   188,   nil,   nil,   nil,
   204,   211,   206,   205,   198,   208,   193,   181,   200,   199,
   nil,   nil,   nil,   nil,   nil,   180,   187,   178,   179,   175,
   176,   177,   138,   140,   nil,   nil,   139,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   169,   170,   nil,   166,   148,   149,
   150,   157,   154,   156,   nil,   nil,   151,   152,   nil,   nil,
   nil,   171,   172,   158,   159,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   163,   162,
   nil,   147,   168,   165,   164,   173,   160,   161,   155,   153,
   145,   167,   146,   nil,   nil,   174,   102,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   101,   185,   196,   186,   209,   182,   202,   192,   191,   212,
   213,   207,   190,   189,   184,   210,   214,   215,   194,   183,
   197,   201,   203,   195,   188,   nil,   nil,   nil,   204,   211,
   206,   294,   293,   295,   292,   181,   200,   199,   nil,   nil,
   nil,   nil,   nil,   180,   187,   178,   179,   289,   290,   291,
   287,   140,   110,   109,   288,   nil,   112,   nil,   nil,   nil,
   nil,   nil,   169,   170,   nil,   166,   148,   149,   150,   157,
   154,   156,   nil,   nil,   151,   152,   nil,   nil,   nil,   171,
   172,   158,   159,   nil,   nil,   nil,   nil,   nil,   299,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   163,   162,   nil,   147,
   168,   165,   164,   173,   160,   161,   155,   153,   145,   167,
   146,   nil,   nil,   174,   114,   113,   115,   116,   nil,   nil,
   493,   nil,   490,   489,   488,   498,   491,   nil,   nil,   nil,
   118,   117,   119,   776,   nil,   501,   nil,   779,   756,   nil,
   nil,   nil,   nil,   104,   105,   nil,   nil,   358,   501,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   496,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   778,   509,   508,
   749,   nil,   nil,   502,   747,   nil,   nil,   748,   nil,   751,
   nil,   nil,   nil,   nil,   nil,   nil,   502,   nil,   nil,   nil,
   nil,   nil,   nil,   777,   nil,   nil,   nil,   102,   757,    93,
    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   114,   113,   115,   116,   nil,   nil,    85,   nil,
    92,   106,   107,   nil,   nil,   764,   765,   nil,   118,   117,
   119,   776,   nil,   nil,   nil,   779,   756,   nil,   nil,   nil,
   nil,   104,   105,   nil,   nil,   358,   501,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   778,   nil,   nil,   749,   nil,
   nil,   nil,   747,   nil,   nil,   748,   nil,   751,   nil,   nil,
   nil,   nil,   nil,   nil,   502,   nil,   nil,   nil,   nil,   nil,
   nil,   777,   nil,   nil,   nil,   102,   757,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   114,   113,   115,   116,   nil,   nil,    85,   nil,    92,   106,
   107,   nil,   nil,   764,   765,   nil,   118,   117,   119,   776,
   nil,   nil,   nil,   779,   nil,   nil,   nil,   nil,   nil,   104,
   105,   nil,   nil,   358,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   778,   nil,   nil,   749,   nil,   nil,   nil,
   747,   nil,   nil,   748,   nil,   751,   nil,   nil,   nil,   nil,
   nil,   nil,   493,   nil,   490,   489,   488,   498,   491,   777,
   nil,   nil,   nil,   102,    90,    93,    94,   501,    95,    97,
    96,    98,   nil,   nil,   nil,   nil,    91,   101,   240,   114,
   113,   115,   116,   nil,    85,   nil,    92,   106,   107,   496,
   nil,   764,   765,   nil,   nil,   118,   117,   119,   776,   nil,
   509,   508,   779,   nil,   nil,   502,   nil,   nil,   104,   105,
   nil,   nil,   358,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   778,   nil,   nil,   749,   nil,   nil,   nil,   747,
   nil,   nil,   748,   nil,   nil,   487,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   777,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   nil,   nil,   nil,
   nil,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
   764,   765,   185,   196,   186,   209,   182,   202,   192,   191,
   212,   213,   207,   190,   189,   184,   210,   214,   215,   194,
   183,   197,   201,   203,   195,   188,   nil,   nil,   nil,   204,
   211,   206,   205,   198,   208,   193,   181,   200,   199,   nil,
   nil,   nil,   nil,   nil,   180,   187,   178,   179,   175,   176,
   177,   138,   140,   nil,   nil,   139,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   169,   170,   nil,   166,   148,   149,   150,
   157,   154,   156,   nil,   nil,   151,   152,   nil,   nil,   nil,
   171,   172,   158,   159,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   163,   162,   nil,
   147,   168,   165,   164,   173,   160,   161,   155,   153,   145,
   167,   146,   nil,   nil,   174,   114,   113,   115,   116,   nil,
   nil,   nil,   nil,   nil,   493,   nil,   490,   489,   488,   498,
   491,   118,   117,   119,   776,   nil,   nil,   nil,   779,   501,
   nil,   nil,   nil,   nil,   104,   105,   nil,   nil,   358,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   496,   nil,   nil,   nil,   nil,   nil,   nil,   778,   nil,
   nil,   749,   509,   508,   nil,   747,   nil,   502,   748,   nil,
   751,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   777,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   114,   113,   115,   116,   487,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,   764,   765,   nil,   118,
   117,   119,   776,   nil,   nil,   493,   779,   490,   489,   488,
   498,   491,   104,   105,   nil,   nil,   358,   nil,   nil,   nil,
   501,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   778,   nil,   nil,   749,
   nil,   nil,   496,   747,   nil,   nil,   748,   nil,   nil,   nil,
   nil,   506,   505,   509,   508,   nil,   nil,   nil,   502,   nil,
   nil,   nil,   777,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   114,   113,   115,   116,   nil,   nil,    85,   nil,    92,
   106,   107,   nil,   nil,   764,   765,   nil,   118,   117,   119,
   776,   nil,   nil,   nil,   779,   756,   nil,   nil,   nil,   nil,
   104,   105,   nil,   nil,   358,   501,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   778,   nil,   nil,   749,   nil,   nil,
   nil,   747,   nil,   nil,   748,   nil,   751,   nil,   nil,   nil,
   nil,   nil,   nil,   502,   nil,   nil,   nil,   nil,   nil,   nil,
   777,   nil,   nil,   nil,   102,   757,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   114,
   113,   115,   116,   nil,   nil,    85,   nil,    92,   106,   107,
   nil,   nil,   764,   765,   nil,   118,   117,   119,   776,   nil,
   nil,   nil,   779,   756,   nil,   nil,   nil,   nil,   104,   105,
   nil,   nil,   358,   501,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   778,   nil,   nil,   749,   nil,   nil,   nil,   747,
   nil,   nil,   748,   nil,   751,   nil,   nil,   nil,   nil,   nil,
   nil,   502,   nil,   nil,   nil,   nil,   nil,   nil,   777,   nil,
   nil,   nil,   102,   757,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   114,   113,   115,
   116,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
   764,   765,   nil,   118,   117,   119,   776,   nil,   nil,   493,
   779,   490,   489,   488,   498,   491,   104,   105,   nil,   nil,
   358,   nil,   nil,   nil,   501,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   778,   nil,   nil,   749,   nil,   nil,   496,   747,   nil,   nil,
   748,   nil,   751,   nil,   nil,   506,   505,   509,   508,   nil,
   nil,   nil,   502,   nil,   nil,   nil,   777,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   114,   113,   115,   116,   nil,
   nil,    85,   nil,    92,   106,   107,   nil,   nil,   764,   765,
   nil,   118,   117,   119,   776,   nil,   nil,   493,   779,   490,
   489,   488,   498,   491,   104,   105,   nil,   nil,   358,   nil,
   nil,   nil,   501,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   778,   nil,
   nil,   749,   nil,   nil,   496,   747,   nil,   nil,   748,   nil,
   nil,   nil,   nil,   nil,   nil,   509,   508,   nil,   nil,   nil,
   502,   nil,   nil,   nil,   777,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   114,   113,   115,   116,   nil,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,   764,   765,   nil,   118,
   117,   119,   776,   nil,   nil,   nil,   779,   nil,   nil,   nil,
   nil,   nil,   104,   105,   nil,   nil,   358,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   778,   nil,   nil,   749,
   nil,   nil,   nil,   747,   nil,   nil,   748,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   777,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   114,   113,   115,   116,   nil,   nil,    85,   nil,    92,
   106,   107,   nil,   nil,   764,   765,   nil,   118,   117,   119,
   776,   nil,   nil,   nil,   779,   756,   nil,   nil,   nil,   nil,
   104,   105,   nil,   nil,   358,   501,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   778,   nil,   nil,   749,   nil,   nil,
   nil,   747,   nil,   nil,   748,   nil,   751,   nil,   nil,   nil,
   nil,   nil,   nil,   502,   nil,   nil,   nil,   nil,   nil,   nil,
   777,   nil,   nil,   nil,   102,   757,    93,    94,   nil,    95,
    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,   114,
   113,   115,   116,   nil,   nil,    85,   nil,    92,   106,   107,
   nil,   nil,   764,   765,   nil,   118,   117,   119,   776,   nil,
   nil,   nil,   779,   nil,   nil,   nil,   nil,   nil,   104,   105,
   nil,   nil,   358,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   778,   nil,   nil,   749,   nil,   nil,   nil,   747,
   nil,   nil,   748,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   777,   nil,
   nil,   nil,   102,    90,    93,    94,   nil,    95,    97,    96,
    98,   nil,   nil,   nil,   nil,    91,   101,   114,   113,   115,
   116,   nil,   nil,    85,   nil,    92,   106,   107,   nil,   nil,
   764,   765,   nil,   118,   117,   119,   776,   nil,   nil,   nil,
   779,   nil,   nil,   nil,   nil,   nil,   104,   105,   nil,   nil,
   358,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   778,   nil,   nil,   749,   nil,   nil,   nil,   747,   nil,   nil,
   748,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   777,   nil,   nil,   nil,
   102,    90,    93,    94,   nil,    95,    97,    96,    98,   nil,
   nil,   nil,   nil,    91,   101,   114,   113,   115,   116,   nil,
   nil,    85,   nil,    92,   106,   107,   nil,   nil,   764,   765,
   nil,   118,   117,   119,   776,   nil,   nil,   nil,   779,   nil,
   nil,   nil,   nil,   nil,   104,   105,   nil,   nil,   358,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   778,   nil,
   nil,   749,   nil,   nil,   nil,   747,   nil,   nil,   748,   nil,
   751,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   777,   nil,   nil,   nil,   102,    90,
    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,   nil,
   nil,    91,   101,   114,   113,   115,   116,   nil,   nil,    85,
   nil,    92,   106,   107,   nil,   nil,   764,   765,   nil,   118,
   117,   119,   776,   nil,   nil,   nil,   779,   nil,   nil,   nil,
   nil,   nil,   104,   105,   nil,   nil,   358,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   114,   113,   115,   116,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   778,   nil,   nil,   749,
   118,   117,   119,   747,   nil,   nil,   748,   nil,   nil,   nil,
   nil,   nil,   nil,   104,   105,   nil,   nil,   358,   nil,   nil,
   nil,   nil,   777,   nil,   nil,   nil,   102,    90,    93,    94,
   nil,    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,
   101,   nil,   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,
   106,   107,   nil,   nil,   764,   765,   493,   nil,   490,   489,
   488,   498,   491,   nil,   nil,   nil,   nil,   102,    90,    93,
    94,   501,    95,    97,    96,    98,   nil,   nil,   nil,   nil,
    91,   101,   114,   113,   115,   116,   nil,   nil,    85,   nil,
    92,   106,   107,   496,   nil,   nil,   nil,   nil,   118,   117,
   119,   nil,   506,   505,   509,   508,   nil,   nil,   nil,   502,
   nil,   104,   105,   nil,   nil,   358,   114,   113,   115,   116,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   118,   117,   119,   240,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   104,   105,   nil,   nil,   358,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   102,    90,    93,    94,   nil,
    95,    97,    96,    98,   nil,   nil,   nil,   nil,    91,   101,
   nil,   nil,   nil,   nil,   nil,   nil,    85,   nil,    92,   106,
   107,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   102,
    90,    93,    94,   nil,    95,    97,    96,    98,   nil,   nil,
   nil,   nil,    91,   101,   nil,   nil,   nil,   nil,   nil,   nil,
    85,   nil,    92,   106,   107,   493,   nil,   490,   489,   488,
   498,   491,   nil,   493,   nil,   490,   489,   488,   498,   491,
   501,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   501,   nil,
   493,   nil,   490,   489,   488,   498,   491,   nil,   nil,   nil,
   nil,   nil,   496,   nil,   nil,   501,   nil,   nil,   nil,   nil,
   496,   506,   505,   509,   508,   nil,   nil,   nil,   502,   506,
   505,   509,   508,   nil,   nil,   nil,   502,   496,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   506,   505,   509,   508,
   nil,   nil,   493,   502,   490,   489,   488,   498,   491,   493,
   nil,   490,   489,   488,   498,   491,   nil,   501,   487,   nil,
   nil,   nil,   nil,   nil,   501,   nil,   487,   493,   nil,   490,
   489,   488,   498,   491,   nil,   nil,   nil,   nil,   nil,   496,
   nil,   nil,   501,   487,   nil,   nil,   496,   nil,   nil,   nil,
   509,   508,   nil,   nil,   nil,   502,   nil,   509,   508,   nil,
   nil,   nil,   502,   nil,   496,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   509,   508,   nil,   nil,   nil,
   502,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   458,   462,   nil,   487,   459,   nil,   nil,   nil,
   nil,   nil,   487,   nil,   169,   170,   nil,   166,   148,   149,
   150,   157,   154,   156,   nil,   nil,   151,   152,   nil,   nil,
   487,   171,   172,   158,   159,   nil,   nil,   nil,   nil,   nil,
   306,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   163,   162,
   nil,   147,   168,   165,   164,   173,   160,   161,   155,   153,
   145,   167,   146,   466,   470,   174,   nil,   465,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   169,   170,   nil,   166,   148,
   149,   150,   157,   154,   156,   nil,   nil,   151,   152,   nil,
   nil,   nil,   171,   172,   158,   159,   nil,   nil,   nil,   nil,
   nil,   306,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   163,
   162,   nil,   147,   168,   165,   164,   173,   160,   161,   155,
   153,   145,   167,   146,   558,   462,   174,   nil,   559,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,   nil,   166,
   148,   149,   150,   157,   154,   156,   nil,   nil,   151,   152,
   nil,   nil,   nil,   171,   172,   158,   159,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   163,   162,   nil,   147,   168,   165,   164,   173,   160,   161,
   155,   153,   145,   167,   146,   729,   462,   174,   nil,   730,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,   nil,
   166,   148,   149,   150,   157,   154,   156,   nil,   nil,   151,
   152,   nil,   nil,   nil,   171,   172,   158,   159,   nil,   nil,
   nil,   nil,   nil,   306,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   163,   162,   nil,   147,   168,   165,   164,   173,   160,
   161,   155,   153,   145,   167,   146,   731,   470,   174,   nil,
   732,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,
   nil,   166,   148,   149,   150,   157,   154,   156,   nil,   nil,
   151,   152,   nil,   nil,   nil,   171,   172,   158,   159,   nil,
   nil,   nil,   nil,   nil,   306,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   163,   162,   nil,   147,   168,   165,   164,   173,
   160,   161,   155,   153,   145,   167,   146,   809,   462,   174,
   nil,   810,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   169,
   170,   nil,   166,   148,   149,   150,   157,   154,   156,   nil,
   nil,   151,   152,   nil,   nil,   nil,   171,   172,   158,   159,
   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   163,   162,   nil,   147,   168,   165,   164,
   173,   160,   161,   155,   153,   145,   167,   146,   812,   470,
   174,   nil,   813,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   169,   170,   nil,   166,   148,   149,   150,   157,   154,   156,
   nil,   nil,   151,   152,   nil,   nil,   nil,   171,   172,   158,
   159,   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   163,   162,   nil,   147,   168,   165,
   164,   173,   160,   161,   155,   153,   145,   167,   146,   729,
   462,   174,   nil,   730,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   169,   170,   nil,   166,   148,   149,   150,   157,   154,
   156,   nil,   nil,   151,   152,   nil,   nil,   nil,   171,   172,
   158,   159,   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   163,   162,   nil,   147,   168,
   165,   164,   173,   160,   161,   155,   153,   145,   167,   146,
   731,   470,   174,   nil,   732,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   169,   170,   nil,   166,   148,   149,   150,   157,
   154,   156,   nil,   nil,   151,   152,   nil,   nil,   nil,   171,
   172,   158,   159,   nil,   nil,   nil,   nil,   nil,   306,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   163,   162,   nil,   147,
   168,   165,   164,   173,   160,   161,   155,   153,   145,   167,
   146,   839,   462,   174,   nil,   840,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   169,   170,   nil,   166,   148,   149,   150,
   157,   154,   156,   nil,   nil,   151,   152,   nil,   nil,   nil,
   171,   172,   158,   159,   nil,   nil,   nil,   nil,   nil,   306,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   163,   162,   nil,
   147,   168,   165,   164,   173,   160,   161,   155,   153,   145,
   167,   146,   841,   470,   174,   nil,   842,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   169,   170,   nil,   166,   148,   149,
   150,   157,   154,   156,   nil,   nil,   151,   152,   nil,   nil,
   nil,   171,   172,   158,   159,   nil,   nil,   nil,   nil,   nil,
   306,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   163,   162,
   nil,   147,   168,   165,   164,   173,   160,   161,   155,   153,
   145,   167,   146,   844,   470,   174,   nil,   845,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   169,   170,   nil,   166,   148,
   149,   150,   157,   154,   156,   nil,   nil,   151,   152,   nil,
   nil,   nil,   171,   172,   158,   159,   nil,   nil,   nil,   nil,
   nil,   306,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   163,
   162,   nil,   147,   168,   165,   164,   173,   160,   161,   155,
   153,   145,   167,   146,   558,   462,   174,   nil,   559,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,   nil,   166,
   148,   149,   150,   157,   154,   156,   nil,   nil,   151,   152,
   nil,   nil,   nil,   171,   172,   158,   159,   nil,   nil,   nil,
   nil,   nil,   306,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   163,   162,   nil,   147,   168,   165,   164,   173,   160,   161,
   155,   153,   145,   167,   146,   871,   462,   174,   nil,   872,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,   nil,
   166,   148,   149,   150,   157,   154,   156,   nil,   nil,   151,
   152,   nil,   nil,   nil,   171,   172,   158,   159,   nil,   nil,
   nil,   nil,   nil,   306,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   163,   162,   nil,   147,   168,   165,   164,   173,   160,
   161,   155,   153,   145,   167,   146,   874,   470,   174,   nil,
   873,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   169,   170,
   nil,   166,   148,   149,   150,   157,   154,   156,   nil,   nil,
   151,   152,   nil,   nil,   nil,   171,   172,   158,   159,   nil,
   nil,   nil,   nil,   nil,   306,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   163,   162,   nil,   147,   168,   165,   164,   173,
   160,   161,   155,   153,   145,   167,   146,  1199,   462,   174,
   nil,  1200,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   169,
   170,   nil,   166,   148,   149,   150,   157,   154,   156,   nil,
   nil,   151,   152,   nil,   nil,   nil,   171,   172,   158,   159,
   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   163,   162,   nil,   147,   168,   165,   164,
   173,   160,   161,   155,   153,   145,   167,   146,  1201,   470,
   174,   nil,  1202,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   169,   170,   nil,   166,   148,   149,   150,   157,   154,   156,
   nil,   nil,   151,   152,   nil,   nil,   nil,   171,   172,   158,
   159,   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   163,   162,   nil,   147,   168,   165,
   164,   173,   160,   161,   155,   153,   145,   167,   146,  1216,
   470,   174,   nil,  1215,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   169,   170,   nil,   166,   148,   149,   150,   157,   154,
   156,   nil,   nil,   151,   152,   nil,   nil,   nil,   171,   172,
   158,   159,   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   163,   162,   nil,   147,   168,
   165,   164,   173,   160,   161,   155,   153,   145,   167,   146,
   nil,   nil,   174 ]

racc_action_check = [
   108,   517,   517,   555,   555,    19,   392,   108,   108,   108,
   737,   384,   108,   108,   108,    18,   108,    31,    23,   416,
     5,   533,    18,   385,   108,     5,   108,   108,   108,   982,
   982,    18,   477,   417,   393,   396,   108,   108,   837,   108,
   108,   108,   108,   108,  1017,  1088,  1090,  1105,  1106,   929,
   477,   633,  1218,   533,  1109,   934,   737,   533,   533,    23,
    69,    19,  1218,   243,   839,   840,   108,   108,   108,   108,
   108,   108,   108,   108,   108,   108,   108,   108,   108,   108,
    18,    31,   108,   108,   108,   416,   108,   108,   624,   929,
   108,   852,   993,   108,   108,   517,   108,   555,   108,   417,
   108,   934,   108,   108,    31,   108,   108,   108,   108,   108,
  1165,   108,   111,   108,  1199,   392,   787,   643,   643,   111,
   111,   111,   243,   982,   111,   111,   111,   108,   111,   384,
   108,   108,   108,   108,   384,   108,   111,   108,   111,   111,
   111,   385,   108,   393,   396,   108,   385,    69,   111,   111,
  1200,   111,   111,   111,   111,   111,   837,  1201,  1220,   837,
   633,   837,  1017,  1088,  1090,  1105,  1106,  1017,  1088,  1090,
  1105,  1106,  1109,   839,   840,   841,   842,  1109,   111,   111,
   111,   111,   111,   111,   111,   111,   111,   111,   111,   111,
   111,   111,   624,  1202,   111,   111,   111,   624,   111,   111,
   852,   993,   111,   787,     1,   111,   111,   748,   111,  1059,
   111,   643,   111,   658,   111,   111,   643,   111,   111,   111,
   111,   111,   465,   111,   748,   111,     3,   244,  1165,   465,
   465,   465,  1199,  1165,  1201,   465,   465,  1199,   465,   111,
   841,   842,   111,   111,   111,   111,   465,   111,    29,   111,
   351,    20,  1059,   411,   111,    29,     9,   111,   465,   465,
   809,   465,   465,   465,   465,   465,    48,    48,  1200,   376,
  1202,    12,   376,  1200,   810,  1201,  1220,   658,   658,   246,
  1201,  1220,   358,   358,   841,   842,   244,   658,   465,   465,
   465,   465,   465,   465,   465,   465,   465,   465,   465,   465,
   465,   465,    14,   286,   465,   465,   465,    20,   465,   465,
   286,  1202,   465,    29,   351,   465,  1202,   411,   411,   411,
   465,    15,   465,   660,   465,   465,   809,   465,   465,   465,
   465,   465,   443,   465,   466,   465,   758,   351,   246,   523,
   810,   466,   466,   466,    48,    48,   930,   466,   466,   465,
   466,   331,   465,   465,   758,   465,   331,   465,   466,   466,
   358,   358,   980,   729,   465,    17,   809,   465,   286,   809,
   466,   466,   730,   466,   466,   466,   466,   466,   804,   287,
   810,   809,   930,   810,   812,    27,   287,   660,   660,   578,
   804,   443,   871,   949,   389,   810,   251,   660,   523,   389,
   466,   466,   466,   466,   466,   466,   466,   466,   466,   466,
   466,   466,   466,   466,    42,   941,   466,   466,   466,    54,
   466,   466,   729,    45,   466,   941,    54,   466,   980,   872,
  1127,   730,   466,   925,   466,    54,   466,   466,   412,   466,
   466,   466,   466,   466,   287,   466,   466,   466,    53,   812,
   812,   871,   251,   578,   578,   578,   413,   949,   949,   949,
    21,   466,   414,   941,   466,   466,   400,   466,   980,   466,
   578,   980,   415,   731,   949,   941,   466,   252,   216,   466,
   731,   731,   731,   980,    54,   731,   731,   731,   872,   731,
   812,   511,   925,   812,  1127,  1127,   511,   731,   731,   731,
   731,   731,   412,   412,   412,   812,   401,    21,   229,   731,
   731,  1127,   731,   731,   731,   731,   731,   231,   400,    21,
   413,   413,   413,   418,   627,   400,   414,   414,   414,   235,
   400,  1007,   627,   252,   400,   245,   415,   415,   415,   731,
   731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
   731,   731,   731,   400,   247,   731,   731,   731,   401,   731,
   731,    16,    16,   731,   402,   401,   731,   731,   402,   731,
   401,   731,   997,   731,   401,   731,   731,   997,   731,   731,
   731,   731,   731,   400,   731,   731,   731,   418,   418,   418,
  1007,   242,   288,   401,   289,   290,    51,    51,   242,   288,
   731,   289,   290,   731,   731,   731,   731,   242,   731,   291,
   731,    43,   732,   383,   383,   731,   291,    44,   731,   732,
   732,   732,   248,   401,   732,   732,   732,   292,   732,  1093,
   254,  1093,    51,    51,   292,   293,   732,   305,   732,   732,
   732,   137,   293,   704,   704,   319,   137,   137,   732,   732,
   362,   732,   732,   732,   732,   732,   242,   288,    43,   289,
   290,   294,   295,   778,    44,   320,   746,   778,   294,   295,
    43,   746,   323,   933,   291,   746,    44,   933,   732,   732,
   732,   732,   732,   732,   732,   732,   732,   732,   732,   732,
   732,   732,   292,   947,   732,   732,   732,   362,   732,   732,
   293,   458,   732,   947,   377,   732,   732,   377,   732,   362,
   732,   335,   732,   380,   732,   732,   380,   732,   732,   732,
   732,   732,   873,   732,   336,   732,   294,   295,    88,   873,
   873,   873,   761,   761,   824,   873,   873,   824,   873,   732,
    88,   947,   732,   732,   732,   732,   873,   732,   458,   732,
    88,   825,   825,   947,   732,   459,   338,   732,   873,   873,
   458,   873,   873,   873,   873,   873,  1157,  1091,  1091,  1157,
   233,   343,   233,   233,   233,   233,   233,   339,   343,   680,
   718,   340,   718,   718,   718,   233,   718,   343,   873,   873,
   873,   873,   873,   873,   873,   873,   873,   873,   873,   873,
   873,   873,   459,   346,   873,   873,   873,   233,   873,   873,
  1189,  1189,   873,   349,   459,   873,   233,   233,   233,   233,
   873,   350,   873,   233,   873,   873,   680,   873,   873,   873,
   873,   873,   352,   873,   874,   873,   343,   353,   680,   357,
   359,   874,   874,   874,   366,   368,   371,   874,   874,   873,
   874,   374,   873,   873,   378,   873,   379,   873,   874,   874,
   381,   390,   391,   233,   873,   395,   397,   873,   406,   426,
   874,   874,   432,   874,   874,   874,   874,   874,   434,   435,
   437,   440,   234,   344,   234,   234,   234,   234,   234,   777,
   344,   777,   777,   444,   454,   777,   456,   234,   457,   344,
   874,   874,   874,   874,   874,   874,   874,   874,   874,   874,
   874,   874,   874,   874,   467,   473,   874,   874,   874,   234,
   874,   874,   474,   478,   874,   479,   777,   874,   234,   234,
   234,   234,   874,   480,   874,   234,   874,   874,   483,   874,
   874,   874,   874,   874,   701,   874,   874,   874,   344,   484,
   345,   485,   495,   507,   701,   347,   363,   345,   510,   513,
   519,   874,   347,   363,   874,   874,   345,   874,   527,   874,
   394,   347,   363,   528,   535,   234,   874,   394,   536,   874,
     2,     2,     2,     2,     2,     2,   394,   701,   701,     2,
     2,   537,   701,   538,     2,   844,     2,     2,     2,     2,
     2,     2,     2,     8,     8,     8,     8,     8,     2,     2,
     2,     2,     2,     2,     2,   345,   563,     2,   564,   565,
   347,   363,   569,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,   394,     2,     2,     2,   404,
     2,     2,     2,     2,     2,   442,   404,   844,   585,   595,
   586,   589,   442,   591,   844,   404,   595,   596,   600,   844,
   609,   442,   610,   844,     2,   595,   611,     2,   621,   625,
     2,     2,   636,   626,     2,   628,     2,   655,   663,   636,
     2,   665,   844,   672,   534,   681,   651,   651,   636,     2,
   651,   651,   651,   686,     2,     2,     2,     2,   691,     2,
     2,     2,     2,   693,   404,   695,   711,     2,     2,   716,
   442,   717,   844,   719,   595,     2,   534,     2,     2,     2,
   534,   534,     2,     2,    38,    38,    38,    38,    38,    38,
   724,   733,   742,    38,    38,   750,   751,   636,    38,   752,
    38,    38,    38,    38,    38,    38,    38,    25,   781,   784,
   786,   792,    38,    38,    38,    38,    38,    38,    38,   793,
  1100,    38,  1100,  1100,  1100,   794,  1100,    38,    38,    38,
    38,    38,    38,    38,    38,    38,    38,    38,    38,   796,
    38,    38,    38,   798,    38,    38,    38,    38,    38,    25,
    25,    25,    25,    25,    25,    25,    25,    25,    25,    25,
   813,    25,    25,   806,   808,    25,    25,   813,    38,   811,
    25,    38,   813,   814,    38,    38,   813,   815,    38,   818,
    38,    25,   827,    25,    38,    25,    25,   833,    25,    25,
    25,    25,    25,    38,    25,   834,   838,   847,    38,    38,
    38,    38,  1107,    38,    38,    38,    38,   851,   853,  1107,
   868,    38,    38,   870,    25,   879,   892,   895,  1107,    38,
   896,    38,    38,    38,   899,   813,    38,    38,   135,   135,
   135,   135,   135,   135,   901,   904,   905,   135,   135,   907,
   908,   910,   135,   914,   135,   135,   135,   135,   135,   135,
   135,   334,   334,   334,   334,   334,   135,   135,   135,   135,
   135,   135,   135,   927,   935,   135,   936,  1107,   940,   943,
   447,   135,   135,   135,   135,   135,   135,   135,   135,   135,
   135,   135,   135,   948,   135,   135,   135,   966,   135,   135,
   135,   135,   135,   447,   447,   447,   447,   447,   447,   447,
   447,   447,   447,   447,   845,   447,   447,   969,   970,   447,
   447,   845,   135,   979,   984,   135,   845,   987,   135,   135,
   845,   994,   135,   996,   135,   447,  1003,   447,   135,   447,
   447,  1004,   447,   447,   447,   447,   447,   135,   447,  1005,
  1006,  1032,   135,   135,   135,   135,  1145,   135,   135,   135,
   135,  1033,  1038,  1145,  1043,   135,   135,  1044,   447,  1045,
   447,  1046,  1145,   135,  1047,   135,   135,   135,  1048,   845,
   135,   135,   218,   218,   218,   218,   218,   218,  1052,  1053,
  1054,   218,   218,  1056,  1060,  1067,   218,  1072,   218,   218,
   218,   218,   218,   218,   218,   373,   373,   373,   373,   373,
   218,   218,   218,   218,   218,   218,   218,  1073,  1075,   218,
  1076,  1145,  1077,  1079,   453,   218,   218,   218,   218,   218,
   218,   218,   218,   218,   218,   218,   218,  1080,   218,   218,
   218,  1081,   218,   218,   218,   218,   218,   453,   453,   453,
   453,   453,   453,   453,   453,   453,   453,   453,  1186,   453,
   453,  1097,  1108,   453,   453,  1186,   218,  1111,  1112,   218,
  1132,  1113,   218,   218,  1186,  1114,   218,  1143,   218,   453,
  1132,   453,   218,   453,   453,  1146,   453,   453,   453,   453,
   453,   218,   453,  1155,  1156,  1161,   218,   218,   218,   218,
  1171,   218,   218,   218,   218,  1172,  1173,  1176,  1179,   218,
   218,  1180,   453,  1132,  1132,  1181,  1182,   218,  1132,   218,
   218,   218,  1184,  1186,   218,   218,   230,   230,   230,   230,
   230,   230,  1198,  1203,  1215,   230,   230,  1216,  1222,  1223,
   230,  1224,   230,   230,   230,   230,   230,   230,   230,   583,
   583,   583,   583,   583,   230,   230,   230,   230,   230,   230,
   230,  1225,  1234,   230,   nil,   nil,   nil,   nil,   694,   230,
   230,   230,   230,   230,   230,   230,   230,   230,   230,   230,
   230,   nil,   230,   230,   230,   nil,   230,   230,   230,   230,
   230,   694,   694,   694,   694,   694,   694,   694,   694,   694,
   694,   694,   nil,   694,   694,   nil,   nil,   694,   694,   nil,
   230,   nil,   nil,   230,   nil,   nil,   230,   230,   nil,   nil,
   230,   nil,   230,   694,   nil,   694,   230,   694,   694,   nil,
   694,   694,   694,   694,   694,   230,   694,   nil,   nil,   nil,
   230,   230,   230,   230,   nil,   230,   230,   230,   230,   nil,
   nil,   nil,   nil,   230,   230,   nil,   694,   nil,   nil,   nil,
   nil,   230,   nil,   230,   230,   230,   nil,   nil,   230,   230,
   236,   236,   236,   236,   236,   236,   nil,   nil,   nil,   236,
   236,   nil,   nil,   nil,   236,   nil,   236,   236,   236,   236,
   236,   236,   236,   nil,   nil,   nil,   nil,   nil,   236,   236,
   236,   236,   236,   236,   236,   nil,   nil,   236,   nil,   nil,
   nil,   nil,   725,   236,   236,   236,   236,   236,   236,   236,
   236,   236,   236,   236,   236,   nil,   236,   236,   236,   nil,
   236,   236,   236,   236,   236,   725,   725,   725,   725,   725,
   725,   725,   725,   725,   725,   725,   nil,   725,   725,   nil,
   nil,   725,   725,   nil,   236,   nil,   nil,   236,   nil,   nil,
   236,   236,   nil,   nil,   236,   nil,   236,   725,   nil,   725,
   236,   725,   725,   nil,   725,   725,   725,   725,   725,   236,
   725,   nil,   nil,   nil,   236,   236,   236,   236,   nil,   236,
   236,   236,   236,   nil,   nil,   nil,   nil,   236,   236,   nil,
   725,   nil,   nil,   nil,   nil,   236,   nil,   236,   236,   236,
   nil,   nil,   236,   236,   253,   253,   253,   253,   253,   253,
   nil,   nil,   nil,   253,   253,   nil,   nil,   nil,   253,   nil,
   253,   253,   253,   253,   253,   253,   253,   nil,   nil,   nil,
   nil,   nil,   253,   253,   253,   253,   253,   253,   253,   nil,
  1196,   253,  1196,  1196,  1196,   nil,  1196,   253,   253,   253,
   253,   253,   253,   253,   253,   253,   253,   253,   253,   nil,
   253,   253,   253,   nil,   253,   253,   253,   253,   253,   317,
   317,   317,   317,   317,   317,   317,   317,   317,   317,   317,
   nil,   317,   317,   nil,   nil,   317,   317,   nil,   253,   nil,
   nil,   253,   nil,   nil,   253,   253,   nil,   nil,   253,   nil,
   253,   317,   nil,   317,   253,   317,   317,   nil,   317,   317,
   317,   317,   317,   253,   317,   nil,   nil,   nil,   253,   253,
   253,   253,   nil,   253,   253,   253,   253,   nil,   nil,   nil,
   nil,   253,   253,   nil,   317,   nil,   nil,   nil,   nil,   253,
   nil,   253,   253,   253,   nil,   nil,   253,   253,   337,   337,
   337,   337,   337,   337,   nil,   nil,   nil,   337,   337,   nil,
   nil,   nil,   337,   nil,   337,   337,   337,   337,   337,   337,
   337,   nil,   nil,   nil,   nil,   nil,   337,   337,   337,   337,
   337,   337,   337,   nil,   nil,   337,   nil,   nil,   nil,   nil,
   nil,   337,   337,   337,   337,   337,   337,   337,   337,   337,
   337,   337,   337,   nil,   337,   337,   337,   nil,   337,   337,
   337,   337,   337,   552,   552,   552,   552,   552,   552,   552,
   552,   552,   552,   552,   nil,   552,   552,   nil,   nil,   552,
   552,   nil,   337,   nil,   nil,   337,   nil,   nil,   337,   337,
   nil,   nil,   337,   nil,   337,   552,   nil,   552,   337,   552,
   552,   nil,   552,   552,   552,   552,   552,   337,   552,   nil,
   nil,   nil,   337,   337,   337,   337,   nil,   337,   337,   337,
   337,   nil,   nil,   nil,   nil,   337,   337,   552,   552,   nil,
   nil,   nil,   nil,   337,   nil,   337,   337,   337,   nil,   nil,
   337,   337,   342,   342,   342,   342,   342,   342,   nil,   nil,
   nil,   342,   342,   nil,   nil,   nil,   342,   nil,   342,   342,
   342,   342,   342,   342,   342,   nil,   nil,   nil,   nil,   nil,
   342,   342,   342,   342,   342,   342,   342,   nil,   nil,   342,
   nil,   nil,   nil,   nil,   nil,   342,   342,   342,   342,   342,
   342,   342,   342,   342,   342,   342,   342,   nil,   342,   342,
   342,   nil,   342,   342,   342,   342,   342,   819,   819,   819,
   819,   819,   819,   819,   819,   819,   819,   819,   nil,   819,
   819,   nil,   nil,   819,   819,   nil,   342,   nil,   nil,   342,
   nil,   nil,   342,   342,   nil,   nil,   342,   nil,   342,   819,
   nil,   819,   342,   819,   819,   nil,   819,   819,   819,   819,
   819,   342,   819,   nil,   nil,   nil,   342,   342,   342,   342,
   nil,   342,   342,   342,   342,   nil,   nil,   nil,   nil,   342,
   342,   nil,   819,   nil,   nil,   nil,   nil,   342,   nil,   342,
   342,   342,   nil,   nil,   342,   342,   372,   372,   372,   372,
   372,   372,   nil,   nil,   nil,   372,   372,   nil,   nil,   nil,
   372,   nil,   372,   372,   372,   372,   372,   372,   372,   nil,
   nil,   nil,   nil,   nil,   372,   372,   372,   372,   372,   372,
   372,   nil,   nil,   372,   nil,   nil,   nil,   nil,   nil,   372,
   372,   372,   372,   372,   372,   372,   372,   372,   372,   372,
   372,   nil,   372,   372,   372,   nil,   372,   372,   372,   372,
   372,   876,   876,   876,   876,   876,   876,   876,   876,   876,
   876,   876,   nil,   876,   876,   nil,   nil,   876,   876,   nil,
   372,   nil,   nil,   372,   nil,   nil,   372,   372,   nil,   nil,
   372,   nil,   372,   876,   nil,   876,   372,   876,   876,   nil,
   876,   876,   876,   876,   876,   372,   876,   nil,   nil,   nil,
   372,   372,   372,   372,   nil,   372,   372,   372,   372,   nil,
   nil,   nil,   nil,   372,   372,   nil,   876,   nil,   nil,   nil,
   nil,   372,   nil,   372,   372,   372,   nil,   nil,   372,   372,
   387,   387,   387,   387,   387,   387,   nil,   nil,   nil,   387,
   387,   nil,   nil,   nil,   387,   nil,   387,   387,   387,   387,
   387,   387,   387,   nil,   nil,   nil,   nil,   nil,   387,   387,
   387,   387,   387,   387,   387,   nil,   nil,   387,   nil,   nil,
   nil,   nil,   nil,   387,   387,   387,   387,   387,   387,   387,
   387,   387,   387,   387,   387,   nil,   387,   387,   387,   nil,
   387,   387,   387,   387,   387,  1011,  1011,  1011,  1011,  1011,
  1011,  1011,  1011,  1011,  1011,  1011,   nil,  1011,  1011,   nil,
   nil,  1011,  1011,   nil,   387,   nil,   nil,   387,   nil,   nil,
   387,   387,   nil,   nil,   387,   nil,   387,  1011,   nil,  1011,
   387,  1011,  1011,   nil,  1011,  1011,  1011,  1011,  1011,   387,
  1011,   nil,   nil,   nil,   387,   387,   387,   387,   nil,   387,
   387,   387,   387,   nil,   nil,   nil,   nil,   387,   387,   nil,
  1011,   nil,   nil,   nil,   nil,   387,   nil,   387,   387,   387,
   nil,   nil,   387,   387,   388,   388,   388,   388,   388,   388,
   nil,   nil,   nil,   388,   388,   nil,   nil,   nil,   388,   nil,
   388,   388,   388,   388,   388,   388,   388,   nil,   nil,   nil,
   nil,   nil,   388,   388,   388,   388,   388,   388,   388,   nil,
   nil,   388,   nil,   nil,   nil,   nil,   nil,   388,   388,   388,
   388,   388,   388,   388,   388,   388,   388,   388,   388,   nil,
   388,   388,   388,   nil,   388,   388,   388,   388,   388,  1012,
  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
   nil,  1012,  1012,   nil,   nil,  1012,  1012,   nil,   388,   nil,
   nil,   388,   nil,   nil,   388,   388,   nil,   nil,   388,   nil,
   388,  1012,   nil,  1012,   388,  1012,  1012,   nil,  1012,  1012,
  1012,  1012,  1012,   388,  1012,   nil,   nil,   nil,   388,   388,
   388,   388,   nil,   388,   388,   388,   388,   nil,   nil,   nil,
   nil,   388,   388,   nil,  1012,   nil,   nil,   nil,   nil,   388,
   nil,   388,   388,   388,   nil,   nil,   388,   388,   620,   620,
   620,   620,   620,   620,   nil,   nil,   nil,   620,   620,   nil,
   nil,   nil,   620,   nil,   620,   620,   620,   620,   620,   620,
   620,   nil,   nil,   nil,   nil,   nil,   620,   620,   620,   620,
   620,   620,   620,   nil,   nil,   620,   nil,   nil,   nil,   nil,
   nil,   620,   620,   620,   620,   620,   620,   620,   620,   620,
   620,   620,   620,   nil,   620,   620,   620,   nil,   620,   620,
   620,   620,   620,  1034,  1034,  1034,  1034,  1034,  1034,  1034,
  1034,  1034,  1034,  1034,   nil,  1034,  1034,   nil,   nil,  1034,
  1034,   nil,   620,   nil,   nil,   620,   nil,   nil,   620,   620,
   nil,   nil,   620,   nil,   620,  1034,   nil,  1034,   620,  1034,
  1034,   nil,  1034,  1034,  1034,  1034,  1034,   620,  1034,   nil,
   nil,   nil,   620,   620,   620,   620,   nil,   620,   620,   620,
   620,   nil,   nil,   nil,   nil,   620,   620,   nil,  1034,   nil,
   nil,   nil,   nil,   620,   nil,   620,   620,   620,   nil,   nil,
   620,   620,   623,   623,   623,   623,   623,   623,   nil,   nil,
   nil,   623,   623,   nil,   nil,   nil,   623,   nil,   623,   623,
   623,   623,   623,   623,   623,   nil,   nil,   nil,   nil,   nil,
   623,   623,   623,   623,   623,   623,   623,   nil,   nil,   623,
   nil,   nil,   nil,   nil,   nil,   623,   623,   623,   623,   623,
   623,   623,   623,   623,   623,   623,   623,   nil,   623,   623,
   623,   nil,   623,   623,   623,   623,   623,  1035,  1035,  1035,
  1035,  1035,  1035,  1035,  1035,  1035,  1035,  1035,   nil,  1035,
  1035,   nil,   nil,  1035,  1035,   nil,   623,   nil,   nil,   623,
   nil,   nil,   623,   623,   nil,   nil,   623,   nil,   623,  1035,
   nil,  1035,   623,  1035,  1035,   nil,  1035,  1035,  1035,  1035,
  1035,   623,  1035,   nil,   nil,   nil,   623,   623,   623,   623,
   nil,   623,   623,   623,   623,   nil,   nil,   nil,   nil,   623,
   623,   nil,  1035,   nil,   nil,   nil,   nil,   623,   nil,   623,
   623,   623,   nil,   nil,   623,   623,   644,   644,   644,   644,
   644,   644,   nil,   nil,   nil,   644,   644,   nil,   nil,   nil,
   644,   nil,   644,   644,   644,   644,   644,   644,   644,   nil,
   nil,   nil,   nil,   nil,   644,   644,   644,   644,   644,   644,
   644,   nil,   nil,   644,   nil,   nil,   nil,   nil,   nil,   644,
   644,   644,   644,   644,   644,   644,   644,   644,   644,   644,
   644,   nil,   644,   644,   644,   nil,   644,   644,   644,   644,
   644,  1068,  1068,  1068,  1068,  1068,  1068,  1068,  1068,  1068,
  1068,  1068,   nil,  1068,  1068,   nil,   nil,  1068,  1068,   nil,
   644,   nil,   nil,   644,   nil,   nil,   644,   644,   nil,   nil,
   644,   nil,   644,  1068,   nil,  1068,   644,  1068,  1068,   nil,
  1068,  1068,  1068,  1068,  1068,   644,  1068,   nil,   nil,   nil,
   644,   644,   644,   644,   nil,   644,   644,   644,   644,   nil,
   nil,   nil,   nil,   644,   644,   nil,  1068,   nil,   nil,   nil,
   nil,   644,   nil,   644,   644,   644,   nil,   nil,   644,   644,
   843,   843,   843,   843,   843,   843,   nil,   nil,   nil,   843,
   843,   nil,   nil,   nil,   843,   nil,   843,   843,   843,   843,
   843,   843,   843,   nil,   nil,   nil,   nil,   nil,   843,   843,
   843,   843,   843,   843,   843,   nil,   496,   843,   496,   496,
   496,   nil,   496,   843,   843,   843,   843,   843,   843,   843,
   843,   843,   843,   843,   843,   nil,   843,   843,   843,   nil,
   843,   843,   843,   843,   843,   714,   nil,   714,   714,   714,
   nil,   714,   nil,   496,   nil,   916,   nil,   916,   916,   916,
   nil,   916,   496,   nil,   843,   nil,   nil,   843,   nil,   nil,
   843,   843,   nil,   nil,   843,   915,   843,   915,   915,   915,
   843,   915,   714,   nil,   nil,   nil,   nil,   nil,   nil,   843,
   nil,   714,   916,   nil,   843,   843,   843,   843,   nil,   843,
   843,   843,   843,   nil,   nil,   nil,   nil,   843,   843,   nil,
   nil,   nil,   915,   nil,   nil,   843,   nil,   843,   843,   843,
   nil,   915,   843,   843,   848,   848,   848,   848,   848,   848,
   nil,   nil,   nil,   848,   848,   nil,   nil,   nil,   848,   nil,
   848,   848,   848,   848,   848,   848,   848,   nil,   nil,   nil,
   nil,   nil,   848,   848,   848,   848,   848,   848,   848,   nil,
   nil,   848,   nil,   nil,   nil,   nil,   nil,   848,   848,   848,
   848,   848,   848,   848,   848,   848,   848,   848,   848,   nil,
   848,   848,   848,   nil,   848,   848,   848,   848,   848,   364,
   364,   364,   364,   364,   364,   364,   364,   364,   364,   364,
   nil,   364,   364,   nil,   nil,   364,   364,   nil,   848,   nil,
   nil,   848,   nil,   nil,   848,   848,   nil,   548,   848,   nil,
   848,   364,   nil,   364,   848,   364,   364,   nil,   364,   364,
   364,   364,   364,   848,   364,   nil,   nil,   nil,   848,   848,
   848,   848,   nil,   848,   848,   848,   848,   nil,   nil,   548,
   nil,   848,   848,   548,   548,   nil,   548,   548,   nil,   848,
   nil,   848,   848,   848,   nil,   nil,   848,   848,   859,   859,
   859,   859,   859,   859,   nil,   nil,   nil,   859,   859,   nil,
   nil,   nil,   859,   nil,   859,   859,   859,   859,   859,   859,
   859,   nil,   nil,   nil,   nil,   nil,   859,   859,   859,   859,
   859,   859,   859,   nil,   nil,   859,   nil,   nil,   nil,   nil,
   nil,   859,   859,   859,   859,   859,   859,   859,   859,   859,
   859,   859,   859,   nil,   859,   859,   859,   nil,   859,   859,
   859,   859,   859,   365,   365,   365,   365,   365,   365,   365,
   365,   365,   365,   365,   nil,   365,   365,   nil,   nil,   365,
   365,   nil,   859,   nil,   nil,   859,   nil,   nil,   859,   859,
   nil,   549,   859,   nil,   859,   365,   nil,   365,   859,   365,
   365,   nil,   365,   365,   365,   365,   365,   859,   365,   nil,
   nil,   nil,   859,   859,   859,   859,   nil,   859,   859,   859,
   859,   nil,   nil,   549,   nil,   859,   859,   549,   549,   nil,
   549,   549,   nil,   859,   nil,   859,   859,   859,   nil,   nil,
   859,   859,   894,   894,   894,   894,   894,   894,   nil,   nil,
   nil,   894,   894,   nil,   nil,   nil,   894,   nil,   894,   894,
   894,   894,   894,   894,   894,   nil,   nil,   nil,   nil,   nil,
   894,   894,   894,   894,   894,   894,   894,   nil,   nil,   894,
   nil,   nil,   nil,   nil,   nil,   894,   894,   894,   894,   894,
   894,   894,   894,   894,   894,   894,   894,   nil,   894,   894,
   894,   nil,   894,   894,   894,   894,   894,   531,   531,   531,
   531,   531,   531,   531,   531,   531,   531,   531,   nil,   531,
   531,   nil,   nil,   531,   531,   nil,   894,   nil,   nil,   894,
   nil,   nil,   894,   894,   nil,   nil,   894,   nil,   894,   531,
   nil,   531,   894,   531,   531,   nil,   531,   531,   531,   531,
   531,   894,   531,   nil,   nil,   nil,   894,   894,   894,   894,
   nil,   894,   894,   894,   894,   nil,   nil,   nil,   nil,   894,
   894,   nil,  1115,   nil,  1115,  1115,  1115,   894,  1115,   894,
   894,   894,   nil,   nil,   894,   894,   974,   974,   974,   974,
   974,   974,   nil,   nil,   nil,   974,   974,   nil,   nil,   nil,
   974,   nil,   974,   974,   974,   974,   974,   974,   974,  1115,
   nil,   nil,   nil,   nil,   974,   974,   974,   974,   974,   974,
   974,   nil,   nil,   974,   nil,   nil,   nil,   nil,   nil,   974,
   974,   974,   974,   974,   974,   974,   974,   974,   974,   974,
   974,   nil,   974,   974,   974,   nil,   974,   974,   974,   974,
   974,   532,   532,   532,   532,   532,   532,   532,   532,   532,
   532,   532,   nil,   532,   532,   nil,   nil,   532,   532,   nil,
   974,   nil,   nil,   974,   nil,   nil,   974,   974,   nil,   nil,
   974,   nil,   974,   532,   nil,   532,   974,   532,   532,   nil,
   532,   532,   532,   532,   532,   974,   532,   nil,   nil,   nil,
   974,   974,   974,   974,   nil,   974,   974,   974,   974,   nil,
   nil,   nil,   nil,   974,   974,   nil,  1116,   nil,  1116,  1116,
  1116,   974,  1116,   974,   974,   974,   nil,   nil,   974,   974,
   992,   992,   992,   992,   992,   992,   nil,   nil,   nil,   992,
   992,   nil,   nil,   nil,   992,   nil,   992,   992,   992,   992,
   992,   992,   992,  1116,   nil,   nil,   nil,   nil,   992,   992,
   992,   992,   992,   992,   992,   nil,   nil,   992,   nil,   nil,
   nil,   nil,   nil,   992,   992,   992,   992,   992,   992,   992,
   992,   992,   992,   992,   992,   nil,   992,   992,   992,   nil,
   992,   992,   992,   992,   992,   542,   542,   542,   542,   542,
   542,   542,   nil,   nil,   542,   542,   nil,   nil,   nil,   nil,
   nil,   542,   542,   nil,   992,   nil,   nil,   992,   nil,   nil,
   992,   992,   nil,   nil,   992,   nil,   992,   542,   nil,   542,
   992,   542,   542,   nil,   542,   542,   542,   542,   542,   992,
   542,   nil,   nil,   nil,   992,   992,   992,   992,   nil,   992,
   992,   992,   992,   nil,   nil,   nil,   nil,   992,   992,   nil,
   nil,   nil,   nil,   nil,   nil,   992,   nil,   992,   992,   992,
   nil,   nil,   992,   992,   998,   998,   998,   998,   998,   998,
   nil,   nil,   nil,   998,   998,   nil,   nil,   nil,   998,   nil,
   998,   998,   998,   998,   998,   998,   998,   nil,   nil,   nil,
   nil,   nil,   998,   998,   998,   998,   998,   998,   998,   nil,
   nil,   998,   nil,   nil,   nil,   nil,   nil,   998,   998,   998,
   998,   998,   998,   998,   998,   998,   998,   998,   998,   nil,
   998,   998,   998,   nil,   998,   998,   998,   998,   998,   543,
   543,   543,   543,   543,   543,   543,   nil,   nil,   543,   543,
   nil,   nil,   nil,   nil,   nil,   543,   543,   nil,   998,   nil,
   nil,   998,   nil,   nil,   998,   998,   nil,   nil,   998,   nil,
   998,   543,   nil,   543,   998,   543,   543,   nil,   543,   543,
   543,   543,   543,   998,   543,   nil,   nil,   nil,   998,   998,
   998,   998,   nil,   998,   998,   998,   998,   nil,   nil,   nil,
   nil,   998,   998,   nil,   nil,   nil,   nil,   nil,   nil,   998,
   nil,   998,   998,   998,   nil,   nil,   998,   998,  1014,  1014,
  1014,  1014,  1014,  1014,   nil,   nil,   nil,  1014,  1014,   nil,
   nil,   nil,  1014,   nil,  1014,  1014,  1014,  1014,  1014,  1014,
  1014,   nil,   nil,   nil,   nil,   nil,  1014,  1014,  1014,  1014,
  1014,  1014,  1014,   nil,   nil,  1014,   nil,   nil,   nil,   nil,
   nil,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
  1014,  1014,  1014,   nil,  1014,  1014,  1014,   nil,  1014,  1014,
  1014,  1014,  1014,   544,   544,   544,   544,   544,   544,   544,
   nil,   nil,   544,   544,   nil,   nil,   nil,   nil,   nil,   544,
   544,   nil,  1014,   nil,   nil,  1014,   nil,   nil,  1014,  1014,
   nil,   nil,  1014,   nil,  1014,   544,   nil,   544,  1014,   544,
   544,   nil,   544,   544,   544,   544,   544,  1014,   544,   nil,
   nil,   nil,  1014,  1014,  1014,  1014,   nil,  1014,  1014,  1014,
  1014,   nil,   nil,   nil,   nil,  1014,  1014,   nil,   nil,   nil,
   nil,   nil,   nil,  1014,   nil,  1014,  1014,  1014,   nil,   nil,
  1014,  1014,  1069,  1069,  1069,  1069,  1069,  1069,   nil,   nil,
   nil,  1069,  1069,   nil,   nil,   nil,  1069,   nil,  1069,  1069,
  1069,  1069,  1069,  1069,  1069,   nil,   nil,   nil,   nil,   nil,
  1069,  1069,  1069,  1069,  1069,  1069,  1069,   nil,   nil,  1069,
   nil,   nil,   nil,   nil,   nil,  1069,  1069,  1069,  1069,  1069,
  1069,  1069,  1069,  1069,  1069,  1069,  1069,   nil,  1069,  1069,
  1069,   nil,  1069,  1069,  1069,  1069,  1069,   545,   545,   545,
   545,   545,   545,   545,   nil,   nil,   545,   545,   nil,   nil,
   nil,   nil,   nil,   545,   545,   nil,  1069,   nil,   nil,  1069,
   nil,   nil,  1069,  1069,   nil,   nil,  1069,   nil,  1069,   545,
   nil,   545,  1069,   545,   545,   nil,   545,   545,   545,   545,
   545,  1069,   545,   nil,   nil,   nil,  1069,  1069,  1069,  1069,
   nil,  1069,  1069,  1069,  1069,   nil,   nil,   nil,   nil,  1069,
  1069,   nil,   nil,   nil,   nil,   nil,   nil,  1069,   nil,  1069,
  1069,  1069,   nil,   nil,  1069,  1069,  1098,  1098,  1098,  1098,
  1098,  1098,   nil,   nil,   nil,  1098,  1098,   nil,   nil,   nil,
  1098,   nil,  1098,  1098,  1098,  1098,  1098,  1098,  1098,   nil,
   nil,   nil,   nil,   nil,  1098,  1098,  1098,  1098,  1098,  1098,
  1098,   nil,   nil,  1098,   nil,   nil,   nil,   nil,   nil,  1098,
  1098,  1098,  1098,  1098,  1098,  1098,  1098,  1098,  1098,  1098,
  1098,   nil,  1098,  1098,  1098,   nil,  1098,  1098,  1098,  1098,
  1098,   546,   546,   546,   546,   546,   546,   546,   nil,   nil,
   546,   546,   nil,   nil,   nil,   nil,   nil,   546,   546,   nil,
  1098,   nil,   nil,  1098,   nil,   nil,  1098,  1098,   nil,   nil,
  1098,   nil,  1098,   546,   nil,   546,  1098,   546,   546,   nil,
   546,   546,   546,   546,   546,  1098,   546,   nil,   nil,   nil,
  1098,  1098,  1098,  1098,   nil,  1098,  1098,  1098,  1098,   nil,
   nil,   nil,   nil,  1098,  1098,   nil,   nil,   nil,   nil,   nil,
   nil,  1098,   nil,  1098,  1098,  1098,   nil,   nil,  1098,  1098,
  1099,  1099,  1099,  1099,  1099,  1099,   nil,   nil,   nil,  1099,
  1099,   nil,   nil,   nil,  1099,   nil,  1099,  1099,  1099,  1099,
  1099,  1099,  1099,   nil,   nil,   nil,   nil,   nil,  1099,  1099,
  1099,  1099,  1099,  1099,  1099,   nil,   nil,  1099,   nil,   nil,
   nil,   nil,   nil,  1099,  1099,  1099,  1099,  1099,  1099,  1099,
  1099,  1099,  1099,  1099,  1099,   nil,  1099,  1099,  1099,   nil,
  1099,  1099,  1099,  1099,  1099,   547,   547,   547,   547,   547,
   547,   547,   nil,   nil,   547,   547,   nil,   nil,   nil,   nil,
   nil,   547,   547,   nil,  1099,   nil,   nil,  1099,   nil,   nil,
  1099,  1099,   nil,   nil,  1099,   nil,  1099,   547,   nil,   547,
  1099,   547,   547,   nil,   547,   547,   547,   547,   547,  1099,
   547,   nil,   nil,   nil,  1099,  1099,  1099,  1099,   nil,  1099,
  1099,  1099,  1099,   nil,   nil,   nil,   nil,  1099,  1099,   nil,
   nil,   nil,   nil,   nil,   nil,  1099,   nil,  1099,  1099,  1099,
   nil,   nil,  1099,  1099,  1104,  1104,  1104,  1104,  1104,  1104,
   nil,   nil,   nil,  1104,  1104,   nil,   nil,   nil,  1104,   nil,
  1104,  1104,  1104,  1104,  1104,  1104,  1104,   nil,   nil,   nil,
   nil,   nil,  1104,  1104,  1104,  1104,  1104,  1104,  1104,   nil,
   nil,  1104,   nil,   nil,   nil,   nil,   nil,  1104,  1104,  1104,
  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,  1104,   nil,
  1104,  1104,  1104,   nil,  1104,  1104,  1104,  1104,  1104,   550,
   550,   550,   550,   550,   550,   550,   nil,   nil,   550,   550,
   nil,   nil,   nil,   nil,   nil,   550,   550,   nil,  1104,   nil,
   nil,  1104,   nil,   nil,  1104,  1104,   nil,   nil,  1104,   nil,
  1104,   550,   nil,   550,  1104,   550,   550,   nil,   550,   550,
   550,   550,   550,  1104,   550,   nil,   nil,   nil,  1104,  1104,
  1104,  1104,   nil,  1104,  1104,  1104,  1104,   nil,   nil,   nil,
   nil,  1104,  1104,   nil,   nil,   nil,   nil,   nil,   nil,  1104,
   nil,  1104,  1104,  1104,   nil,   nil,  1104,  1104,  1147,  1147,
  1147,  1147,  1147,  1147,   nil,   nil,   nil,  1147,  1147,   nil,
   nil,   nil,  1147,   nil,  1147,  1147,  1147,  1147,  1147,  1147,
  1147,   nil,   nil,   nil,   nil,   nil,  1147,  1147,  1147,  1147,
  1147,  1147,  1147,   nil,   nil,  1147,   nil,   nil,   nil,   nil,
   nil,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,  1147,
  1147,  1147,  1147,   nil,  1147,  1147,  1147,   nil,  1147,  1147,
  1147,  1147,  1147,   551,   551,   551,   551,   551,   551,   551,
   551,   nil,   551,   551,   nil,   nil,   nil,   nil,   nil,   551,
   551,   nil,  1147,   nil,   nil,  1147,   nil,   nil,  1147,  1147,
   nil,   nil,  1147,   nil,  1147,   551,   nil,   551,  1147,   551,
   551,   nil,   551,   551,   551,   551,   551,  1147,   551,   nil,
   nil,   nil,  1147,  1147,  1147,  1147,   nil,  1147,  1147,  1147,
  1147,   nil,   nil,   nil,   nil,  1147,  1147,   nil,   nil,   nil,
   nil,   nil,   nil,  1147,   nil,  1147,  1147,  1147,   nil,   nil,
  1147,  1147,  1190,  1190,  1190,  1190,  1190,  1190,   nil,   nil,
   nil,  1190,  1190,   nil,   nil,   nil,  1190,   nil,  1190,  1190,
  1190,  1190,  1190,  1190,  1190,   nil,   nil,   nil,   nil,   nil,
  1190,  1190,  1190,  1190,  1190,  1190,  1190,   nil,   nil,  1190,
   nil,   nil,   nil,   nil,   nil,  1190,  1190,  1190,  1190,  1190,
  1190,  1190,  1190,  1190,  1190,  1190,  1190,   nil,  1190,  1190,
  1190,   nil,  1190,  1190,  1190,  1190,  1190,   553,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   553,   553,   nil,  1190,   nil,   nil,  1190,
   nil,   nil,  1190,  1190,   nil,   nil,  1190,   nil,  1190,   553,
   nil,   553,  1190,   553,   553,   nil,   553,   553,   nil,   nil,
   553,  1190,   553,   nil,   nil,   nil,  1190,  1190,  1190,  1190,
   nil,  1190,  1190,  1190,  1190,   nil,   nil,   nil,   nil,  1190,
  1190,   nil,   nil,   nil,   nil,   nil,   nil,  1190,   nil,  1190,
  1190,  1190,   nil,   nil,  1190,  1190,     7,     7,     7,     7,
     7,   nil,   nil,   nil,     7,     7,   nil,   nil,   nil,     7,
   nil,     7,     7,     7,     7,     7,     7,     7,   nil,   nil,
   nil,   nil,   nil,     7,     7,     7,     7,     7,     7,     7,
   nil,   nil,     7,   nil,   nil,   nil,   nil,   nil,     7,     7,
     7,     7,     7,     7,     7,     7,     7,     7,     7,     7,
   nil,     7,     7,     7,   nil,     7,     7,     7,     7,     7,
   606,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   606,   606,   nil,     7,
   nil,   nil,     7,   nil,   nil,     7,     7,   nil,   nil,     7,
   nil,     7,   606,   nil,   606,     7,   606,   606,   nil,   606,
   606,   nil,   nil,   606,     7,   606,   nil,   nil,   nil,     7,
     7,     7,     7,   nil,     7,     7,     7,     7,   nil,   nil,
   nil,   nil,     7,     7,   nil,   nil,   nil,    24,    24,    24,
     7,    24,     7,     7,     7,    24,    24,     7,     7,   nil,
    24,   nil,    24,    24,    24,    24,    24,    24,    24,   nil,
   nil,   nil,   nil,   nil,    24,    24,    24,    24,    24,    24,
    24,   nil,   nil,    24,   nil,   nil,   nil,   nil,   nil,   nil,
    24,   nil,   nil,    24,    24,    24,    24,    24,    24,    24,
    24,   nil,    24,    24,    24,   nil,    24,    24,    24,    24,
    24,   539,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   539,   539,   nil,
    24,   nil,   nil,    24,   nil,   nil,    24,    24,   nil,   nil,
    24,   nil,   nil,   539,   nil,   539,    24,   539,   539,   nil,
   539,   539,   nil,   nil,   nil,    24,   nil,   nil,   nil,   nil,
    24,    24,    24,    24,   nil,    24,    24,    24,    24,   nil,
   nil,   nil,   nil,    24,    24,   nil,   nil,   nil,   nil,   nil,
   nil,    24,   nil,    24,    24,    24,    32,   nil,    24,    24,
   nil,   nil,   nil,    32,    32,    32,   nil,   nil,    32,    32,
    32,   540,    32,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    32,    32,    32,    32,   nil,   nil,   nil,   540,   540,   nil,
   nil,   nil,    32,    32,   nil,    32,    32,    32,    32,    32,
   nil,   nil,   nil,   540,   nil,   540,   nil,   540,   540,   nil,
   540,   540,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    32,    32,    32,    32,    32,    32,    32,    32,
    32,    32,    32,    32,    32,    32,   nil,   nil,    32,    32,
    32,   nil,   nil,    32,   nil,    32,    32,   nil,   nil,    32,
    32,   nil,    32,   nil,    32,   nil,    32,   nil,    32,    32,
   nil,    32,    32,    32,    32,    32,    33,    32,    32,    32,
   nil,   nil,   nil,    33,    33,    33,   nil,   nil,    33,    33,
    33,   nil,    33,    32,   541,   nil,    32,    32,   nil,    32,
    33,    32,    33,    33,   nil,   nil,   nil,   nil,    32,   nil,
   541,   541,    33,    33,   nil,    33,    33,    33,    33,    33,
   nil,   nil,   nil,   nil,   nil,   nil,   541,   nil,   nil,   nil,
   541,   541,   nil,   541,   541,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    33,    33,    33,    33,    33,    33,    33,    33,
    33,    33,    33,    33,    33,    33,   nil,   nil,    33,    33,
    33,   nil,   nil,    33,   nil,    33,    33,   nil,   nil,    33,
    33,   nil,    33,   nil,    33,   nil,    33,   nil,    33,    33,
   nil,    33,    33,    33,    33,    33,   nil,    33,   nil,    33,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    33,   nil,   nil,    33,    33,   nil,    33,
   nil,    33,    34,    34,    34,   nil,    34,   nil,    33,   nil,
    34,    34,   nil,   nil,   nil,    34,   nil,    34,    34,    34,
    34,    34,    34,    34,   nil,   nil,   nil,   nil,   nil,    34,
    34,    34,    34,    34,    34,    34,   nil,   nil,    34,   nil,
   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,    34,    34,
    34,    34,    34,    34,    34,    34,    34,    34,    34,    34,
   nil,    34,    34,    34,    34,    34,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,    34,   nil,
   nil,    34,    34,   nil,   nil,    34,   nil,    34,   nil,    34,
   nil,    34,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
    34,   nil,   nil,   nil,   nil,    34,    34,    34,    34,   nil,
    34,    34,    34,    34,   nil,   nil,   nil,   nil,    34,    34,
   nil,   nil,   nil,    35,    35,    35,    34,    35,    34,    34,
    34,    35,    35,    34,    34,   nil,    35,   nil,    35,    35,
    35,    35,    35,    35,    35,   nil,   nil,   nil,   nil,   nil,
    35,    35,    35,    35,    35,    35,    35,   nil,   nil,    35,
   nil,   nil,   nil,   nil,   nil,   nil,    35,   nil,   nil,    35,
    35,    35,    35,    35,    35,    35,    35,    35,    35,    35,
    35,   nil,    35,    35,    35,    35,    35,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    35,   nil,   nil,    35,
   nil,   nil,    35,    35,   nil,   nil,    35,   nil,    35,   nil,
    35,   nil,    35,   nil,   nil,    35,   nil,   nil,   nil,   nil,
   nil,    35,   nil,   nil,   nil,   nil,    35,    35,    35,    35,
   nil,    35,    35,    35,    35,   nil,   nil,   nil,   nil,    35,
    35,   nil,   nil,   nil,    36,    36,    36,    35,    36,    35,
    35,    35,    36,    36,    35,    35,   nil,    36,   nil,    36,
    36,    36,    36,    36,    36,    36,   nil,   nil,   nil,   nil,
   nil,    36,    36,    36,    36,    36,    36,    36,   nil,   nil,
    36,   nil,   nil,   nil,   nil,   nil,   nil,    36,   nil,   nil,
    36,    36,    36,    36,    36,    36,    36,    36,    36,    36,
    36,    36,   nil,    36,    36,    36,    36,    36,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    36,   nil,   nil,
    36,   nil,   nil,    36,    36,   nil,   nil,    36,   nil,    36,
   nil,    36,   nil,    36,   nil,   nil,    36,   nil,   nil,   nil,
   nil,   nil,    36,   nil,   nil,   nil,   nil,    36,    36,    36,
    36,   nil,    36,    36,    36,    36,   nil,   nil,   nil,   nil,
    36,    36,   nil,   nil,   nil,    46,    46,    46,    36,    46,
    36,    36,    36,    46,    46,    36,    36,   nil,    46,   nil,
    46,    46,    46,    46,    46,    46,    46,   nil,   nil,   nil,
   nil,   nil,    46,    46,    46,    46,    46,    46,    46,   nil,
   nil,    46,   nil,   nil,   nil,   nil,   nil,   nil,    46,   nil,
   nil,    46,    46,    46,    46,    46,    46,    46,    46,   nil,
    46,    46,    46,   nil,    46,    46,    46,    46,    46,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    46,   nil,
   nil,    46,   nil,   nil,    46,    46,   nil,   nil,    46,   nil,
   nil,   nil,   nil,   nil,    46,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    46,   nil,   nil,   nil,   nil,    46,    46,
    46,    46,   nil,    46,    46,    46,    46,   nil,   nil,   nil,
   nil,    46,    46,   nil,   nil,   nil,    47,    47,    47,    46,
    47,    46,    46,    46,    47,    47,    46,    46,   nil,    47,
   nil,    47,    47,    47,    47,    47,    47,    47,   nil,   nil,
   nil,   nil,   nil,    47,    47,    47,    47,    47,    47,    47,
   nil,   nil,    47,   nil,   nil,   nil,   nil,   nil,   nil,    47,
   nil,   nil,    47,    47,    47,    47,    47,    47,    47,    47,
   nil,    47,    47,    47,   nil,    47,    47,    47,    47,    47,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    47,
   nil,   nil,    47,   nil,   nil,    47,    47,   nil,   nil,    47,
   nil,   nil,   nil,   nil,   nil,    47,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    47,   nil,   nil,   nil,   nil,    47,
    47,    47,    47,   nil,    47,    47,    47,    47,   nil,   nil,
   nil,   nil,    47,    47,   nil,   nil,   nil,    49,    49,    49,
    47,    49,    47,    47,    47,    49,    49,    47,    47,   nil,
    49,   nil,    49,    49,    49,    49,    49,    49,    49,   nil,
   nil,   nil,   nil,   nil,    49,    49,    49,    49,    49,    49,
    49,   nil,   nil,    49,   nil,   nil,   nil,   nil,   nil,   nil,
    49,   nil,   nil,    49,    49,    49,    49,    49,    49,    49,
    49,   nil,    49,    49,    49,   nil,    49,    49,    49,    49,
    49,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    49,   nil,   nil,    49,   nil,   nil,    49,    49,   nil,   nil,
    49,   nil,   nil,   nil,   nil,   nil,    49,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    49,   nil,   nil,   nil,   nil,
    49,    49,    49,    49,   nil,    49,    49,    49,    49,   nil,
   nil,   nil,   nil,    49,    49,   nil,   nil,   nil,    50,    50,
    50,    49,    50,    49,    49,    49,    50,    50,    49,    49,
   nil,    50,   nil,    50,    50,    50,    50,    50,    50,    50,
   nil,   nil,   nil,   nil,   nil,    50,    50,    50,    50,    50,
    50,    50,   nil,   nil,    50,   nil,   nil,   nil,   nil,   nil,
   nil,    50,   nil,   nil,    50,    50,    50,    50,    50,    50,
    50,    50,   nil,    50,    50,    50,   nil,    50,    50,    50,
    50,    50,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    50,   nil,   nil,    50,   nil,   nil,    50,    50,   nil,
   nil,    50,   nil,   nil,   nil,   nil,   nil,    50,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    50,   nil,   nil,   nil,
   nil,    50,    50,    50,    50,   nil,    50,    50,    50,    50,
   nil,   nil,   nil,   nil,    50,    50,   nil,   nil,   nil,    52,
    52,    52,    50,    52,    50,    50,    50,    52,    52,    50,
    50,   nil,    52,   nil,    52,    52,    52,    52,    52,    52,
    52,   nil,   nil,   nil,   nil,   nil,    52,    52,    52,    52,
    52,    52,    52,   nil,   nil,    52,   nil,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,    52,    52,    52,    52,    52,
    52,    52,    52,   nil,    52,    52,    52,   nil,    52,    52,
    52,    52,    52,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    52,   nil,   nil,    52,   nil,   nil,    52,    52,
   nil,   nil,    52,   nil,   nil,   nil,   nil,   nil,    52,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    52,   nil,   nil,
   nil,   nil,    52,    52,    52,    52,   nil,    52,    52,    52,
    52,   nil,   nil,   nil,   nil,    52,    52,   nil,   nil,   nil,
   nil,   nil,   nil,    52,   nil,    52,    52,    52,    64,   nil,
    52,    52,   nil,   nil,   nil,    64,    64,    64,   nil,   nil,
    64,    64,    64,   nil,    64,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    64,   nil,    64,    64,    64,   nil,   nil,   nil,
   764,   764,   764,   764,    64,    64,   nil,    64,    64,    64,
    64,    64,   nil,   nil,   nil,   nil,   764,   764,   764,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   764,
   764,   nil,   nil,   764,    64,    64,    64,    64,    64,    64,
    64,    64,    64,    64,    64,    64,    64,    64,   nil,   nil,
    64,    64,    64,   nil,   nil,    64,   nil,   nil,    64,   nil,
   nil,    64,    64,   nil,    64,   nil,    64,   nil,    64,   nil,
    64,    64,   nil,    64,    64,    64,    64,    64,   nil,    64,
   nil,    64,   nil,   764,   764,   764,   764,   nil,   764,   764,
   764,   764,   nil,   nil,   nil,    64,   764,   764,    64,    64,
    64,    64,   nil,    64,   764,    64,   764,   764,   764,   nil,
    64,    66,    66,    66,    66,    66,   nil,   nil,   nil,    66,
    66,   nil,   nil,   nil,    66,   nil,    66,    66,    66,    66,
    66,    66,    66,   nil,   nil,   nil,   nil,   nil,    66,    66,
    66,    66,    66,    66,    66,   nil,   nil,    66,   nil,   nil,
   nil,   nil,   nil,    66,    66,   nil,    66,    66,    66,    66,
    66,    66,    66,    66,    66,   nil,    66,    66,    66,   nil,
    66,    66,    66,    66,    66,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    66,   nil,   nil,    66,   nil,   nil,
    66,    66,   nil,   nil,    66,   nil,    66,   nil,   nil,   nil,
    66,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    66,
   nil,   nil,   nil,   nil,    66,    66,    66,    66,   nil,    66,
    66,    66,    66,   nil,   nil,   nil,   nil,    66,    66,   nil,
   nil,   nil,    67,    67,    67,    66,    67,    66,    66,    66,
    67,    67,    66,    66,   nil,    67,   nil,    67,    67,    67,
    67,    67,    67,    67,   nil,   nil,   nil,   nil,   nil,    67,
    67,    67,    67,    67,    67,    67,   nil,   nil,    67,   nil,
   nil,   nil,   nil,   nil,   nil,    67,   nil,   nil,    67,    67,
    67,    67,    67,    67,    67,    67,    67,    67,    67,    67,
   nil,    67,    67,    67,    67,    67,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    67,   nil,   nil,    67,   nil,
   nil,    67,    67,   nil,   nil,    67,   nil,    67,   nil,   nil,
   nil,    67,   nil,   nil,    67,   nil,   nil,   nil,   nil,   nil,
    67,   nil,   nil,   nil,   nil,    67,    67,    67,    67,   nil,
    67,    67,    67,    67,   nil,   nil,   nil,   nil,    67,    67,
   nil,   nil,   nil,    68,    68,    68,    67,    68,    67,    67,
    67,    68,    68,    67,    67,   nil,    68,   nil,    68,    68,
    68,    68,    68,    68,    68,   nil,   nil,   nil,   nil,   nil,
    68,    68,    68,    68,    68,    68,    68,   nil,   nil,    68,
   nil,   nil,   nil,   nil,   nil,   nil,    68,   nil,   nil,    68,
    68,    68,    68,    68,    68,    68,    68,    68,    68,    68,
    68,   nil,    68,    68,    68,    68,    68,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    68,   nil,   nil,    68,
   nil,   nil,    68,    68,   nil,   nil,    68,   nil,   nil,   nil,
   nil,   nil,    68,   nil,   nil,    68,   nil,   nil,   nil,   nil,
   nil,    68,   nil,   nil,   nil,   nil,    68,    68,    68,    68,
   nil,    68,    68,    68,    68,   nil,   nil,   nil,   nil,    68,
    68,   nil,   nil,   nil,    71,    71,    71,    68,    71,    68,
    68,    68,    71,    71,    68,    68,   nil,    71,   nil,    71,
    71,    71,    71,    71,    71,    71,   nil,   nil,   nil,   nil,
   nil,    71,    71,    71,    71,    71,    71,    71,   nil,   nil,
    71,   nil,   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,
    71,    71,    71,    71,    71,    71,    71,    71,   nil,    71,
    71,    71,   nil,    71,    71,    71,    71,    71,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,
    71,   nil,   nil,    71,    71,   nil,   nil,    71,   nil,   nil,
   nil,   nil,   nil,    71,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    71,   nil,   nil,   nil,   nil,    71,    71,    71,
    71,   nil,    71,    71,    71,    71,   nil,   nil,   nil,   nil,
    71,    71,   nil,   nil,   nil,    72,    72,    72,    71,    72,
    71,    71,    71,    72,    72,    71,    71,   nil,    72,   nil,
    72,    72,    72,    72,    72,    72,    72,   nil,   nil,   nil,
   nil,   nil,    72,    72,    72,    72,    72,    72,    72,   nil,
   nil,    72,   nil,   nil,   nil,   nil,   nil,   nil,    72,   nil,
   nil,    72,    72,    72,    72,    72,    72,    72,    72,   nil,
    72,    72,    72,   nil,    72,    72,    72,    72,    72,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    72,   nil,
   nil,    72,   nil,   nil,    72,    72,   nil,   nil,    72,   nil,
   nil,   nil,   nil,   nil,    72,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    72,   nil,   nil,   nil,   nil,    72,    72,
    72,    72,   nil,    72,    72,    72,    72,   nil,   nil,   nil,
   nil,    72,    72,   nil,   nil,   nil,    75,    75,    75,    72,
    75,    72,    72,    72,    75,    75,    72,    72,   nil,    75,
   nil,    75,    75,    75,    75,    75,    75,    75,   nil,   nil,
   nil,   nil,   nil,    75,    75,    75,    75,    75,    75,    75,
   nil,   nil,    75,   nil,   nil,   nil,   nil,   nil,   nil,    75,
   nil,   nil,    75,    75,    75,    75,    75,    75,    75,    75,
   nil,    75,    75,    75,   nil,    75,    75,    75,    75,    75,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    75,
   nil,   nil,    75,   nil,   nil,    75,    75,   nil,   nil,    75,
   nil,   nil,   nil,   nil,   nil,    75,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    75,   nil,   nil,   nil,   nil,    75,
    75,    75,    75,   nil,    75,    75,    75,    75,   nil,   nil,
   nil,   nil,    75,    75,    75,   nil,   nil,   nil,   nil,    75,
    75,   nil,    75,    75,    75,   nil,   nil,    75,    75,   124,
   124,   124,   124,   124,   nil,   nil,   nil,   124,   124,   nil,
   nil,   nil,   124,   nil,   124,   124,   124,   124,   124,   124,
   124,   nil,   nil,   nil,   nil,   nil,   124,   124,   124,   124,
   124,   124,   124,   nil,   nil,   124,   nil,   nil,   nil,   nil,
   nil,   124,   124,   124,   124,   124,   124,   124,   124,   124,
   124,   124,   124,   nil,   124,   124,   124,   nil,   124,   124,
   124,   124,   124,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   124,   nil,   nil,   124,   nil,   nil,   124,   124,
   nil,   nil,   124,   nil,   124,   nil,   nil,   nil,   124,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   124,   nil,   nil,
   nil,   nil,   124,   124,   124,   124,   nil,   124,   124,   124,
   124,   nil,   nil,   nil,   nil,   124,   124,   nil,   nil,   nil,
   nil,   nil,   124,   124,   nil,   124,   124,   124,   nil,   nil,
   124,   124,   129,   129,   129,   nil,   129,   nil,   nil,   nil,
   129,   129,   nil,   nil,   nil,   129,   nil,   129,   129,   129,
   129,   129,   129,   129,   nil,   nil,   nil,   nil,   nil,   129,
   129,   129,   129,   129,   129,   129,   nil,   nil,   129,   nil,
   nil,   nil,   nil,   nil,   nil,   129,   nil,   nil,   129,   129,
   129,   129,   129,   129,   129,   129,   nil,   129,   129,   129,
   nil,   129,   129,   129,   129,   129,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   129,   nil,   nil,   129,   nil,
   nil,   129,   129,   nil,   nil,   129,   nil,   nil,   nil,   nil,
   nil,   129,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   129,   nil,   nil,   nil,   nil,   129,   129,   129,   129,   nil,
   129,   129,   129,   129,   nil,   nil,   nil,   nil,   129,   129,
   nil,   nil,   nil,   130,   130,   130,   129,   130,   129,   129,
   129,   130,   130,   129,   129,   nil,   130,   nil,   130,   130,
   130,   130,   130,   130,   130,   nil,   nil,   nil,   nil,   nil,
   130,   130,   130,   130,   130,   130,   130,   nil,   nil,   130,
   nil,   nil,   nil,   nil,   nil,   nil,   130,   nil,   nil,   130,
   130,   130,   130,   130,   130,   130,   130,   nil,   130,   130,
   130,   nil,   130,   130,   130,   130,   130,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   130,   nil,   nil,   130,
   nil,   nil,   130,   130,   nil,   nil,   130,   nil,   nil,   nil,
   nil,   nil,   130,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   130,   nil,   nil,   nil,   nil,   130,   130,   130,   130,
   nil,   130,   130,   130,   130,   nil,   nil,   nil,   nil,   130,
   130,   nil,   nil,   nil,   131,   131,   131,   130,   131,   130,
   130,   130,   131,   131,   130,   130,   nil,   131,   nil,   131,
   131,   131,   131,   131,   131,   131,   nil,   nil,   nil,   nil,
   nil,   131,   131,   131,   131,   131,   131,   131,   nil,   nil,
   131,   nil,   nil,   nil,   nil,   nil,   nil,   131,   nil,   nil,
   131,   131,   131,   131,   131,   131,   131,   131,   nil,   131,
   131,   131,   nil,   131,   131,   131,   131,   131,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   131,   nil,   nil,
   131,   nil,   nil,   131,   131,   nil,   nil,   131,   nil,   nil,
   nil,   nil,   nil,   131,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   131,   nil,   nil,   nil,   nil,   131,   131,   131,
   131,   nil,   131,   131,   131,   131,   nil,   nil,   nil,   nil,
   131,   131,   nil,   nil,   nil,   132,   132,   132,   131,   132,
   131,   131,   131,   132,   132,   131,   131,   nil,   132,   nil,
   132,   132,   132,   132,   132,   132,   132,   nil,   nil,   nil,
   nil,   nil,   132,   132,   132,   132,   132,   132,   132,   nil,
   nil,   132,   nil,   nil,   nil,   nil,   nil,   nil,   132,   nil,
   nil,   132,   132,   132,   132,   132,   132,   132,   132,   nil,
   132,   132,   132,   nil,   132,   132,   132,   132,   132,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   132,   nil,
   nil,   132,   nil,   nil,   132,   132,   nil,   nil,   132,   nil,
   nil,   nil,   nil,   nil,   132,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   132,   nil,   nil,   nil,   nil,   132,   132,
   132,   132,   nil,   132,   132,   132,   132,   nil,   nil,   nil,
   nil,   132,   132,   nil,   nil,   nil,   nil,   nil,   nil,   132,
   nil,   132,   132,   132,   nil,   nil,   132,   132,   133,   133,
   133,   133,   133,   nil,   nil,   nil,   133,   133,   nil,   nil,
   nil,   133,   nil,   133,   133,   133,   133,   133,   133,   133,
   nil,   nil,   nil,   nil,   nil,   133,   133,   133,   133,   133,
   133,   133,   nil,   nil,   133,   nil,   nil,   nil,   nil,   nil,
   133,   133,   nil,   133,   133,   133,   133,   133,   133,   133,
   133,   133,   nil,   133,   133,   133,   nil,   133,   133,   133,
   133,   133,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   133,   nil,   nil,   133,   nil,   nil,   133,   133,   nil,
   nil,   133,   nil,   133,   nil,   nil,   nil,   133,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   133,   nil,   nil,   nil,
   nil,   133,   133,   133,   133,   nil,   133,   133,   133,   133,
   nil,   nil,   nil,   nil,   133,   133,   nil,   nil,   nil,   219,
   219,   219,   133,   219,   133,   133,   133,   219,   219,   133,
   133,   nil,   219,   nil,   219,   219,   219,   219,   219,   219,
   219,   nil,   nil,   nil,   nil,   nil,   219,   219,   219,   219,
   219,   219,   219,   nil,   nil,   219,   nil,   nil,   nil,   nil,
   nil,   nil,   219,   nil,   nil,   219,   219,   219,   219,   219,
   219,   219,   219,   nil,   219,   219,   219,   nil,   219,   219,
   219,   219,   219,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   219,   nil,   nil,   219,   nil,   nil,   219,   219,
   nil,   nil,   219,   nil,   219,   nil,   nil,   nil,   219,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   219,   nil,   nil,
   nil,   nil,   219,   219,   219,   219,   nil,   219,   219,   219,
   219,   nil,   nil,   nil,   nil,   219,   219,   nil,   nil,   nil,
   220,   220,   220,   219,   220,   219,   219,   219,   220,   220,
   219,   219,   nil,   220,   nil,   220,   220,   220,   220,   220,
   220,   220,   nil,   nil,   nil,   nil,   nil,   220,   220,   220,
   220,   220,   220,   220,   nil,   nil,   220,   nil,   nil,   nil,
   nil,   nil,   nil,   220,   nil,   nil,   220,   220,   220,   220,
   220,   220,   220,   220,   nil,   220,   220,   220,   nil,   220,
   220,   220,   220,   220,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   220,   nil,   nil,   220,   nil,   nil,   220,
   220,   nil,   nil,   220,   nil,   220,   nil,   nil,   nil,   220,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   220,   nil,
   nil,   nil,   nil,   220,   220,   220,   220,   nil,   220,   220,
   220,   220,   nil,   nil,   nil,   nil,   220,   220,   nil,   nil,
   nil,   221,   221,   221,   220,   221,   220,   220,   220,   221,
   221,   220,   220,   nil,   221,   nil,   221,   221,   221,   221,
   221,   221,   221,   nil,   nil,   nil,   nil,   nil,   221,   221,
   221,   221,   221,   221,   221,   nil,   nil,   221,   nil,   nil,
   nil,   nil,   nil,   nil,   221,   nil,   nil,   221,   221,   221,
   221,   221,   221,   221,   221,   nil,   221,   221,   221,   nil,
   221,   221,   221,   221,   221,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   221,   nil,   nil,   221,   nil,   nil,
   221,   221,   nil,   nil,   221,   nil,   nil,   nil,   nil,   nil,
   221,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   221,
   nil,   nil,   nil,   nil,   221,   221,   221,   221,   nil,   221,
   221,   221,   221,   nil,   nil,   nil,   nil,   221,   221,   nil,
   nil,   nil,   222,   222,   222,   221,   222,   221,   221,   221,
   222,   222,   221,   221,   nil,   222,   nil,   222,   222,   222,
   222,   222,   222,   222,   nil,   nil,   nil,   nil,   nil,   222,
   222,   222,   222,   222,   222,   222,   nil,   nil,   222,   nil,
   nil,   nil,   nil,   nil,   nil,   222,   nil,   nil,   222,   222,
   222,   222,   222,   222,   222,   222,   nil,   222,   222,   222,
   nil,   222,   222,   222,   222,   222,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   222,   nil,   nil,   222,   nil,
   nil,   222,   222,   nil,   nil,   222,   nil,   nil,   nil,   nil,
   nil,   222,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   222,   nil,   nil,   nil,   nil,   222,   222,   222,   222,   nil,
   222,   222,   222,   222,   nil,   nil,   nil,   nil,   222,   222,
   nil,   nil,   nil,   223,   223,   223,   222,   223,   222,   222,
   222,   223,   223,   222,   222,   nil,   223,   nil,   223,   223,
   223,   223,   223,   223,   223,   nil,   nil,   nil,   nil,   nil,
   223,   223,   223,   223,   223,   223,   223,   nil,   nil,   223,
   nil,   nil,   nil,   nil,   nil,   nil,   223,   nil,   nil,   223,
   223,   223,   223,   223,   223,   223,   223,   nil,   223,   223,
   223,   nil,   223,   223,   223,   223,   223,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   223,   nil,   nil,   223,
   nil,   nil,   223,   223,   nil,   nil,   223,   nil,   nil,   nil,
   nil,   nil,   223,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   223,   nil,   nil,   nil,   nil,   223,   223,   223,   223,
   nil,   223,   223,   223,   223,   nil,   nil,   nil,   nil,   223,
   223,   nil,   nil,   nil,   224,   224,   224,   223,   224,   223,
   223,   223,   224,   224,   223,   223,   nil,   224,   nil,   224,
   224,   224,   224,   224,   224,   224,   nil,   nil,   nil,   nil,
   nil,   224,   224,   224,   224,   224,   224,   224,   nil,   nil,
   224,   nil,   nil,   nil,   nil,   nil,   nil,   224,   nil,   nil,
   224,   224,   224,   224,   224,   224,   224,   224,   224,   224,
   224,   224,   nil,   224,   224,   224,   224,   224,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   224,   nil,   nil,
   224,   nil,   nil,   224,   224,   nil,   nil,   224,   nil,   224,
   nil,   224,   nil,   224,   nil,   nil,   224,   nil,   nil,   nil,
   nil,   nil,   224,   nil,   nil,   nil,   nil,   224,   224,   224,
   224,   nil,   224,   224,   224,   224,   nil,   nil,   nil,   nil,
   224,   224,   nil,   nil,   nil,   237,   237,   237,   224,   237,
   224,   224,   224,   237,   237,   224,   224,   nil,   237,   nil,
   237,   237,   237,   237,   237,   237,   237,   nil,   nil,   nil,
   nil,   nil,   237,   237,   237,   237,   237,   237,   237,   nil,
   nil,   237,   nil,   nil,   nil,   nil,   nil,   nil,   237,   nil,
   nil,   237,   237,   237,   237,   237,   237,   237,   237,   nil,
   237,   237,   237,   nil,   237,   237,   237,   237,   237,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   237,   nil,
   nil,   237,   nil,   nil,   237,   237,   nil,   nil,   237,   nil,
   nil,   nil,   nil,   nil,   237,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   237,   nil,   nil,   nil,   nil,   237,   237,
   237,   237,   nil,   237,   237,   237,   237,   nil,   nil,   nil,
   nil,   237,   237,   nil,   nil,   nil,   238,   238,   238,   237,
   238,   237,   237,   237,   238,   238,   237,   237,   nil,   238,
   nil,   238,   238,   238,   238,   238,   238,   238,   nil,   nil,
   nil,   nil,   nil,   238,   238,   238,   238,   238,   238,   238,
   nil,   nil,   238,   nil,   nil,   nil,   nil,   nil,   nil,   238,
   nil,   nil,   238,   238,   238,   238,   238,   238,   238,   238,
   nil,   238,   238,   238,   nil,   238,   238,   238,   238,   238,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   238,
   nil,   nil,   238,   nil,   nil,   238,   238,   nil,   nil,   238,
   nil,   nil,   nil,   nil,   nil,   238,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   238,   nil,   nil,   nil,   nil,   238,
   238,   238,   238,   nil,   238,   238,   238,   238,   nil,   nil,
   nil,   nil,   238,   238,   nil,   nil,   nil,   239,   239,   239,
   238,   239,   238,   238,   238,   239,   239,   238,   238,   nil,
   239,   nil,   239,   239,   239,   239,   239,   239,   239,   nil,
   nil,   nil,   nil,   nil,   239,   239,   239,   239,   239,   239,
   239,   nil,   nil,   239,   nil,   nil,   nil,   nil,   nil,   nil,
   239,   nil,   nil,   239,   239,   239,   239,   239,   239,   239,
   239,   nil,   239,   239,   239,   nil,   239,   239,   239,   239,
   239,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   239,   nil,   nil,   239,   nil,   nil,   239,   239,   nil,   nil,
   239,   nil,   nil,   nil,   nil,   nil,   239,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   239,   nil,   nil,   nil,   nil,
   239,   239,   239,   239,   nil,   239,   239,   239,   239,   nil,
   nil,   nil,   nil,   239,   239,   239,   nil,   nil,   250,   250,
   250,   239,   250,   239,   239,   239,   250,   250,   239,   239,
   nil,   250,   nil,   250,   250,   250,   250,   250,   250,   250,
   nil,   nil,   nil,   nil,   nil,   250,   250,   250,   250,   250,
   250,   250,   nil,   nil,   250,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   250,   250,   250,   250,   250,   250,
   250,   250,   nil,   250,   250,   250,   nil,   250,   250,   250,
   250,   250,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   250,   nil,   nil,   250,   nil,   nil,   250,   250,   nil,
   nil,   250,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   250,   nil,   nil,   nil,
   nil,   250,   250,   250,   250,   nil,   250,   250,   250,   250,
   nil,   nil,   nil,   nil,   250,   250,   nil,   nil,   nil,   257,
   257,   257,   250,   257,   250,   250,   250,   257,   257,   250,
   250,   nil,   257,   nil,   257,   257,   257,   257,   257,   257,
   257,   nil,   nil,   nil,   nil,   nil,   257,   257,   257,   257,
   257,   257,   257,   nil,   nil,   257,   nil,   nil,   nil,   nil,
   nil,   nil,   257,   nil,   nil,   257,   257,   257,   257,   257,
   257,   257,   257,   nil,   257,   257,   257,   nil,   257,   257,
   257,   257,   257,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   257,   nil,   nil,   257,   nil,   nil,   257,   257,
   nil,   nil,   257,   nil,   nil,   nil,   nil,   nil,   257,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   257,   nil,   nil,
   nil,   nil,   257,   257,   257,   257,   nil,   257,   257,   257,
   257,   nil,   nil,   nil,   nil,   257,   257,   nil,   nil,   nil,
   258,   258,   258,   257,   258,   257,   257,   257,   258,   258,
   257,   257,   nil,   258,   nil,   258,   258,   258,   258,   258,
   258,   258,   nil,   nil,   nil,   nil,   nil,   258,   258,   258,
   258,   258,   258,   258,   nil,   nil,   258,   nil,   nil,   nil,
   nil,   nil,   nil,   258,   nil,   nil,   258,   258,   258,   258,
   258,   258,   258,   258,   nil,   258,   258,   258,   nil,   258,
   258,   258,   258,   258,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   258,   nil,   nil,   258,   nil,   nil,   258,
   258,   nil,   nil,   258,   nil,   nil,   nil,   nil,   nil,   258,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   258,   nil,
   nil,   nil,   nil,   258,   258,   258,   258,   nil,   258,   258,
   258,   258,   nil,   nil,   nil,   nil,   258,   258,   nil,   nil,
   nil,   259,   259,   259,   258,   259,   258,   258,   258,   259,
   259,   258,   258,   nil,   259,   nil,   259,   259,   259,   259,
   259,   259,   259,   nil,   nil,   nil,   nil,   nil,   259,   259,
   259,   259,   259,   259,   259,   nil,   nil,   259,   nil,   nil,
   nil,   nil,   nil,   nil,   259,   nil,   nil,   259,   259,   259,
   259,   259,   259,   259,   259,   nil,   259,   259,   259,   nil,
   259,   259,   259,   259,   259,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   259,   nil,   nil,   259,   nil,   nil,
   259,   259,   nil,   nil,   259,   nil,   nil,   nil,   nil,   nil,
   259,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   259,
   nil,   nil,   nil,   nil,   259,   259,   259,   259,   nil,   259,
   259,   259,   259,   nil,   nil,   nil,   nil,   259,   259,   nil,
   nil,   nil,   260,   260,   260,   259,   260,   259,   259,   259,
   260,   260,   259,   259,   nil,   260,   nil,   260,   260,   260,
   260,   260,   260,   260,   nil,   nil,   nil,   nil,   nil,   260,
   260,   260,   260,   260,   260,   260,   nil,   nil,   260,   nil,
   nil,   nil,   nil,   nil,   nil,   260,   nil,   nil,   260,   260,
   260,   260,   260,   260,   260,   260,   nil,   260,   260,   260,
   nil,   260,   260,   260,   260,   260,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   260,   nil,   nil,   260,   nil,
   nil,   260,   260,   nil,   nil,   260,   nil,   nil,   nil,   nil,
   nil,   260,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   260,   nil,   nil,   nil,   nil,   260,   260,   260,   260,   nil,
   260,   260,   260,   260,   nil,   nil,   nil,   nil,   260,   260,
   nil,   nil,   nil,   261,   261,   261,   260,   261,   260,   260,
   260,   261,   261,   260,   260,   nil,   261,   nil,   261,   261,
   261,   261,   261,   261,   261,   nil,   nil,   nil,   nil,   nil,
   261,   261,   261,   261,   261,   261,   261,   nil,   nil,   261,
   nil,   nil,   nil,   nil,   nil,   nil,   261,   nil,   nil,   261,
   261,   261,   261,   261,   261,   261,   261,   nil,   261,   261,
   261,   nil,   261,   261,   261,   261,   261,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   261,   nil,   nil,   261,
   nil,   nil,   261,   261,   nil,   nil,   261,   nil,   nil,   nil,
   nil,   nil,   261,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   261,   nil,   nil,   nil,   nil,   261,   261,   261,   261,
   nil,   261,   261,   261,   261,   nil,   nil,   nil,   nil,   261,
   261,   nil,   nil,   nil,   262,   262,   262,   261,   262,   261,
   261,   261,   262,   262,   261,   261,   nil,   262,   nil,   262,
   262,   262,   262,   262,   262,   262,   nil,   nil,   nil,   nil,
   nil,   262,   262,   262,   262,   262,   262,   262,   nil,   nil,
   262,   nil,   nil,   nil,   nil,   nil,   nil,   262,   nil,   nil,
   262,   262,   262,   262,   262,   262,   262,   262,   nil,   262,
   262,   262,   nil,   262,   262,   262,   262,   262,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   262,   nil,   nil,
   262,   nil,   nil,   262,   262,   nil,   nil,   262,   nil,   nil,
   nil,   nil,   nil,   262,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   262,   nil,   nil,   nil,   nil,   262,   262,   262,
   262,   nil,   262,   262,   262,   262,   nil,   nil,   nil,   nil,
   262,   262,   nil,   nil,   nil,   263,   263,   263,   262,   263,
   262,   262,   262,   263,   263,   262,   262,   nil,   263,   nil,
   263,   263,   263,   263,   263,   263,   263,   nil,   nil,   nil,
   nil,   nil,   263,   263,   263,   263,   263,   263,   263,   nil,
   nil,   263,   nil,   nil,   nil,   nil,   nil,   nil,   263,   nil,
   nil,   263,   263,   263,   263,   263,   263,   263,   263,   nil,
   263,   263,   263,   nil,   263,   263,   263,   263,   263,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   263,   nil,
   nil,   263,   nil,   nil,   263,   263,   nil,   nil,   263,   nil,
   nil,   nil,   nil,   nil,   263,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   263,   nil,   nil,   nil,   nil,   263,   263,
   263,   263,   nil,   263,   263,   263,   263,   nil,   nil,   nil,
   nil,   263,   263,   nil,   nil,   nil,   264,   264,   264,   263,
   264,   263,   263,   263,   264,   264,   263,   263,   nil,   264,
   nil,   264,   264,   264,   264,   264,   264,   264,   nil,   nil,
   nil,   nil,   nil,   264,   264,   264,   264,   264,   264,   264,
   nil,   nil,   264,   nil,   nil,   nil,   nil,   nil,   nil,   264,
   nil,   nil,   264,   264,   264,   264,   264,   264,   264,   264,
   nil,   264,   264,   264,   nil,   264,   264,   264,   264,   264,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   264,
   nil,   nil,   264,   nil,   nil,   264,   264,   nil,   nil,   264,
   nil,   nil,   nil,   nil,   nil,   264,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   264,   nil,   nil,   nil,   nil,   264,
   264,   264,   264,   nil,   264,   264,   264,   264,   nil,   nil,
   nil,   nil,   264,   264,   nil,   nil,   nil,   265,   265,   265,
   264,   265,   264,   264,   264,   265,   265,   264,   264,   nil,
   265,   nil,   265,   265,   265,   265,   265,   265,   265,   nil,
   nil,   nil,   nil,   nil,   265,   265,   265,   265,   265,   265,
   265,   nil,   nil,   265,   nil,   nil,   nil,   nil,   nil,   nil,
   265,   nil,   nil,   265,   265,   265,   265,   265,   265,   265,
   265,   nil,   265,   265,   265,   nil,   265,   265,   265,   265,
   265,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   265,   nil,   nil,   265,   nil,   nil,   265,   265,   nil,   nil,
   265,   nil,   nil,   nil,   nil,   nil,   265,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   265,   nil,   nil,   nil,   nil,
   265,   265,   265,   265,   nil,   265,   265,   265,   265,   nil,
   nil,   nil,   nil,   265,   265,   nil,   nil,   nil,   266,   266,
   266,   265,   266,   265,   265,   265,   266,   266,   265,   265,
   nil,   266,   nil,   266,   266,   266,   266,   266,   266,   266,
   nil,   nil,   nil,   nil,   nil,   266,   266,   266,   266,   266,
   266,   266,   nil,   nil,   266,   nil,   nil,   nil,   nil,   nil,
   nil,   266,   nil,   nil,   266,   266,   266,   266,   266,   266,
   266,   266,   nil,   266,   266,   266,   nil,   266,   266,   266,
   266,   266,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   266,   nil,   nil,   266,   nil,   nil,   266,   266,   nil,
   nil,   266,   nil,   nil,   nil,   nil,   nil,   266,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   266,   nil,   nil,   nil,
   nil,   266,   266,   266,   266,   nil,   266,   266,   266,   266,
   nil,   nil,   nil,   nil,   266,   266,   nil,   nil,   nil,   267,
   267,   267,   266,   267,   266,   266,   266,   267,   267,   266,
   266,   nil,   267,   nil,   267,   267,   267,   267,   267,   267,
   267,   nil,   nil,   nil,   nil,   nil,   267,   267,   267,   267,
   267,   267,   267,   nil,   nil,   267,   nil,   nil,   nil,   nil,
   nil,   nil,   267,   nil,   nil,   267,   267,   267,   267,   267,
   267,   267,   267,   nil,   267,   267,   267,   nil,   267,   267,
   267,   267,   267,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   267,   nil,   nil,   267,   nil,   nil,   267,   267,
   nil,   nil,   267,   nil,   nil,   nil,   nil,   nil,   267,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   267,   nil,   nil,
   nil,   nil,   267,   267,   267,   267,   nil,   267,   267,   267,
   267,   nil,   nil,   nil,   nil,   267,   267,   nil,   nil,   nil,
   268,   268,   268,   267,   268,   267,   267,   267,   268,   268,
   267,   267,   nil,   268,   nil,   268,   268,   268,   268,   268,
   268,   268,   nil,   nil,   nil,   nil,   nil,   268,   268,   268,
   268,   268,   268,   268,   nil,   nil,   268,   nil,   nil,   nil,
   nil,   nil,   nil,   268,   nil,   nil,   268,   268,   268,   268,
   268,   268,   268,   268,   nil,   268,   268,   268,   nil,   268,
   268,   268,   268,   268,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   268,   nil,   nil,   268,   nil,   nil,   268,
   268,   nil,   nil,   268,   nil,   nil,   nil,   nil,   nil,   268,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   268,   nil,
   nil,   nil,   nil,   268,   268,   268,   268,   nil,   268,   268,
   268,   268,   nil,   nil,   nil,   nil,   268,   268,   nil,   nil,
   nil,   269,   269,   269,   268,   269,   268,   268,   268,   269,
   269,   268,   268,   nil,   269,   nil,   269,   269,   269,   269,
   269,   269,   269,   nil,   nil,   nil,   nil,   nil,   269,   269,
   269,   269,   269,   269,   269,   nil,   nil,   269,   nil,   nil,
   nil,   nil,   nil,   nil,   269,   nil,   nil,   269,   269,   269,
   269,   269,   269,   269,   269,   nil,   269,   269,   269,   nil,
   269,   269,   269,   269,   269,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   269,   nil,   nil,   269,   nil,   nil,
   269,   269,   nil,   nil,   269,   nil,   nil,   nil,   nil,   nil,
   269,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   269,
   nil,   nil,   nil,   nil,   269,   269,   269,   269,   nil,   269,
   269,   269,   269,   nil,   nil,   nil,   nil,   269,   269,   nil,
   nil,   nil,   270,   270,   270,   269,   270,   269,   269,   269,
   270,   270,   269,   269,   nil,   270,   nil,   270,   270,   270,
   270,   270,   270,   270,   nil,   nil,   nil,   nil,   nil,   270,
   270,   270,   270,   270,   270,   270,   nil,   nil,   270,   nil,
   nil,   nil,   nil,   nil,   nil,   270,   nil,   nil,   270,   270,
   270,   270,   270,   270,   270,   270,   nil,   270,   270,   270,
   nil,   270,   270,   270,   270,   270,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   270,   nil,   nil,   270,   nil,
   nil,   270,   270,   nil,   nil,   270,   nil,   nil,   nil,   nil,
   nil,   270,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   270,   nil,   nil,   nil,   nil,   270,   270,   270,   270,   nil,
   270,   270,   270,   270,   nil,   nil,   nil,   nil,   270,   270,
   nil,   nil,   nil,   271,   271,   271,   270,   271,   270,   270,
   270,   271,   271,   270,   270,   nil,   271,   nil,   271,   271,
   271,   271,   271,   271,   271,   nil,   nil,   nil,   nil,   nil,
   271,   271,   271,   271,   271,   271,   271,   nil,   nil,   271,
   nil,   nil,   nil,   nil,   nil,   nil,   271,   nil,   nil,   271,
   271,   271,   271,   271,   271,   271,   271,   nil,   271,   271,
   271,   nil,   271,   271,   271,   271,   271,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   271,   nil,   nil,   271,
   nil,   nil,   271,   271,   nil,   nil,   271,   nil,   nil,   nil,
   nil,   nil,   271,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   271,   nil,   nil,   nil,   nil,   271,   271,   271,   271,
   nil,   271,   271,   271,   271,   nil,   nil,   nil,   nil,   271,
   271,   nil,   nil,   nil,   272,   272,   272,   271,   272,   271,
   271,   271,   272,   272,   271,   271,   nil,   272,   nil,   272,
   272,   272,   272,   272,   272,   272,   nil,   nil,   nil,   nil,
   nil,   272,   272,   272,   272,   272,   272,   272,   nil,   nil,
   272,   nil,   nil,   nil,   nil,   nil,   nil,   272,   nil,   nil,
   272,   272,   272,   272,   272,   272,   272,   272,   nil,   272,
   272,   272,   nil,   272,   272,   272,   272,   272,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   272,   nil,   nil,
   272,   nil,   nil,   272,   272,   nil,   nil,   272,   nil,   nil,
   nil,   nil,   nil,   272,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   272,   nil,   nil,   nil,   nil,   272,   272,   272,
   272,   nil,   272,   272,   272,   272,   nil,   nil,   nil,   nil,
   272,   272,   nil,   nil,   nil,   273,   273,   273,   272,   273,
   272,   272,   272,   273,   273,   272,   272,   nil,   273,   nil,
   273,   273,   273,   273,   273,   273,   273,   nil,   nil,   nil,
   nil,   nil,   273,   273,   273,   273,   273,   273,   273,   nil,
   nil,   273,   nil,   nil,   nil,   nil,   nil,   nil,   273,   nil,
   nil,   273,   273,   273,   273,   273,   273,   273,   273,   nil,
   273,   273,   273,   nil,   273,   273,   273,   273,   273,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   273,   nil,
   nil,   273,   nil,   nil,   273,   273,   nil,   nil,   273,   nil,
   nil,   nil,   nil,   nil,   273,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   273,   nil,   nil,   nil,   nil,   273,   273,
   273,   273,   nil,   273,   273,   273,   273,   nil,   nil,   nil,
   nil,   273,   273,   nil,   nil,   nil,   274,   274,   274,   273,
   274,   273,   273,   273,   274,   274,   273,   273,   nil,   274,
   nil,   274,   274,   274,   274,   274,   274,   274,   nil,   nil,
   nil,   nil,   nil,   274,   274,   274,   274,   274,   274,   274,
   nil,   nil,   274,   nil,   nil,   nil,   nil,   nil,   nil,   274,
   nil,   nil,   274,   274,   274,   274,   274,   274,   274,   274,
   nil,   274,   274,   274,   nil,   274,   274,   274,   274,   274,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   274,
   nil,   nil,   274,   nil,   nil,   274,   274,   nil,   nil,   274,
   nil,   nil,   nil,   nil,   nil,   274,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   274,   nil,   nil,   nil,   nil,   274,
   274,   274,   274,   nil,   274,   274,   274,   274,   nil,   nil,
   nil,   nil,   274,   274,   nil,   nil,   nil,   275,   275,   275,
   274,   275,   274,   274,   274,   275,   275,   274,   274,   nil,
   275,   nil,   275,   275,   275,   275,   275,   275,   275,   nil,
   nil,   nil,   nil,   nil,   275,   275,   275,   275,   275,   275,
   275,   nil,   nil,   275,   nil,   nil,   nil,   nil,   nil,   nil,
   275,   nil,   nil,   275,   275,   275,   275,   275,   275,   275,
   275,   nil,   275,   275,   275,   nil,   275,   275,   275,   275,
   275,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   275,   nil,   nil,   275,   nil,   nil,   275,   275,   nil,   nil,
   275,   nil,   nil,   nil,   nil,   nil,   275,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   275,   nil,   nil,   nil,   nil,
   275,   275,   275,   275,   nil,   275,   275,   275,   275,   nil,
   nil,   nil,   nil,   275,   275,   nil,   nil,   nil,   276,   276,
   276,   275,   276,   275,   275,   275,   276,   276,   275,   275,
   nil,   276,   nil,   276,   276,   276,   276,   276,   276,   276,
   nil,   nil,   nil,   nil,   nil,   276,   276,   276,   276,   276,
   276,   276,   nil,   nil,   276,   nil,   nil,   nil,   nil,   nil,
   nil,   276,   nil,   nil,   276,   276,   276,   276,   276,   276,
   276,   276,   nil,   276,   276,   276,   nil,   276,   276,   276,
   276,   276,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   276,   nil,   nil,   276,   nil,   nil,   276,   276,   nil,
   nil,   276,   nil,   nil,   nil,   nil,   nil,   276,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   276,   nil,   nil,   nil,
   nil,   276,   276,   276,   276,   nil,   276,   276,   276,   276,
   nil,   nil,   nil,   nil,   276,   276,   nil,   nil,   nil,   277,
   277,   277,   276,   277,   276,   276,   276,   277,   277,   276,
   276,   nil,   277,   nil,   277,   277,   277,   277,   277,   277,
   277,   nil,   nil,   nil,   nil,   nil,   277,   277,   277,   277,
   277,   277,   277,   nil,   nil,   277,   nil,   nil,   nil,   nil,
   nil,   nil,   277,   nil,   nil,   277,   277,   277,   277,   277,
   277,   277,   277,   nil,   277,   277,   277,   nil,   277,   277,
   277,   277,   277,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   277,   nil,   nil,   277,   nil,   nil,   277,   277,
   nil,   nil,   277,   nil,   nil,   nil,   nil,   nil,   277,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   277,   nil,   nil,
   nil,   nil,   277,   277,   277,   277,   nil,   277,   277,   277,
   277,   nil,   nil,   nil,   nil,   277,   277,   nil,   nil,   nil,
   278,   278,   278,   277,   278,   277,   277,   277,   278,   278,
   277,   277,   nil,   278,   nil,   278,   278,   278,   278,   278,
   278,   278,   nil,   nil,   nil,   nil,   nil,   278,   278,   278,
   278,   278,   278,   278,   nil,   nil,   278,   nil,   nil,   nil,
   nil,   nil,   nil,   278,   nil,   nil,   278,   278,   278,   278,
   278,   278,   278,   278,   nil,   278,   278,   278,   nil,   278,
   278,   278,   278,   278,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   278,   nil,   nil,   278,   nil,   nil,   278,
   278,   nil,   nil,   278,   nil,   nil,   nil,   nil,   nil,   278,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   278,   nil,
   nil,   nil,   nil,   278,   278,   278,   278,   nil,   278,   278,
   278,   278,   nil,   nil,   nil,   nil,   278,   278,   nil,   nil,
   nil,   283,   283,   283,   278,   283,   278,   278,   278,   283,
   283,   278,   278,   nil,   283,   nil,   283,   283,   283,   283,
   283,   283,   283,   nil,   nil,   nil,   nil,   nil,   283,   283,
   283,   283,   283,   283,   283,   nil,   nil,   283,   nil,   nil,
   nil,   nil,   nil,   nil,   283,   nil,   nil,   283,   283,   283,
   283,   283,   283,   283,   283,   nil,   283,   283,   283,   nil,
   283,   283,   283,   283,   283,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   283,   nil,   nil,   283,   nil,   nil,
   283,   283,   nil,   nil,   283,   nil,   nil,   nil,   nil,   nil,
   283,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   283,
   nil,   nil,   nil,   nil,   283,   283,   283,   283,   nil,   283,
   283,   283,   283,   nil,   nil,   nil,   nil,   283,   283,   nil,
   nil,   nil,   299,   299,   299,   283,   299,   283,   283,   283,
   299,   299,   283,   283,   nil,   299,   nil,   299,   299,   299,
   299,   299,   299,   299,   nil,   nil,   nil,   nil,   nil,   299,
   299,   299,   299,   299,   299,   299,   nil,   nil,   299,   nil,
   nil,   nil,   nil,   nil,   nil,   299,   nil,   nil,   299,   299,
   299,   299,   299,   299,   299,   299,   nil,   299,   299,   299,
   nil,   299,   299,   299,   299,   299,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   299,   nil,   nil,   299,   nil,
   nil,   299,   299,   nil,   nil,   299,   nil,   nil,   nil,   nil,
   nil,   299,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   299,   nil,   nil,   nil,   nil,   299,   299,   299,   299,   nil,
   299,   299,   299,   299,   nil,   nil,   nil,   nil,   299,   299,
   nil,   nil,   nil,   306,   306,   306,   299,   306,   299,   299,
   299,   306,   306,   299,   299,   nil,   306,   nil,   306,   306,
   306,   306,   306,   306,   306,   nil,   nil,   nil,   nil,   nil,
   306,   306,   306,   306,   306,   306,   306,   nil,   nil,   306,
   nil,   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,   306,
   306,   306,   306,   306,   306,   306,   306,   306,   306,   306,
   306,   nil,   306,   306,   306,   306,   306,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   306,   nil,   nil,   306,
   nil,   nil,   306,   306,   nil,   nil,   306,   nil,   306,   nil,
   306,   nil,   306,   nil,   nil,   306,   nil,   nil,   nil,   nil,
   nil,   306,   nil,   nil,   nil,   nil,   306,   306,   306,   306,
   nil,   306,   306,   306,   306,   nil,   nil,   nil,   nil,   306,
   306,   nil,   nil,   nil,   307,   307,   307,   306,   307,   306,
   306,   306,   307,   307,   306,   306,   nil,   307,   nil,   307,
   307,   307,   307,   307,   307,   307,   nil,   nil,   nil,   nil,
   nil,   307,   307,   307,   307,   307,   307,   307,   nil,   nil,
   307,   nil,   nil,   nil,   nil,   nil,   nil,   307,   nil,   nil,
   307,   307,   307,   307,   307,   307,   307,   307,   307,   307,
   307,   307,   nil,   307,   307,   307,   307,   307,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   307,   nil,   nil,
   307,   nil,   nil,   307,   307,   nil,   nil,   307,   nil,   307,
   nil,   307,   nil,   307,   nil,   nil,   307,   nil,   nil,   nil,
   nil,   nil,   307,   nil,   nil,   nil,   nil,   307,   307,   307,
   307,   nil,   307,   307,   307,   307,   nil,   nil,   nil,   nil,
   307,   307,   nil,   nil,   nil,   315,   315,   315,   307,   315,
   307,   307,   307,   315,   315,   307,   307,   nil,   315,   nil,
   315,   315,   315,   315,   315,   315,   315,   nil,   nil,   nil,
   nil,   nil,   315,   315,   315,   315,   315,   315,   315,   nil,
   nil,   315,   nil,   nil,   nil,   nil,   nil,   nil,   315,   nil,
   nil,   315,   315,   315,   315,   315,   315,   315,   315,   315,
   315,   315,   315,   nil,   315,   315,   315,   315,   315,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   315,   nil,
   nil,   315,   nil,   nil,   315,   315,   nil,   nil,   315,   nil,
   315,   nil,   315,   nil,   315,   nil,   nil,   315,   nil,   nil,
   nil,   nil,   nil,   315,   nil,   nil,   nil,   nil,   315,   315,
   315,   315,   nil,   315,   315,   315,   315,   nil,   nil,   nil,
   nil,   315,   315,   315,   nil,   nil,   322,   322,   322,   315,
   322,   315,   315,   315,   322,   322,   315,   315,   nil,   322,
   nil,   322,   322,   322,   322,   322,   322,   322,   nil,   nil,
   nil,   nil,   nil,   322,   322,   322,   322,   322,   322,   322,
   nil,   nil,   322,   nil,   nil,   nil,   nil,   nil,   nil,   322,
   nil,   nil,   322,   322,   322,   322,   322,   322,   322,   322,
   nil,   322,   322,   322,   nil,   322,   322,   322,   322,   322,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   322,
   nil,   nil,   322,   nil,   nil,   322,   322,   nil,   nil,   322,
   nil,   nil,   nil,   nil,   nil,   322,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   322,   nil,   nil,   nil,   nil,   322,
   322,   322,   322,   nil,   322,   322,   322,   322,   nil,   nil,
   nil,   nil,   322,   322,   nil,   nil,   nil,   324,   324,   324,
   322,   324,   322,   322,   322,   324,   324,   322,   322,   nil,
   324,   nil,   324,   324,   324,   324,   324,   324,   324,   nil,
   nil,   nil,   nil,   nil,   324,   324,   324,   324,   324,   324,
   324,   nil,   nil,   324,   nil,   nil,   nil,   nil,   nil,   nil,
   324,   nil,   nil,   324,   324,   324,   324,   324,   324,   324,
   324,   nil,   324,   324,   324,   nil,   324,   324,   324,   324,
   324,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   324,   nil,   nil,   324,   nil,   nil,   324,   324,   nil,   nil,
   324,   nil,   nil,   nil,   nil,   nil,   324,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   324,   nil,   nil,   nil,   nil,
   324,   324,   324,   324,   nil,   324,   324,   324,   324,   nil,
   nil,   nil,   nil,   324,   324,   nil,   nil,   nil,   327,   327,
   327,   324,   327,   324,   324,   324,   327,   327,   324,   324,
   nil,   327,   nil,   327,   327,   327,   327,   327,   327,   327,
   nil,   nil,   nil,   nil,   nil,   327,   327,   327,   327,   327,
   327,   327,   nil,   nil,   327,   nil,   nil,   nil,   nil,   nil,
   nil,   327,   nil,   nil,   327,   327,   327,   327,   327,   327,
   327,   327,   nil,   327,   327,   327,   nil,   327,   327,   327,
   327,   327,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   327,   nil,   nil,   327,   nil,   nil,   327,   327,   nil,
   nil,   327,   nil,   nil,   nil,   nil,   nil,   327,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   327,   nil,   nil,   nil,
   nil,   327,   327,   327,   327,   nil,   327,   327,   327,   327,
   nil,   nil,   nil,   nil,   327,   327,   nil,   nil,   nil,   328,
   328,   328,   327,   328,   327,   327,   327,   328,   328,   327,
   327,   nil,   328,   nil,   328,   328,   328,   328,   328,   328,
   328,   nil,   nil,   nil,   nil,   nil,   328,   328,   328,   328,
   328,   328,   328,   nil,   nil,   328,   nil,   nil,   nil,   nil,
   nil,   nil,   328,   nil,   nil,   328,   328,   328,   328,   328,
   328,   328,   328,   nil,   328,   328,   328,   nil,   328,   328,
   328,   328,   328,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   328,   nil,   nil,   328,   nil,   nil,   328,   328,
   nil,   nil,   328,   nil,   nil,   nil,   nil,   nil,   328,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   328,   nil,   nil,
   nil,   nil,   328,   328,   328,   328,   nil,   328,   328,   328,
   328,   nil,   nil,   nil,   nil,   328,   328,   nil,   nil,   nil,
   nil,   nil,   nil,   328,   nil,   328,   328,   328,   nil,   nil,
   328,   328,   333,   333,   333,   333,   333,   nil,   nil,   nil,
   333,   333,   nil,   nil,   nil,   333,   nil,   333,   333,   333,
   333,   333,   333,   333,   nil,   nil,   nil,   nil,   nil,   333,
   333,   333,   333,   333,   333,   333,   nil,   nil,   333,   nil,
   nil,   nil,   nil,   nil,   333,   333,   nil,   333,   333,   333,
   333,   333,   333,   333,   333,   333,   nil,   333,   333,   333,
   nil,   333,   333,   333,   333,   333,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   333,   nil,   nil,   333,   nil,
   nil,   333,   333,   nil,   nil,   333,   nil,   333,   nil,   nil,
   nil,   333,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   333,   nil,   nil,   nil,   nil,   333,   333,   333,   333,   nil,
   333,   333,   333,   333,   nil,   nil,   nil,   nil,   333,   333,
   nil,   nil,   nil,   369,   369,   369,   333,   369,   333,   333,
   333,   369,   369,   333,   333,   nil,   369,   nil,   369,   369,
   369,   369,   369,   369,   369,   nil,   nil,   nil,   nil,   nil,
   369,   369,   369,   369,   369,   369,   369,   nil,   nil,   369,
   nil,   nil,   nil,   nil,   nil,   nil,   369,   nil,   nil,   369,
   369,   369,   369,   369,   369,   369,   369,   nil,   369,   369,
   369,   nil,   369,   369,   369,   369,   369,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   369,   nil,   nil,   369,
   nil,   nil,   369,   369,   nil,   nil,   369,   nil,   nil,   nil,
   nil,   nil,   369,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   369,   nil,   nil,   nil,   nil,   369,   369,   369,   369,
   nil,   369,   369,   369,   369,   nil,   nil,   nil,   nil,   369,
   369,   nil,   nil,   nil,   386,   386,   386,   369,   386,   369,
   369,   369,   386,   386,   369,   369,   nil,   386,   nil,   386,
   386,   386,   386,   386,   386,   386,   nil,   nil,   nil,   nil,
   nil,   386,   386,   386,   386,   386,   386,   386,   nil,   nil,
   386,   nil,   nil,   nil,   nil,   nil,   nil,   386,   nil,   nil,
   386,   386,   386,   386,   386,   386,   386,   386,   nil,   386,
   386,   386,   nil,   386,   386,   386,   386,   386,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   386,   nil,   nil,
   386,   nil,   nil,   386,   386,   nil,   nil,   386,   nil,   nil,
   nil,   nil,   nil,   386,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   386,   nil,   nil,   nil,   nil,   386,   386,   386,
   386,   nil,   386,   386,   386,   386,   nil,   nil,   nil,   nil,
   386,   386,   nil,   nil,   nil,   407,   407,   407,   386,   407,
   386,   386,   386,   407,   407,   386,   386,   nil,   407,   nil,
   407,   407,   407,   407,   407,   407,   407,   nil,   nil,   nil,
   nil,   nil,   407,   407,   407,   407,   407,   407,   407,   nil,
   nil,   407,   nil,   nil,   nil,   nil,   nil,   nil,   407,   nil,
   nil,   407,   407,   407,   407,   407,   407,   407,   407,   nil,
   407,   407,   407,   nil,   407,   407,   407,   407,   407,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   407,   nil,
   nil,   407,   nil,   nil,   407,   407,   nil,   nil,   407,   nil,
   nil,   nil,   nil,   nil,   407,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   407,   nil,   nil,   nil,   nil,   407,   407,
   407,   407,   nil,   407,   407,   407,   407,   nil,   nil,   nil,
   nil,   407,   407,   nil,   nil,   nil,   436,   436,   436,   407,
   436,   407,   407,   407,   436,   436,   407,   407,   nil,   436,
   nil,   436,   436,   436,   436,   436,   436,   436,   nil,   nil,
   nil,   nil,   nil,   436,   436,   436,   436,   436,   436,   436,
   nil,   nil,   436,   nil,   nil,   nil,   nil,   nil,   nil,   436,
   nil,   nil,   436,   436,   436,   436,   436,   436,   436,   436,
   nil,   436,   436,   436,   nil,   436,   436,   436,   436,   436,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   436,
   nil,   nil,   436,   nil,   nil,   436,   436,   nil,   nil,   436,
   nil,   nil,   nil,   nil,   nil,   436,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   436,   nil,   nil,   nil,   nil,   436,
   436,   436,   436,   nil,   436,   436,   436,   436,   nil,   nil,
   nil,   nil,   436,   436,   nil,   nil,   nil,   nil,   nil,   nil,
   436,   nil,   436,   436,   436,   460,   nil,   436,   436,   nil,
   nil,   nil,   460,   460,   460,   nil,   nil,   460,   460,   460,
   nil,   460,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   460,
   460,   460,   460,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   460,   460,   nil,   460,   460,   460,   460,   460,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   460,   460,   460,   460,   460,   460,   460,   460,   460,
   460,   460,   460,   460,   460,   nil,   nil,   460,   460,   460,
   nil,   nil,   460,   nil,   460,   460,   nil,   nil,   460,   460,
   nil,   460,   nil,   460,   nil,   460,   nil,   460,   460,   nil,
   460,   460,   460,   460,   460,   nil,   460,   460,   460,  1140,
   nil,  1140,  1140,  1140,  1140,  1140,   nil,   nil,   nil,   nil,
   nil,   nil,   460,   nil,  1140,   460,   460,   470,   460,   nil,
   460,   nil,   nil,   nil,   470,   470,   470,   460,   nil,   470,
   470,   470,   nil,   470,   nil,   nil,  1140,   nil,   nil,   nil,
   nil,   470,   470,   470,   470,   470,   nil,  1140,  1140,   nil,
   nil,   nil,  1140,   470,   470,   nil,   470,   470,   470,   470,
   470,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   470,   470,   470,   470,   470,   470,   470,
   470,   470,   470,   470,   470,   470,   470,   nil,   nil,   470,
   470,   470,   nil,   nil,   470,   nil,   nil,   470,   nil,   nil,
   470,   470,   nil,   470,   nil,   470,   nil,   470,   nil,   470,
   470,   nil,   470,   470,   470,   470,   470,   nil,   470,   470,
   470,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   470,   nil,   nil,   470,   470,   470,
   470,   nil,   470,   471,   470,   nil,   nil,   nil,   nil,   470,
   471,   471,   471,   nil,   nil,   471,   471,   471,   nil,   471,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   471,   471,   471,
   471,   471,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   471,
   471,   nil,   471,   471,   471,   471,   471,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   471,
   471,   471,   471,   471,   471,   471,   471,   471,   471,   471,
   471,   471,   471,   nil,   nil,   471,   471,   471,   nil,   nil,
   471,   nil,   nil,   471,   nil,   nil,   471,   471,   nil,   471,
   nil,   471,   nil,   471,   nil,   471,   471,   nil,   471,   471,
   471,   471,   471,   nil,   471,   471,   471,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   471,   nil,   nil,   471,   471,   471,   471,   nil,   471,   nil,
   471,   nil,   472,   472,   472,   471,   472,   nil,   nil,   nil,
   472,   472,   nil,   nil,   nil,   472,   nil,   472,   472,   472,
   472,   472,   472,   472,   nil,   nil,   nil,   nil,   nil,   472,
   472,   472,   472,   472,   472,   472,   nil,   nil,   472,   nil,
   nil,   nil,   nil,   nil,   nil,   472,   nil,   nil,   472,   472,
   472,   472,   472,   472,   472,   472,   nil,   472,   472,   472,
   nil,   472,   472,   472,   472,   472,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   472,   nil,   nil,   472,   nil,
   nil,   472,   472,   nil,   nil,   472,   nil,   nil,   nil,   nil,
   nil,   472,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   472,   nil,   nil,   nil,   nil,   472,   472,   472,   472,   nil,
   472,   472,   472,   472,   nil,   nil,   nil,   nil,   472,   472,
   nil,   nil,   nil,   499,   499,   499,   472,   499,   472,   472,
   472,   499,   499,   472,   472,   nil,   499,   nil,   499,   499,
   499,   499,   499,   499,   499,   nil,   nil,   nil,   nil,   nil,
   499,   499,   499,   499,   499,   499,   499,   nil,   nil,   499,
   nil,   nil,   nil,   nil,   nil,   nil,   499,   nil,   nil,   499,
   499,   499,   499,   499,   499,   499,   499,   nil,   499,   499,
   499,   nil,   499,   499,   499,   499,   499,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   499,   nil,   nil,   499,
   nil,   nil,   499,   499,   nil,   nil,   499,   nil,   nil,   nil,
   nil,   nil,   499,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   499,   nil,   nil,   nil,   nil,   499,   499,   499,   499,
   nil,   499,   499,   499,   499,   nil,   nil,   nil,   nil,   499,
   499,   nil,   nil,   nil,   512,   512,   512,   499,   512,   499,
   499,   499,   512,   512,   499,   499,   nil,   512,   nil,   512,
   512,   512,   512,   512,   512,   512,   nil,   nil,   nil,   nil,
   nil,   512,   512,   512,   512,   512,   512,   512,   nil,   nil,
   512,   nil,   nil,   nil,   nil,   nil,   nil,   512,   nil,   nil,
   512,   512,   512,   512,   512,   512,   512,   512,   nil,   512,
   512,   512,   nil,   512,   512,   512,   512,   512,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   512,   nil,   nil,
   512,   nil,   nil,   512,   512,   nil,   nil,   512,   nil,   nil,
   nil,   nil,   nil,   512,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   512,   nil,   nil,   nil,   nil,   512,   512,   512,
   512,   nil,   512,   512,   512,   512,   nil,   nil,   nil,   nil,
   512,   512,   nil,   nil,   nil,   522,   522,   522,   512,   522,
   512,   512,   512,   522,   522,   512,   512,   nil,   522,   nil,
   522,   522,   522,   522,   522,   522,   522,   nil,   nil,   nil,
   nil,   nil,   522,   522,   522,   522,   522,   522,   522,   nil,
   nil,   522,   nil,   nil,   nil,   nil,   nil,   nil,   522,   nil,
   nil,   522,   522,   522,   522,   522,   522,   522,   522,   522,
   522,   522,   522,   nil,   522,   522,   522,   522,   522,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   522,   nil,
   nil,   522,   nil,   nil,   522,   522,   nil,   nil,   522,   nil,
   522,   nil,   522,   nil,   522,   nil,   nil,   522,   nil,   nil,
   nil,   nil,   nil,   522,   nil,   nil,   nil,   nil,   522,   522,
   522,   522,   nil,   522,   522,   522,   522,   nil,   nil,   nil,
   nil,   522,   522,   nil,   nil,   nil,   524,   524,   524,   522,
   524,   522,   522,   522,   524,   524,   522,   522,   nil,   524,
   nil,   524,   524,   524,   524,   524,   524,   524,   nil,   nil,
   nil,   nil,   nil,   524,   524,   524,   524,   524,   524,   524,
   nil,   nil,   524,   nil,   nil,   nil,   nil,   nil,   nil,   524,
   nil,   nil,   524,   524,   524,   524,   524,   524,   524,   524,
   nil,   524,   524,   524,   nil,   524,   524,   524,   524,   524,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   524,
   nil,   nil,   524,   nil,   nil,   524,   524,   nil,   nil,   524,
   nil,   nil,   nil,   nil,   nil,   524,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   524,   nil,   nil,   nil,   nil,   524,
   524,   524,   524,   nil,   524,   524,   524,   524,   nil,   nil,
   nil,   nil,   524,   524,   nil,   nil,   nil,   525,   525,   525,
   524,   525,   524,   524,   524,   525,   525,   524,   524,   nil,
   525,   nil,   525,   525,   525,   525,   525,   525,   525,   nil,
   nil,   nil,   nil,   nil,   525,   525,   525,   525,   525,   525,
   525,   nil,   nil,   525,   nil,   nil,   nil,   nil,   nil,   nil,
   525,   nil,   nil,   525,   525,   525,   525,   525,   525,   525,
   525,   nil,   525,   525,   525,   nil,   525,   525,   525,   525,
   525,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   525,   nil,   nil,   525,   nil,   nil,   525,   525,   nil,   nil,
   525,   nil,   nil,   nil,   nil,   nil,   525,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   525,   nil,   nil,   nil,   nil,
   525,   525,   525,   525,   nil,   525,   525,   525,   525,   nil,
   nil,   nil,   nil,   525,   525,   nil,   nil,   nil,   526,   526,
   526,   525,   526,   525,   525,   525,   526,   526,   525,   525,
   nil,   526,   nil,   526,   526,   526,   526,   526,   526,   526,
   nil,   nil,   nil,   nil,   nil,   526,   526,   526,   526,   526,
   526,   526,   nil,   nil,   526,   nil,   nil,   nil,   nil,   nil,
   nil,   526,   nil,   nil,   526,   526,   526,   526,   526,   526,
   526,   526,   nil,   526,   526,   526,   nil,   526,   526,   526,
   526,   526,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   526,   nil,   nil,   526,   nil,   nil,   526,   526,   nil,
   nil,   526,   nil,   nil,   nil,   nil,   nil,   526,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   526,   nil,   nil,   nil,
   nil,   526,   526,   526,   526,   nil,   526,   526,   526,   526,
   nil,   nil,   nil,   nil,   526,   526,   nil,   nil,   nil,   nil,
   nil,   nil,   526,   nil,   526,   526,   526,   557,   nil,   526,
   526,   nil,   nil,   nil,   557,   557,   557,   nil,   nil,   557,
   557,   557,   409,   557,   409,   409,   409,   409,   409,   nil,
   nil,   557,   557,   557,   nil,   nil,   nil,   409,   nil,   nil,
   nil,   nil,   nil,   557,   557,   nil,   557,   557,   557,   557,
   557,   nil,   646,   nil,   646,   646,   646,   646,   646,   409,
   409,   nil,   nil,   nil,   nil,   nil,   nil,   646,   409,   409,
   409,   409,   nil,   nil,   nil,   409,   nil,  1135,   nil,  1135,
  1135,  1135,  1135,  1135,   557,   nil,   nil,   nil,   nil,   646,
   nil,   557,  1135,   nil,   nil,   nil,   557,   557,   646,   646,
   646,   646,   nil,   nil,   nil,   646,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  1135,   409,   nil,   nil,   nil,   557,
   557,   nil,   nil,  1135,  1135,  1135,  1135,   nil,   nil,   nil,
  1135,   nil,   nil,   nil,   557,   nil,   nil,   557,   nil,   562,
   562,   562,   557,   562,   nil,   646,   nil,   562,   562,   557,
   nil,   nil,   562,   nil,   562,   562,   562,   562,   562,   562,
   562,   nil,   nil,   nil,   nil,   nil,   562,   562,   562,   562,
   562,   562,   562,   nil,   nil,   562,   nil,   nil,   nil,   nil,
   nil,   nil,   562,   nil,   nil,   562,   562,   562,   562,   562,
   562,   562,   562,   nil,   562,   562,   562,   nil,   562,   562,
   562,   562,   562,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   562,   nil,   nil,   562,   nil,   nil,   562,   562,
   nil,   nil,   562,   nil,   nil,   nil,   nil,   nil,   562,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   562,   nil,   nil,
   nil,   nil,   562,   562,   562,   562,   nil,   562,   562,   562,
   562,   nil,   nil,   nil,   nil,   562,   562,   nil,   nil,   nil,
   572,   572,   572,   562,   572,   562,   562,   562,   572,   572,
   562,   562,   nil,   572,   nil,   572,   572,   572,   572,   572,
   572,   572,   nil,   nil,   nil,   nil,   nil,   572,   572,   572,
   572,   572,   572,   572,   nil,   nil,   572,   nil,   nil,   nil,
   nil,   nil,   nil,   572,   nil,   nil,   572,   572,   572,   572,
   572,   572,   572,   572,   572,   572,   572,   572,   nil,   572,
   572,   572,   572,   572,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   572,   nil,   nil,   572,   nil,   nil,   572,
   572,   nil,   nil,   572,   nil,   572,   nil,   572,   nil,   572,
   nil,   nil,   572,   nil,   nil,   nil,   nil,   nil,   572,   nil,
   nil,   nil,   nil,   572,   572,   572,   572,   nil,   572,   572,
   572,   572,   nil,   nil,   nil,   nil,   572,   572,   nil,   nil,
   nil,   574,   574,   574,   572,   574,   572,   572,   572,   574,
   574,   572,   572,   nil,   574,   nil,   574,   574,   574,   574,
   574,   574,   574,   nil,   nil,   nil,   nil,   nil,   574,   574,
   574,   574,   574,   574,   574,   nil,   nil,   574,   nil,   nil,
   nil,   nil,   nil,   nil,   574,   nil,   nil,   574,   574,   574,
   574,   574,   574,   574,   574,   574,   574,   574,   574,   nil,
   574,   574,   574,   574,   574,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   574,   nil,   nil,   574,   nil,   nil,
   574,   574,   nil,   nil,   574,   nil,   nil,   nil,   574,   nil,
   574,   nil,   nil,   574,   nil,   nil,   nil,   nil,   nil,   574,
   nil,   nil,   nil,   nil,   574,   574,   574,   574,   nil,   574,
   574,   574,   574,   nil,   nil,   nil,   nil,   574,   574,   nil,
   nil,   nil,   576,   576,   576,   574,   576,   574,   574,   574,
   576,   576,   574,   574,   nil,   576,   nil,   576,   576,   576,
   576,   576,   576,   576,   nil,   nil,   nil,   nil,   nil,   576,
   576,   576,   576,   576,   576,   576,   nil,   nil,   576,   nil,
   nil,   nil,   nil,   nil,   nil,   576,   nil,   nil,   576,   576,
   576,   576,   576,   576,   576,   576,   nil,   576,   576,   576,
   nil,   576,   576,   576,   576,   576,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   576,   nil,   nil,   576,   nil,
   nil,   576,   576,   nil,   nil,   576,   nil,   nil,   nil,   nil,
   nil,   576,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   576,   nil,   nil,   nil,   nil,   576,   576,   576,   576,   nil,
   576,   576,   576,   576,   nil,   nil,   nil,   nil,   576,   576,
   nil,   nil,   nil,   nil,   nil,   nil,   576,   nil,   576,   576,
   576,   nil,   nil,   576,   576,   582,   582,   582,   582,   582,
   nil,   nil,   nil,   582,   582,   nil,   nil,   nil,   582,   nil,
   582,   582,   582,   582,   582,   582,   582,   nil,   nil,   nil,
   nil,   nil,   582,   582,   582,   582,   582,   582,   582,   nil,
   nil,   582,   nil,   nil,   nil,   nil,   nil,   582,   582,   582,
   582,   582,   582,   582,   582,   582,   582,   582,   582,   nil,
   582,   582,   582,   nil,   582,   582,   582,   582,   582,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   582,   nil,
   nil,   582,   nil,   nil,   582,   582,   nil,   nil,   582,   nil,
   582,   nil,   nil,   nil,   582,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   582,   nil,   nil,   nil,   nil,   582,   582,
   582,   582,   nil,   582,   582,   582,   582,   nil,   nil,   nil,
   nil,   582,   582,   nil,   nil,   nil,   nil,   nil,   582,   582,
   nil,   582,   582,   582,   nil,   nil,   582,   582,   592,   592,
   592,   nil,   592,   nil,   nil,   nil,   592,   592,   nil,   nil,
   nil,   592,   nil,   592,   592,   592,   592,   592,   592,   592,
   nil,   nil,   nil,   nil,   nil,   592,   592,   592,   592,   592,
   592,   592,   nil,   nil,   592,   nil,   nil,   nil,   nil,   nil,
   nil,   592,   nil,   nil,   592,   592,   592,   592,   592,   592,
   592,   592,   592,   592,   592,   592,   nil,   592,   592,   592,
   592,   592,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   592,   nil,   nil,   592,   nil,   nil,   592,   592,   nil,
   nil,   592,   nil,   592,   nil,   592,   nil,   592,   nil,   nil,
   592,   nil,   nil,   nil,   nil,   nil,   592,   nil,   nil,   nil,
   nil,   592,   592,   592,   592,   nil,   592,   592,   592,   592,
   nil,   nil,   nil,   nil,   592,   592,   nil,   nil,   nil,   602,
   602,   602,   592,   602,   592,   592,   592,   602,   602,   592,
   592,   nil,   602,   nil,   602,   602,   602,   602,   602,   602,
   602,   nil,   nil,   nil,   nil,   nil,   602,   602,   602,   602,
   602,   602,   602,   nil,   nil,   602,   nil,   nil,   nil,   nil,
   nil,   nil,   602,   nil,   nil,   602,   602,   602,   602,   602,
   602,   602,   602,   nil,   602,   602,   602,   nil,   602,   602,
   602,   602,   602,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   602,   nil,   nil,   602,   nil,   nil,   602,   602,
   nil,   nil,   602,   nil,   nil,   nil,   nil,   nil,   602,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   602,   nil,   nil,
   nil,   nil,   602,   602,   602,   602,   nil,   602,   602,   602,
   602,   nil,   nil,   nil,   nil,   602,   602,   nil,   nil,   nil,
   605,   605,   605,   602,   605,   602,   602,   602,   605,   605,
   602,   602,   nil,   605,   nil,   605,   605,   605,   605,   605,
   605,   605,   nil,   nil,   nil,   nil,   nil,   605,   605,   605,
   605,   605,   605,   605,   nil,   nil,   605,   nil,   nil,   nil,
   nil,   nil,   nil,   605,   nil,   nil,   605,   605,   605,   605,
   605,   605,   605,   605,   nil,   605,   605,   605,   nil,   605,
   605,   605,   605,   605,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   605,   nil,   nil,   605,   nil,   nil,   605,
   605,   nil,   nil,   605,   nil,   nil,   nil,   nil,   nil,   605,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   605,   nil,
   nil,   nil,   nil,   605,   605,   605,   605,   nil,   605,   605,
   605,   605,   nil,   nil,   nil,   nil,   605,   605,   nil,   nil,
   nil,   607,   607,   607,   605,   607,   605,   605,   605,   607,
   607,   605,   605,   nil,   607,   nil,   607,   607,   607,   607,
   607,   607,   607,   nil,   nil,   nil,   nil,   nil,   607,   607,
   607,   607,   607,   607,   607,   nil,   nil,   607,   nil,   nil,
   nil,   nil,   nil,   nil,   607,   nil,   nil,   607,   607,   607,
   607,   607,   607,   607,   607,   nil,   607,   607,   607,   nil,
   607,   607,   607,   607,   607,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   607,   nil,   nil,   607,   nil,   nil,
   607,   607,   nil,   nil,   607,   nil,   nil,   nil,   nil,   nil,
   607,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   607,
   nil,   nil,   nil,   nil,   607,   607,   607,   607,   nil,   607,
   607,   607,   607,   nil,   nil,   nil,   nil,   607,   607,   nil,
   nil,   nil,   613,   613,   613,   607,   613,   607,   607,   607,
   613,   613,   607,   607,   nil,   613,   nil,   613,   613,   613,
   613,   613,   613,   613,   nil,   nil,   nil,   nil,   nil,   613,
   613,   613,   613,   613,   613,   613,   nil,   nil,   613,   nil,
   nil,   nil,   nil,   nil,   nil,   613,   nil,   nil,   613,   613,
   613,   613,   613,   613,   613,   613,   613,   613,   613,   613,
   nil,   613,   613,   613,   613,   613,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   613,   nil,   nil,   613,   nil,
   nil,   613,   613,   nil,   nil,   613,   nil,   613,   nil,   nil,
   nil,   613,   nil,   nil,   613,   nil,   nil,   nil,   nil,   nil,
   613,   nil,   nil,   nil,   nil,   613,   613,   613,   613,   nil,
   613,   613,   613,   613,   nil,   nil,   nil,   nil,   613,   613,
   nil,   nil,   nil,   616,   616,   616,   613,   616,   613,   613,
   613,   616,   616,   613,   613,   nil,   616,   nil,   616,   616,
   616,   616,   616,   616,   616,   nil,   nil,   nil,   nil,   nil,
   616,   616,   616,   616,   616,   616,   616,   nil,   nil,   616,
   nil,   nil,   nil,   nil,   nil,   nil,   616,   nil,   nil,   616,
   616,   616,   616,   616,   616,   616,   616,   616,   616,   616,
   616,   nil,   616,   616,   616,   616,   616,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   616,   nil,   nil,   616,
   nil,   nil,   616,   616,   nil,   nil,   616,   nil,   nil,   nil,
   nil,   nil,   616,   nil,   nil,   616,   nil,   nil,   nil,   nil,
   nil,   616,   nil,   nil,   nil,   nil,   616,   616,   616,   616,
   nil,   616,   616,   616,   616,   nil,   nil,   nil,   nil,   616,
   616,   nil,   nil,   nil,   629,   629,   629,   616,   629,   616,
   616,   616,   629,   629,   616,   616,   nil,   629,   nil,   629,
   629,   629,   629,   629,   629,   629,   nil,   nil,   nil,   nil,
   nil,   629,   629,   629,   629,   629,   629,   629,   nil,   nil,
   629,   nil,   nil,   nil,   nil,   nil,   nil,   629,   nil,   nil,
   629,   629,   629,   629,   629,   629,   629,   629,   nil,   629,
   629,   629,   nil,   629,   629,   629,   629,   629,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   629,   nil,   nil,
   629,   nil,   nil,   629,   629,   nil,   nil,   629,   nil,   629,
   nil,   nil,   nil,   629,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   629,   nil,   nil,   nil,   nil,   629,   629,   629,
   629,   nil,   629,   629,   629,   629,   nil,   nil,   nil,   nil,
   629,   629,   nil,   nil,   nil,   630,   630,   630,   629,   630,
   629,   629,   629,   630,   630,   629,   629,   nil,   630,   nil,
   630,   630,   630,   630,   630,   630,   630,   nil,   nil,   nil,
   nil,   nil,   630,   630,   630,   630,   630,   630,   630,   nil,
   nil,   630,   nil,   nil,   nil,   nil,   nil,   nil,   630,   nil,
   nil,   630,   630,   630,   630,   630,   630,   630,   630,   630,
   630,   630,   630,   nil,   630,   630,   630,   630,   630,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   630,   nil,
   nil,   630,   nil,   nil,   630,   630,   nil,   nil,   630,   nil,
   630,   nil,   630,   nil,   630,   nil,   nil,   630,   nil,   nil,
   nil,   nil,   nil,   630,   nil,   nil,   nil,   nil,   630,   630,
   630,   630,   nil,   630,   630,   630,   630,   nil,   nil,   nil,
   nil,   630,   630,   nil,   nil,   nil,   640,   640,   640,   630,
   640,   630,   630,   630,   640,   640,   630,   630,   nil,   640,
   nil,   640,   640,   640,   640,   640,   640,   640,   nil,   nil,
   nil,   nil,   nil,   640,   640,   640,   640,   640,   640,   640,
   nil,   nil,   640,   nil,   nil,   nil,   nil,   nil,   nil,   640,
   nil,   nil,   640,   640,   640,   640,   640,   640,   640,   640,
   640,   640,   640,   640,   nil,   640,   640,   640,   640,   640,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   640,
   nil,   nil,   640,   nil,   nil,   640,   640,   nil,   nil,   640,
   nil,   640,   nil,   640,   nil,   640,   nil,   nil,   640,   nil,
   nil,   nil,   nil,   nil,   640,   nil,   nil,   nil,   nil,   640,
   640,   640,   640,   nil,   640,   640,   640,   640,   nil,   nil,
   nil,   nil,   640,   640,   nil,   nil,   nil,   nil,   nil,   nil,
   640,   nil,   640,   640,   640,   nil,   nil,   640,   640,   671,
   671,   671,   671,   671,   nil,   nil,   nil,   671,   671,   nil,
   nil,   nil,   671,   nil,   671,   671,   671,   671,   671,   671,
   671,   nil,   nil,   nil,   nil,   nil,   671,   671,   671,   671,
   671,   671,   671,   nil,   nil,   671,   nil,   nil,   nil,   nil,
   nil,   671,   671,   nil,   671,   671,   671,   671,   671,   671,
   671,   671,   671,   nil,   671,   671,   671,   nil,   671,   671,
   671,   671,   671,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   671,   nil,   nil,   671,   nil,   nil,   671,   671,
   nil,   nil,   671,   nil,   671,   nil,   nil,   nil,   671,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   671,   nil,   nil,
   nil,   nil,   671,   671,   671,   671,   nil,   671,   671,   671,
   671,   nil,   nil,   nil,   nil,   671,   671,   nil,   nil,   nil,
   673,   673,   673,   671,   673,   671,   671,   671,   673,   673,
   671,   671,   nil,   673,   nil,   673,   673,   673,   673,   673,
   673,   673,   nil,   nil,   nil,   nil,   nil,   673,   673,   673,
   673,   673,   673,   673,   nil,   nil,   673,   nil,   nil,   nil,
   nil,   nil,   nil,   673,   nil,   nil,   673,   673,   673,   673,
   673,   673,   673,   673,   nil,   673,   673,   673,   nil,   673,
   673,   673,   673,   673,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   673,   nil,   nil,   673,   nil,   nil,   673,
   673,   nil,   nil,   673,   nil,   673,   nil,   nil,   nil,   673,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   673,   nil,
   nil,   nil,   nil,   673,   673,   673,   673,   nil,   673,   673,
   673,   673,   nil,   nil,   nil,   nil,   673,   673,   nil,   nil,
   nil,   674,   674,   674,   673,   674,   673,   673,   673,   674,
   674,   673,   673,   nil,   674,   nil,   674,   674,   674,   674,
   674,   674,   674,   nil,   nil,   nil,   nil,   nil,   674,   674,
   674,   674,   674,   674,   674,   nil,   nil,   674,   nil,   nil,
   nil,   nil,   nil,   nil,   674,   nil,   nil,   674,   674,   674,
   674,   674,   674,   674,   674,   nil,   674,   674,   674,   nil,
   674,   674,   674,   674,   674,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   674,   nil,   nil,   674,   nil,   nil,
   674,   674,   nil,   nil,   674,   nil,   nil,   nil,   nil,   nil,
   674,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   674,
   nil,   nil,   nil,   nil,   674,   674,   674,   674,   nil,   674,
   674,   674,   674,   nil,   nil,   nil,   nil,   674,   674,   nil,
   nil,   nil,   675,   675,   675,   674,   675,   674,   674,   674,
   675,   675,   674,   674,   nil,   675,   nil,   675,   675,   675,
   675,   675,   675,   675,   nil,   nil,   nil,   nil,   nil,   675,
   675,   675,   675,   675,   675,   675,   nil,   nil,   675,   nil,
   nil,   nil,   nil,   nil,   nil,   675,   nil,   nil,   675,   675,
   675,   675,   675,   675,   675,   675,   675,   675,   675,   675,
   nil,   675,   675,   675,   675,   675,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   675,   nil,   nil,   675,   nil,
   nil,   675,   675,   nil,   nil,   675,   nil,   675,   nil,   675,
   nil,   675,   nil,   nil,   675,   nil,   nil,   nil,   nil,   nil,
   675,   nil,   nil,   nil,   nil,   675,   675,   675,   675,   nil,
   675,   675,   675,   675,   nil,   nil,   nil,   nil,   675,   675,
   nil,   nil,   nil,   nil,   nil,   nil,   675,   nil,   675,   675,
   675,   nil,   nil,   675,   675,   678,   678,   678,   678,   678,
   nil,   nil,   nil,   678,   678,   nil,   nil,   nil,   678,   nil,
   678,   678,   678,   678,   678,   678,   678,   nil,   nil,   nil,
   nil,   nil,   678,   678,   678,   678,   678,   678,   678,   nil,
   nil,   678,   nil,   nil,   nil,   nil,   nil,   678,   678,   nil,
   678,   678,   678,   678,   678,   678,   678,   678,   678,   nil,
   678,   678,   678,   nil,   678,   678,   678,   678,   678,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   678,   nil,
   nil,   678,   nil,   nil,   678,   678,   nil,   nil,   678,   nil,
   678,   nil,   nil,   nil,   678,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   678,   nil,   nil,   nil,   nil,   678,   678,
   678,   678,   nil,   678,   678,   678,   678,   nil,   nil,   nil,
   nil,   678,   678,   nil,   nil,   nil,   679,   679,   679,   678,
   679,   678,   678,   678,   679,   679,   678,   678,   nil,   679,
   nil,   679,   679,   679,   679,   679,   679,   679,   nil,   nil,
   nil,   nil,   nil,   679,   679,   679,   679,   679,   679,   679,
   nil,   nil,   679,   nil,   nil,   nil,   nil,   nil,   nil,   679,
   nil,   nil,   679,   679,   679,   679,   679,   679,   679,   679,
   nil,   679,   679,   679,   nil,   679,   679,   679,   679,   679,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   679,
   nil,   nil,   679,   nil,   nil,   679,   679,   nil,   nil,   679,
   nil,   nil,   nil,   nil,   nil,   679,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   679,   nil,   nil,   nil,   nil,   679,
   679,   679,   679,   nil,   679,   679,   679,   679,   nil,   nil,
   nil,   nil,   679,   679,   nil,   nil,   nil,   682,   682,   682,
   679,   682,   679,   679,   679,   682,   682,   679,   679,   nil,
   682,   nil,   682,   682,   682,   682,   682,   682,   682,   nil,
   nil,   nil,   nil,   nil,   682,   682,   682,   682,   682,   682,
   682,   nil,   nil,   682,   nil,   nil,   nil,   nil,   nil,   nil,
   682,   nil,   nil,   682,   682,   682,   682,   682,   682,   682,
   682,   682,   682,   682,   682,   nil,   682,   682,   682,   682,
   682,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   682,   nil,   nil,   682,   nil,   nil,   682,   682,   nil,   nil,
   682,   nil,   682,   nil,   682,   nil,   682,   nil,   nil,   682,
   nil,   nil,   nil,   nil,   nil,   682,   nil,   nil,   nil,   nil,
   682,   682,   682,   682,   nil,   682,   682,   682,   682,   nil,
   nil,   nil,   nil,   682,   682,   nil,   nil,   nil,   683,   683,
   683,   682,   683,   682,   682,   682,   683,   683,   682,   682,
   nil,   683,   nil,   683,   683,   683,   683,   683,   683,   683,
   nil,   nil,   nil,   nil,   nil,   683,   683,   683,   683,   683,
   683,   683,   nil,   nil,   683,   nil,   nil,   nil,   nil,   nil,
   nil,   683,   nil,   nil,   683,   683,   683,   683,   683,   683,
   683,   683,   683,   683,   683,   683,   nil,   683,   683,   683,
   683,   683,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   683,   nil,   nil,   683,   nil,   nil,   683,   683,   nil,
   nil,   683,   nil,   nil,   nil,   683,   nil,   683,   nil,   nil,
   683,   nil,   nil,   nil,   nil,   nil,   683,   nil,   nil,   nil,
   nil,   683,   683,   683,   683,   nil,   683,   683,   683,   683,
   nil,   nil,   nil,   nil,   683,   683,   nil,   nil,   nil,   684,
   684,   684,   683,   684,   683,   683,   683,   684,   684,   683,
   683,   nil,   684,   nil,   684,   684,   684,   684,   684,   684,
   684,   nil,   nil,   nil,   nil,   nil,   684,   684,   684,   684,
   684,   684,   684,   nil,   nil,   684,   nil,   nil,   nil,   nil,
   nil,   nil,   684,   nil,   nil,   684,   684,   684,   684,   684,
   684,   684,   684,   nil,   684,   684,   684,   nil,   684,   684,
   684,   684,   684,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   684,   nil,   nil,   684,   nil,   nil,   684,   684,
   nil,   nil,   684,   nil,   nil,   nil,   nil,   nil,   684,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   684,   nil,   nil,
   nil,   nil,   684,   684,   684,   684,   nil,   684,   684,   684,
   684,   nil,   nil,   nil,   nil,   684,   684,   nil,   nil,   nil,
   685,   685,   685,   684,   685,   684,   684,   684,   685,   685,
   684,   684,   nil,   685,   nil,   685,   685,   685,   685,   685,
   685,   685,   nil,   nil,   nil,   nil,   nil,   685,   685,   685,
   685,   685,   685,   685,   nil,   nil,   685,   nil,   nil,   nil,
   nil,   nil,   nil,   685,   nil,   nil,   685,   685,   685,   685,
   685,   685,   685,   685,   nil,   685,   685,   685,   nil,   685,
   685,   685,   685,   685,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   685,   nil,   nil,   685,   nil,   nil,   685,
   685,   nil,   nil,   685,   nil,   nil,   nil,   nil,   nil,   685,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   685,   nil,
   nil,   nil,   nil,   685,   685,   685,   685,   nil,   685,   685,
   685,   685,   nil,   nil,   nil,   nil,   685,   685,   nil,   nil,
   nil,   689,   689,   689,   685,   689,   685,   685,   685,   689,
   689,   685,   685,   nil,   689,   nil,   689,   689,   689,   689,
   689,   689,   689,   nil,   nil,   nil,   nil,   nil,   689,   689,
   689,   689,   689,   689,   689,   nil,   nil,   689,   nil,   nil,
   nil,   nil,   nil,   nil,   689,   nil,   nil,   689,   689,   689,
   689,   689,   689,   689,   689,   nil,   689,   689,   689,   nil,
   689,   689,   689,   689,   689,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   689,   nil,   nil,   689,   nil,   nil,
   689,   689,   nil,   nil,   689,   nil,   nil,   nil,   nil,   nil,
   689,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   689,
   nil,   nil,   nil,   nil,   689,   689,   689,   689,   nil,   689,
   689,   689,   689,   nil,   nil,   nil,   nil,   689,   689,   nil,
   nil,   nil,   690,   690,   690,   689,   690,   689,   689,   689,
   690,   690,   689,   689,   nil,   690,   nil,   690,   690,   690,
   690,   690,   690,   690,   nil,   nil,   nil,   nil,   nil,   690,
   690,   690,   690,   690,   690,   690,   nil,   nil,   690,   nil,
   nil,   nil,   nil,   nil,   nil,   690,   nil,   nil,   690,   690,
   690,   690,   690,   690,   690,   690,   nil,   690,   690,   690,
   nil,   690,   690,   690,   690,   690,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   690,   nil,   nil,   690,   nil,
   nil,   690,   690,   nil,   nil,   690,   nil,   nil,   nil,   nil,
   nil,   690,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   690,   nil,   nil,   nil,   nil,   690,   690,   690,   690,   nil,
   690,   690,   690,   690,   nil,   nil,   nil,   nil,   690,   690,
   nil,   nil,   nil,   696,   696,   696,   690,   696,   690,   690,
   690,   696,   696,   690,   690,   nil,   696,   nil,   696,   696,
   696,   696,   696,   696,   696,   nil,   nil,   nil,   nil,   nil,
   696,   696,   696,   696,   696,   696,   696,   nil,   nil,   696,
   nil,   nil,   nil,   nil,   nil,   nil,   696,   nil,   nil,   696,
   696,   696,   696,   696,   696,   696,   696,   nil,   696,   696,
   696,   nil,   696,   696,   696,   696,   696,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   696,   nil,   nil,   696,
   nil,   nil,   696,   696,   nil,   nil,   696,   nil,   696,   nil,
   nil,   nil,   696,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   696,   nil,   nil,   nil,   nil,   696,   696,   696,   696,
   nil,   696,   696,   696,   696,   nil,   nil,   nil,   nil,   696,
   696,   nil,   nil,   nil,   712,   712,   712,   696,   712,   696,
   696,   696,   712,   712,   696,   696,   nil,   712,   nil,   712,
   712,   712,   712,   712,   712,   712,   nil,   nil,   nil,   nil,
   nil,   712,   712,   712,   712,   712,   712,   712,   nil,   nil,
   712,   nil,   nil,   nil,   nil,   nil,   nil,   712,   nil,   nil,
   712,   712,   712,   712,   712,   712,   712,   712,   nil,   712,
   712,   712,   nil,   712,   712,   712,   712,   712,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   712,   nil,   nil,
   712,   nil,   nil,   712,   712,   nil,   nil,   712,   nil,   nil,
   nil,   nil,   nil,   712,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   712,   nil,   nil,   nil,   nil,   712,   712,   712,
   712,   nil,   712,   712,   712,   712,   nil,   nil,   nil,   nil,
   712,   712,   nil,   nil,   nil,   734,   734,   734,   712,   734,
   712,   712,   712,   734,   734,   712,   712,   nil,   734,   nil,
   734,   734,   734,   734,   734,   734,   734,   nil,   nil,   nil,
   nil,   nil,   734,   734,   734,   734,   734,   734,   734,   nil,
   nil,   734,   nil,   nil,   nil,   nil,   nil,   nil,   734,   nil,
   nil,   734,   734,   734,   734,   734,   734,   734,   734,   nil,
   734,   734,   734,   nil,   734,   734,   734,   734,   734,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   734,   nil,
   nil,   734,   nil,   nil,   734,   734,   nil,   nil,   734,   nil,
   nil,   nil,   nil,   nil,   734,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   734,   nil,   nil,   nil,   nil,   734,   734,
   734,   734,   nil,   734,   734,   734,   734,   nil,   nil,   nil,
   nil,   734,   734,   nil,   nil,   nil,   735,   735,   735,   734,
   735,   734,   734,   734,   735,   735,   734,   734,   nil,   735,
   nil,   735,   735,   735,   735,   735,   735,   735,   nil,   nil,
   nil,   nil,   nil,   735,   735,   735,   735,   735,   735,   735,
   nil,   nil,   735,   nil,   nil,   nil,   nil,   nil,   nil,   735,
   nil,   nil,   735,   735,   735,   735,   735,   735,   735,   735,
   nil,   735,   735,   735,   nil,   735,   735,   735,   735,   735,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   735,
   nil,   nil,   735,   nil,   nil,   735,   735,   nil,   nil,   735,
   nil,   nil,   nil,   nil,   nil,   735,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   735,   nil,   nil,   nil,   nil,   735,
   735,   735,   735,   nil,   735,   735,   735,   735,   nil,   nil,
   nil,   nil,   735,   735,   nil,   nil,   nil,   790,   790,   790,
   735,   790,   735,   735,   735,   790,   790,   735,   735,   nil,
   790,   nil,   790,   790,   790,   790,   790,   790,   790,   nil,
   nil,   nil,   nil,   nil,   790,   790,   790,   790,   790,   790,
   790,   nil,   nil,   790,   nil,   nil,   nil,   nil,   nil,   nil,
   790,   nil,   nil,   790,   790,   790,   790,   790,   790,   790,
   790,   790,   790,   790,   790,   nil,   790,   790,   790,   790,
   790,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   790,   nil,   nil,   790,   nil,   nil,   790,   790,   nil,   nil,
   790,   nil,   790,   nil,   790,   nil,   790,   nil,   nil,   790,
   nil,   nil,   nil,   nil,   nil,   790,   nil,   nil,   nil,   nil,
   790,   790,   790,   790,   nil,   790,   790,   790,   790,   nil,
   nil,   nil,   nil,   790,   790,   nil,   nil,   nil,   799,   799,
   799,   790,   799,   790,   790,   790,   799,   799,   790,   790,
   nil,   799,   nil,   799,   799,   799,   799,   799,   799,   799,
   nil,   nil,   nil,   nil,   nil,   799,   799,   799,   799,   799,
   799,   799,   nil,   nil,   799,   nil,   nil,   nil,   nil,   nil,
   nil,   799,   nil,   nil,   799,   799,   799,   799,   799,   799,
   799,   799,   nil,   799,   799,   799,   nil,   799,   799,   799,
   799,   799,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   799,   nil,   nil,   799,   nil,   nil,   799,   799,   nil,
   nil,   799,   nil,   nil,   nil,   nil,   nil,   799,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   799,   nil,   nil,   nil,
   nil,   799,   799,   799,   799,   nil,   799,   799,   799,   799,
   nil,   nil,   nil,   nil,   799,   799,   nil,   nil,   nil,   802,
   802,   802,   799,   802,   799,   799,   799,   802,   802,   799,
   799,   nil,   802,   nil,   802,   802,   802,   802,   802,   802,
   802,   nil,   nil,   nil,   nil,   nil,   802,   802,   802,   802,
   802,   802,   802,   nil,   nil,   802,   nil,   nil,   nil,   nil,
   nil,   nil,   802,   nil,   nil,   802,   802,   802,   802,   802,
   802,   802,   802,   nil,   802,   802,   802,   nil,   802,   802,
   802,   802,   802,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   802,   nil,   nil,   802,   nil,   nil,   802,   802,
   nil,   nil,   802,   nil,   nil,   nil,   nil,   nil,   802,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   802,   nil,   nil,
   nil,   nil,   802,   802,   802,   802,   nil,   802,   802,   802,
   802,   nil,   nil,   nil,   nil,   802,   802,   nil,   nil,   nil,
   820,   820,   820,   802,   820,   802,   802,   802,   820,   820,
   802,   802,   nil,   820,   nil,   820,   820,   820,   820,   820,
   820,   820,   nil,   nil,   nil,   nil,   nil,   820,   820,   820,
   820,   820,   820,   820,   nil,   nil,   820,   nil,   nil,   nil,
   nil,   nil,   nil,   820,   nil,   nil,   820,   820,   820,   820,
   820,   820,   820,   820,   nil,   820,   820,   820,   nil,   820,
   820,   820,   820,   820,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   820,   nil,   nil,   820,   nil,   nil,   820,
   820,   nil,   nil,   820,   nil,   nil,   nil,   nil,   nil,   820,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   820,   nil,
   nil,   nil,   nil,   820,   820,   820,   820,   nil,   820,   820,
   820,   820,   nil,   nil,   nil,   nil,   820,   820,   nil,   nil,
   nil,   849,   849,   849,   820,   849,   820,   820,   820,   849,
   849,   820,   820,   nil,   849,   nil,   849,   849,   849,   849,
   849,   849,   849,   nil,   nil,   nil,   nil,   nil,   849,   849,
   849,   849,   849,   849,   849,   nil,   nil,   849,   nil,   nil,
   nil,   nil,   nil,   nil,   849,   nil,   nil,   849,   849,   849,
   849,   849,   849,   849,   849,   nil,   849,   849,   849,   nil,
   849,   849,   849,   849,   849,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   849,   nil,   nil,   849,   nil,   nil,
   849,   849,   nil,   nil,   849,   nil,   nil,   nil,   nil,   nil,
   849,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   849,
   nil,   nil,   nil,   nil,   849,   849,   849,   849,   nil,   849,
   849,   849,   849,   nil,   nil,   nil,   nil,   849,   849,   nil,
   nil,   nil,   869,   869,   869,   849,   869,   849,   849,   849,
   869,   869,   849,   849,   nil,   869,   nil,   869,   869,   869,
   869,   869,   869,   869,   nil,   nil,   nil,   nil,   nil,   869,
   869,   869,   869,   869,   869,   869,   nil,   nil,   869,   nil,
   nil,   nil,   nil,   nil,   nil,   869,   nil,   nil,   869,   869,
   869,   869,   869,   869,   869,   869,   nil,   869,   869,   869,
   nil,   869,   869,   869,   869,   869,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   869,   nil,   nil,   869,   nil,
   nil,   869,   869,   nil,   nil,   869,   nil,   nil,   nil,   nil,
   nil,   869,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   869,   nil,   nil,   nil,   nil,   869,   869,   869,   869,   nil,
   869,   869,   869,   869,   nil,   nil,   nil,   nil,   869,   869,
   nil,   nil,   nil,   877,   877,   877,   869,   877,   869,   869,
   869,   877,   877,   869,   869,   nil,   877,   nil,   877,   877,
   877,   877,   877,   877,   877,   nil,   nil,   nil,   nil,   nil,
   877,   877,   877,   877,   877,   877,   877,   nil,   nil,   877,
   nil,   nil,   nil,   nil,   nil,   nil,   877,   nil,   nil,   877,
   877,   877,   877,   877,   877,   877,   877,   nil,   877,   877,
   877,   nil,   877,   877,   877,   877,   877,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   877,   nil,   nil,   877,
   nil,   nil,   877,   877,   nil,   nil,   877,   nil,   nil,   nil,
   nil,   nil,   877,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   877,   nil,   nil,   nil,   nil,   877,   877,   877,   877,
   nil,   877,   877,   877,   877,   nil,   nil,   nil,   nil,   877,
   877,   nil,   nil,   nil,   890,   890,   890,   877,   890,   877,
   877,   877,   890,   890,   877,   877,   nil,   890,   nil,   890,
   890,   890,   890,   890,   890,   890,   nil,   nil,   nil,   nil,
   nil,   890,   890,   890,   890,   890,   890,   890,   nil,   nil,
   890,   nil,   nil,   nil,   nil,   nil,   nil,   890,   nil,   nil,
   890,   890,   890,   890,   890,   890,   890,   890,   nil,   890,
   890,   890,   nil,   890,   890,   890,   890,   890,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   890,   nil,   nil,
   890,   nil,   nil,   890,   890,   nil,   nil,   890,   nil,   nil,
   nil,   nil,   nil,   890,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   890,   nil,   nil,   nil,   nil,   890,   890,   890,
   890,   nil,   890,   890,   890,   890,   nil,   nil,   nil,   nil,
   890,   890,   nil,   nil,   nil,   891,   891,   891,   890,   891,
   890,   890,   890,   891,   891,   890,   890,   nil,   891,   nil,
   891,   891,   891,   891,   891,   891,   891,   nil,   nil,   nil,
   nil,   nil,   891,   891,   891,   891,   891,   891,   891,   nil,
   nil,   891,   nil,   nil,   nil,   nil,   nil,   nil,   891,   nil,
   nil,   891,   891,   891,   891,   891,   891,   891,   891,   nil,
   891,   891,   891,   nil,   891,   891,   891,   891,   891,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   891,   nil,
   nil,   891,   nil,   nil,   891,   891,   nil,   nil,   891,   nil,
   nil,   nil,   nil,   nil,   891,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   891,   nil,   nil,   nil,   nil,   891,   891,
   891,   891,   nil,   891,   891,   891,   891,   nil,   nil,   nil,
   nil,   891,   891,   nil,   nil,   nil,   919,   919,   919,   891,
   919,   891,   891,   891,   919,   919,   891,   891,   nil,   919,
   nil,   919,   919,   919,   919,   919,   919,   919,   nil,   nil,
   nil,   nil,   nil,   919,   919,   919,   919,   919,   919,   919,
   nil,   nil,   919,   nil,   nil,   nil,   nil,   nil,   nil,   919,
   nil,   nil,   919,   919,   919,   919,   919,   919,   919,   919,
   nil,   919,   919,   919,   nil,   919,   919,   919,   919,   919,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   919,
   nil,   nil,   919,   nil,   nil,   919,   919,   nil,   nil,   919,
   nil,   nil,   nil,   nil,   nil,   919,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   919,   nil,   nil,   nil,   nil,   919,
   919,   919,   919,   nil,   919,   919,   919,   919,   nil,   nil,
   nil,   nil,   919,   919,   nil,   nil,   nil,   920,   920,   920,
   919,   920,   919,   919,   919,   920,   920,   919,   919,   nil,
   920,   nil,   920,   920,   920,   920,   920,   920,   920,   nil,
   nil,   nil,   nil,   nil,   920,   920,   920,   920,   920,   920,
   920,   nil,   nil,   920,   nil,   nil,   nil,   nil,   nil,   nil,
   920,   nil,   nil,   920,   920,   920,   920,   920,   920,   920,
   920,   nil,   920,   920,   920,   nil,   920,   920,   920,   920,
   920,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   920,   nil,   nil,   920,   nil,   nil,   920,   920,   nil,   nil,
   920,   nil,   nil,   nil,   nil,   nil,   920,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   920,   nil,   nil,   nil,   nil,
   920,   920,   920,   920,   nil,   920,   920,   920,   920,   nil,
   nil,   nil,   nil,   920,   920,   nil,   nil,   nil,   921,   921,
   921,   920,   921,   920,   920,   920,   921,   921,   920,   920,
   nil,   921,   nil,   921,   921,   921,   921,   921,   921,   921,
   nil,   nil,   nil,   nil,   nil,   921,   921,   921,   921,   921,
   921,   921,   nil,   nil,   921,   nil,   nil,   nil,   nil,   nil,
   nil,   921,   nil,   nil,   921,   921,   921,   921,   921,   921,
   921,   921,   nil,   921,   921,   921,   nil,   921,   921,   921,
   921,   921,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   921,   nil,   nil,   921,   nil,   nil,   921,   921,   nil,
   nil,   921,   nil,   nil,   nil,   nil,   nil,   921,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   921,   nil,   nil,   nil,
   nil,   921,   921,   921,   921,   nil,   921,   921,   921,   921,
   nil,   nil,   nil,   nil,   921,   921,   nil,   nil,   nil,   922,
   922,   922,   921,   922,   921,   921,   921,   922,   922,   921,
   921,   nil,   922,   nil,   922,   922,   922,   922,   922,   922,
   922,   nil,   nil,   nil,   nil,   nil,   922,   922,   922,   922,
   922,   922,   922,   nil,   nil,   922,   nil,   nil,   nil,   nil,
   nil,   nil,   922,   nil,   nil,   922,   922,   922,   922,   922,
   922,   922,   922,   nil,   922,   922,   922,   nil,   922,   922,
   922,   922,   922,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   922,   nil,   nil,   922,   nil,   nil,   922,   922,
   nil,   nil,   922,   nil,   nil,   nil,   nil,   nil,   922,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   922,   nil,   nil,
   nil,   nil,   922,   922,   922,   922,   nil,   922,   922,   922,
   922,   nil,   nil,   nil,   nil,   922,   922,   nil,   nil,   nil,
   923,   923,   923,   922,   923,   922,   922,   922,   923,   923,
   922,   922,   nil,   923,   nil,   923,   923,   923,   923,   923,
   923,   923,   nil,   nil,   nil,   nil,   nil,   923,   923,   923,
   923,   923,   923,   923,   nil,   nil,   923,   nil,   nil,   nil,
   nil,   nil,   nil,   923,   nil,   nil,   923,   923,   923,   923,
   923,   923,   923,   923,   nil,   923,   923,   923,   nil,   923,
   923,   923,   923,   923,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   923,   nil,   nil,   923,   nil,   nil,   923,
   923,   nil,   nil,   923,   nil,   nil,   nil,   nil,   nil,   923,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   923,   nil,
   nil,   nil,   nil,   923,   923,   923,   923,   nil,   923,   923,
   923,   923,   nil,   nil,   nil,   nil,   923,   923,   nil,   nil,
   nil,   924,   924,   924,   923,   924,   923,   923,   923,   924,
   924,   923,   923,   nil,   924,   nil,   924,   924,   924,   924,
   924,   924,   924,   nil,   nil,   nil,   nil,   nil,   924,   924,
   924,   924,   924,   924,   924,   nil,   nil,   924,   nil,   nil,
   nil,   nil,   nil,   nil,   924,   nil,   nil,   924,   924,   924,
   924,   924,   924,   924,   924,   nil,   924,   924,   924,   nil,
   924,   924,   924,   924,   924,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   924,   nil,   nil,   924,   nil,   nil,
   924,   924,   nil,   nil,   924,   nil,   nil,   nil,   nil,   nil,
   924,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   924,
   nil,   nil,   nil,   nil,   924,   924,   924,   924,   nil,   924,
   924,   924,   924,   nil,   nil,   nil,   nil,   924,   924,   nil,
   nil,   nil,   957,   957,   957,   924,   957,   924,   924,   924,
   957,   957,   924,   924,   nil,   957,   nil,   957,   957,   957,
   957,   957,   957,   957,   nil,   nil,   nil,   nil,   nil,   957,
   957,   957,   957,   957,   957,   957,   nil,   nil,   957,   nil,
   nil,   nil,   nil,   nil,   nil,   957,   nil,   nil,   957,   957,
   957,   957,   957,   957,   957,   957,   nil,   957,   957,   957,
   nil,   957,   957,   957,   957,   957,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   957,   nil,   nil,   957,   nil,
   nil,   957,   957,   nil,   nil,   957,   nil,   nil,   nil,   nil,
   nil,   957,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   957,   nil,   nil,   nil,   nil,   957,   957,   957,   957,   nil,
   957,   957,   957,   957,   nil,   nil,   nil,   nil,   957,   957,
   nil,   nil,   nil,   963,   963,   963,   957,   963,   957,   957,
   957,   963,   963,   957,   957,   nil,   963,   nil,   963,   963,
   963,   963,   963,   963,   963,   nil,   nil,   nil,   nil,   nil,
   963,   963,   963,   963,   963,   963,   963,   nil,   nil,   963,
   nil,   nil,   nil,   nil,   nil,   nil,   963,   nil,   nil,   963,
   963,   963,   963,   963,   963,   963,   963,   nil,   963,   963,
   963,   nil,   963,   963,   963,   963,   963,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   963,   nil,   nil,   963,
   nil,   nil,   963,   963,   nil,   nil,   963,   nil,   nil,   nil,
   nil,   nil,   963,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   963,   nil,   nil,   nil,   nil,   963,   963,   963,   963,
   nil,   963,   963,   963,   963,   nil,   nil,   nil,   nil,   963,
   963,   nil,   nil,   nil,   986,   986,   986,   963,   986,   963,
   963,   963,   986,   986,   963,   963,   nil,   986,   nil,   986,
   986,   986,   986,   986,   986,   986,   nil,   nil,   nil,   nil,
   nil,   986,   986,   986,   986,   986,   986,   986,   nil,   nil,
   986,   nil,   nil,   nil,   nil,   nil,   nil,   986,   nil,   nil,
   986,   986,   986,   986,   986,   986,   986,   986,   nil,   986,
   986,   986,   nil,   986,   986,   986,   986,   986,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   986,   nil,   nil,
   986,   nil,   nil,   986,   986,   nil,   nil,   986,   nil,   nil,
   nil,   nil,   nil,   986,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   986,   nil,   nil,   nil,   nil,   986,   986,   986,
   986,   nil,   986,   986,   986,   986,   nil,   nil,   nil,   nil,
   986,   986,   nil,   nil,   nil,   991,   991,   991,   986,   991,
   986,   986,   986,   991,   991,   986,   986,   nil,   991,   nil,
   991,   991,   991,   991,   991,   991,   991,   nil,   nil,   nil,
   nil,   nil,   991,   991,   991,   991,   991,   991,   991,   nil,
   nil,   991,   nil,   nil,   nil,   nil,   nil,   nil,   991,   nil,
   nil,   991,   991,   991,   991,   991,   991,   991,   991,   nil,
   991,   991,   991,   nil,   991,   991,   991,   991,   991,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   991,   nil,
   nil,   991,   nil,   nil,   991,   991,   nil,   nil,   991,   nil,
   991,   nil,   nil,   nil,   991,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   991,   nil,   nil,   nil,   nil,   991,   991,
   991,   991,   nil,   991,   991,   991,   991,   nil,   nil,   nil,
   nil,   991,   991,   nil,   nil,   nil,  1010,  1010,  1010,   991,
  1010,   991,   991,   991,  1010,  1010,   991,   991,   nil,  1010,
   nil,  1010,  1010,  1010,  1010,  1010,  1010,  1010,   nil,   nil,
   nil,   nil,   nil,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
   nil,   nil,  1010,   nil,   nil,   nil,   nil,   nil,   nil,  1010,
   nil,   nil,  1010,  1010,  1010,  1010,  1010,  1010,  1010,  1010,
  1010,  1010,  1010,  1010,   nil,  1010,  1010,  1010,  1010,  1010,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1010,
   nil,   nil,  1010,   nil,   nil,  1010,  1010,   nil,   nil,  1010,
   nil,   nil,   nil,  1010,   nil,  1010,   nil,   nil,  1010,   nil,
   nil,   nil,   nil,   nil,  1010,   nil,   nil,   nil,   nil,  1010,
  1010,  1010,  1010,   nil,  1010,  1010,  1010,  1010,   nil,   nil,
   nil,   nil,  1010,  1010,   nil,   nil,   nil,  1036,  1036,  1036,
  1010,  1036,  1010,  1010,  1010,  1036,  1036,  1010,  1010,   nil,
  1036,   nil,  1036,  1036,  1036,  1036,  1036,  1036,  1036,   nil,
   nil,   nil,   nil,   nil,  1036,  1036,  1036,  1036,  1036,  1036,
  1036,   nil,   nil,  1036,   nil,   nil,   nil,   nil,   nil,   nil,
  1036,   nil,   nil,  1036,  1036,  1036,  1036,  1036,  1036,  1036,
  1036,   nil,  1036,  1036,  1036,   nil,  1036,  1036,  1036,  1036,
  1036,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  1036,   nil,   nil,  1036,   nil,   nil,  1036,  1036,   nil,   nil,
  1036,   nil,   nil,   nil,   nil,   nil,  1036,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1036,   nil,   nil,   nil,   nil,
  1036,  1036,  1036,  1036,   nil,  1036,  1036,  1036,  1036,   nil,
   nil,   nil,   nil,  1036,  1036,   nil,   nil,   nil,  1149,  1149,
  1149,  1036,  1149,  1036,  1036,  1036,  1149,  1149,  1036,  1036,
   nil,  1149,   nil,  1149,  1149,  1149,  1149,  1149,  1149,  1149,
   nil,   nil,   nil,   nil,   nil,  1149,  1149,  1149,  1149,  1149,
  1149,  1149,   nil,   nil,  1149,   nil,   nil,   nil,   nil,   nil,
   nil,  1149,   nil,   nil,  1149,  1149,  1149,  1149,  1149,  1149,
  1149,  1149,   nil,  1149,  1149,  1149,   nil,  1149,  1149,  1149,
  1149,  1149,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1149,   nil,   nil,  1149,   nil,   nil,  1149,  1149,   nil,
   nil,  1149,   nil,   nil,   nil,   nil,   nil,  1149,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,  1149,   nil,   nil,   nil,
   nil,  1149,  1149,  1149,  1149,   nil,  1149,  1149,  1149,  1149,
   nil,   nil,   nil,   nil,  1149,  1149,   nil,   nil,   nil,  1150,
  1150,  1150,  1149,  1150,  1149,  1149,  1149,  1150,  1150,  1149,
  1149,   nil,  1150,   nil,  1150,  1150,  1150,  1150,  1150,  1150,
  1150,   nil,   nil,   nil,   nil,   nil,  1150,  1150,  1150,  1150,
  1150,  1150,  1150,   nil,   nil,  1150,   nil,   nil,   nil,   nil,
   nil,   nil,  1150,   nil,   nil,  1150,  1150,  1150,  1150,  1150,
  1150,  1150,  1150,   nil,  1150,  1150,  1150,   nil,  1150,  1150,
  1150,  1150,  1150,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1150,   nil,   nil,  1150,   nil,   nil,  1150,  1150,
   nil,   nil,  1150,   nil,   nil,   nil,   nil,   nil,  1150,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1150,   nil,   nil,
   nil,   nil,  1150,  1150,  1150,  1150,   nil,  1150,  1150,  1150,
  1150,   nil,   nil,   nil,   nil,  1150,  1150,   nil,   nil,   nil,
  1162,  1162,  1162,  1150,  1162,  1150,  1150,  1150,  1162,  1162,
  1150,  1150,   nil,  1162,   nil,  1162,  1162,  1162,  1162,  1162,
  1162,  1162,   nil,   nil,   nil,   nil,   nil,  1162,  1162,  1162,
  1162,  1162,  1162,  1162,   nil,   nil,  1162,   nil,   nil,   nil,
   nil,   nil,   nil,  1162,   nil,   nil,  1162,  1162,  1162,  1162,
  1162,  1162,  1162,  1162,  1162,  1162,  1162,  1162,   nil,  1162,
  1162,  1162,  1162,  1162,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1162,   nil,   nil,  1162,   nil,   nil,  1162,
  1162,   nil,   nil,  1162,   nil,  1162,   nil,  1162,   nil,  1162,
   nil,   nil,  1162,   nil,   nil,   nil,   nil,   nil,  1162,   nil,
   nil,   nil,   nil,  1162,  1162,  1162,  1162,   nil,  1162,  1162,
  1162,  1162,   nil,   nil,   nil,   nil,  1162,  1162,   nil,   nil,
   nil,    39,    39,    39,  1162,    39,  1162,  1162,  1162,    39,
    39,  1162,  1162,   nil,    39,   nil,    39,    39,    39,    39,
    39,    39,    39,   nil,   nil,   nil,   nil,   nil,    39,    39,
    39,    39,    39,    39,    39,   nil,   nil,    39,   nil,   nil,
   nil,   nil,   nil,   nil,    39,   nil,   nil,    39,    39,    39,
    39,    39,    39,    39,    39,   nil,    39,    39,    39,   nil,
    39,    39,   nil,   nil,    39,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    39,   nil,   nil,    39,   nil,   nil,
    39,    39,   nil,   nil,    39,   nil,    39,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    39,    39,    39,    39,   nil,    39,
    39,    39,    39,   nil,   nil,   nil,   nil,    39,    39,   nil,
   nil,   nil,    40,    40,    40,    39,    40,    39,    39,    39,
    40,    40,   nil,   nil,   nil,    40,   nil,    40,    40,    40,
    40,    40,    40,    40,   nil,   nil,   nil,   nil,   nil,    40,
    40,    40,    40,    40,    40,    40,   nil,   nil,    40,   nil,
   nil,   nil,   nil,   nil,   nil,    40,   nil,   nil,    40,    40,
    40,    40,    40,    40,    40,    40,   nil,    40,    40,    40,
   nil,    40,    40,   nil,   nil,    40,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    40,   nil,   nil,    40,   nil,
   nil,    40,    40,   nil,   nil,    40,   nil,   nil,  1208,   nil,
  1208,  1208,  1208,  1208,  1208,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1208,   nil,    40,    40,    40,    40,   nil,
    40,    40,    40,    40,   nil,   nil,   nil,   nil,    40,    40,
   nil,   nil,   nil,    40,   nil,  1208,    40,   nil,    40,    40,
    40,    76,    76,    76,   nil,    76,  1208,  1208,   nil,    76,
    76,  1208,   nil,   nil,    76,   nil,    76,    76,    76,    76,
    76,    76,    76,   nil,   nil,   nil,   nil,   nil,    76,    76,
    76,    76,    76,    76,    76,   nil,   nil,    76,   nil,   nil,
   nil,   nil,   nil,   nil,    76,   nil,   nil,    76,    76,    76,
    76,    76,    76,    76,    76,   nil,    76,    76,    76,   nil,
    76,    76,   nil,   nil,    76,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    76,   nil,   nil,    76,   nil,   nil,
    76,    76,   nil,   nil,    76,   nil,    76,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    76,    76,    76,    76,   nil,    76,
    76,    76,    76,   nil,   nil,   nil,   nil,    76,    76,   nil,
   nil,   nil,    77,    77,    77,    76,    77,    76,    76,    76,
    77,    77,   nil,   nil,   nil,    77,   nil,    77,    77,    77,
    77,    77,    77,    77,   nil,   nil,   nil,   nil,   nil,    77,
    77,    77,    77,    77,    77,    77,   nil,   nil,    77,   nil,
   nil,   nil,   nil,   nil,   nil,    77,   nil,   nil,    77,    77,
    77,    77,    77,    77,    77,    77,   nil,    77,    77,    77,
   nil,    77,    77,   nil,   nil,    77,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    77,   nil,   nil,    77,   nil,   nil,    77,   nil,
   nil,    77,    77,   nil,   nil,    77,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    77,    77,    77,    77,   nil,
    77,    77,    77,    77,   nil,   nil,   nil,   nil,    77,    77,
   nil,   nil,   nil,    78,    78,    78,    77,    78,    77,    77,
    77,    78,    78,   nil,   nil,   nil,    78,   nil,    78,    78,
    78,    78,    78,    78,    78,   nil,   nil,   nil,   nil,   nil,
    78,    78,    78,    78,    78,    78,    78,   nil,   nil,    78,
   nil,   nil,   nil,   nil,   nil,   nil,    78,   nil,   nil,    78,
    78,    78,    78,    78,    78,    78,    78,   nil,    78,    78,
    78,   nil,    78,    78,   nil,   nil,    78,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    78,   nil,   nil,    78,
   nil,   nil,    78,    78,   nil,   nil,    78,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    78,    78,    78,    78,
   nil,    78,    78,    78,    78,   nil,   nil,   nil,   nil,    78,
    78,   nil,   nil,   nil,   341,   341,   341,    78,   341,    78,
    78,    78,   341,   341,   nil,   nil,   nil,   341,   nil,   341,
   341,   341,   341,   341,   341,   341,   nil,   nil,   nil,   nil,
   nil,   341,   341,   341,   341,   341,   341,   341,   nil,   nil,
   341,   nil,   nil,   nil,   nil,   nil,   nil,   341,   nil,   nil,
   341,   341,   341,   341,   341,   341,   341,   341,   nil,   341,
   341,   341,   nil,   341,   341,   nil,   nil,   341,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   341,   nil,   nil,
   341,   nil,   nil,   341,   341,   nil,   nil,   341,   nil,   nil,
  1210,   nil,  1210,  1210,  1210,  1210,  1210,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1210,   nil,   341,   341,   341,
   341,   nil,   341,   341,   341,   341,   nil,   nil,   nil,   nil,
   341,   341,   nil,   nil,   nil,   341,   nil,  1210,   341,   nil,
   341,   341,   341,   360,   360,   360,   nil,   360,  1210,  1210,
   nil,   360,   360,  1210,   nil,   nil,   360,   nil,   360,   360,
   360,   360,   360,   360,   360,   nil,   nil,   nil,   nil,   nil,
   360,   360,   360,   360,   360,   360,   360,   nil,   nil,   360,
   nil,   nil,   nil,   nil,   nil,   nil,   360,   nil,   nil,   360,
   360,   360,   360,   360,   360,   360,   360,   nil,   360,   360,
   360,   nil,   360,   360,   nil,   nil,   360,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   360,   nil,   nil,   360,
   nil,   nil,   360,   360,   nil,   nil,   360,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   360,   360,   360,   360,
   nil,   360,   360,   360,   360,   nil,   nil,   nil,   nil,   360,
   360,   nil,   nil,   nil,   590,   590,   590,   360,   590,   360,
   360,   360,   590,   590,   nil,   nil,   nil,   590,   nil,   590,
   590,   590,   590,   590,   590,   590,   nil,   nil,   nil,   nil,
   nil,   590,   590,   590,   590,   590,   590,   590,   nil,   nil,
   590,   nil,   nil,   nil,   nil,   nil,   nil,   590,   nil,   nil,
   590,   590,   590,   590,   590,   590,   590,   590,   nil,   590,
   590,   590,   nil,   590,   590,   nil,   nil,   590,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   590,   nil,   nil,
   590,   nil,   nil,   590,   590,   nil,   nil,   590,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   590,   590,   590,
   590,   nil,   590,   590,   590,   590,   nil,   nil,   nil,   nil,
   590,   590,   nil,   nil,   nil,   599,   599,   599,   590,   599,
   590,   590,   590,   599,   599,   nil,   nil,   nil,   599,   nil,
   599,   599,   599,   599,   599,   599,   599,   nil,   nil,   nil,
   nil,   nil,   599,   599,   599,   599,   599,   599,   599,   nil,
   nil,   599,   nil,   nil,   nil,   nil,   nil,   nil,   599,   nil,
   nil,   599,   599,   599,   599,   599,   599,   599,   599,   nil,
   599,   599,   599,   nil,   599,   599,   nil,   nil,   599,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   599,   nil,
   nil,   599,   nil,   nil,   599,   599,   nil,   nil,   599,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   599,   599,
   599,   599,   nil,   599,   599,   599,   599,   nil,   nil,   nil,
   nil,   599,   599,   nil,   nil,   nil,   805,   805,   805,   599,
   805,   599,   599,   599,   805,   805,   nil,   nil,   nil,   805,
   nil,   805,   805,   805,   805,   805,   805,   805,   nil,   nil,
   nil,   nil,   nil,   805,   805,   805,   805,   805,   805,   805,
   nil,   nil,   805,   nil,   nil,   nil,   nil,   nil,   nil,   805,
   nil,   nil,   805,   805,   805,   805,   805,   805,   805,   805,
   nil,   805,   805,   805,   nil,   805,   805,   nil,   nil,   805,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   805,
   nil,   nil,   805,   nil,   nil,   805,   805,   nil,   nil,   805,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   805,
   805,   805,   805,   nil,   805,   805,   805,   805,   nil,   nil,
   nil,   nil,   805,   805,   nil,   nil,   nil,   816,   816,   816,
   805,   816,   805,   805,   805,   816,   816,   nil,   nil,   nil,
   816,   nil,   816,   816,   816,   816,   816,   816,   816,   nil,
   nil,   nil,   nil,   nil,   816,   816,   816,   816,   816,   816,
   816,   nil,   nil,   816,   nil,   nil,   nil,   nil,   nil,   nil,
   816,   nil,   nil,   816,   816,   816,   816,   816,   816,   816,
   816,   nil,   816,   816,   816,   nil,   816,   816,   nil,   nil,
   816,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   816,   nil,   nil,   816,   nil,   nil,   816,   816,   nil,   nil,
   816,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   816,   816,   816,   816,   nil,   816,   816,   816,   816,   nil,
   nil,   nil,   nil,   816,   816,   nil,   nil,   nil,  1018,  1018,
  1018,   816,  1018,   816,   816,   816,  1018,  1018,   nil,   nil,
   nil,  1018,   nil,  1018,  1018,  1018,  1018,  1018,  1018,  1018,
   nil,   nil,   nil,   nil,   nil,  1018,  1018,  1018,  1018,  1018,
  1018,  1018,   nil,   nil,  1018,   nil,   nil,   nil,   nil,   nil,
   nil,  1018,   nil,   nil,  1018,  1018,  1018,  1018,  1018,  1018,
  1018,  1018,   nil,  1018,  1018,  1018,   nil,  1018,  1018,   nil,
   nil,  1018,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1018,   nil,   nil,  1018,   nil,   nil,  1018,  1018,   nil,
   nil,  1018,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1018,  1018,  1018,  1018,   nil,  1018,  1018,  1018,  1018,
   nil,   nil,   nil,   nil,  1018,  1018,   nil,   nil,   nil,  1082,
  1082,  1082,  1018,  1082,  1018,  1018,  1018,  1082,  1082,   nil,
   nil,   nil,  1082,   nil,  1082,  1082,  1082,  1082,  1082,  1082,
  1082,   nil,   nil,   nil,   nil,   nil,  1082,  1082,  1082,  1082,
  1082,  1082,  1082,   nil,   nil,  1082,   nil,   nil,   nil,   nil,
   nil,   nil,  1082,   nil,   nil,  1082,  1082,  1082,  1082,  1082,
  1082,  1082,  1082,   nil,  1082,  1082,  1082,   nil,  1082,  1082,
   nil,   nil,  1082,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1082,   nil,   nil,  1082,   nil,   nil,  1082,  1082,
   nil,   nil,  1082,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1082,  1082,  1082,  1082,   nil,  1082,  1082,  1082,
  1082,   nil,   nil,   nil,   nil,  1082,  1082,   nil,   nil,   nil,
  1144,  1144,  1144,  1082,  1144,  1082,  1082,  1082,  1144,  1144,
   nil,   nil,   nil,  1144,   nil,  1144,  1144,  1144,  1144,  1144,
  1144,  1144,   nil,   nil,   nil,   nil,   nil,  1144,  1144,  1144,
  1144,  1144,  1144,  1144,   nil,   nil,  1144,   nil,   nil,   nil,
   nil,   nil,   nil,  1144,   nil,   nil,  1144,  1144,  1144,  1144,
  1144,  1144,  1144,  1144,   nil,  1144,  1144,  1144,   nil,  1144,
  1144,   nil,   nil,  1144,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1144,   nil,   nil,  1144,   nil,   nil,  1144,
  1144,   nil,   nil,  1144,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1144,  1144,  1144,  1144,   nil,  1144,  1144,
  1144,  1144,   nil,   nil,   nil,   nil,  1144,  1144,   nil,   nil,
   nil,   nil,   nil,   nil,  1144,   nil,  1144,  1144,  1144,    10,
    10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
    10,    10,    10,    10,    10,    10,    10,    10,    10,    10,
    10,    10,    10,   nil,   nil,   nil,    10,    10,    10,    10,
    10,    10,    10,    10,    10,    10,   nil,   nil,   nil,   nil,
   nil,    10,    10,    10,    10,    10,    10,    10,    10,    10,
    10,   nil,    10,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    10,    10,   nil,    10,    10,    10,    10,    10,    10,    10,
   nil,   nil,    10,    10,   nil,   nil,   nil,    10,    10,    10,
    10,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    10,    10,   nil,    10,    10,    10,
    10,    10,    10,    10,    10,    10,    10,    10,    10,   nil,
   nil,    10,    10,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    10,    11,    11,    11,
    11,    11,    11,    11,    11,    11,    11,    11,    11,    11,
    11,    11,    11,    11,    11,    11,    11,    11,    11,    11,
    11,   nil,   nil,   nil,    11,    11,    11,    11,    11,    11,
    11,    11,    11,    11,   nil,   nil,   nil,   nil,   nil,    11,
    11,    11,    11,    11,    11,    11,    11,    11,   nil,   nil,
    11,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    11,    11,
   nil,    11,    11,    11,    11,    11,    11,    11,   nil,   nil,
    11,    11,   nil,   nil,   nil,    11,    11,    11,    11,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    11,    11,   nil,    11,    11,    11,    11,    11,
    11,    11,    11,    11,    11,    11,    11,   nil,   nil,    11,
    11,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    11,   427,   427,   427,   427,   427,
   427,   427,   427,   427,   427,   427,   427,   427,   427,   427,
   427,   427,   427,   427,   427,   427,   427,   427,   427,   nil,
   nil,   nil,   427,   427,   427,   427,   427,   427,   427,   427,
   427,   427,   nil,   nil,   nil,   nil,   nil,   427,   427,   427,
   427,   427,   427,   427,   427,   427,   nil,   nil,   427,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   427,   427,   nil,   427,
   427,   427,   427,   427,   427,   427,   nil,   nil,   427,   427,
   nil,   nil,   nil,   427,   427,   427,   427,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   427,   427,   nil,   427,   427,   427,   427,   427,   427,   427,
   427,   427,   427,   427,   427,   nil,   nil,   427,   427,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   427,   669,   669,   669,   669,   669,   669,   669,
   669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
   669,   669,   669,   669,   669,   669,   669,   nil,   nil,   nil,
   669,   669,   669,   669,   669,   669,   669,   669,   669,   669,
   nil,   nil,   nil,   nil,   nil,   669,   669,   669,   669,   669,
   669,   669,   669,   669,   nil,   nil,   669,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   669,   669,   nil,   669,   669,   669,
   669,   669,   669,   669,   nil,   nil,   669,   669,   nil,   nil,
   nil,   669,   669,   669,   669,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   669,   669,
   nil,   669,   669,   669,   669,   669,   669,   669,   669,   669,
   669,   669,   669,   nil,   nil,   669,   669,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   669,    26,    26,    26,    26,    26,    26,    26,    26,    26,
    26,    26,    26,    26,    26,    26,    26,    26,    26,    26,
    26,    26,    26,    26,    26,   nil,   nil,   nil,    26,    26,
    26,    26,    26,    26,    26,    26,    26,    26,   nil,   nil,
   nil,   nil,   nil,    26,    26,    26,    26,    26,    26,    26,
    26,    26,    26,    26,    26,   nil,    26,   nil,   nil,   nil,
   nil,   nil,    26,    26,   nil,    26,    26,    26,    26,    26,
    26,    26,   nil,   nil,    26,    26,   nil,   nil,   nil,    26,
    26,    26,    26,   nil,   nil,   nil,   nil,   nil,    26,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    26,    26,   nil,    26,
    26,    26,    26,    26,    26,    26,    26,    26,    26,    26,
    26,   nil,   nil,    26,   529,   529,   529,   529,   nil,   nil,
  1212,   nil,  1212,  1212,  1212,  1212,  1212,   nil,   nil,   nil,
   529,   529,   529,   529,   nil,  1212,   nil,   529,   529,   nil,
   nil,   nil,   nil,   529,   529,   nil,   nil,   529,   529,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1212,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   529,  1212,  1212,
   529,   nil,   nil,  1212,   529,   nil,   nil,   529,   nil,   529,
   nil,   nil,   nil,   nil,   nil,   nil,   529,   nil,   nil,   nil,
   nil,   nil,   nil,   529,   nil,   nil,   nil,   529,   529,   529,
   529,   nil,   529,   529,   529,   529,   nil,   nil,   nil,   nil,
   529,   529,   530,   530,   530,   530,   nil,   nil,   529,   nil,
   529,   529,   529,   nil,   nil,   529,   529,   nil,   530,   530,
   530,   530,   nil,   nil,   nil,   530,   530,   nil,   nil,   nil,
   nil,   530,   530,   nil,   nil,   530,   530,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   530,   nil,   nil,   530,   nil,
   nil,   nil,   530,   nil,   nil,   530,   nil,   530,   nil,   nil,
   nil,   nil,   nil,   nil,   530,   nil,   nil,   nil,   nil,   nil,
   nil,   530,   nil,   nil,   nil,   530,   530,   530,   530,   nil,
   530,   530,   530,   530,   nil,   nil,   nil,   nil,   530,   530,
   747,   747,   747,   747,   nil,   nil,   530,   nil,   530,   530,
   530,   nil,   nil,   530,   530,   nil,   747,   747,   747,   747,
   nil,   nil,   nil,   747,   nil,   nil,   nil,   nil,   nil,   747,
   747,   nil,   nil,   747,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   747,   nil,   nil,   747,   nil,   nil,   nil,
   747,   nil,   nil,   747,   nil,   747,   nil,   nil,   nil,   nil,
   nil,   nil,   709,   nil,   709,   709,   709,   709,   709,   747,
   nil,   nil,   nil,   747,   747,   747,   747,   709,   747,   747,
   747,   747,   nil,   nil,   nil,   nil,   747,   747,   747,   755,
   755,   755,   755,   nil,   747,   nil,   747,   747,   747,   709,
   nil,   747,   747,   nil,   nil,   755,   755,   755,   755,   nil,
   709,   709,   755,   nil,   nil,   709,   nil,   nil,   755,   755,
   nil,   nil,   755,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   755,   nil,   nil,   755,   nil,   nil,   nil,   755,
   nil,   nil,   755,   nil,   nil,   709,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   755,   nil,
   nil,   nil,   755,   755,   755,   755,   nil,   755,   755,   755,
   755,   nil,   nil,   nil,   nil,   755,   755,   nil,   nil,   nil,
   nil,   nil,   nil,   755,   nil,   755,   755,   755,   nil,   nil,
   755,   755,   782,   782,   782,   782,   782,   782,   782,   782,
   782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
   782,   782,   782,   782,   782,   782,   nil,   nil,   nil,   782,
   782,   782,   782,   782,   782,   782,   782,   782,   782,   nil,
   nil,   nil,   nil,   nil,   782,   782,   782,   782,   782,   782,
   782,   782,   782,   nil,   nil,   782,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   782,   782,   nil,   782,   782,   782,   782,
   782,   782,   782,   nil,   nil,   782,   782,   nil,   nil,   nil,
   782,   782,   782,   782,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   782,   782,   nil,
   782,   782,   782,   782,   782,   782,   782,   782,   782,   782,
   782,   782,   nil,   nil,   782,   926,   926,   926,   926,   nil,
   nil,   nil,   nil,   nil,  1023,   nil,  1023,  1023,  1023,  1023,
  1023,   926,   926,   926,   926,   nil,   nil,   nil,   926,  1023,
   nil,   nil,   nil,   nil,   926,   926,   nil,   nil,   926,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1023,   nil,   nil,   nil,   nil,   nil,   nil,   926,   nil,
   nil,   926,  1023,  1023,   nil,   926,   nil,  1023,   926,   nil,
   926,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   926,   nil,   nil,   nil,   926,   926,
   926,   926,   nil,   926,   926,   926,   926,   nil,   nil,   nil,
   nil,   926,   926,   928,   928,   928,   928,  1023,   nil,   926,
   nil,   926,   926,   926,   nil,   nil,   926,   926,   nil,   928,
   928,   928,   928,   nil,   nil,  1138,   928,  1138,  1138,  1138,
  1138,  1138,   928,   928,   nil,   nil,   928,   nil,   nil,   nil,
  1138,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   928,   nil,   nil,   928,
   nil,   nil,  1138,   928,   nil,   nil,   928,   nil,   nil,   nil,
   nil,  1138,  1138,  1138,  1138,   nil,   nil,   nil,  1138,   nil,
   nil,   nil,   928,   nil,   nil,   nil,   928,   928,   928,   928,
   nil,   928,   928,   928,   928,   nil,   nil,   nil,   nil,   928,
   928,   931,   931,   931,   931,   nil,   nil,   928,   nil,   928,
   928,   928,   nil,   nil,   928,   928,   nil,   931,   931,   931,
   931,   nil,   nil,   nil,   931,   931,   nil,   nil,   nil,   nil,
   931,   931,   nil,   nil,   931,   931,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   931,   nil,   nil,   931,   nil,   nil,
   nil,   931,   nil,   nil,   931,   nil,   931,   nil,   nil,   nil,
   nil,   nil,   nil,   931,   nil,   nil,   nil,   nil,   nil,   nil,
   931,   nil,   nil,   nil,   931,   931,   931,   931,   nil,   931,
   931,   931,   931,   nil,   nil,   nil,   nil,   931,   931,   932,
   932,   932,   932,   nil,   nil,   931,   nil,   931,   931,   931,
   nil,   nil,   931,   931,   nil,   932,   932,   932,   932,   nil,
   nil,   nil,   932,   932,   nil,   nil,   nil,   nil,   932,   932,
   nil,   nil,   932,   932,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   932,   nil,   nil,   932,   nil,   nil,   nil,   932,
   nil,   nil,   932,   nil,   932,   nil,   nil,   nil,   nil,   nil,
   nil,   932,   nil,   nil,   nil,   nil,   nil,   nil,   932,   nil,
   nil,   nil,   932,   932,   932,   932,   nil,   932,   932,   932,
   932,   nil,   nil,   nil,   nil,   932,   932,   938,   938,   938,
   938,   nil,   nil,   932,   nil,   932,   932,   932,   nil,   nil,
   932,   932,   nil,   938,   938,   938,   938,   nil,   nil,  1206,
   938,  1206,  1206,  1206,  1206,  1206,   938,   938,   nil,   nil,
   938,   nil,   nil,   nil,  1206,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   938,   nil,   nil,   938,   nil,   nil,  1206,   938,   nil,   nil,
   938,   nil,   938,   nil,   nil,  1206,  1206,  1206,  1206,   nil,
   nil,   nil,  1206,   nil,   nil,   nil,   938,   nil,   nil,   nil,
   938,   938,   938,   938,   nil,   938,   938,   938,   938,   nil,
   nil,   nil,   nil,   938,   938,   944,   944,   944,   944,   nil,
   nil,   938,   nil,   938,   938,   938,   nil,   nil,   938,   938,
   nil,   944,   944,   944,   944,   nil,   nil,  1229,   944,  1229,
  1229,  1229,  1229,  1229,   944,   944,   nil,   nil,   944,   nil,
   nil,   nil,  1229,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   944,   nil,
   nil,   944,   nil,   nil,  1229,   944,   nil,   nil,   944,   nil,
   nil,   nil,   nil,   nil,   nil,  1229,  1229,   nil,   nil,   nil,
  1229,   nil,   nil,   nil,   944,   nil,   nil,   nil,   944,   944,
   944,   944,   nil,   944,   944,   944,   944,   nil,   nil,   nil,
   nil,   944,   944,   945,   945,   945,   945,   nil,   nil,   944,
   nil,   944,   944,   944,   nil,   nil,   944,   944,   nil,   945,
   945,   945,   945,   nil,   nil,   nil,   945,   nil,   nil,   nil,
   nil,   nil,   945,   945,   nil,   nil,   945,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   945,   nil,   nil,   945,
   nil,   nil,   nil,   945,   nil,   nil,   945,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   945,   nil,   nil,   nil,   945,   945,   945,   945,
   nil,   945,   945,   945,   945,   nil,   nil,   nil,   nil,   945,
   945,   990,   990,   990,   990,   nil,   nil,   945,   nil,   945,
   945,   945,   nil,   nil,   945,   945,   nil,   990,   990,   990,
   990,   nil,   nil,   nil,   990,   990,   nil,   nil,   nil,   nil,
   990,   990,   nil,   nil,   990,   990,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   990,   nil,   nil,   990,   nil,   nil,
   nil,   990,   nil,   nil,   990,   nil,   990,   nil,   nil,   nil,
   nil,   nil,   nil,   990,   nil,   nil,   nil,   nil,   nil,   nil,
   990,   nil,   nil,   nil,   990,   990,   990,   990,   nil,   990,
   990,   990,   990,   nil,   nil,   nil,   nil,   990,   990,  1117,
  1117,  1117,  1117,   nil,   nil,   990,   nil,   990,   990,   990,
   nil,   nil,   990,   990,   nil,  1117,  1117,  1117,  1117,   nil,
   nil,   nil,  1117,   nil,   nil,   nil,   nil,   nil,  1117,  1117,
   nil,   nil,  1117,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1117,   nil,   nil,  1117,   nil,   nil,   nil,  1117,
   nil,   nil,  1117,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1117,   nil,
   nil,   nil,  1117,  1117,  1117,  1117,   nil,  1117,  1117,  1117,
  1117,   nil,   nil,   nil,   nil,  1117,  1117,  1125,  1125,  1125,
  1125,   nil,   nil,  1117,   nil,  1117,  1117,  1117,   nil,   nil,
  1117,  1117,   nil,  1125,  1125,  1125,  1125,   nil,   nil,   nil,
  1125,   nil,   nil,   nil,   nil,   nil,  1125,  1125,   nil,   nil,
  1125,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  1125,   nil,   nil,  1125,   nil,   nil,   nil,  1125,   nil,   nil,
  1125,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,  1125,   nil,   nil,   nil,
  1125,  1125,  1125,  1125,   nil,  1125,  1125,  1125,  1125,   nil,
   nil,   nil,   nil,  1125,  1125,  1129,  1129,  1129,  1129,   nil,
   nil,  1125,   nil,  1125,  1125,  1125,   nil,   nil,  1125,  1125,
   nil,  1129,  1129,  1129,  1129,   nil,   nil,   nil,  1129,   nil,
   nil,   nil,   nil,   nil,  1129,  1129,   nil,   nil,  1129,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1129,   nil,
   nil,  1129,   nil,   nil,   nil,  1129,   nil,   nil,  1129,   nil,
  1129,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  1129,   nil,   nil,   nil,  1129,  1129,
  1129,  1129,   nil,  1129,  1129,  1129,  1129,   nil,   nil,   nil,
   nil,  1129,  1129,  1204,  1204,  1204,  1204,   nil,   nil,  1129,
   nil,  1129,  1129,  1129,   nil,   nil,  1129,  1129,   nil,  1204,
  1204,  1204,  1204,   nil,   nil,   nil,  1204,   nil,   nil,   nil,
   nil,   nil,  1204,  1204,   nil,   nil,  1204,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   765,   765,   765,   765,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,  1204,   nil,   nil,  1204,
   765,   765,   765,  1204,   nil,   nil,  1204,   nil,   nil,   nil,
   nil,   nil,   nil,   765,   765,   nil,   nil,   765,   nil,   nil,
   nil,   nil,  1204,   nil,   nil,   nil,  1204,  1204,  1204,  1204,
   nil,  1204,  1204,  1204,  1204,   nil,   nil,   nil,   nil,  1204,
  1204,   nil,   nil,   nil,   nil,   nil,   nil,  1204,   nil,  1204,
  1204,  1204,   nil,   nil,  1204,  1204,   973,   nil,   973,   973,
   973,   973,   973,   nil,   nil,   nil,   nil,   765,   765,   765,
   765,   973,   765,   765,   765,   765,   nil,   nil,   nil,   nil,
   765,   765,   951,   951,   951,   951,   nil,   nil,   765,   nil,
   765,   765,   765,   973,   nil,   nil,   nil,   nil,   951,   951,
   951,   nil,   973,   973,   973,   973,   nil,   nil,   nil,   973,
   nil,   951,   951,   nil,   nil,   951,   952,   952,   952,   952,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   952,   952,   952,   973,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   952,   952,   nil,   nil,   952,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   951,   951,   951,   951,   nil,
   951,   951,   951,   951,   nil,   nil,   nil,   nil,   951,   951,
   nil,   nil,   nil,   nil,   nil,   nil,   951,   nil,   951,   951,
   951,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   952,
   952,   952,   952,   nil,   952,   952,   952,   952,   nil,   nil,
   nil,   nil,   952,   952,   nil,   nil,   nil,   nil,   nil,   nil,
   952,   nil,   952,   952,   952,   705,   nil,   705,   705,   705,
   705,   705,   nil,   707,   nil,   707,   707,   707,   707,   707,
   705,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   707,   nil,
  1021,   nil,  1021,  1021,  1021,  1021,  1021,   nil,   nil,   nil,
   nil,   nil,   705,   nil,   nil,  1021,   nil,   nil,   nil,   nil,
   707,   705,   705,   705,   705,   nil,   nil,   nil,   705,   707,
   707,   707,   707,   nil,   nil,   nil,   707,  1021,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,  1021,  1021,  1021,  1021,
   nil,   nil,  1025,  1021,  1025,  1025,  1025,  1025,  1025,  1027,
   nil,  1027,  1027,  1027,  1027,  1027,   nil,  1025,   705,   nil,
   nil,   nil,   nil,   nil,  1027,   nil,   707,  1166,   nil,  1166,
  1166,  1166,  1166,  1166,   nil,   nil,   nil,   nil,   nil,  1025,
   nil,   nil,  1166,  1021,   nil,   nil,  1027,   nil,   nil,   nil,
  1025,  1025,   nil,   nil,   nil,  1025,   nil,  1027,  1027,   nil,
   nil,   nil,  1027,   nil,  1166,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1166,  1166,   nil,   nil,   nil,
  1166,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   225,   225,   nil,  1025,   225,   nil,   nil,   nil,
   nil,   nil,  1027,   nil,   225,   225,   nil,   225,   225,   225,
   225,   225,   225,   225,   nil,   nil,   225,   225,   nil,   nil,
  1166,   225,   225,   225,   225,   nil,   nil,   nil,   nil,   nil,
   225,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   225,   225,
   nil,   225,   225,   225,   225,   225,   225,   225,   225,   225,
   225,   225,   225,   226,   226,   225,   nil,   226,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   226,   226,   nil,   226,   226,
   226,   226,   226,   226,   226,   nil,   nil,   226,   226,   nil,
   nil,   nil,   226,   226,   226,   226,   nil,   nil,   nil,   nil,
   nil,   226,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   226,
   226,   nil,   226,   226,   226,   226,   226,   226,   226,   226,
   226,   226,   226,   226,   302,   302,   226,   nil,   302,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   302,   302,   nil,   302,
   302,   302,   302,   302,   302,   302,   nil,   nil,   302,   302,
   nil,   nil,   nil,   302,   302,   302,   302,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   302,   302,   nil,   302,   302,   302,   302,   302,   302,   302,
   302,   302,   302,   302,   302,   520,   520,   302,   nil,   520,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   520,   520,   nil,
   520,   520,   520,   520,   520,   520,   520,   nil,   nil,   520,
   520,   nil,   nil,   nil,   520,   520,   520,   520,   nil,   nil,
   nil,   nil,   nil,   520,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   520,   520,   nil,   520,   520,   520,   520,   520,   520,
   520,   520,   520,   520,   520,   520,   521,   521,   520,   nil,
   521,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   521,   521,
   nil,   521,   521,   521,   521,   521,   521,   521,   nil,   nil,
   521,   521,   nil,   nil,   nil,   521,   521,   521,   521,   nil,
   nil,   nil,   nil,   nil,   521,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   521,   521,   nil,   521,   521,   521,   521,   521,
   521,   521,   521,   521,   521,   521,   521,   593,   593,   521,
   nil,   593,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   593,
   593,   nil,   593,   593,   593,   593,   593,   593,   593,   nil,
   nil,   593,   593,   nil,   nil,   nil,   593,   593,   593,   593,
   nil,   nil,   nil,   nil,   nil,   593,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   593,   593,   nil,   593,   593,   593,   593,
   593,   593,   593,   593,   593,   593,   593,   593,   594,   594,
   593,   nil,   594,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   594,   594,   nil,   594,   594,   594,   594,   594,   594,   594,
   nil,   nil,   594,   594,   nil,   nil,   nil,   594,   594,   594,
   594,   nil,   nil,   nil,   nil,   nil,   594,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   594,   594,   nil,   594,   594,   594,
   594,   594,   594,   594,   594,   594,   594,   594,   594,   603,
   603,   594,   nil,   603,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   603,   603,   nil,   603,   603,   603,   603,   603,   603,
   603,   nil,   nil,   603,   603,   nil,   nil,   nil,   603,   603,
   603,   603,   nil,   nil,   nil,   nil,   nil,   603,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   603,   603,   nil,   603,   603,
   603,   603,   603,   603,   603,   603,   603,   603,   603,   603,
   604,   604,   603,   nil,   604,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   604,   604,   nil,   604,   604,   604,   604,   604,
   604,   604,   nil,   nil,   604,   604,   nil,   nil,   nil,   604,
   604,   604,   604,   nil,   nil,   nil,   nil,   nil,   604,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   604,   604,   nil,   604,
   604,   604,   604,   604,   604,   604,   604,   604,   604,   604,
   604,   631,   631,   604,   nil,   631,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   631,   631,   nil,   631,   631,   631,   631,
   631,   631,   631,   nil,   nil,   631,   631,   nil,   nil,   nil,
   631,   631,   631,   631,   nil,   nil,   nil,   nil,   nil,   631,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   631,   631,   nil,
   631,   631,   631,   631,   631,   631,   631,   631,   631,   631,
   631,   631,   632,   632,   631,   nil,   632,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   632,   632,   nil,   632,   632,   632,
   632,   632,   632,   632,   nil,   nil,   632,   632,   nil,   nil,
   nil,   632,   632,   632,   632,   nil,   nil,   nil,   nil,   nil,
   632,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   632,   632,
   nil,   632,   632,   632,   632,   632,   632,   632,   632,   632,
   632,   632,   632,   638,   638,   632,   nil,   638,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   638,   638,   nil,   638,   638,
   638,   638,   638,   638,   638,   nil,   nil,   638,   638,   nil,
   nil,   nil,   638,   638,   638,   638,   nil,   nil,   nil,   nil,
   nil,   638,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   638,
   638,   nil,   638,   638,   638,   638,   638,   638,   638,   638,
   638,   638,   638,   638,   639,   639,   638,   nil,   639,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   639,   639,   nil,   639,
   639,   639,   639,   639,   639,   639,   nil,   nil,   639,   639,
   nil,   nil,   nil,   639,   639,   639,   639,   nil,   nil,   nil,
   nil,   nil,   639,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   639,   639,   nil,   639,   639,   639,   639,   639,   639,   639,
   639,   639,   639,   639,   639,   676,   676,   639,   nil,   676,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   676,   676,   nil,
   676,   676,   676,   676,   676,   676,   676,   nil,   nil,   676,
   676,   nil,   nil,   nil,   676,   676,   676,   676,   nil,   nil,
   nil,   nil,   nil,   676,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   676,   676,   nil,   676,   676,   676,   676,   676,   676,
   676,   676,   676,   676,   676,   676,   677,   677,   676,   nil,
   677,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   677,   677,
   nil,   677,   677,   677,   677,   677,   677,   677,   nil,   nil,
   677,   677,   nil,   nil,   nil,   677,   677,   677,   677,   nil,
   nil,   nil,   nil,   nil,   677,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   677,   677,   nil,   677,   677,   677,   677,   677,
   677,   677,   677,   677,   677,   677,   677,  1163,  1163,   677,
   nil,  1163,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1163,
  1163,   nil,  1163,  1163,  1163,  1163,  1163,  1163,  1163,   nil,
   nil,  1163,  1163,   nil,   nil,   nil,  1163,  1163,  1163,  1163,
   nil,   nil,   nil,   nil,   nil,  1163,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,  1163,  1163,   nil,  1163,  1163,  1163,  1163,
  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1163,  1164,  1164,
  1163,   nil,  1164,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  1164,  1164,   nil,  1164,  1164,  1164,  1164,  1164,  1164,  1164,
   nil,   nil,  1164,  1164,   nil,   nil,   nil,  1164,  1164,  1164,
  1164,   nil,   nil,   nil,   nil,   nil,  1164,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  1164,  1164,   nil,  1164,  1164,  1164,
  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1187,
  1187,  1164,   nil,  1187,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1187,  1187,   nil,  1187,  1187,  1187,  1187,  1187,  1187,
  1187,   nil,   nil,  1187,  1187,   nil,   nil,   nil,  1187,  1187,
  1187,  1187,   nil,   nil,   nil,   nil,   nil,  1187,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1187,  1187,   nil,  1187,  1187,
  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,  1187,
   nil,   nil,  1187 ]

racc_action_pointer = [
   nil,   204,   979,   226,   nil,  -110,   nil,  5154,   964,   144,
 24967, 25095,   159,   nil,   157,   176,   525,   279,   -62,   -84,
   162,   374,   nil,   -71,  5285,  1123, 25479,   358,   nil,   171,
   nil,    -8,  5426,  5536,  5670,  5801,  5932,   nil,  1123, 23109,
 23240,   nil,   281,   525,   531,   368,  6063,  6194,   205,  6325,
  6456,   525,  6587,   318,   342,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  6728,   nil,  6869,  7000,  7131,    35,
   nil,  7262,  7393,   nil,   nil,  7524, 23379, 23510, 23641,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   612,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,     0,   nil,
   nil,   112,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,  7667,   nil,   nil,   nil,   nil,  7810,
  7941,  8072,  8203,  8346,   nil,  1267,   nil,   588,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   345,   nil,  1411,  8477,
  8608,  8739,  8870,  9001,  9132, 27591, 27652,   nil,   nil,   363,
  1555,   372,   nil,   719,   831,   384,  1699,  9263,  9394,  9525,
   nil,   nil,   514,   -23,   141,   480,   193,   409,   536,   nil,
  9656,   307,   388,  1843,   541,   nil,   nil,  9787,  9918, 10049,
 10180, 10311, 10442, 10573, 10704, 10835, 10966, 11097, 11228, 11359,
 11490, 11621, 11752, 11883, 12014, 12145, 12276, 12407, 12538,   nil,
   nil,   nil,   nil, 12669,   nil,   nil,   226,   302,   515,   517,
   518,   532,   550,   558,   584,   585,   nil,   nil,   nil, 12800,
   nil,   nil, 27713,   nil,   nil,   541, 12931, 13062,   nil,   nil,
   nil,   nil,   nil,   nil,   nil, 13193,   nil,  1843,   nil,   512,
   532,   nil, 13324,   585, 13455,   nil,   nil, 13586, 13717,   nil,
   nil,   221,   nil, 13860,  1252,   599,   579,  1987,   626,   687,
   648, 23772,  2131,   694,   806,   873,   748,   878,   nil,   724,
   691,   225,   743,   748,   nil,   nil,   nil,   750,   221,   707,
 23911,   nil,   564,   879,  3283,  3427,   778,   nil,   779, 13991,
   nil,   757,  2275,  1396,   721,   nil,   139,   574,   760,   743,
   583,   773,   nil,   577,    -1,    11, 14122,  2419,  2563,   264,
   845,   727,   -18,    10,   893,   810,    11,   842,   nil,   nil,
   441,   481,   513,   nil,   962,   nil,   761, 14253,   nil, 15821,
   nil,   193,   378,   396,   402,   412,   -41,   -27,   463,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   756, 25223,   nil,   nil,
   nil,   nil,   759,   nil,   835,   746, 14384,   747,   nil,   nil,
   736,   nil,   968,   246,   850,   nil,   nil,  1267,   nil,   nil,
   nil,   nil,   nil,  1411,   764,   nil,   763,   765,   615,   669,
 14525,   nil,   nil,   nil,   nil,   222,   334,   825,   nil,   nil,
 14657, 14793, 14930,   908,   913,   nil,   nil,    -1,   793,   792,
   800,   nil,   nil,   805,   816,   818,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   807,  3125,   nil,   nil, 15061,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   902,   nil,   nil,
   907,   361, 15192,   950,   nil,   nil,   nil,   -35,   nil,   870,
 27774, 27835, 15323,   253, 15454, 15585, 15716,   823,   828, 25562,
 25660,  3571,  3715,   -45,  1018,   908,   912,   925,   927,  5285,
  5375,  5488,  3859,  4003,  4147,  4291,  4435,  4579,  3311,  3455,
  4723,  4867,  1987,  5011,   nil,   -33,   nil, 15857,   nil,   nil,
   nil,   nil, 15987,   886,   885,   889,   nil,   nil,   nil,   892,
   nil,   nil, 16118,   nil, 16249,   nil, 16380,   nil,   329,   nil,
   nil,   nil, 16523,  1540,   nil,   918,   917,   nil,   nil,   918,
 24042,   923, 16666, 27896, 27957,   972,   968,   nil,   nil, 24173,
   925,   nil, 16797, 28018, 28079, 16928,  5154, 17059,   nil,  1051,
   932,   976,   nil, 17190,   nil,   nil, 17321,   nil,   nil,   nil,
  2707,  1056,   nil,  2851,    62,  1060,  1064,   508,  1066, 17452,
 17583, 28140, 28201,    27,   nil,   nil,   995,   nil, 28262, 28323,
 17714,   nil,   nil,    81,  2995,   nil, 15851,   nil,   nil,   nil,
   nil,  1033,   nil,   nil,   nil,   958,   nil,   nil,   153,   nil,
   263,   nil,   nil,   944,   nil,   947,   nil,   nil,   nil, 25351,
   nil, 17857,   950, 17988, 18119, 18250, 28384, 28445, 18393, 18524,
   693,   991, 18655, 18786, 18917, 19048,   997,   nil,   nil, 19179,
 19310,  1002,   nil,  1060,  1555,  1091, 19441,   nil,   nil,   nil,
   nil,   888,   nil,   nil,   544, 27424,   nil, 27432,   nil, 25811,
   nil,   961, 19572,   nil,  3154,   nil,   976,   978,   729,   983,
   nil,   nil,   nil,   nil,  1087,  1699,   nil,   nil,   nil,   277,
   286,   473,   612,  1001, 19703, 19834,   nil,   -77,   nil,   nil,
   nil,   nil,  1023,   nil,   nil,   nil,   582, 25758,    94,   nil,
  1002,  1085,  1006,   nil,   nil, 25857,   nil,   nil,   303,   nil,
   nil,   654,   nil,   nil,  6728, 27202,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   838,   612,   nil,
   nil,  1016, 26000,   nil,  1140,   nil,  1123,    91,   nil,   nil,
 19965,   nil,  1038,  1050,  1156,   nil,  1046,   nil,  1096, 20096,
   nil,   nil, 20227,   nil,   245, 24304,  1070,   nil,  1074,   236,
   250,  1120,   360,  1123,  1124,  1084, 24435,   nil,  1153,  2131,
 20358,   nil,   nil,   nil,   604,   738,   nil,  1208,   nil,   nil,
   nil,   nil,   nil,  1218,  1226,   nil,   nil,    26,  1106,    40,
    41,   151,   152,  3139,   970,  1267,   nil,  1107,  3283, 20489,
   nil,  1238,    63,  1118,   nil,   nil,   nil,   nil,   nil,  3427,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,  1117, 20620,
  1123,   306,   343,   722,   834,   nil,  2275, 20751,   nil,  1122,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
 20882, 21013,  1248,   nil,  3571,  1124,  1173,   nil,   nil,  1131,
   nil,  1223,   nil,   nil,  1142,  1143,   nil,  1146,  1147,   nil,
  1148,   nil,   nil,   nil,  1153,  3184,  3164,   nil,   nil, 21144,
 21275, 21406, 21537, 21668, 21799,   347, 26083,  1252, 26181,   -41,
   252, 26279, 26377,   622,   -32,  1174,  1176,   nil, 26475,   nil,
  1175,   359,   nil,  1196, 26573, 26671,   nil,   637,  1236,   333,
   nil, 27300, 27334,   nil,   nil,   nil,   nil, 21930,   nil,   nil,
   nil,   nil,   nil, 22061,   nil,   nil,  1218,   nil,   nil,  1234,
  1218,   nil,   nil, 27255,  3715,   nil,   nil,   nil,   nil,  1220,
   338,   nil,    -7,   nil,  1345,   nil, 22192,  1348,   nil,   nil,
 26769, 22323,  3859,    68,  1352,   nil,  1354,   442,  4003,   nil,
   nil,   nil,   nil,  1231,  1281,  1252,  1247,   445,   nil,   nil,
 22454,  2419,  2563,   nil,  4147,   nil,   nil,    32, 24566,   nil,
   nil, 27449,   nil, 26073,   nil, 27501,   nil, 27508,   nil,   nil,
   nil,   nil,  1248,  1258,  2707,  2851, 22585,   nil,  1259,   nil,
   nil,   nil,   nil,  1264,  1267,  1269,  1271,  1274,  1278,   nil,
   nil,   nil,  1331,  1286,  1287,   nil,  1293,   nil,   nil,   122,
  1291,   nil,   nil,   nil,   nil,   nil,   nil,  1335,  2995,  4291,
   nil,   nil,  1294,  1314,   nil,  1315,  1317,  1319,   nil,  1344,
  1337,  1326, 24697,   nil,   nil,   nil,   nil,   nil,    33,   nil,
    34,   728,   nil,   615,   nil,   nil,   nil,  1482,  4435,  4579,
  1109,   nil,   nil,   nil,  4723,    35,    36,  1165,  1437,    42,
   nil,  1364,  1365,  1368,  1372,  3651,  3795, 26867,   nil,   nil,
   nil,   nil,   nil,   nil,   nil, 26965,   nil,   370,   nil, 27063,
   nil,   nil,  1444,   nil,   nil, 15876,   nil,   nil, 26184,   nil,
 14588,   nil,   nil,  1398, 24828,  1309,  1460,  4867,   nil, 22716,
 22847,   nil,   nil,   nil,   nil,  1410,  1515,   636,   nil,   nil,
   nil,  1518, 22978, 28506, 28567,    98, 27526,   nil,   nil,   nil,
   nil,  1397,  1402,  1403,   nil,   nil,  1404,   nil,   nil,  1405,
  1408,  1412,  1413,   nil,  1419,   nil,  1411, 28628,   nil,   797,
  5011,   nil,   nil,   nil,   nil,   nil,  1829,   nil,  1432,   102,
   138,   145,   181,  1430, 27161,   nil, 26478,   nil, 23287,   nil,
 23819,   nil, 25549,   nil,   nil,  1475,  1478,   nil,    38,   nil,
   146,   nil,  1435,  1436,  1438,  1458,   nil,   nil,   nil, 26576,
   nil,   nil,   nil,   nil,  1459,   nil ]

racc_action_default = [
    -1,  -741,    -4,  -741,    -2,  -726,    -5,  -741,    -8,  -741,
  -741,  -741,  -741,   -31,  -741,  -741,   -36,  -741,  -741,  -637,
  -637,  -311,   -52,  -728,  -741,   -61,  -741,   -69,   -70,   -71,
   -75,  -287,  -287,  -287,  -324,  -352,  -353,   -87,   -13,   -91,
   -99,  -101,  -741,  -624,  -625,  -741,  -741,  -741,  -741,  -741,
  -741,  -239,  -741,  -728,  -258,  -302,  -303,  -304,  -305,  -306,
  -307,  -308,  -309,  -310,  -716,  -313,  -317,  -740,  -705,  -333,
  -335,  -741,  -741,   -63,   -63,  -726,  -741,  -741,  -741,  -354,
  -355,  -357,  -358,  -359,  -360,  -419,  -561,  -562,  -563,  -564,
  -585,  -567,  -568,  -587,  -589,  -572,  -577,  -581,  -583,  -599,
  -600,  -601,  -585,  -603,  -605,  -606,  -607,  -608,  -714,  -613,
  -614,  -715,  -616,  -617,  -618,  -619,  -620,  -621,  -622,  -623,
  -628,  -629,  1236,    -3,  -727,  -736,  -737,  -738,    -7,  -741,
  -741,  -741,  -741,  -741,    -9,    -4,   -19,  -741,  -130,  -131,
  -132,  -133,  -134,  -135,  -136,  -140,  -141,  -142,  -143,  -144,
  -145,  -146,  -147,  -148,  -149,  -150,  -151,  -152,  -153,  -154,
  -155,  -156,  -157,  -158,  -159,  -160,  -161,  -162,  -163,  -164,
  -165,  -166,  -167,  -168,  -169,  -170,  -171,  -172,  -173,  -174,
  -175,  -176,  -177,  -178,  -179,  -180,  -181,  -182,  -183,  -184,
  -185,  -186,  -187,  -188,  -189,  -190,  -191,  -192,  -193,  -194,
  -195,  -196,  -197,  -198,  -199,  -200,  -201,  -202,  -203,  -204,
  -205,  -206,  -207,  -208,  -209,  -210,   -24,  -137,   -13,  -741,
  -741,  -741,  -741,  -741,  -277,  -741,  -741,  -724,  -725,  -741,
   -13,  -636,  -634,  -660,  -660,  -741,   -13,  -741,  -741,  -728,
  -729,   -56,  -741,  -624,  -625,  -741,  -311,  -741,  -741,  -245,
  -741,  -637,  -637,   -13,  -741,   -57,   -59,  -222,  -223,  -741,
  -741,  -741,  -741,  -741,  -741,  -741,  -741,  -741,  -741,  -741,
  -741,  -741,  -741,  -741,  -741,  -741,  -741,  -741,  -741,  -259,
  -260,  -261,  -262,  -741,   -65,   -66,  -741,  -130,  -131,  -170,
  -171,  -172,  -188,  -193,  -200,  -203,  -624,  -625,  -703,  -741,
  -428,  -430,  -741,  -722,  -723,   -76,  -277,  -741,  -332,  -434,
  -443,  -445,   -82,  -440,   -83,  -728,   -84,  -265,  -282,  -292,
  -292,  -286,  -290,  -293,  -741,  -585,  -707,  -711,  -741,   -85,
   -86,  -726,   -14,  -741,   -17,  -741,   -89,   -13,  -728,  -741,
   -92,   -95,   -13,  -107,  -108,  -741,  -741,  -115,  -324,  -327,
  -728,  -741,  -637,  -637,  -352,  -353,  -356,  -441,  -741,   -97,
  -741,  -103,  -321,  -741,  -224,  -225,  -604,  -233,  -234,  -741,
  -246,  -251,   -13,  -315,  -728,  -266,  -733,  -733,  -741,  -741,
  -733,  -741,  -334,   -62,  -741,  -741,  -741,   -13,   -13,  -726,
  -741,  -727,  -624,  -625,  -741,  -741,  -311,  -741,  -370,  -371,
  -125,  -126,  -741,  -128,  -741,  -311,  -632,  -741,  -348,  -660,
  -565,  -741,  -741,  -741,  -741,  -741,  -741,  -741,  -741,    -6,
  -739,   -25,   -26,   -27,   -28,   -29,  -741,  -741,   -21,   -22,
   -23,  -138,  -741,   -32,   -35,  -298,  -741,  -741,  -297,   -33,
  -741,   -37,  -741,  -311,   -49,   -51,  -211,  -270,  -293,   -53,
   -54,   -38,  -212,  -270,  -728,  -278,  -292,  -292,  -714,  -715,
  -287,  -438,  -716,  -717,  -718,  -715,  -714,  -287,  -437,  -439,
  -716,  -718,  -741,  -553,  -741,  -383,  -384,  -686,  -728,  -702,
  -702,  -642,  -643,  -645,  -645,  -645,  -659,  -661,  -662,  -663,
  -664,  -665,  -666,  -667,  -668,  -669,  -741,  -671,  -673,  -675,
  -680,  -682,  -683,  -684,  -691,  -693,  -694,  -696,  -697,  -698,
  -700,  -741,  -741,  -741,   -48,  -219,   -55,  -728,  -331,  -741,
  -741,  -741,  -277,  -321,  -741,  -741,  -741,  -741,  -741,  -741,
  -741,  -220,  -221,  -226,  -227,  -228,  -229,  -230,  -231,  -235,
  -236,  -237,  -238,  -240,  -241,  -242,  -243,  -244,  -247,  -248,
  -249,  -250,  -728,  -263,   -67,  -728,  -449,  -287,  -714,  -715,
   -73,   -77,  -661,  -728,  -292,  -728,  -288,  -447,  -449,  -728,
  -326,  -283,  -741,  -284,  -741,  -289,  -741,  -294,  -741,  -710,
  -713,   -12,  -727,   -16,   -18,  -728,   -88,  -319,  -104,   -93,
  -741,  -728,  -277,  -741,  -741,  -114,  -741,  -636,  -604,  -741,
  -100,  -105,  -741,  -741,  -741,  -741,  -264,  -741,  -328,  -741,
  -728,  -741,  -267,  -735,  -734,  -269,  -735,  -322,  -323,  -706,
   -13,  -361,  -362,   -13,  -741,  -741,  -741,  -741,  -741,  -741,
  -277,  -741,  -741,  -321,   -63,  -125,  -126,  -127,  -741,  -741,
  -277,  -344,  -630,  -741,   -13,  -420,  -660,  -423,  -566,  -586,
  -591,  -741,  -593,  -569,  -588,  -741,  -590,  -571,  -741,  -574,
  -741,  -576,  -579,  -741,  -580,  -741,  -602,   -10,   -20,  -741,
   -30,  -741,  -301,  -741,  -741,  -277,  -741,  -741,  -741,  -741,
  -442,  -741,  -279,  -281,  -741,  -741,   -78,  -276,  -435,  -741,
  -741,   -80,  -436,   -44,  -254,  -740,  -740,  -350,  -522,  -685,
  -635,  -741,  -640,  -641,  -741,  -741,  -652,  -741,  -655,  -741,
  -657,  -741,  -741,  -372,  -741,  -374,  -376,  -379,  -382,  -728,
  -674,  -695,  -699,  -638,   -46,  -256,  -351,  -330,  -730,  -714,
  -715,  -714,  -715,  -728,  -741,  -741,   -58,  -463,  -466,  -467,
  -468,  -469,  -471,  -473,  -476,  -477,  -532,  -728,  -489,  -492,
  -502,  -506,  -511,  -513,  -514,  -517,  -518,  -585,  -521,  -523,
  -524,  -525,  -530,  -531,  -741,  -741,  -535,  -536,  -537,  -538,
  -539,  -540,  -541,  -542,  -543,  -544,  -545,  -741,  -741,  -551,
   -60,  -741,  -741,  -704,  -741,  -450,   -72,  -431,  -447,  -272,
  -279,  -274,  -741,  -409,  -741,  -325,  -292,  -291,  -295,  -741,
  -708,  -709,  -741,   -15,   -90,  -741,   -96,  -102,  -728,  -714,
  -715,  -275,  -719,  -113,  -741,   -98,  -741,  -218,  -232,  -252,
  -741,  -314,  -316,  -318,  -733,  -740,  -363,  -740,   -64,  -364,
  -365,  -338,  -339,  -741,  -741,  -455,  -341,  -741,  -728,  -714,
  -715,  -719,  -320,   -13,  -125,  -126,  -129,  -728,   -13,  -741,
  -346,  -741,  -741,  -728,  -592,  -595,  -596,  -597,  -598,   -13,
  -570,  -573,  -575,  -578,  -582,  -584,  -139,   -34,  -299,  -741,
  -728,  -714,  -715,  -715,  -714,   -50,  -271,  -741,  -731,  -292,
   -40,  -214,   -41,  -215,   -79,   -42,  -217,   -43,  -216,   -81,
  -741,  -741,  -740,  -368,   -13,  -554,  -740,  -555,  -556,  -702,
  -681,  -686,  -701,  -644,  -645,  -645,  -672,  -645,  -645,  -692,
  -645,  -669,  -386,  -687,  -728,  -741,  -741,  -381,  -670,  -741,
  -741,  -741,  -741,  -741,  -741,  -442,  -464,  -741,  -741,  -474,
  -475,  -741,  -741,  -741,  -494,  -728,  -728,  -488,  -495,  -499,
  -741,  -741,  -491,  -741,  -741,  -741,  -505,  -512,  -516,  -741,
  -520,  -528,  -529,  -533,  -534,  -546,  -547,  -741,  -609,  -610,
  -611,  -126,  -549,  -741,   -68,  -429,  -409,  -433,  -432,  -741,
  -728,  -444,  -410,  -728,   -13,  -446,  -285,  -296,  -712,   -94,
  -442,  -106,  -728,  -268,  -741,  -366,  -741,  -741,  -340,  -342,
  -741,  -741,   -13,  -442,  -741,  -442,  -741,  -741,   -13,  -349,
  -421,  -424,  -426,  -413,  -741,  -741,  -300,  -442,   -39,  -213,
  -280,   -45,  -255,   -11,   -13,  -560,  -369,  -741,  -741,  -558,
  -639,  -741,  -648,  -741,  -650,  -741,  -653,  -741,  -656,  -658,
  -373,  -375,  -377,  -380,   -47,  -257,  -741,  -465,  -502,  -470,
  -472,  -481,  -485,  -728,  -728,  -728,  -728,  -728,  -728,  -550,
  -486,  -487,  -509,  -496,  -497,  -500,  -728,  -585,  -732,  -728,
  -503,  -507,  -510,  -515,  -519,  -526,  -527,  -741,  -253,   -13,
   -74,  -273,  -702,  -702,  -390,  -392,  -392,  -392,  -408,  -741,
  -728,  -669,  -677,  -678,  -689,  -448,  -329,  -336,  -741,  -337,
  -741,  -460,  -295,  -740,  -343,  -345,  -631,  -741,   -13,   -13,
  -741,  -422,  -594,  -559,   -13,  -624,  -625,  -741,  -741,  -311,
  -557,  -645,  -645,  -645,  -645,  -741,  -741,  -741,  -478,  -479,
  -480,  -482,  -483,  -484,  -501,  -741,  -490,  -741,  -493,  -741,
  -548,  -451,  -741,  -388,  -389,  -393,  -399,  -401,  -741,  -404,
  -741,  -406,  -411,  -741,  -741,  -676,  -741,   -13,  -456,  -741,
  -741,  -452,  -453,  -454,  -347,  -741,  -741,  -728,  -415,  -417,
  -418,  -553,  -277,  -741,  -741,  -321,  -741,  -646,  -649,  -651,
  -654,  -378,  -503,  -498,  -504,  -508,  -702,  -679,  -391,  -392,
  -392,  -392,  -392,  -690,  -392,  -412,  -688,  -741,  -321,  -740,
   -13,  -461,  -462,  -425,  -427,  -414,  -741,  -552,  -728,  -714,
  -715,  -719,  -320,  -645,  -741,  -387,  -741,  -396,  -741,  -398,
  -741,  -402,  -741,  -405,  -407,  -320,  -719,  -367,  -740,  -416,
  -442,  -647,  -392,  -392,  -392,  -392,  -457,  -458,  -459,  -741,
  -394,  -397,  -400,  -403,  -392,  -395 ]

racc_goto_table = [
    44,   301,   285,   495,   495,    44,   141,   141,   340,   284,
   695,   411,   628,   454,   906,   834,   127,   309,   313,   225,
   232,   232,   141,   418,   297,   561,   339,   318,   318,   318,
   303,   382,   565,   712,   474,   892,    44,   344,   344,   984,
   513,   241,    15,   573,   305,   312,   314,    15,   620,   623,
   702,   703,   387,   388,   438,   439,   637,   460,   467,   736,
   780,   899,   136,   217,    44,   124,     8,   713,   375,   739,
   739,     8,   942,   600,   393,   297,   297,   905,    15,   907,
   238,   144,   144,   463,   463,   792,   127,   356,   356,   384,
   385,   445,   123,   389,   445,   563,   800,   336,   797,    17,
   797,   719,   302,   909,    17,  1004,    15,  1076,   445,   236,
   371,   760,   760,  1031,   134,   451,   398,   936,  1060,   359,
   478,   511,    44,  1033,   356,   356,   356,   366,     4,   514,
   373,    44,  1183,    44,   557,    17,   612,   615,   800,   935,
   619,  1038,   654,   656,   659,   659,   338,   421,   422,   423,
   424,   229,   235,  1054,  1158,   974,     1,   128,     2,  1160,
   463,  1013,   390,    17,    15,   784,   803,   987,   316,   329,
   330,   406,   408,    15,   216,    15,   609,   794,   399,   495,
   573,   486,   486,   434,   953,   954,  1045,  1048,     8,   758,
   758,   658,   660,   597,   597,   427,  1056,   425,   529,     8,
  1183,   530,   828,   286,   782,   800,   432,   788,   797,   797,
   669,   461,   369,   607,   378,   787,    44,   318,   298,   379,
   397,    17,   471,   641,   372,  1079,   610,   374,    44,   820,
    17,   848,    17,   998,    44,   644,   433,   444,  1032,  1078,
   444,   339,  1136,   520,  1080,  1157,   578,   645,  1000,   833,
  1219,    44,   232,   232,   444,  1160,   409,   852,    15,  1098,
   440,   426,  1099,   440,   556,   567,   452,   568,   966,  1179,
    15,   320,   320,   320,   419,  1151,    15,   440,  1090,  1226,
   515,  1053,   990,  1190,  1039,   713,  1040,   303,  1061,   917,
  1172,   931,   846,    15,   932,   941,   647,   944,  1173,   318,
   318,  1044,  1047,   806,   377,   380,   969,  1062,   318,  1063,
   956,   733,   815,   896,  1031,    17,   797,    17,  1037,   914,
    17,  1017,  1171,  1043,  1046,   339,   410,    17,  1069,   601,
   339,    44,  1143,    17,    17,    44,   906,   309,   412,   344,
    44,   236,   127,   313,  1174,  1077,   593,   413,   414,   415,
    17,   416,   460,   467,   417,   854,   859,   486,   344,   554,
   849,   901,   904,   900,   603,  1177,   nil,   nil,   nil,   nil,
    44,  1065,  1066,    15,   nil,   625,   626,    15,   463,   463,
  1126,   808,    15,   527,   528,    44,    44,   nil,   862,   356,
   862,   582,   nil,  1111,   nil,   631,   336,   583,   383,   383,
   127,   336,   383,  1217,   624,   nil,   884,   596,   356,   nil,
   nil,   889,    15,   706,   708,   710,   495,   909,   581,   838,
   589,   nil,   nil,   141,   nil,   811,   nil,    15,    15,   847,
    17,   611,   962,  1152,    17,   811,   nil,   598,   nil,    17,
   584,   566,   236,   676,   906,   585,   687,   nil,   851,   569,
   591,   463,   463,   692,   nil,   nil,   383,   383,   383,   383,
  1061,   463,   463,   811,   870,   693,   nil,   nil,  1061,    17,
  1020,   811,  1175,   686,   nil,   495,   627,   495,   nil,   668,
   691,   nil,   nil,   nil,    17,    17,   713,   713,   nil,   463,
   463,   nil,  1176,   nil,   nil,   nil,   463,   463,   144,   nil,
   nil,   992,   nil,   nil,   nil,   724,   461,  1180,   460,   467,
  1181,   681,   nil,   760,   760,   318,   970,   471,   979,   976,
  1091,   906,   723,   760,   nil,   nil,   nil,   774,   774,   760,
   739,   897,   800,   853,   463,   463,   797,   nil,   nil,   nil,
   nil,   nil,   nil,   687,   320,   445,   nil,  1175,   449,   450,
   nil,   nil,   320,   nil,   nil,   445,   445,   nil,  1227,   601,
   445,   445,   nil,   nil,   nil,   516,   517,   515,   601,   452,
   786,   nil,   760,   nil,   nil,   nil,   880,   882,  1222,   461,
    44,   885,   887,   nil,   983,   318,   nil,  1049,   344,   461,
   471,   758,   758,   nil,   486,   nil,   nil,   344,   nil,   nil,
   471,   758,   976,   319,   319,   319,  1228,   758,   825,   781,
   nil,   827,   nil,   843,   nil,   nil,   nil,   461,    44,  1144,
   nil,    44,    15,   318,   nil,   461,   555,   nil,   471,   nil,
   nil,   nil,   nil,   318,   471,   829,   376,   nil,   356,   nil,
   nil,   nil,    44,  1133,  1134,   817,   nil,   356,   nil,   nil,
   758,   nil,   996,   nil,   850,   nil,   nil,   nil,   nil,   nil,
    15,   nil,   461,    15,   nil,   141,   nil,   nil,   318,    44,
   nil,   nil,   nil,   471,   nil,   nil,    44,   nil,   949,    17,
   nil,  1104,   nil,   nil,    15,   nil,   713,   713,   nil,   nil,
   nil,   444,   nil,   nil,   nil,   nil,   nil,   898,  1197,   nil,
   nil,   444,   444,   nil,   nil,   nil,   444,   444,   nil,   nil,
   nil,    15,   nil,   383,   440,  1153,   nil,    17,    15,   nil,
    17,   866,   nil,   nil,   440,   440,   nil,   881,   883,   440,
   440,   nil,   886,   888,   643,   867,   nil,   nil,   nil,   nil,
   144,    17,   875,  1081,  1073,   774,   nil,  1205,   445,   968,
   nil,   nil,  1147,   774,  1148,   nil,   nil,   nil,   964,   nil,
   967,   nil,   774,   774,   nil,   284,   nil,   nil,    17,  1008,
   nil,    17,   nil,   nil,   601,    17,   nil,   nil,   141,   nil,
   nil,    17,    17,   nil,   nil,   981,    17,    17,   437,   437,
   681,   495,   901,   nil,   nil,   nil,   nil,   687,   nil,   nil,
   692,   nil,  1097,   344,   681,   943,   nil,   nil,   nil,   796,
   nil,   nil,   nil,   nil,   344,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   902,   nil,   nil,   902,   nil,   nil,   nil,   nil,
   nil,   994,   nil,   nil,  1022,  1024,   nil,  1026,  1028,   nil,
  1029,    44,   nil,   nil,   nil,   nil,    44,  1005,   nil,   nil,
   824,   nil,   nil,   356,   nil,   nil,   nil,    44,   nil,   nil,
   nil,   nil,   nil,   nil,   356,   681,   nil,   997,   nil,   nil,
   nil,   nil,   nil,  1131,   nil,   564,   319,   nil,   nil,   nil,
   737,   737,  1016,    15,   319,   nil,   nil,   nil,    15,   nil,
   nil,   nil,    44,  1015,   444,   681,   nil,  1019,   nil,    15,
   nil,   nil,   nil,  1156,   681,  1081,  1073,   nil,  1081,  1073,
  1003,  1073,   nil,   908,   nil,   910,   nil,   440,   nil,   879,
  1009,   nil,   nil,   nil,   774,   nil,   774,   681,   nil,   774,
   774,   nil,   nil,   nil,    15,   nil,   774,   nil,   nil,   nil,
    17,   nil,   774,   774,   nil,    17,   nil,   nil,   nil,   774,
   774,  1198,   nil,   nil,   nil,   nil,    17,   nil,   680,   nil,
   nil,   nil,  1085,   nil,   881,   883,   888,   886,   nil,  1137,
  1139,  1141,    44,   nil,    17,  1067,  1081,  1073,  1127,  1073,
  1093,  1073,   nil,  1073,   nil,   nil,   nil,   681,   774,   nil,
    44,    17,   681,   681,   nil,   811,    44,   nil,   nil,   nil,
  1073,   nil,  1103,   nil,  1088,   nil,   nil,   nil,  1096,   nil,
   nil,   nil,    44,   nil,    15,   nil,  1106,   nil,   nil,   nil,
   nil,   463,   463,   nil,   nil,   nil,   nil,   879,   nil,   nil,
  1003,   nil,    15,   nil,   nil,   nil,   nil,   nil,    15,   nil,
   nil,  1167,  1168,  1169,  1170,   463,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    15,   nil,   nil,   nil,  1110,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   356,    44,   nil,   nil,
   nil,    17,   nil,  1207,  1209,  1211,  1213,   nil,  1214,  1009,
   297,   nil,   nil,   nil,   nil,   nil,  1155,   nil,    18,    17,
   nil,   nil,  1161,    18,  1074,    17,    44,    44,   934,   nil,
   nil,  1082,    44,   681,   681,   681,   948,   nil,  1163,    15,
   242,    17,   nil,   943,   nil,   774,  1230,  1231,  1232,  1233,
   242,   242,   242,   774,    18,   345,   345,   774,  1235,   nil,
   356,   nil,   nil,  1221,   nil,  1189,   nil,  1003,    15,    15,
   nil,   nil,   297,   nil,    15,    44,   nil,   982,    19,   461,
   nil,   nil,    18,    19,   nil,   318,   nil,   242,   242,   nil,
   471,   242,   394,   404,   404,   518,    17,  1191,  1192,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   383,   nil,  1218,  1075,
   nil,   nil,   nil,   471,    19,   352,   352,    15,    44,   nil,
   nil,   nil,   356,   nil,   nil,    17,    17,   nil,   837,   nil,
   nil,    17,   774,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    18,   nil,    19,   nil,  1195,   242,   242,   242,   242,    18,
   nil,    18,   352,   352,   352,   nil,   nil,  1112,   nil,  1113,
    15,  1114,   nil,   nil,   nil,   nil,   nil,   925,   nil,   nil,
   nil,   570,   nil,   nil,    17,   nil,   nil,   nil,   nil,   766,
   766,   937,   nil,   902,   nil,   681,  1074,   nil,   nil,  1074,
  1082,  1074,   nil,  1082,   586,   437,  1082,   nil,  1082,   nil,
    19,   nil,   nil,   nil,   nil,   nil,   nil,   934,   nil,    19,
   nil,    19,   934,   934,   383,   nil,   nil,    17,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1059,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    18,   242,   442,   242,   242,   442,
   242,   nil,   980,   383,   nil,   nil,    18,   nil,   nil,   nil,
   nil,   nil,    18,   442,   242,   242,   nil,  1074,   nil,  1074,
   nil,  1074,   nil,  1074,  1082,   nil,  1082,   nil,  1082,    18,
  1082,   737,   993,   nil,  1182,   nil,  1184,   nil,   nil,   nil,
  1074,   995,   nil,   nil,   nil,   nil,   nil,  1082,   nil,   nil,
   nil,   nil,   nil,   nil,    19,   nil,    19,   nil,   nil,    19,
   nil,   nil,  1203,   nil,  1007,   nil,    19,   nil,   nil,   nil,
   nil,   nil,    19,    19,   nil,   242,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   242,   nil,   nil,   nil,   nil,   nil,    19,
   nil,   242,   nil,   nil,   700,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1223,   nil,  1224,   nil,  1225,   nil,   nil,    18,
   nil,   nil,   nil,    18,   nil,   nil,   nil,   345,    18,   nil,
   nil,   nil,   nil,   nil,  1042,  1234,   nil,   nil,   nil,  1050,
  1051,   nil,   nil,   727,   nil,   nil,   345,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    18,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   766,   nil,   nil,
   nil,   nil,   242,    18,    18,   766,   383,   383,   nil,    19,
   nil,   783,   nil,    19,   766,   766,   nil,   352,    19,   789,
   nil,   791,   nil,   242,   nil,   795,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   352,   nil,   nil,   nil,
   nil,   804,   nil,   nil,   nil,   nil,   nil,   807,    19,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    19,    19,   nil,   822,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
  1121,  1122,  1123,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   767,   767,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    20,   nil,   nil,   nil,   nil,
    20,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   918,   766,   nil,   766,   nil,
   nil,   766,   766,   nil,   nil,   nil,   nil,   nil,   766,   nil,
   nil,    20,   353,   353,   766,   766,   nil,   nil,    18,   nil,
   nil,   766,   766,   nil,   nil,   nil,   345,    21,   242,   nil,
   nil,   nil,    21,   nil,   nil,   345,   nil,   nil,   nil,    20,
   nil,   nil,   nil,   nil,   nil,   nil,   768,   768,   nil,   353,
   353,   353,  1220,   nil,   nil,   nil,    18,   nil,   nil,    18,
   766,   nil,   nil,    21,   347,   347,   242,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   242,   nil,    19,   nil,
    18,   nil,   nil,   nil,   nil,   nil,   352,   nil,   nil,   nil,
   nil,    21,   nil,   nil,   nil,   352,   nil,    20,   nil,   nil,
   nil,   396,   405,   405,   nil,   nil,    20,    18,    20,   nil,
   442,   242,   nil,   nil,    18,   nil,    19,   nil,   nil,    19,
   442,   442,   nil,   nil,   nil,   442,   442,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    19,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    21,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    21,   nil,
    21,   nil,   nil,   nil,   nil,   nil,   nil,    19,   nil,   nil,
    19,   nil,   nil,   nil,    19,   nil,   nil,   nil,   nil,   nil,
    19,    19,   nil,   nil,   767,    19,    19,   766,   nil,   nil,
  1030,    20,   767,    20,   nil,   766,    20,   nil,   nil,   766,
   nil,   767,   767,    20,   nil,  1041,   nil,   nil,   nil,    20,
    20,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    20,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   345,   nil,    21,   nil,   443,  1071,   nil,   443,   nil,
   nil,   nil,   345,   nil,   nil,    21,   242,   nil,  1086,   nil,
   nil,    21,   443,   nil,   768,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   768,   nil,   766,   nil,   nil,   nil,    21,    18,
   nil,   768,   768,   nil,    18,   242,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    18,   nil,   nil,   nil,   nil,
   nil,   352,   nil,   nil,   nil,   nil,    20,   nil,   nil,   nil,
    20,   nil,   352,   442,   353,    20,   nil,   nil,   nil,  1118,
  1119,  1120,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    18,   nil,   nil,   353,   nil,  1128,   nil,   nil,   nil,    19,
   nil,   nil,   nil,   nil,    19,    20,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    19,   nil,   nil,    21,   nil,
    20,    20,    21,   767,   nil,   767,   347,    21,   767,   767,
   nil,   nil,   nil,    19,   nil,   767,   nil,   nil,   nil,   nil,
   nil,   767,   767,   nil,   nil,   347,   nil,   nil,   767,   767,
    19,   nil,   nil,   242,   nil,   nil,   nil,    21,   nil,   nil,
   381,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    18,   nil,    21,    21,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   242,   nil,   nil,   nil,   nil,   767,    18,   nil,
   nil,   nil,   nil,   nil,    18,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   768,   nil,   768,   nil,   nil,   768,   768,
    18,   nil,   nil,   nil,  1107,   768,   nil,   nil,   nil,   nil,
   nil,   768,   768,   nil,   nil,   nil,   nil,   nil,   768,   768,
    19,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    19,   nil,
   nil,   nil,   nil,   nil,    19,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    18,   nil,   768,   nil,   nil,
    19,   nil,   nil,   nil,   352,   nil,   nil,   nil,  1145,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    18,    18,   nil,   nil,   nil,   nil,
    18,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   435,   448,   nil,   767,    20,   nil,   nil,   nil,   nil,
   nil,   nil,   767,   353,   nil,    19,   767,   nil,   nil,   nil,
   769,   769,   353,   nil,   nil,   nil,   nil,   nil,   352,   nil,
  1186,   nil,   nil,    18,   nil,   242,   242,   nil,   nil,   nil,
   nil,   nil,   nil,    20,    19,    19,    20,   nil,   242,   nil,
    19,   nil,   nil,   nil,   nil,   nil,   nil,    21,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   347,   nil,    20,   nil,   nil,
   nil,   nil,   nil,   nil,   347,   nil,    18,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   768,   nil,   nil,   nil,   nil,   nil,
   352,   767,   768,    19,    20,    21,   768,    20,    21,   nil,
   nil,    20,   nil,   nil,   575,   nil,   577,    20,    20,   579,
   580,   nil,    20,    20,   nil,   nil,   nil,   nil,   nil,    21,
   nil,   nil,   nil,   nil,   nil,   nil,   858,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    19,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    21,   nil,   nil,   443,
   nil,   nil,   nil,    21,   nil,   nil,    31,   nil,   nil,   443,
   443,    31,   nil,   nil,   443,   443,   nil,   nil,   nil,   nil,
   nil,   768,   nil,   nil,   nil,   nil,   nil,   nil,    31,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    31,    31,
    31,   nil,    31,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   672,   nil,
    31,   nil,   nil,   nil,   nil,    31,    31,   nil,   353,    31,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   769,   353,
   nil,   nil,   nil,   nil,   nil,   nil,   769,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   769,   769,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    20,   nil,   nil,   nil,
   nil,    20,   nil,   nil,   nil,   nil,   nil,   nil,    31,   nil,
   347,   720,    20,    31,    31,    31,    31,    31,   nil,    31,
   nil,   347,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    20,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    20,    21,   770,
   770,   nil,   nil,    21,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    21,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   443,   nil,   798,   nil,   381,   nil,   801,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    21,
   nil,   nil,    31,    31,    31,    31,    31,    31,    31,   nil,
   nil,   nil,   nil,   nil,    31,   nil,   nil,   nil,   nil,   nil,
    31,    31,    31,    31,   nil,   798,   nil,    20,   381,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    31,   nil,   nil,
   nil,   448,   nil,   nil,   nil,    20,   nil,   769,   nil,   769,
   nil,    20,   769,   769,   nil,   nil,   nil,   nil,   nil,   769,
   nil,   nil,   nil,   nil,   nil,   769,   769,    20,   nil,   nil,
   nil,   353,   769,   769,   nil,   nil,   nil,   nil,   nil,    21,
   nil,   nil,   nil,    31,   nil,   868,   nil,   nil,   nil,   nil,
    31,    31,   nil,   nil,   798,   381,    34,    21,   nil,    31,
   nil,    34,   nil,    21,   nil,   nil,   nil,   nil,   895,   nil,
   nil,   769,   nil,   nil,   nil,   nil,   nil,    31,    34,    21,
   nil,    31,    20,  1109,   913,   nil,    31,   nil,    34,    34,
    34,   nil,    34,   nil,   nil,   353,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    20,    20,   nil,   nil,   nil,    31,    20,   nil,   nil,
    34,   771,   771,   nil,   nil,    34,    34,   770,   nil,    34,
    31,    31,    31,   nil,    21,   770,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   770,   770,   nil,   405,   nil,   nil,
   nil,    31,   nil,   nil,   nil,   nil,   nil,   353,   nil,   nil,
    20,   nil,   798,    21,    21,   nil,   nil,   nil,   nil,    21,
   nil,   977,   nil,   nil,   978,   nil,   nil,   nil,    34,   nil,
   nil,   nil,   nil,    34,    34,    34,    34,    34,   nil,    34,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   769,   nil,
   nil,   nil,   nil,    20,   nil,   nil,   769,   nil,   nil,   405,
   769,   nil,    21,   nil,   nil,   nil,    31,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1006,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   772,   772,   nil,   nil,   nil,    21,    31,   nil,   nil,    43,
   nil,   nil,   nil,   nil,    43,   nil,    31,   nil,   nil,   nil,
   nil,   nil,    34,    34,    34,    34,    34,    34,    34,   nil,
   nil,   nil,   nil,   296,    34,   769,   nil,   nil,   nil,   nil,
    34,    34,    34,    34,   nil,    43,   343,   343,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   770,    34,   770,   nil,
   nil,   770,   770,   nil,   nil,   nil,   nil,   nil,   770,   nil,
   nil,   nil,   nil,    43,   770,   770,    31,   nil,   nil,   nil,
   nil,   770,   770,   392,   296,   296,    31,   nil,   nil,   771,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   771,   nil,   nil,
   nil,   nil,   nil,    34,   nil,   nil,   771,   771,   nil,   nil,
    34,    34,   nil,  1092,    31,   nil,   nil,    31,   nil,    34,
   770,   nil,   nil,   nil,    31,   nil,   nil,   nil,   nil,   773,
   773,    43,   381,   nil,    31,   nil,   nil,    34,    31,   nil,
    43,    34,    43,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   775,   775,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    31,   nil,   nil,    31,    31,
   nil,   nil,    31,   nil,   nil,   nil,    34,   nil,    31,    31,
   nil,   nil,   nil,    31,    31,   nil,   nil,   nil,   nil,   nil,
    34,    34,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,   772,   nil,
   nil,   nil,   nil,   nil,   nil,    43,   772,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   772,   772,    43,   nil,   nil,
   nil,   nil,   nil,    43,   nil,   nil,   nil,   770,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   770,   nil,   nil,   nil,   770,
    43,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   771,   nil,
   771,   nil,   nil,   771,   771,   nil,    34,   nil,   nil,   nil,
   771,   nil,   nil,   nil,   nil,   nil,   771,   771,   nil,   nil,
   nil,   nil,   nil,   771,   771,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    31,   nil,    34,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,   nil,   771,   nil,   770,   nil,   nil,    31,   nil,   nil,
    43,   nil,    31,    31,    43,   nil,   nil,   773,   343,    43,
   nil,   nil,   nil,    31,   nil,   773,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   773,   773,   nil,   343,   nil,   nil,
   nil,    31,   nil,   nil,   775,   nil,   nil,   nil,   nil,    43,
   nil,   nil,   775,   nil,   nil,   nil,    34,   nil,    31,   nil,
   nil,   775,   775,   nil,    43,    43,    34,   772,   nil,   772,
   nil,   nil,   772,   772,   nil,   nil,   nil,   nil,   nil,   772,
   nil,   nil,   nil,   nil,   nil,   772,   772,   nil,   nil,   nil,
   nil,   nil,   772,   772,    34,   nil,   nil,    34,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,    34,   nil,
   nil,    31,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   771,
   nil,   772,   nil,   nil,   nil,   nil,   nil,   771,    31,   nil,
   nil,   771,   nil,   nil,   nil,    34,   nil,   nil,    34,    34,
    31,   nil,    34,   nil,   nil,   nil,    31,   nil,    34,    34,
   nil,   nil,    31,    34,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    31,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   773,   nil,   773,   nil,
   nil,   773,   773,   nil,   nil,   nil,   nil,   nil,   773,   nil,
   nil,   nil,   nil,   nil,   773,   773,   771,   nil,   nil,   nil,
   nil,   773,   773,   775,   nil,   775,   nil,   nil,   775,   775,
   nil,   nil,   nil,    31,   nil,   775,   nil,   nil,   nil,   nil,
   nil,   775,   775,   nil,   nil,   nil,   nil,   nil,   775,   775,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   772,    43,
   773,   nil,    31,    31,   nil,   nil,   772,   343,    31,   nil,
   772,   nil,   nil,   nil,   nil,   nil,   343,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   775,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,    43,   nil,   nil,
    43,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    31,   nil,    31,    31,   nil,   nil,    34,   nil,   nil,
   nil,    43,    34,    34,   nil,   nil,    31,   nil,   nil,   nil,
   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   772,   nil,   nil,    43,   nil,
   nil,    34,   nil,   nil,    31,    43,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   773,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   773,   nil,   nil,   nil,   773,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   775,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   775,   nil,   nil,   nil,   775,   nil,   nil,   nil,
   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    34,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,   nil,    34,   nil,   773,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   343,   nil,   nil,   nil,   249,   nil,    34,   nil,
   nil,   nil,   nil,   343,   nil,   nil,   317,   317,   317,   nil,
   nil,   775,   nil,   nil,   nil,   nil,   nil,   nil,   364,   365,
   nil,   367,   368,   nil,   370,   nil,   nil,   nil,   nil,   nil,
    43,   nil,   nil,   nil,   nil,    43,   nil,   nil,   nil,   317,
   317,   nil,   nil,   nil,   nil,   nil,    43,   nil,   nil,   nil,
   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    43,    34,    34,   nil,   nil,   nil,   nil,    34,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    34,   nil,    34,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    43,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,    43,
   nil,   nil,   nil,   nil,   nil,    43,   nil,   nil,   nil,   nil,
   nil,   317,   447,   nil,   nil,   453,   317,   nil,   nil,   nil,
   nil,    43,   nil,   nil,   nil,  1105,   nil,   nil,   nil,   453,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   249,   nil,   nil,   nil,   nil,   nil,   nil,   531,
   532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
   542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
   552,   nil,   nil,   nil,   nil,   553,    43,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   296,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   317,   317,
   nil,   nil,   nil,   nil,   nil,    43,    43,   317,   nil,   nil,
   nil,    43,   nil,   nil,   317,   nil,   317,   nil,   nil,   317,
   317,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   296,   nil,   nil,    43,   nil,   nil,   nil,   nil,   nil,
   nil,   606,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    43,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   317,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   694,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   317,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   725,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   317,   nil,   453,   453,   453,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   365,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   317,   nil,   317,   nil,   317,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   317,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   453,   nil,   nil,   818,   nil,   819,
   nil,   nil,   nil,   nil,   nil,   317,   nil,   nil,   317,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   317,   317,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   317,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   317,   453,   317,   nil,   nil,
   nil,   876,   nil,   nil,   317,   317,   453,   453,   nil,   nil,
   nil,   453,   453,   nil,   nil,   nil,   nil,   nil,   317,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   317,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   694,   725,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   317,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   317,   nil,   nil,   317,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   317,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   453,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,  1011,  1012,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,  1034,  1035,   453,   453,   453,   453,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,  1068,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   317,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   317,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   453,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   317 ]

racc_goto_check = [
    72,   158,    46,   230,   230,    72,    75,    75,    68,    48,
    12,   198,   112,    31,   231,   113,   117,    91,    91,    33,
    87,    87,    75,   198,    72,    57,    11,    36,    36,    36,
    33,   107,    92,   135,    10,    13,    72,    72,    72,   111,
    10,    22,    23,    94,    56,    56,    56,    23,   110,   110,
   139,   139,    44,    44,    24,    24,    73,    55,    55,    41,
    41,   133,    17,    17,    72,     7,     8,   128,    87,   177,
   177,     8,   187,    70,    72,    72,    72,   146,    23,   146,
    40,    77,    77,    61,    61,    58,   117,    82,    82,    19,
    19,    20,     5,    19,    20,    31,   239,    64,    95,    29,
    95,   129,    51,   235,    29,   149,    23,   145,    20,   119,
    40,   201,   201,   127,     9,    28,    23,   176,   193,    69,
   157,   157,    72,   130,    82,    82,    82,    80,     2,    28,
     8,    72,   236,    72,    55,    29,    89,    89,   239,   175,
    89,   192,   215,   215,   215,   215,    65,    19,    19,    19,
    19,    35,    35,   192,   151,   147,     1,     6,     3,   152,
    61,    14,     5,    29,    23,   161,    16,    13,    63,    63,
    63,    74,    74,    23,    18,    23,    10,   161,    21,   230,
    94,   225,   225,    25,   202,   202,   178,   178,     8,   200,
   200,   214,   214,   224,   224,    27,   178,     8,    42,     8,
   236,    43,    45,    50,    52,   239,    11,    60,    95,    95,
    78,    91,    83,    84,    86,    93,    72,    36,   105,   106,
   114,    29,    75,   116,   120,   149,   121,   122,    72,   123,
    29,   124,    29,   125,    72,   126,    22,    22,   131,   136,
    22,    11,   142,    33,   143,   150,   198,   153,   154,   112,
   151,    72,    87,    87,    22,   152,   155,   156,    23,   159,
    23,     2,   160,    23,   162,   164,    79,   165,   168,   145,
    23,    90,    90,    90,     6,   169,    23,    23,   170,   171,
    79,   191,   172,   173,   180,   128,   182,    33,   191,   128,
   193,   183,    73,    23,   184,   188,   157,   189,   193,    36,
    36,   176,   176,    70,    90,    90,    58,   195,    36,   196,
   205,    31,    70,   206,   127,    29,    95,    29,   175,   129,
    29,   207,   130,   175,   175,    11,   210,    29,   147,    68,
    11,    72,   149,    29,    29,    72,   231,    91,   211,    72,
    72,   119,   117,    91,   192,   146,    33,   212,   213,   216,
    29,   217,    55,    55,   218,   219,   220,   225,    72,    51,
   223,   200,   229,   233,    33,   234,   nil,   nil,   nil,   nil,
    72,   202,   202,    23,   nil,    11,    11,    23,    61,    61,
   187,    31,    23,    35,    35,    72,    72,   nil,   215,    82,
   215,     7,   nil,   146,   nil,    33,    64,     8,    26,    26,
   117,    64,    26,   111,    19,   nil,    57,    40,    82,   nil,
   nil,    57,    23,   228,   228,   228,   230,   235,     5,    31,
    69,   nil,   nil,    75,   nil,    55,   nil,    23,    23,    31,
    29,    40,    73,    13,    29,    55,   nil,    80,   nil,    29,
     9,    63,   119,    33,   231,    65,    91,   nil,    10,    63,
    65,    61,    61,    91,   nil,   nil,    26,    26,    26,    26,
   191,    61,    61,    55,    31,    36,   nil,   nil,   191,    29,
   139,    55,   191,    56,   nil,   230,     5,   230,   nil,    17,
    56,   nil,   nil,   nil,    29,    29,   128,   128,   nil,    61,
    61,   nil,   133,   nil,   nil,   nil,    61,    61,    77,   nil,
   nil,   110,   nil,   nil,   nil,    36,    91,   146,    55,    55,
   146,    40,   nil,   201,   201,    36,    92,    75,    70,    94,
    41,   231,   117,   201,   nil,   nil,   nil,    72,    72,   201,
   177,    24,   239,   157,    61,    61,    95,   nil,   nil,   nil,
   nil,   nil,   nil,    91,    90,    20,   nil,   191,    26,    26,
   nil,   nil,    90,   nil,   nil,    20,    20,   nil,    13,    68,
    20,    20,   nil,   nil,   nil,    26,    26,    79,    68,    79,
    56,   nil,   201,   nil,   nil,   nil,    28,    28,   146,    91,
    72,    28,    28,   nil,    89,    36,   nil,    73,    72,    91,
    75,   200,   200,   nil,   225,   nil,   nil,    72,   nil,   nil,
    75,   200,    94,    88,    88,    88,   113,   200,    11,    40,
   nil,    11,   nil,    44,   nil,   nil,   nil,    91,    72,   135,
   nil,    72,    23,    36,   nil,    91,    26,   nil,    75,   nil,
   nil,   nil,   nil,    36,    75,   117,    88,   nil,    82,   nil,
   nil,   nil,    72,   139,   139,    79,   nil,    82,   nil,   nil,
   200,   nil,    10,   nil,   117,   nil,   nil,   nil,   nil,   nil,
    23,   nil,    91,    23,   nil,    75,   nil,   nil,    36,    72,
   nil,   nil,   nil,    75,   nil,   nil,    72,   nil,   198,    29,
   nil,   110,   nil,   nil,    23,   nil,   128,   128,   nil,   nil,
   nil,    22,   nil,   nil,   nil,   nil,   nil,    87,    12,   nil,
   nil,    22,    22,   nil,   nil,   nil,    22,    22,   nil,   nil,
   nil,    23,   nil,    26,    23,   112,   nil,    29,    23,   nil,
    29,    17,   nil,   nil,    23,    23,   nil,    79,    79,    23,
    23,   nil,    79,    79,    26,     8,   nil,   nil,   nil,   nil,
    77,    29,     8,   230,   132,    72,   nil,   139,    20,   107,
   nil,   nil,   110,    72,   110,   nil,   nil,   nil,    46,   nil,
   158,   nil,    72,    72,   nil,    48,   nil,   nil,    29,    28,
   nil,    29,   nil,   nil,    68,    29,   nil,   nil,    75,   nil,
   nil,    29,    29,   nil,   nil,    68,    29,    29,    88,    88,
    40,   230,   200,   nil,   nil,   nil,   nil,    91,   nil,   nil,
    91,   nil,    10,    72,    40,    40,   nil,   nil,   nil,    90,
   nil,   nil,   nil,   nil,    72,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   140,   nil,   nil,   140,   nil,   nil,   nil,   nil,
   nil,    11,   nil,   nil,   228,   228,   nil,   228,   228,   nil,
   228,    72,   nil,   nil,   nil,   nil,    72,    11,   nil,   nil,
    90,   nil,   nil,    82,   nil,   nil,   nil,    72,   nil,   nil,
   nil,   nil,   nil,   nil,    82,    40,   nil,    19,   nil,   nil,
   nil,   nil,   nil,    10,   nil,    88,    88,   nil,   nil,   nil,
   174,   174,    11,    23,    88,   nil,   nil,   nil,    23,   nil,
   nil,   nil,    72,    87,    22,    40,   nil,    87,   nil,    23,
   nil,   nil,   nil,    10,    40,   230,   132,   nil,   230,   132,
    40,   132,   nil,   144,   nil,   144,   nil,    23,   nil,    90,
    79,   nil,   nil,   nil,    72,   nil,    72,    40,   nil,    72,
    72,   nil,   nil,   nil,    23,   nil,    72,   nil,   nil,   nil,
    29,   nil,    72,    72,   nil,    29,   nil,   nil,   nil,    72,
    72,    31,   nil,   nil,   nil,   nil,    29,   nil,    32,   nil,
   nil,   nil,    11,   nil,    79,    79,    79,    79,   nil,   141,
   141,   141,    72,   nil,    29,    19,   230,   132,   198,   132,
    11,   132,   nil,   132,   nil,   nil,   nil,    40,    72,   nil,
    72,    29,    40,    40,   nil,    55,    72,   nil,   nil,   nil,
   132,   nil,    11,   nil,    19,   nil,   nil,   nil,   117,   nil,
   nil,   nil,    72,   nil,    23,   nil,    72,   nil,   nil,   nil,
   nil,    61,    61,   nil,   nil,   nil,   nil,    90,   nil,   nil,
    40,   nil,    23,   nil,   nil,   nil,   nil,   nil,    23,   nil,
   nil,   228,   228,   228,   228,    61,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    23,   nil,   nil,   nil,    23,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    82,    72,   nil,   nil,
   nil,    29,   nil,   141,   141,   141,   141,   nil,   141,    79,
    72,   nil,   nil,   nil,   nil,   nil,    11,   nil,    30,    29,
   nil,   nil,    11,    30,   140,    29,    72,    72,   174,   nil,
   nil,   232,    72,    40,    40,    40,   174,   nil,    33,    23,
    30,    29,   nil,    40,   nil,    72,   141,   141,   141,   141,
    30,    30,    30,    72,    30,    30,    30,    72,   141,   nil,
    82,   nil,   nil,   228,   nil,    11,   nil,    40,    23,    23,
   nil,   nil,    72,   nil,    23,    72,   nil,    26,    34,    91,
   nil,   nil,    30,    34,   nil,    36,   nil,    30,    30,   nil,
    75,    30,    30,    30,    30,    66,    29,    19,    19,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    26,   nil,    11,   144,
   nil,   nil,   nil,    75,    34,    34,    34,    23,    72,   nil,
   nil,   nil,    82,   nil,   nil,    29,    29,   nil,    88,   nil,
   nil,    29,    72,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    30,   nil,    34,   nil,    40,    30,    30,    30,    30,    30,
   nil,    30,    34,    34,    34,   nil,   nil,   144,   nil,   144,
    23,   144,   nil,   nil,   nil,   nil,   nil,    32,   nil,   nil,
   nil,    66,   nil,   nil,    29,   nil,   nil,   nil,   nil,    97,
    97,    32,   nil,   140,   nil,    40,   140,   nil,   nil,   140,
   232,   140,   nil,   232,    66,    88,   232,   nil,   232,   nil,
    34,   nil,   nil,   nil,   nil,   nil,   nil,   174,   nil,    34,
   nil,    34,   174,   174,    26,   nil,   nil,    29,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   174,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    30,    30,    30,    30,    30,    30,
    30,   nil,    32,    26,   nil,   nil,    30,   nil,   nil,   nil,
   nil,   nil,    30,    30,    30,    30,   nil,   140,   nil,   140,
   nil,   140,   nil,   140,   232,   nil,   232,   nil,   232,    30,
   232,   174,    32,   nil,   144,   nil,   144,   nil,   nil,   nil,
   140,    32,   nil,   nil,   nil,   nil,   nil,   232,   nil,   nil,
   nil,   nil,   nil,   nil,    34,   nil,    34,   nil,   nil,    34,
   nil,   nil,   144,   nil,    32,   nil,    34,   nil,   nil,   nil,
   nil,   nil,    34,    34,   nil,    30,   nil,   nil,   nil,   nil,
   nil,   nil,    30,    30,   nil,   nil,   nil,   nil,   nil,    34,
   nil,    30,   nil,   nil,    66,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   144,   nil,   144,   nil,   144,   nil,   nil,    30,
   nil,   nil,   nil,    30,   nil,   nil,   nil,    30,    30,   nil,
   nil,   nil,   nil,   nil,    32,   144,   nil,   nil,   nil,    32,
    32,   nil,   nil,    66,   nil,   nil,    30,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    30,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    97,   nil,   nil,
   nil,   nil,    30,    30,    30,    97,    26,    26,   nil,    34,
   nil,    66,   nil,    34,    97,    97,   nil,    34,    34,    66,
   nil,    66,   nil,    30,   nil,    66,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,    66,   nil,   nil,   nil,   nil,   nil,    66,    34,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    34,    34,   nil,    66,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    32,    32,    32,   nil,   nil,   nil,   nil,   nil,    30,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    30,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    30,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    98,    98,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    38,   nil,   nil,   nil,   nil,
    38,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    66,    97,   nil,    97,   nil,
   nil,    97,    97,   nil,   nil,   nil,   nil,   nil,    97,   nil,
   nil,    38,    38,    38,    97,    97,   nil,   nil,    30,   nil,
   nil,    97,    97,   nil,   nil,   nil,    30,    39,    30,   nil,
   nil,   nil,    39,   nil,   nil,    30,   nil,   nil,   nil,    38,
   nil,   nil,   nil,   nil,   nil,   nil,    99,    99,   nil,    38,
    38,    38,    32,   nil,   nil,   nil,    30,   nil,   nil,    30,
    97,   nil,   nil,    39,    39,    39,    30,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    30,   nil,    34,   nil,
    30,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,    39,   nil,   nil,   nil,    34,   nil,    38,   nil,   nil,
   nil,    39,    39,    39,   nil,   nil,    38,    30,    38,   nil,
    30,    30,   nil,   nil,    30,   nil,    34,   nil,   nil,    34,
    30,    30,   nil,   nil,   nil,    30,    30,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    39,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    39,   nil,
    39,   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,
    34,   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
    34,    34,   nil,   nil,    98,    34,    34,    97,   nil,   nil,
    66,    38,    98,    38,   nil,    97,    38,   nil,   nil,    97,
   nil,    98,    98,    38,   nil,    66,   nil,   nil,   nil,    38,
    38,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    38,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    30,   nil,    39,   nil,    39,    66,   nil,    39,   nil,
   nil,   nil,    30,   nil,   nil,    39,    30,   nil,    66,   nil,
   nil,    39,    39,   nil,    99,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    99,   nil,    97,   nil,   nil,   nil,    39,    30,
   nil,    99,    99,   nil,    30,    30,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    30,   nil,   nil,   nil,   nil,
   nil,    34,   nil,   nil,   nil,   nil,    38,   nil,   nil,   nil,
    38,   nil,    34,    30,    38,    38,   nil,   nil,   nil,    66,
    66,    66,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    30,   nil,   nil,    38,   nil,    66,   nil,   nil,   nil,    34,
   nil,   nil,   nil,   nil,    34,    38,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,    39,   nil,
    38,    38,    39,    98,   nil,    98,    39,    39,    98,    98,
   nil,   nil,   nil,    34,   nil,    98,   nil,   nil,   nil,   nil,
   nil,    98,    98,   nil,   nil,    39,   nil,   nil,    98,    98,
    34,   nil,   nil,    30,   nil,   nil,   nil,    39,   nil,   nil,
    85,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    30,   nil,    39,    39,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    30,   nil,   nil,   nil,   nil,    98,    30,   nil,
   nil,   nil,   nil,   nil,    30,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    99,   nil,    99,   nil,   nil,    99,    99,
    30,   nil,   nil,   nil,    30,    99,   nil,   nil,   nil,   nil,
   nil,    99,    99,   nil,   nil,   nil,   nil,   nil,    99,    99,
    34,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,
   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    30,   nil,    99,   nil,   nil,
    34,   nil,   nil,   nil,    34,   nil,   nil,   nil,    30,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    30,    30,   nil,   nil,   nil,   nil,
    30,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    85,    85,   nil,    98,    38,   nil,   nil,   nil,   nil,
   nil,   nil,    98,    38,   nil,    34,    98,   nil,   nil,   nil,
   100,   100,    38,   nil,   nil,   nil,   nil,   nil,    34,   nil,
    30,   nil,   nil,    30,   nil,    30,    30,   nil,   nil,   nil,
   nil,   nil,   nil,    38,    34,    34,    38,   nil,    30,   nil,
    34,   nil,   nil,   nil,   nil,   nil,   nil,    39,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    39,   nil,    38,   nil,   nil,
   nil,   nil,   nil,   nil,    39,   nil,    30,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    99,   nil,   nil,   nil,   nil,   nil,
    34,    98,    99,    34,    38,    39,    99,    38,    39,   nil,
   nil,    38,   nil,   nil,    85,   nil,    85,    38,    38,    85,
    85,   nil,    38,    38,   nil,   nil,   nil,   nil,   nil,    39,
   nil,   nil,   nil,   nil,   nil,   nil,    39,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    34,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    39,   nil,   nil,    39,
   nil,   nil,   nil,    39,   nil,   nil,    59,   nil,   nil,    39,
    39,    59,   nil,   nil,    39,    39,   nil,   nil,   nil,   nil,
   nil,    99,   nil,   nil,   nil,   nil,   nil,   nil,    59,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    59,    59,
    59,   nil,    59,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    85,   nil,
    59,   nil,   nil,   nil,   nil,    59,    59,   nil,    38,    59,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   100,    38,
   nil,   nil,   nil,   nil,   nil,   nil,   100,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   100,   100,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    38,   nil,   nil,   nil,
   nil,    38,   nil,   nil,   nil,   nil,   nil,   nil,    59,   nil,
    39,    85,    38,    59,    59,    59,    59,    59,   nil,    59,
   nil,    39,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    38,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    38,    39,   101,
   101,   nil,   nil,    39,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    39,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    39,   nil,    85,   nil,    85,   nil,    85,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    39,
   nil,   nil,    59,    59,    59,    59,    59,    59,    59,   nil,
   nil,   nil,   nil,   nil,    59,   nil,   nil,   nil,   nil,   nil,
    59,    59,    59,    59,   nil,    85,   nil,    38,    85,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    59,   nil,   nil,
   nil,    85,   nil,   nil,   nil,    38,   nil,   100,   nil,   100,
   nil,    38,   100,   100,   nil,   nil,   nil,   nil,   nil,   100,
   nil,   nil,   nil,   nil,   nil,   100,   100,    38,   nil,   nil,
   nil,    38,   100,   100,   nil,   nil,   nil,   nil,   nil,    39,
   nil,   nil,   nil,    59,   nil,    85,   nil,   nil,   nil,   nil,
    59,    59,   nil,   nil,    85,    85,    62,    39,   nil,    59,
   nil,    62,   nil,    39,   nil,   nil,   nil,   nil,    85,   nil,
   nil,   100,   nil,   nil,   nil,   nil,   nil,    59,    62,    39,
   nil,    59,    38,    39,    85,   nil,    59,   nil,    62,    62,
    62,   nil,    62,   nil,   nil,    38,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    38,    38,   nil,   nil,   nil,    59,    38,   nil,   nil,
    62,   102,   102,   nil,   nil,    62,    62,   101,   nil,    62,
    59,    59,    59,   nil,    39,   101,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   101,   101,   nil,    39,   nil,   nil,
   nil,    59,   nil,   nil,   nil,   nil,   nil,    38,   nil,   nil,
    38,   nil,    85,    39,    39,   nil,   nil,   nil,   nil,    39,
   nil,    85,   nil,   nil,    85,   nil,   nil,   nil,    62,   nil,
   nil,   nil,   nil,    62,    62,    62,    62,    62,   nil,    62,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   100,   nil,
   nil,   nil,   nil,    38,   nil,   nil,   100,   nil,   nil,    39,
   100,   nil,    39,   nil,   nil,   nil,    59,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    85,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   103,   103,   nil,   nil,   nil,    39,    59,   nil,   nil,    71,
   nil,   nil,   nil,   nil,    71,   nil,    59,   nil,   nil,   nil,
   nil,   nil,    62,    62,    62,    62,    62,    62,    62,   nil,
   nil,   nil,   nil,    71,    62,   100,   nil,   nil,   nil,   nil,
    62,    62,    62,    62,   nil,    71,    71,    71,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   101,    62,   101,   nil,
   nil,   101,   101,   nil,   nil,   nil,   nil,   nil,   101,   nil,
   nil,   nil,   nil,    71,   101,   101,    59,   nil,   nil,   nil,
   nil,   101,   101,    71,    71,    71,    59,   nil,   nil,   102,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   102,   nil,   nil,
   nil,   nil,   nil,    62,   nil,   nil,   102,   102,   nil,   nil,
    62,    62,   nil,    85,    59,   nil,   nil,    59,   nil,    62,
   101,   nil,   nil,   nil,    59,   nil,   nil,   nil,   nil,   104,
   104,    71,    85,   nil,    59,   nil,   nil,    62,    59,   nil,
    71,    62,    71,   nil,   nil,   nil,    62,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   109,   109,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    59,   nil,   nil,    59,    59,
   nil,   nil,    59,   nil,   nil,   nil,    62,   nil,    59,    59,
   nil,   nil,   nil,    59,    59,   nil,   nil,   nil,   nil,   nil,
    62,    62,    62,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    62,   nil,   nil,   nil,   nil,   nil,   nil,   103,   nil,
   nil,   nil,   nil,   nil,   nil,    71,   103,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   103,   103,    71,   nil,   nil,
   nil,   nil,   nil,    71,   nil,   nil,   nil,   101,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   101,   nil,   nil,   nil,   101,
    71,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   102,   nil,
   102,   nil,   nil,   102,   102,   nil,    62,   nil,   nil,   nil,
   102,   nil,   nil,   nil,   nil,   nil,   102,   102,   nil,   nil,
   nil,   nil,   nil,   102,   102,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    59,   nil,    62,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    62,   nil,   nil,   nil,
   nil,   nil,   102,   nil,   101,   nil,   nil,    59,   nil,   nil,
    71,   nil,    59,    59,    71,   nil,   nil,   104,    71,    71,
   nil,   nil,   nil,    59,   nil,   104,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   104,   104,   nil,    71,   nil,   nil,
   nil,    59,   nil,   nil,   109,   nil,   nil,   nil,   nil,    71,
   nil,   nil,   109,   nil,   nil,   nil,    62,   nil,    59,   nil,
   nil,   109,   109,   nil,    71,    71,    62,   103,   nil,   103,
   nil,   nil,   103,   103,   nil,   nil,   nil,   nil,   nil,   103,
   nil,   nil,   nil,   nil,   nil,   103,   103,   nil,   nil,   nil,
   nil,   nil,   103,   103,    62,   nil,   nil,    62,   nil,   nil,
   nil,   nil,   nil,   nil,    62,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    62,   nil,   nil,   nil,    62,   nil,
   nil,    59,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   102,
   nil,   103,   nil,   nil,   nil,   nil,   nil,   102,    59,   nil,
   nil,   102,   nil,   nil,   nil,    62,   nil,   nil,    62,    62,
    59,   nil,    62,   nil,   nil,   nil,    59,   nil,    62,    62,
   nil,   nil,    59,    62,    62,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    59,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   104,   nil,   104,   nil,
   nil,   104,   104,   nil,   nil,   nil,   nil,   nil,   104,   nil,
   nil,   nil,   nil,   nil,   104,   104,   102,   nil,   nil,   nil,
   nil,   104,   104,   109,   nil,   109,   nil,   nil,   109,   109,
   nil,   nil,   nil,    59,   nil,   109,   nil,   nil,   nil,   nil,
   nil,   109,   109,   nil,   nil,   nil,   nil,   nil,   109,   109,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   103,    71,
   104,   nil,    59,    59,   nil,   nil,   103,    71,    59,   nil,
   103,   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   109,   nil,   nil,
   nil,   nil,   nil,   nil,    62,   nil,   nil,    71,   nil,   nil,
    71,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    59,   nil,    59,    59,   nil,   nil,    62,   nil,   nil,
   nil,    71,    62,    62,   nil,   nil,    59,   nil,   nil,   nil,
   nil,   nil,   nil,    62,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   103,   nil,   nil,    71,   nil,
   nil,    62,   nil,   nil,    59,    71,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    62,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   104,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   104,   nil,   nil,   nil,   104,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   109,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   109,   nil,   nil,   nil,   109,   nil,   nil,   nil,
   nil,    62,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    62,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
    62,   nil,   nil,   nil,   nil,   nil,    62,   nil,   nil,   nil,
   nil,   nil,    62,   nil,   104,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    71,   nil,   nil,   nil,    37,   nil,    62,   nil,
   nil,   nil,   nil,    71,   nil,   nil,    37,    37,    37,   nil,
   nil,   109,   nil,   nil,   nil,   nil,   nil,   nil,    37,    37,
   nil,    37,    37,   nil,    37,   nil,   nil,   nil,   nil,   nil,
    71,   nil,   nil,   nil,   nil,    71,   nil,   nil,   nil,    37,
    37,   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,   nil,
   nil,   nil,   nil,    62,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    71,    62,    62,   nil,   nil,   nil,   nil,    62,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    62,   nil,    62,    62,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    62,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    71,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    62,   nil,   nil,   nil,   nil,    71,
   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,   nil,   nil,
   nil,    37,    37,   nil,   nil,    37,    37,   nil,   nil,   nil,
   nil,    71,   nil,   nil,   nil,    71,   nil,   nil,   nil,    37,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,    37,
    37,    37,    37,    37,    37,    37,    37,    37,    37,    37,
    37,    37,    37,    37,    37,    37,    37,    37,    37,    37,
    37,   nil,   nil,   nil,   nil,    37,    71,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    71,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,    37,
   nil,   nil,   nil,   nil,   nil,    71,    71,    37,   nil,   nil,
   nil,    71,   nil,   nil,    37,   nil,    37,   nil,   nil,    37,
    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    71,   nil,   nil,    71,   nil,   nil,   nil,   nil,   nil,
   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,    71,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,    37,    37,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,    37,   nil,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,   nil,    37,   nil,    37,
   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    37,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    37,    37,    37,   nil,   nil,
   nil,    37,   nil,   nil,    37,    37,    37,    37,   nil,   nil,
   nil,    37,    37,   nil,   nil,   nil,   nil,   nil,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,    37,    37,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    37,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,    37,    37,    37,    37,    37,    37,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,    37,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,    37,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   nil,    37 ]

racc_goto_pointer = [
   nil,   156,   126,   158,   nil,    87,   150,    60,    64,   105,
  -196,   -12,  -463,  -660,  -731,   nil,  -416,    52,   163,    18,
  -129,   102,    17,    40,  -165,   -36,   327,    59,  -108,    97,
  1086,  -211,   504,     1,  1146,   132,    -7,  3652,  1623,  1675,
    57,  -470,   -57,   -55,   -21,  -422,   -24,   nil,   -17,   nil,
   177,    73,  -350,   nil,   nil,  -168,    13,  -280,  -482,  2354,
  -353,  -142,  2664,   134,    59,   108,   926,   nil,   -31,    79,
  -287,  2867,    -2,  -346,    94,    -4,   nil,    71,  -221,    43,
    79,   nil,    48,   161,  -158,  1982,   147,     1,   569,  -240,
   237,   -14,  -274,  -342,  -277,  -474,   nil,   720,  1087,  1167,
  1691,  1990,  2202,  2331,  2460,   192,   151,   -38,   nil,  2487,
  -336,  -786,  -378,  -612,   144,   nil,  -183,    11,   nil,    89,
   159,  -147,   161,  -379,  -410,  -617,  -173,  -802,  -429,  -395,
  -793,  -677,  -229,  -640,   nil,  -462,  -734,   nil,   nil,  -429,
   121,  -106,  -833,  -729,   206,  -866,  -628,  -638,   nil,  -748,
  -855,  -946,  -941,  -162,  -604,   171,  -388,  -113,   -26,  -742,
  -740,  -391,   -36,   nil,   -45,   -44,   nil,   nil,  -517,  -818,
  -712,  -939,  -553,  -865,   351,  -608,  -630,  -460,  -745,   nil,
  -643,   nil,  -642,  -455,  -452,   nil,   nil,  -676,  -453,  -452,
   nil,  -657,  -785,  -827,   nil,  -640,  -638,   nil,   -79,   nil,
  -340,  -418,  -580,   nil,   nil,  -467,  -383,  -575,   nil,   nil,
   238,   245,   253,   253,  -223,  -270,   253,   254,   256,  -296,
  -296,   nil,   nil,  -282,  -159,   -52,   nil,   nil,   -70,  -343,
  -230,  -691,   128,  -338,  -767,  -604, -1006,   nil,   nil,  -478 ]

racc_goto_default = [
   nil,   nil,   nil,   nil,     5,   nil,     6,   391,   334,   nil,
   nil,   473,   nil,   985,   nil,   331,   332,   nil,   nil,   nil,
    13,    14,    22,   247,   nil,   nil,    16,   nil,   441,   248,
   363,   nil,   nil,   639,   251,   nil,    27,    25,   252,   246,
   519,   nil,   nil,   nil,   nil,   nil,   nil,   386,   143,    26,
   nil,   nil,   nil,    28,    29,   814,   nil,   nil,   nil,   351,
   nil,    30,   348,   455,    37,   nil,   nil,    39,    42,    41,
   nil,   243,   244,   403,   nil,   464,   142,    87,   nil,   446,
   103,    51,    54,   283,   nil,   323,   nil,   893,   456,   nil,
   457,   469,   482,   688,   571,   321,   307,    55,    56,    57,
    58,    59,    60,    61,    62,    63,   nil,   308,    69,    70,
   nil,   nil,   nil,   nil,   nil,    77,   nil,   621,    78,   230,
   nil,   nil,   nil,   nil,   nil,   nil,   nil,   715,   494,   nil,
   716,   717,   480,   475,   476,   nil,  1178,   711,  1072,   nil,
   481,   nil,   nil,   nil,   483,   nil,   485,   nil,   972,   nil,
   nil,   nil,   492,   nil,   nil,   nil,   nil,   nil,   nil,   nil,
   nil,   nil,   nil,   468,   nil,   nil,   793,   785,   nil,   nil,
   nil,   nil,   nil,   nil,  1052,   nil,   738,   939,   740,   741,
   745,   742,   743,   nil,   nil,   744,   746,   nil,   nil,   nil,
   938,   940,   750,   nil,   752,   753,   754,   755,   nil,   759,
   477,   503,   761,   762,   763,   nil,   nil,   nil,    86,    88,
    89,   nil,   nil,   nil,   nil,   649,   nil,   nil,   nil,   nil,
   nil,    99,   100,   nil,   231,   903,   234,   479,   nil,   484,
   911,   497,   499,   500,  1083,   504,  1084,   507,   510,   326 ]

racc_reduce_table = [
  0, 0, :racc_error,
  0, 150, :_reduce_1,
  2, 148, :_reduce_2,
  2, 149, :_reduce_3,
  0, 151, :_reduce_4,
  1, 151, :_reduce_5,
  3, 151, :_reduce_6,
  2, 151, :_reduce_7,
  1, 153, :_reduce_none,
  2, 153, :_reduce_9,
  3, 156, :_reduce_10,
  4, 157, :_reduce_11,
  2, 158, :_reduce_12,
  0, 162, :_reduce_13,
  1, 162, :_reduce_14,
  3, 162, :_reduce_15,
  2, 162, :_reduce_16,
  1, 163, :_reduce_none,
  2, 163, :_reduce_18,
  0, 174, :_reduce_19,
  4, 155, :_reduce_20,
  3, 155, :_reduce_21,
  3, 155, :_reduce_22,
  3, 155, :_reduce_23,
  2, 155, :_reduce_24,
  3, 155, :_reduce_25,
  3, 155, :_reduce_26,
  3, 155, :_reduce_27,
  3, 155, :_reduce_28,
  3, 155, :_reduce_29,
  4, 155, :_reduce_30,
  1, 155, :_reduce_none,
  3, 155, :_reduce_32,
  3, 155, :_reduce_33,
  5, 155, :_reduce_34,
  3, 155, :_reduce_35,
  1, 155, :_reduce_none,
  3, 167, :_reduce_37,
  3, 167, :_reduce_38,
  6, 167, :_reduce_39,
  5, 167, :_reduce_40,
  5, 167, :_reduce_41,
  5, 167, :_reduce_42,
  5, 167, :_reduce_43,
  4, 167, :_reduce_44,
  6, 167, :_reduce_45,
  4, 167, :_reduce_46,
  6, 167, :_reduce_47,
  3, 167, :_reduce_48,
  1, 175, :_reduce_none,
  3, 175, :_reduce_50,
  1, 175, :_reduce_none,
  1, 173, :_reduce_none,
  3, 173, :_reduce_53,
  3, 173, :_reduce_54,
  3, 173, :_reduce_55,
  2, 173, :_reduce_56,
  0, 189, :_reduce_57,
  4, 173, :_reduce_58,
  0, 190, :_reduce_59,
  4, 173, :_reduce_60,
  1, 173, :_reduce_none,
  1, 166, :_reduce_none,
  0, 194, :_reduce_63,
  3, 191, :_reduce_64,
  1, 193, :_reduce_65,
  2, 181, :_reduce_66,
  0, 199, :_reduce_67,
  5, 185, :_reduce_68,
  1, 169, :_reduce_none,
  1, 169, :_reduce_none,
  1, 200, :_reduce_none,
  4, 200, :_reduce_72,
  0, 207, :_reduce_73,
  4, 204, :_reduce_74,
  1, 206, :_reduce_none,
  2, 183, :_reduce_76,
  3, 183, :_reduce_77,
  4, 183, :_reduce_78,
  5, 183, :_reduce_79,
  4, 183, :_reduce_80,
  5, 183, :_reduce_81,
  2, 183, :_reduce_82,
  2, 183, :_reduce_83,
  2, 183, :_reduce_84,
  2, 183, :_reduce_85,
  2, 183, :_reduce_86,
  1, 168, :_reduce_87,
  3, 168, :_reduce_88,
  1, 212, :_reduce_89,
  3, 212, :_reduce_90,
  1, 211, :_reduce_none,
  2, 211, :_reduce_92,
  3, 211, :_reduce_93,
  5, 211, :_reduce_94,
  2, 211, :_reduce_95,
  4, 211, :_reduce_96,
  2, 211, :_reduce_97,
  4, 211, :_reduce_98,
  1, 211, :_reduce_99,
  3, 211, :_reduce_100,
  1, 215, :_reduce_none,
  3, 215, :_reduce_102,
  2, 214, :_reduce_103,
  3, 214, :_reduce_104,
  1, 217, :_reduce_105,
  3, 217, :_reduce_106,
  1, 216, :_reduce_107,
  1, 216, :_reduce_108,
  4, 216, :_reduce_109,
  3, 216, :_reduce_110,
  3, 216, :_reduce_111,
  3, 216, :_reduce_112,
  3, 216, :_reduce_113,
  2, 216, :_reduce_114,
  1, 216, :_reduce_115,
  1, 170, :_reduce_116,
  1, 170, :_reduce_117,
  4, 170, :_reduce_118,
  3, 170, :_reduce_119,
  3, 170, :_reduce_120,
  3, 170, :_reduce_121,
  3, 170, :_reduce_122,
  2, 170, :_reduce_123,
  1, 170, :_reduce_124,
  1, 220, :_reduce_125,
  1, 220, :_reduce_none,
  2, 221, :_reduce_127,
  1, 221, :_reduce_128,
  3, 221, :_reduce_129,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 195, :_reduce_none,
  1, 164, :_reduce_135,
  1, 164, :_reduce_none,
  1, 165, :_reduce_137,
  0, 225, :_reduce_138,
  4, 165, :_reduce_139,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 222, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  1, 223, :_reduce_none,
  3, 184, :_reduce_211,
  3, 184, :_reduce_212,
  6, 184, :_reduce_213,
  5, 184, :_reduce_214,
  5, 184, :_reduce_215,
  5, 184, :_reduce_216,
  5, 184, :_reduce_217,
  4, 184, :_reduce_218,
  3, 184, :_reduce_219,
  3, 184, :_reduce_220,
  3, 184, :_reduce_221,
  2, 184, :_reduce_222,
  2, 184, :_reduce_223,
  2, 184, :_reduce_224,
  2, 184, :_reduce_225,
  3, 184, :_reduce_226,
  3, 184, :_reduce_227,
  3, 184, :_reduce_228,
  3, 184, :_reduce_229,
  3, 184, :_reduce_230,
  3, 184, :_reduce_231,
  4, 184, :_reduce_232,
  2, 184, :_reduce_233,
  2, 184, :_reduce_234,
  3, 184, :_reduce_235,
  3, 184, :_reduce_236,
  3, 184, :_reduce_237,
  3, 184, :_reduce_238,
  1, 184, :_reduce_none,
  3, 184, :_reduce_240,
  3, 184, :_reduce_241,
  3, 184, :_reduce_242,
  3, 184, :_reduce_243,
  3, 184, :_reduce_244,
  2, 184, :_reduce_245,
  2, 184, :_reduce_246,
  3, 184, :_reduce_247,
  3, 184, :_reduce_248,
  3, 184, :_reduce_249,
  3, 184, :_reduce_250,
  0, 231, :_reduce_251,
  4, 184, :_reduce_252,
  6, 184, :_reduce_253,
  4, 184, :_reduce_254,
  6, 184, :_reduce_255,
  4, 184, :_reduce_256,
  6, 184, :_reduce_257,
  1, 184, :_reduce_none,
  1, 230, :_reduce_none,
  1, 230, :_reduce_none,
  1, 230, :_reduce_none,
  1, 230, :_reduce_none,
  3, 228, :_reduce_263,
  3, 228, :_reduce_264,
  1, 232, :_reduce_none,
  1, 233, :_reduce_none,
  2, 233, :_reduce_none,
  4, 233, :_reduce_268,
  2, 233, :_reduce_269,
  1, 226, :_reduce_none,
  3, 226, :_reduce_271,
  3, 238, :_reduce_272,
  5, 238, :_reduce_273,
  3, 238, :_reduce_274,
  0, 240, :_reduce_275,
  1, 240, :_reduce_none,
  0, 178, :_reduce_277,
  1, 178, :_reduce_none,
  2, 178, :_reduce_none,
  4, 178, :_reduce_280,
  2, 178, :_reduce_281,
  1, 210, :_reduce_282,
  2, 210, :_reduce_283,
  2, 210, :_reduce_284,
  4, 210, :_reduce_285,
  1, 210, :_reduce_286,
  0, 243, :_reduce_287,
  2, 203, :_reduce_288,
  2, 242, :_reduce_289,
  1, 242, :_reduce_290,
  2, 241, :_reduce_291,
  0, 241, :_reduce_292,
  1, 235, :_reduce_293,
  2, 235, :_reduce_294,
  3, 235, :_reduce_295,
  4, 235, :_reduce_296,
  1, 172, :_reduce_297,
  1, 172, :_reduce_none,
  3, 171, :_reduce_299,
  4, 171, :_reduce_300,
  2, 171, :_reduce_301,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_none,
  1, 229, :_reduce_312,
  0, 267, :_reduce_313,
  4, 229, :_reduce_314,
  0, 268, :_reduce_315,
  4, 229, :_reduce_316,
  0, 269, :_reduce_317,
  4, 229, :_reduce_318,
  3, 229, :_reduce_319,
  3, 229, :_reduce_320,
  2, 229, :_reduce_321,
  3, 229, :_reduce_322,
  3, 229, :_reduce_323,
  1, 229, :_reduce_324,
  4, 229, :_reduce_325,
  3, 229, :_reduce_326,
  1, 229, :_reduce_327,
  0, 270, :_reduce_328,
  6, 229, :_reduce_329,
  4, 229, :_reduce_330,
  3, 229, :_reduce_331,
  2, 229, :_reduce_332,
  1, 229, :_reduce_none,
  2, 229, :_reduce_334,
  1, 229, :_reduce_none,
  6, 229, :_reduce_336,
  6, 229, :_reduce_337,
  4, 229, :_reduce_338,
  4, 229, :_reduce_339,
  5, 229, :_reduce_340,
  4, 229, :_reduce_341,
  5, 229, :_reduce_342,
  6, 229, :_reduce_343,
  0, 271, :_reduce_344,
  6, 229, :_reduce_345,
  0, 272, :_reduce_346,
  7, 229, :_reduce_347,
  0, 273, :_reduce_348,
  5, 229, :_reduce_349,
  4, 229, :_reduce_350,
  4, 229, :_reduce_351,
  1, 229, :_reduce_352,
  1, 229, :_reduce_353,
  1, 229, :_reduce_354,
  1, 229, :_reduce_355,
  1, 177, :_reduce_none,
  1, 262, :_reduce_357,
  1, 265, :_reduce_358,
  1, 196, :_reduce_359,
  1, 209, :_reduce_360,
  1, 257, :_reduce_none,
  1, 257, :_reduce_none,
  2, 257, :_reduce_363,
  1, 192, :_reduce_none,
  1, 192, :_reduce_none,
  1, 258, :_reduce_none,
  5, 258, :_reduce_367,
  1, 160, :_reduce_none,
  2, 160, :_reduce_369,
  1, 261, :_reduce_none,
  1, 261, :_reduce_none,
  1, 274, :_reduce_372,
  3, 274, :_reduce_373,
  1, 277, :_reduce_374,
  3, 277, :_reduce_375,
  1, 276, :_reduce_none,
  3, 276, :_reduce_377,
  5, 276, :_reduce_378,
  1, 276, :_reduce_379,
  3, 276, :_reduce_380,
  2, 278, :_reduce_381,
  1, 278, :_reduce_382,
  1, 279, :_reduce_none,
  1, 279, :_reduce_none,
  0, 284, :_reduce_385,
  2, 282, :_reduce_386,
  4, 283, :_reduce_387,
  2, 283, :_reduce_388,
  2, 283, :_reduce_389,
  1, 283, :_reduce_390,
  2, 288, :_reduce_391,
  0, 288, :_reduce_392,
  1, 289, :_reduce_none,
  6, 290, :_reduce_394,
  8, 290, :_reduce_395,
  4, 290, :_reduce_396,
  6, 290, :_reduce_397,
  4, 290, :_reduce_398,
  2, 290, :_reduce_none,
  6, 290, :_reduce_400,
  2, 290, :_reduce_401,
  4, 290, :_reduce_402,
  6, 290, :_reduce_403,
  2, 290, :_reduce_404,
  4, 290, :_reduce_405,
  2, 290, :_reduce_406,
  4, 290, :_reduce_407,
  1, 290, :_reduce_none,
  0, 294, :_reduce_409,
  1, 294, :_reduce_410,
  3, 295, :_reduce_411,
  4, 295, :_reduce_412,
  1, 296, :_reduce_413,
  4, 296, :_reduce_414,
  1, 297, :_reduce_415,
  3, 297, :_reduce_416,
  1, 298, :_reduce_417,
  1, 298, :_reduce_none,
  0, 302, :_reduce_419,
  0, 303, :_reduce_420,
  5, 256, :_reduce_421,
  4, 300, :_reduce_422,
  1, 300, :_reduce_423,
  0, 306, :_reduce_424,
  4, 301, :_reduce_425,
  0, 307, :_reduce_426,
  4, 301, :_reduce_427,
  0, 309, :_reduce_428,
  4, 305, :_reduce_429,
  2, 201, :_reduce_430,
  4, 201, :_reduce_431,
  5, 201, :_reduce_432,
  5, 201, :_reduce_433,
  2, 255, :_reduce_434,
  4, 255, :_reduce_435,
  4, 255, :_reduce_436,
  3, 255, :_reduce_437,
  3, 255, :_reduce_438,
  3, 255, :_reduce_439,
  2, 255, :_reduce_440,
  1, 255, :_reduce_441,
  4, 255, :_reduce_442,
  0, 311, :_reduce_443,
  4, 254, :_reduce_444,
  0, 312, :_reduce_445,
  4, 254, :_reduce_446,
  0, 313, :_reduce_447,
  3, 205, :_reduce_448,
  0, 314, :_reduce_449,
  0, 315, :_reduce_450,
  4, 308, :_reduce_451,
  5, 259, :_reduce_452,
  1, 316, :_reduce_453,
  1, 316, :_reduce_none,
  0, 319, :_reduce_455,
  0, 320, :_reduce_456,
  7, 260, :_reduce_457,
  1, 318, :_reduce_458,
  1, 318, :_reduce_none,
  1, 317, :_reduce_460,
  3, 317, :_reduce_461,
  3, 317, :_reduce_462,
  1, 188, :_reduce_none,
  2, 188, :_reduce_464,
  3, 188, :_reduce_465,
  1, 188, :_reduce_466,
  1, 188, :_reduce_467,
  1, 188, :_reduce_468,
  1, 321, :_reduce_none,
  3, 326, :_reduce_470,
  1, 326, :_reduce_none,
  3, 328, :_reduce_472,
  1, 328, :_reduce_none,
  1, 330, :_reduce_474,
  1, 331, :_reduce_475,
  1, 329, :_reduce_none,
  1, 329, :_reduce_none,
  4, 329, :_reduce_478,
  4, 329, :_reduce_479,
  4, 329, :_reduce_480,
  3, 329, :_reduce_481,
  4, 329, :_reduce_482,
  4, 329, :_reduce_483,
  4, 329, :_reduce_484,
  3, 329, :_reduce_485,
  3, 329, :_reduce_486,
  3, 329, :_reduce_487,
  2, 329, :_reduce_488,
  0, 335, :_reduce_489,
  4, 329, :_reduce_490,
  2, 329, :_reduce_491,
  0, 336, :_reduce_492,
  4, 329, :_reduce_493,
  1, 322, :_reduce_494,
  1, 322, :_reduce_495,
  2, 322, :_reduce_496,
  2, 322, :_reduce_497,
  4, 322, :_reduce_498,
  1, 322, :_reduce_none,
  2, 337, :_reduce_500,
  3, 337, :_reduce_501,
  1, 324, :_reduce_502,
  3, 324, :_reduce_503,
  5, 323, :_reduce_504,
  2, 339, :_reduce_505,
  1, 339, :_reduce_506,
  1, 340, :_reduce_507,
  3, 340, :_reduce_508,
  1, 338, :_reduce_none,
  3, 325, :_reduce_510,
  1, 325, :_reduce_511,
  2, 325, :_reduce_512,
  1, 325, :_reduce_513,
  1, 341, :_reduce_514,
  3, 341, :_reduce_515,
  2, 343, :_reduce_516,
  1, 343, :_reduce_517,
  1, 344, :_reduce_518,
  3, 344, :_reduce_519,
  2, 346, :_reduce_520,
  1, 346, :_reduce_521,
  2, 348, :_reduce_522,
  1, 342, :_reduce_none,
  1, 342, :_reduce_524,
  1, 332, :_reduce_none,
  3, 332, :_reduce_526,
  3, 332, :_reduce_527,
  2, 332, :_reduce_528,
  2, 332, :_reduce_529,
  1, 332, :_reduce_none,
  1, 332, :_reduce_none,
  1, 332, :_reduce_none,
  2, 332, :_reduce_533,
  2, 332, :_reduce_534,
  1, 349, :_reduce_none,
  1, 349, :_reduce_none,
  1, 349, :_reduce_none,
  1, 349, :_reduce_none,
  1, 349, :_reduce_none,
  1, 349, :_reduce_none,
  1, 349, :_reduce_none,
  1, 349, :_reduce_none,
  1, 349, :_reduce_543,
  1, 349, :_reduce_none,
  1, 327, :_reduce_545,
  2, 350, :_reduce_546,
  2, 350, :_reduce_547,
  4, 351, :_reduce_548,
  2, 333, :_reduce_549,
  3, 333, :_reduce_550,
  1, 333, :_reduce_551,
  6, 159, :_reduce_552,
  0, 159, :_reduce_553,
  1, 353, :_reduce_554,
  1, 353, :_reduce_none,
  1, 353, :_reduce_none,
  2, 354, :_reduce_557,
  1, 354, :_reduce_none,
  2, 161, :_reduce_559,
  1, 161, :_reduce_none,
  1, 244, :_reduce_none,
  1, 244, :_reduce_none,
  1, 245, :_reduce_563,
  1, 356, :_reduce_564,
  2, 356, :_reduce_565,
  3, 357, :_reduce_566,
  1, 357, :_reduce_567,
  1, 357, :_reduce_568,
  3, 246, :_reduce_569,
  4, 247, :_reduce_570,
  3, 248, :_reduce_571,
  0, 360, :_reduce_572,
  3, 360, :_reduce_573,
  1, 361, :_reduce_574,
  2, 361, :_reduce_575,
  3, 250, :_reduce_576,
  0, 363, :_reduce_577,
  3, 363, :_reduce_578,
  3, 249, :_reduce_579,
  3, 251, :_reduce_580,
  0, 364, :_reduce_581,
  3, 364, :_reduce_582,
  0, 365, :_reduce_583,
  3, 365, :_reduce_584,
  0, 345, :_reduce_585,
  2, 345, :_reduce_586,
  0, 358, :_reduce_587,
  2, 358, :_reduce_588,
  0, 359, :_reduce_589,
  2, 359, :_reduce_590,
  1, 362, :_reduce_591,
  2, 362, :_reduce_592,
  0, 367, :_reduce_593,
  4, 362, :_reduce_594,
  1, 366, :_reduce_595,
  1, 366, :_reduce_596,
  1, 366, :_reduce_597,
  1, 366, :_reduce_none,
  1, 224, :_reduce_none,
  1, 224, :_reduce_none,
  1, 368, :_reduce_601,
  3, 369, :_reduce_602,
  1, 355, :_reduce_603,
  2, 355, :_reduce_604,
  1, 227, :_reduce_605,
  1, 227, :_reduce_606,
  1, 227, :_reduce_607,
  1, 227, :_reduce_608,
  1, 352, :_reduce_609,
  1, 352, :_reduce_610,
  1, 352, :_reduce_611,
  1, 218, :_reduce_612,
  1, 218, :_reduce_613,
  1, 218, :_reduce_614,
  1, 218, :_reduce_615,
  1, 218, :_reduce_616,
  1, 219, :_reduce_617,
  1, 219, :_reduce_618,
  1, 219, :_reduce_619,
  1, 219, :_reduce_620,
  1, 219, :_reduce_621,
  1, 219, :_reduce_622,
  1, 219, :_reduce_623,
  1, 252, :_reduce_624,
  1, 252, :_reduce_625,
  1, 176, :_reduce_626,
  1, 176, :_reduce_627,
  1, 186, :_reduce_628,
  1, 186, :_reduce_629,
  0, 370, :_reduce_630,
  4, 263, :_reduce_631,
  0, 263, :_reduce_632,
  1, 182, :_reduce_none,
  1, 182, :_reduce_634,
  3, 371, :_reduce_635,
  1, 266, :_reduce_none,
  0, 373, :_reduce_637,
  3, 266, :_reduce_638,
  4, 372, :_reduce_639,
  2, 372, :_reduce_640,
  2, 372, :_reduce_641,
  1, 372, :_reduce_642,
  1, 372, :_reduce_643,
  2, 375, :_reduce_644,
  0, 375, :_reduce_645,
  6, 304, :_reduce_646,
  8, 304, :_reduce_647,
  4, 304, :_reduce_648,
  6, 304, :_reduce_649,
  4, 304, :_reduce_650,
  6, 304, :_reduce_651,
  2, 304, :_reduce_652,
  4, 304, :_reduce_653,
  6, 304, :_reduce_654,
  2, 304, :_reduce_655,
  4, 304, :_reduce_656,
  2, 304, :_reduce_657,
  4, 304, :_reduce_658,
  1, 304, :_reduce_659,
  0, 304, :_reduce_660,
  1, 239, :_reduce_661,
  1, 299, :_reduce_662,
  1, 299, :_reduce_663,
  1, 299, :_reduce_664,
  1, 299, :_reduce_665,
  1, 275, :_reduce_none,
  1, 275, :_reduce_667,
  1, 377, :_reduce_668,
  1, 378, :_reduce_669,
  3, 378, :_reduce_670,
  1, 291, :_reduce_671,
  3, 291, :_reduce_672,
  1, 379, :_reduce_673,
  2, 380, :_reduce_674,
  1, 380, :_reduce_675,
  2, 381, :_reduce_676,
  1, 381, :_reduce_677,
  1, 285, :_reduce_678,
  3, 285, :_reduce_679,
  1, 374, :_reduce_680,
  3, 374, :_reduce_681,
  1, 347, :_reduce_none,
  1, 347, :_reduce_none,
  1, 281, :_reduce_684,
  2, 280, :_reduce_685,
  1, 280, :_reduce_686,
  3, 382, :_reduce_687,
  3, 383, :_reduce_688,
  1, 292, :_reduce_689,
  3, 292, :_reduce_690,
  1, 376, :_reduce_691,
  3, 376, :_reduce_692,
  1, 384, :_reduce_none,
  1, 384, :_reduce_none,
  2, 293, :_reduce_695,
  1, 293, :_reduce_696,
  1, 385, :_reduce_none,
  1, 385, :_reduce_none,
  2, 287, :_reduce_699,
  1, 287, :_reduce_700,
  2, 286, :_reduce_701,
  0, 286, :_reduce_702,
  1, 197, :_reduce_none,
  3, 197, :_reduce_704,
  0, 253, :_reduce_705,
  2, 253, :_reduce_none,
  1, 237, :_reduce_707,
  3, 237, :_reduce_708,
  3, 386, :_reduce_709,
  2, 386, :_reduce_710,
  1, 386, :_reduce_711,
  4, 386, :_reduce_712,
  2, 386, :_reduce_713,
  1, 208, :_reduce_none,
  1, 208, :_reduce_none,
  1, 208, :_reduce_none,
  1, 202, :_reduce_none,
  1, 202, :_reduce_none,
  1, 310, :_reduce_none,
  1, 310, :_reduce_none,
  1, 310, :_reduce_none,
  1, 198, :_reduce_none,
  1, 198, :_reduce_none,
  1, 180, :_reduce_724,
  1, 180, :_reduce_725,
  0, 152, :_reduce_none,
  1, 152, :_reduce_none,
  0, 187, :_reduce_none,
  1, 187, :_reduce_none,
  2, 213, :_reduce_730,
  2, 179, :_reduce_731,
  2, 334, :_reduce_732,
  0, 236, :_reduce_none,
  1, 236, :_reduce_none,
  1, 236, :_reduce_none,
  1, 264, :_reduce_736,
  1, 264, :_reduce_none,
  1, 154, :_reduce_none,
  2, 154, :_reduce_none,
  0, 234, :_reduce_740 ]

racc_reduce_n = 741

racc_shift_n = 1236

racc_token_table = {
  false => 0,
  :error => 1,
  :kCLASS => 2,
  :kMODULE => 3,
  :kDEF => 4,
  :kUNDEF => 5,
  :kBEGIN => 6,
  :kRESCUE => 7,
  :kENSURE => 8,
  :kEND => 9,
  :kIF => 10,
  :kUNLESS => 11,
  :kTHEN => 12,
  :kELSIF => 13,
  :kELSE => 14,
  :kCASE => 15,
  :kWHEN => 16,
  :kWHILE => 17,
  :kUNTIL => 18,
  :kFOR => 19,
  :kBREAK => 20,
  :kNEXT => 21,
  :kREDO => 22,
  :kRETRY => 23,
  :kIN => 24,
  :kDO => 25,
  :kDO_COND => 26,
  :kDO_BLOCK => 27,
  :kDO_LAMBDA => 28,
  :kRETURN => 29,
  :kYIELD => 30,
  :kSUPER => 31,
  :kSELF => 32,
  :kNIL => 33,
  :kTRUE => 34,
  :kFALSE => 35,
  :kAND => 36,
  :kOR => 37,
  :kNOT => 38,
  :kIF_MOD => 39,
  :kUNLESS_MOD => 40,
  :kWHILE_MOD => 41,
  :kUNTIL_MOD => 42,
  :kRESCUE_MOD => 43,
  :kALIAS => 44,
  :kDEFINED => 45,
  :klBEGIN => 46,
  :klEND => 47,
  :k__LINE__ => 48,
  :k__FILE__ => 49,
  :k__ENCODING__ => 50,
  :tIDENTIFIER => 51,
  :tFID => 52,
  :tGVAR => 53,
  :tIVAR => 54,
  :tCONSTANT => 55,
  :tLABEL => 56,
  :tCVAR => 57,
  :tNTH_REF => 58,
  :tBACK_REF => 59,
  :tSTRING_CONTENT => 60,
  :tINTEGER => 61,
  :tFLOAT => 62,
  :tUPLUS => 63,
  :tUMINUS => 64,
  :tUNARY_NUM => 65,
  :tPOW => 66,
  :tCMP => 67,
  :tEQ => 68,
  :tEQQ => 69,
  :tNEQ => 70,
  :tGEQ => 71,
  :tLEQ => 72,
  :tANDOP => 73,
  :tOROP => 74,
  :tMATCH => 75,
  :tNMATCH => 76,
  :tDOT => 77,
  :tDOT2 => 78,
  :tDOT3 => 79,
  :tAREF => 80,
  :tASET => 81,
  :tLSHFT => 82,
  :tRSHFT => 83,
  :tCOLON2 => 84,
  :tCOLON3 => 85,
  :tOP_ASGN => 86,
  :tASSOC => 87,
  :tLPAREN => 88,
  :tLPAREN2 => 89,
  :tRPAREN => 90,
  :tLPAREN_ARG => 91,
  :tLBRACK => 92,
  :tLBRACK2 => 93,
  :tRBRACK => 94,
  :tLBRACE => 95,
  :tLBRACE_ARG => 96,
  :tSTAR => 97,
  :tSTAR2 => 98,
  :tAMPER => 99,
  :tAMPER2 => 100,
  :tTILDE => 101,
  :tPERCENT => 102,
  :tDIVIDE => 103,
  :tDSTAR => 104,
  :tPLUS => 105,
  :tMINUS => 106,
  :tLT => 107,
  :tGT => 108,
  :tPIPE => 109,
  :tBANG => 110,
  :tCARET => 111,
  :tLCURLY => 112,
  :tRCURLY => 113,
  :tBACK_REF2 => 114,
  :tSYMBEG => 115,
  :tSTRING_BEG => 116,
  :tXSTRING_BEG => 117,
  :tREGEXP_BEG => 118,
  :tREGEXP_OPT => 119,
  :tWORDS_BEG => 120,
  :tQWORDS_BEG => 121,
  :tSYMBOLS_BEG => 122,
  :tQSYMBOLS_BEG => 123,
  :tSTRING_DBEG => 124,
  :tSTRING_DVAR => 125,
  :tSTRING_END => 126,
  :tSTRING_DEND => 127,
  :tSTRING => 128,
  :tSYMBOL => 129,
  :tNL => 130,
  :tEH => 131,
  :tCOLON => 132,
  :tCOMMA => 133,
  :tSPACE => 134,
  :tSEMI => 135,
  :tLAMBDA => 136,
  :tLAMBEG => 137,
  :tCHARACTER => 138,
  :tRATIONAL => 139,
  :tIMAGINARY => 140,
  :tLABEL_END => 141,
  :tANDDOT => 142,
  :tBDOT2 => 143,
  :tBDOT3 => 144,
  :tEQL => 145,
  :tLOWEST => 146 }

racc_nt_base = 147

racc_use_result_var = true

Racc_arg = [
  racc_action_table,
  racc_action_check,
  racc_action_default,
  racc_action_pointer,
  racc_goto_table,
  racc_goto_check,
  racc_goto_default,
  racc_goto_pointer,
  racc_nt_base,
  racc_reduce_table,
  racc_token_table,
  racc_shift_n,
  racc_reduce_n,
  racc_use_result_var ]

Racc_token_to_s_table = [
  "$end",
  "error",
  "kCLASS",
  "kMODULE",
  "kDEF",
  "kUNDEF",
  "kBEGIN",
  "kRESCUE",
  "kENSURE",
  "kEND",
  "kIF",
  "kUNLESS",
  "kTHEN",
  "kELSIF",
  "kELSE",
  "kCASE",
  "kWHEN",
  "kWHILE",
  "kUNTIL",
  "kFOR",
  "kBREAK",
  "kNEXT",
  "kREDO",
  "kRETRY",
  "kIN",
  "kDO",
  "kDO_COND",
  "kDO_BLOCK",
  "kDO_LAMBDA",
  "kRETURN",
  "kYIELD",
  "kSUPER",
  "kSELF",
  "kNIL",
  "kTRUE",
  "kFALSE",
  "kAND",
  "kOR",
  "kNOT",
  "kIF_MOD",
  "kUNLESS_MOD",
  "kWHILE_MOD",
  "kUNTIL_MOD",
  "kRESCUE_MOD",
  "kALIAS",
  "kDEFINED",
  "klBEGIN",
  "klEND",
  "k__LINE__",
  "k__FILE__",
  "k__ENCODING__",
  "tIDENTIFIER",
  "tFID",
  "tGVAR",
  "tIVAR",
  "tCONSTANT",
  "tLABEL",
  "tCVAR",
  "tNTH_REF",
  "tBACK_REF",
  "tSTRING_CONTENT",
  "tINTEGER",
  "tFLOAT",
  "tUPLUS",
  "tUMINUS",
  "tUNARY_NUM",
  "tPOW",
  "tCMP",
  "tEQ",
  "tEQQ",
  "tNEQ",
  "tGEQ",
  "tLEQ",
  "tANDOP",
  "tOROP",
  "tMATCH",
  "tNMATCH",
  "tDOT",
  "tDOT2",
  "tDOT3",
  "tAREF",
  "tASET",
  "tLSHFT",
  "tRSHFT",
  "tCOLON2",
  "tCOLON3",
  "tOP_ASGN",
  "tASSOC",
  "tLPAREN",
  "tLPAREN2",
  "tRPAREN",
  "tLPAREN_ARG",
  "tLBRACK",
  "tLBRACK2",
  "tRBRACK",
  "tLBRACE",
  "tLBRACE_ARG",
  "tSTAR",
  "tSTAR2",
  "tAMPER",
  "tAMPER2",
  "tTILDE",
  "tPERCENT",
  "tDIVIDE",
  "tDSTAR",
  "tPLUS",
  "tMINUS",
  "tLT",
  "tGT",
  "tPIPE",
  "tBANG",
  "tCARET",
  "tLCURLY",
  "tRCURLY",
  "tBACK_REF2",
  "tSYMBEG",
  "tSTRING_BEG",
  "tXSTRING_BEG",
  "tREGEXP_BEG",
  "tREGEXP_OPT",
  "tWORDS_BEG",
  "tQWORDS_BEG",
  "tSYMBOLS_BEG",
  "tQSYMBOLS_BEG",
  "tSTRING_DBEG",
  "tSTRING_DVAR",
  "tSTRING_END",
  "tSTRING_DEND",
  "tSTRING",
  "tSYMBOL",
  "tNL",
  "tEH",
  "tCOLON",
  "tCOMMA",
  "tSPACE",
  "tSEMI",
  "tLAMBDA",
  "tLAMBEG",
  "tCHARACTER",
  "tRATIONAL",
  "tIMAGINARY",
  "tLABEL_END",
  "tANDDOT",
  "tBDOT2",
  "tBDOT3",
  "tEQL",
  "tLOWEST",
  "$start",
  "program",
  "top_compstmt",
  "@1",
  "top_stmts",
  "opt_terms",
  "top_stmt",
  "terms",
  "stmt",
  "begin_block",
  "bodystmt",
  "compstmt",
  "opt_rescue",
  "opt_else",
  "opt_ensure",
  "stmts",
  "stmt_or_begin",
  "fitem",
  "undef_list",
  "expr_value",
  "command_asgn",
  "mlhs",
  "command_call",
  "lhs",
  "mrhs",
  "mrhs_arg",
  "expr",
  "@2",
  "command_rhs",
  "var_lhs",
  "primary_value",
  "opt_call_args",
  "rbracket",
  "call_op",
  "defn_head",
  "f_opt_paren_args",
  "command",
  "arg",
  "defs_head",
  "backref",
  "opt_nl",
  "p_top_expr_body",
  "@3",
  "@4",
  "expr_value_do",
  "do",
  "def_name",
  "@5",
  "fname",
  "k_def",
  "singleton",
  "dot_or_colon",
  "@6",
  "block_command",
  "block_call",
  "operation2",
  "command_args",
  "cmd_brace_block",
  "brace_body",
  "fcall",
  "@7",
  "operation",
  "k_return",
  "call_args",
  "mlhs_basic",
  "mlhs_inner",
  "rparen",
  "mlhs_head",
  "mlhs_item",
  "mlhs_node",
  "mlhs_post",
  "user_variable",
  "keyword_variable",
  "cname",
  "cpath",
  "op",
  "reswords",
  "symbol",
  "@8",
  "arg_rhs",
  "simple_numeric",
  "rel_expr",
  "primary",
  "relop",
  "@9",
  "arg_value",
  "aref_args",
  "none",
  "args",
  "trailer",
  "assocs",
  "paren_args",
  "args_forward",
  "opt_paren_args",
  "opt_block_arg",
  "block_arg",
  "@10",
  "literal",
  "strings",
  "xstring",
  "regexp",
  "words",
  "qwords",
  "symbols",
  "qsymbols",
  "var_ref",
  "assoc_list",
  "brace_block",
  "method_call",
  "lambda",
  "then",
  "if_tail",
  "case_body",
  "p_case_body",
  "for_var",
  "k_class",
  "superclass",
  "term",
  "k_module",
  "f_arglist",
  "@11",
  "@12",
  "@13",
  "@14",
  "@15",
  "@16",
  "@17",
  "f_marg",
  "f_norm_arg",
  "f_margs",
  "f_marg_list",
  "f_rest_marg",
  "f_any_kwrest",
  "f_kwrest",
  "f_no_kwarg",
  "f_eq",
  "block_args_tail",
  "@18",
  "f_block_kwarg",
  "opt_f_block_arg",
  "f_block_arg",
  "opt_block_args_tail",
  "excessed_comma",
  "block_param",
  "f_arg",
  "f_block_optarg",
  "f_rest_arg",
  "opt_block_param",
  "block_param_def",
  "opt_bv_decl",
  "bv_decls",
  "bvar",
  "f_bad_arg",
  "f_larglist",
  "lambda_body",
  "@19",
  "@20",
  "f_args",
  "do_block",
  "@21",
  "@22",
  "do_body",
  "@23",
  "operation3",
  "@24",
  "@25",
  "@26",
  "@27",
  "@28",
  "cases",
  "p_top_expr",
  "p_cases",
  "@29",
  "@30",
  "p_expr",
  "p_args",
  "p_find",
  "p_args_tail",
  "p_kwargs",
  "p_as",
  "p_variable",
  "p_alt",
  "p_expr_basic",
  "p_lparen",
  "p_lbracket",
  "p_value",
  "p_const",
  "rbrace",
  "@31",
  "@32",
  "p_args_head",
  "p_arg",
  "p_rest",
  "p_args_post",
  "p_kwarg",
  "p_any_kwrest",
  "p_kw",
  "p_kw_label",
  "string_contents",
  "p_kwrest",
  "kwrest_mark",
  "p_kwnorest",
  "p_primitive",
  "p_var_ref",
  "p_expr_ref",
  "nonlocal_var",
  "exc_list",
  "exc_var",
  "numeric",
  "string",
  "string1",
  "xstring_contents",
  "regexp_contents",
  "word_list",
  "word",
  "string_content",
  "symbol_list",
  "qword_list",
  "qsym_list",
  "string_dvar",
  "@33",
  "ssym",
  "dsym",
  "@34",
  "f_paren_args",
  "args_tail",
  "@35",
  "f_kwarg",
  "opt_args_tail",
  "f_optarg",
  "f_arg_asgn",
  "f_arg_item",
  "f_label",
  "f_kw",
  "f_block_kw",
  "f_opt",
  "f_block_opt",
  "restarg_mark",
  "blkarg_mark",
  "assoc" ]

Racc_debug_parser = false

##### State transition tables end #####

# reduce 0 omitted

def _reduce_1(val, _values, result)
                      @current_arg_stack.push(nil)
                      @max_numparam_stack.push(static: true)

    result
end

def _reduce_2(val, _values, result)
                      result = val[1]

                      @current_arg_stack.pop
                      @max_numparam_stack.pop

    result
end

def _reduce_3(val, _values, result)
                      result = @builder.compstmt(val[0])

    result
end

def _reduce_4(val, _values, result)
                      result = []

    result
end

def _reduce_5(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_6(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_7(val, _values, result)
                      result = [ val[1] ]

    result
end

# reduce 8 omitted

def _reduce_9(val, _values, result)
                      result = @builder.preexe(val[0], *val[1])

    result
end

def _reduce_10(val, _values, result)
                      result = val

    result
end

def _reduce_11(val, _values, result)
                      rescue_bodies     = val[1]
                      else_t,   else_   = val[2]
                      ensure_t, ensure_ = val[3]

                      if rescue_bodies.empty? && !else_t.nil?
                        diagnostic :error, :useless_else, nil, else_t
                      end

                      result = @builder.begin_body(val[0],
                                  rescue_bodies,
                                  else_t,   else_,
                                  ensure_t, ensure_)

    result
end

def _reduce_12(val, _values, result)
                      result = @builder.compstmt(val[0])

    result
end

def _reduce_13(val, _values, result)
                      result = []

    result
end

def _reduce_14(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_15(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_16(val, _values, result)
                      result = [ val[1] ]

    result
end

# reduce 17 omitted

def _reduce_18(val, _values, result)
                      diagnostic :error, :begin_in_method, nil, val[0]

    result
end

def _reduce_19(val, _values, result)
                      @lexer.state = :expr_fname

    result
end

def _reduce_20(val, _values, result)
                      result = @builder.alias(val[0], val[1], val[3])

    result
end

def _reduce_21(val, _values, result)
                      result = @builder.alias(val[0],
                                  @builder.gvar(val[1]),
                                  @builder.gvar(val[2]))

    result
end

def _reduce_22(val, _values, result)
                      result = @builder.alias(val[0],
                                  @builder.gvar(val[1]),
                                  @builder.back_ref(val[2]))

    result
end

def _reduce_23(val, _values, result)
                      diagnostic :error, :nth_ref_alias, nil, val[2]

    result
end

def _reduce_24(val, _values, result)
                      result = @builder.undef_method(val[0], val[1])

    result
end

def _reduce_25(val, _values, result)
                      result = @builder.condition_mod(val[0], nil,
                                                      val[1], val[2])

    result
end

def _reduce_26(val, _values, result)
                      result = @builder.condition_mod(nil, val[0],
                                                      val[1], val[2])

    result
end

def _reduce_27(val, _values, result)
                      result = @builder.loop_mod(:while, val[0], val[1], val[2])

    result
end

def _reduce_28(val, _values, result)
                      result = @builder.loop_mod(:until, val[0], val[1], val[2])

    result
end

def _reduce_29(val, _values, result)
                      rescue_body = @builder.rescue_body(val[1],
                                        nil, nil, nil,
                                        nil, val[2])

                      result = @builder.begin_body(val[0], [ rescue_body ])

    result
end

def _reduce_30(val, _values, result)
                      result = @builder.postexe(val[0], val[1], val[2], val[3])

    result
end

# reduce 31 omitted

def _reduce_32(val, _values, result)
                      result = @builder.multi_assign(val[0], val[1], val[2])

    result
end

def _reduce_33(val, _values, result)
                      result = @builder.assign(val[0], val[1],
                                  @builder.array(nil, val[2], nil))

    result
end

def _reduce_34(val, _values, result)
                      rescue_body = @builder.rescue_body(val[3],
                                                         nil, nil, nil,
                                                         nil, val[4])
                      begin_body = @builder.begin_body(val[2], [ rescue_body ])

                      result = @builder.multi_assign(val[0], val[1], begin_body)

    result
end

def _reduce_35(val, _values, result)
                      result = @builder.multi_assign(val[0], val[1], val[2])

    result
end

# reduce 36 omitted

def _reduce_37(val, _values, result)
                      result = @builder.assign(val[0], val[1], val[2])

    result
end

def _reduce_38(val, _values, result)
                      result = @builder.op_assign(val[0], val[1], val[2])

    result
end

def _reduce_39(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.index(
                                    val[0], val[1], val[2], val[3]),
                                  val[4], val[5])

    result
end

def _reduce_40(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_41(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_42(val, _values, result)
                      const  = @builder.const_op_assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))
                      result = @builder.op_assign(const, val[3], val[4])

    result
end

def _reduce_43(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_44(val, _values, result)
                      def_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_method(def_t, name_t,
                                 val[1], val[2], val[3])

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_45(val, _values, result)
                      def_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_method(def_t, name_t,
                                 val[1], val[2], method_body)

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_46(val, _values, result)
                      def_t, recv, dot_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_singleton(def_t, recv, dot_t, name_t,
                                 val[1], val[2], val[3])

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_47(val, _values, result)
                      def_t, recv, dot_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_singleton(def_t, recv, dot_t, name_t,
                                 val[1], val[2], method_body)

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_48(val, _values, result)
                      @builder.op_assign(val[0], val[1], val[2])

    result
end

# reduce 49 omitted

def _reduce_50(val, _values, result)
                      rescue_body = @builder.rescue_body(val[1],
                                        nil, nil, nil,
                                        nil, val[2])

                      result = @builder.begin_body(val[0], [ rescue_body ])

    result
end

# reduce 51 omitted

# reduce 52 omitted

def _reduce_53(val, _values, result)
                      result = @builder.logical_op(:and, val[0], val[1], val[2])

    result
end

def _reduce_54(val, _values, result)
                      result = @builder.logical_op(:or, val[0], val[1], val[2])

    result
end

def _reduce_55(val, _values, result)
                      result = @builder.not_op(val[0], nil, val[2], nil)

    result
end

def _reduce_56(val, _values, result)
                      result = @builder.not_op(val[0], nil, val[1], nil)

    result
end

def _reduce_57(val, _values, result)
                      @lexer.state = :expr_beg
                      @lexer.command_start = false
                      @pattern_variables.push
                      @pattern_hash_keys.push

                      result = @context.in_kwarg
                      @context.in_kwarg = true

    result
end

def _reduce_58(val, _values, result)
                      @pattern_variables.pop
                      @pattern_hash_keys.pop
                      @context.in_kwarg = val[2]
                      result = @builder.match_pattern(val[0], val[1], val[3])

    result
end

def _reduce_59(val, _values, result)
                      @lexer.state = :expr_beg
                      @lexer.command_start = false
                      @pattern_variables.push
                      @pattern_hash_keys.push

                      result = @context.in_kwarg
                      @context.in_kwarg = true

    result
end

def _reduce_60(val, _values, result)
                      @pattern_variables.pop
                      @pattern_hash_keys.pop
                      @context.in_kwarg = val[2]
                      result = @builder.match_pattern_p(val[0], val[1], val[3])

    result
end

# reduce 61 omitted

# reduce 62 omitted

def _reduce_63(val, _values, result)
                      @lexer.cond.push(true)

    result
end

def _reduce_64(val, _values, result)
                      @lexer.cond.pop
                      result = [ val[1], val[2] ]

    result
end

def _reduce_65(val, _values, result)
                      local_push
                      @current_arg_stack.push(nil)

                      result = [ val[0], @context.dup ]
                      @context.in_def = true

    result
end

def _reduce_66(val, _values, result)
                      result = [ val[0], val[1] ]

    result
end

def _reduce_67(val, _values, result)
                      @lexer.state = :expr_fname
                      @context.in_argdef = true

    result
end

def _reduce_68(val, _values, result)
                      result = [ val[0], val[1], val[2], val[4] ]

    result
end

# reduce 69 omitted

# reduce 70 omitted

# reduce 71 omitted

def _reduce_72(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2],
                                  nil, val[3], nil)

    result
end

def _reduce_73(val, _values, result)
                      result = @context.dup
                      @context.in_block = true

    result
end

def _reduce_74(val, _values, result)
                      @context.in_block = val[1].in_block
                      result = [ val[0], *val[2], val[3] ]

    result
end

# reduce 75 omitted

def _reduce_76(val, _values, result)
                      result = @builder.call_method(nil, nil, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_77(val, _values, result)
                      method_call = @builder.call_method(nil, nil, val[0],
                                        nil, val[1], nil)

                      begin_t, args, body, end_t = val[2]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_78(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2],
                                  nil, val[3], nil)

    result
end

def _reduce_79(val, _values, result)
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                        nil, val[3], nil)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_80(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2],
                                  nil, val[3], nil)

    result
end

def _reduce_81(val, _values, result)
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                        nil, val[3], nil)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_82(val, _values, result)
                      result = @builder.keyword_cmd(:super, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_83(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_84(val, _values, result)
                      result = @builder.keyword_cmd(:return, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_85(val, _values, result)
                      result = @builder.keyword_cmd(:break, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_86(val, _values, result)
                      result = @builder.keyword_cmd(:next, val[0],
                                  nil, val[1], nil)

    result
end

def _reduce_87(val, _values, result)
                      result = @builder.multi_lhs(nil, val[0], nil)

    result
end

def _reduce_88(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[2])

    result
end

def _reduce_89(val, _values, result)
                      result = @builder.multi_lhs(nil, val[0], nil)

    result
end

def _reduce_90(val, _values, result)
                      result = @builder.multi_lhs(val[0], val[1], val[2])

    result
end

# reduce 91 omitted

def _reduce_92(val, _values, result)
                      result = val[0].
                                  push(val[1])

    result
end

def _reduce_93(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1], val[2]))

    result
end

def _reduce_94(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1], val[2])).
                                  concat(val[4])

    result
end

def _reduce_95(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1]))

    result
end

def _reduce_96(val, _values, result)
                      result = val[0].
                                  push(@builder.splat(val[1])).
                                  concat(val[3])

    result
end

def _reduce_97(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]) ]

    result
end

def _reduce_98(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]),
                                 *val[3] ]

    result
end

def _reduce_99(val, _values, result)
                      result = [ @builder.splat(val[0]) ]

    result
end

def _reduce_100(val, _values, result)
                      result = [ @builder.splat(val[0]),
                                 *val[2] ]

    result
end

# reduce 101 omitted

def _reduce_102(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[2])

    result
end

def _reduce_103(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_104(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_105(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_106(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_107(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_108(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_109(val, _values, result)
                      result = @builder.index_asgn(val[0], val[1], val[2], val[3])

    result
end

def _reduce_110(val, _values, result)
                      if (val[1][0] == :anddot)
                        diagnostic :error, :csend_in_lhs_of_masgn, nil, val[1]
                      end

                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_111(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_112(val, _values, result)
                      if (val[1][0] == :anddot)
                        diagnostic :error, :csend_in_lhs_of_masgn, nil, val[1]
                      end

                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_113(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))

    result
end

def _reduce_114(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_global(val[0], val[1]))

    result
end

def _reduce_115(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_116(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_117(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_118(val, _values, result)
                      result = @builder.index_asgn(val[0], val[1], val[2], val[3])

    result
end

def _reduce_119(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_120(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_121(val, _values, result)
                      result = @builder.attr_asgn(val[0], val[1], val[2])

    result
end

def _reduce_122(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))

    result
end

def _reduce_123(val, _values, result)
                      result = @builder.assignable(
                                  @builder.const_global(val[0], val[1]))

    result
end

def _reduce_124(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_125(val, _values, result)
                      diagnostic :error, :module_name_const, nil, val[0]

    result
end

# reduce 126 omitted

def _reduce_127(val, _values, result)
                      result = @builder.const_global(val[0], val[1])

    result
end

def _reduce_128(val, _values, result)
                      result = @builder.const(val[0])

    result
end

def _reduce_129(val, _values, result)
                      result = @builder.const_fetch(val[0], val[1], val[2])

    result
end

# reduce 130 omitted

# reduce 131 omitted

# reduce 132 omitted

# reduce 133 omitted

# reduce 134 omitted

def _reduce_135(val, _values, result)
                      result = @builder.symbol_internal(val[0])

    result
end

# reduce 136 omitted

def _reduce_137(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_138(val, _values, result)
                      @lexer.state = :expr_fname

    result
end

def _reduce_139(val, _values, result)
                      result = val[0] << val[3]

    result
end

# reduce 140 omitted

# reduce 141 omitted

# reduce 142 omitted

# reduce 143 omitted

# reduce 144 omitted

# reduce 145 omitted

# reduce 146 omitted

# reduce 147 omitted

# reduce 148 omitted

# reduce 149 omitted

# reduce 150 omitted

# reduce 151 omitted

# reduce 152 omitted

# reduce 153 omitted

# reduce 154 omitted

# reduce 155 omitted

# reduce 156 omitted

# reduce 157 omitted

# reduce 158 omitted

# reduce 159 omitted

# reduce 160 omitted

# reduce 161 omitted

# reduce 162 omitted

# reduce 163 omitted

# reduce 164 omitted

# reduce 165 omitted

# reduce 166 omitted

# reduce 167 omitted

# reduce 168 omitted

# reduce 169 omitted

# reduce 170 omitted

# reduce 171 omitted

# reduce 172 omitted

# reduce 173 omitted

# reduce 174 omitted

# reduce 175 omitted

# reduce 176 omitted

# reduce 177 omitted

# reduce 178 omitted

# reduce 179 omitted

# reduce 180 omitted

# reduce 181 omitted

# reduce 182 omitted

# reduce 183 omitted

# reduce 184 omitted

# reduce 185 omitted

# reduce 186 omitted

# reduce 187 omitted

# reduce 188 omitted

# reduce 189 omitted

# reduce 190 omitted

# reduce 191 omitted

# reduce 192 omitted

# reduce 193 omitted

# reduce 194 omitted

# reduce 195 omitted

# reduce 196 omitted

# reduce 197 omitted

# reduce 198 omitted

# reduce 199 omitted

# reduce 200 omitted

# reduce 201 omitted

# reduce 202 omitted

# reduce 203 omitted

# reduce 204 omitted

# reduce 205 omitted

# reduce 206 omitted

# reduce 207 omitted

# reduce 208 omitted

# reduce 209 omitted

# reduce 210 omitted

def _reduce_211(val, _values, result)
                      result = @builder.assign(val[0], val[1], val[2])

    result
end

def _reduce_212(val, _values, result)
                      result = @builder.op_assign(val[0], val[1], val[2])

    result
end

def _reduce_213(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.index(
                                    val[0], val[1], val[2], val[3]),
                                  val[4], val[5])

    result
end

def _reduce_214(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_215(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_216(val, _values, result)
                      result = @builder.op_assign(
                                  @builder.call_method(
                                    val[0], val[1], val[2]),
                                  val[3], val[4])

    result
end

def _reduce_217(val, _values, result)
                      const  = @builder.const_op_assignable(
                                  @builder.const_fetch(val[0], val[1], val[2]))
                      result = @builder.op_assign(const, val[3], val[4])

    result
end

def _reduce_218(val, _values, result)
                      const  = @builder.const_op_assignable(
                                  @builder.const_global(val[0], val[1]))
                      result = @builder.op_assign(const, val[2], val[3])

    result
end

def _reduce_219(val, _values, result)
                      result = @builder.op_assign(val[0], val[1], val[2])

    result
end

def _reduce_220(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], val[2])

    result
end

def _reduce_221(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], val[2])

    result
end

def _reduce_222(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], nil)

    result
end

def _reduce_223(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], nil)

    result
end

def _reduce_224(val, _values, result)
                      result = @builder.range_inclusive(nil, val[0], val[1])

    result
end

def _reduce_225(val, _values, result)
                      result = @builder.range_exclusive(nil, val[0], val[1])

    result
end

def _reduce_226(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_227(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_228(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_229(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_230(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_231(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_232(val, _values, result)
                      result = @builder.unary_op(val[0],
                                  @builder.binary_op(
                                    val[1], val[2], val[3]))

    result
end

def _reduce_233(val, _values, result)
                      result = @builder.unary_op(val[0], val[1])

    result
end

def _reduce_234(val, _values, result)
                      result = @builder.unary_op(val[0], val[1])

    result
end

def _reduce_235(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_236(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_237(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_238(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

# reduce 239 omitted

def _reduce_240(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_241(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_242(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_243(val, _values, result)
                      result = @builder.match_op(val[0], val[1], val[2])

    result
end

def _reduce_244(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_245(val, _values, result)
                      result = @builder.not_op(val[0], nil, val[1], nil)

    result
end

def _reduce_246(val, _values, result)
                      result = @builder.unary_op(val[0], val[1])

    result
end

def _reduce_247(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_248(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_249(val, _values, result)
                      result = @builder.logical_op(:and, val[0], val[1], val[2])

    result
end

def _reduce_250(val, _values, result)
                      result = @builder.logical_op(:or, val[0], val[1], val[2])

    result
end

def _reduce_251(val, _values, result)
                      @context.in_defined = true

    result
end

def _reduce_252(val, _values, result)
                      @context.in_defined = false
                      result = @builder.keyword_cmd(:defined?, val[0], nil, [ val[3] ], nil)

    result
end

def _reduce_253(val, _values, result)
                      result = @builder.ternary(val[0], val[1],
                                                val[2], val[4], val[5])

    result
end

def _reduce_254(val, _values, result)
                      def_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_method(def_t, name_t,
                                 val[1], val[2], val[3])

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_255(val, _values, result)
                      def_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_method(def_t, name_t,
                                 val[1], val[2], method_body)

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_256(val, _values, result)
                      def_t, recv, dot_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      result = @builder.def_endless_singleton(def_t, recv, dot_t, name_t,
                                 val[1], val[2], val[3])

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_257(val, _values, result)
                      def_t, recv, dot_t, (name_t, ctx) = val[0]
                      endless_method_name(name_t)

                      rescue_body = @builder.rescue_body(val[4],
                                        nil, nil, nil,
                                        nil, val[5])

                      method_body = @builder.begin_body(val[3], [ rescue_body ])

                      result = @builder.def_endless_singleton(def_t, recv, dot_t, name_t,
                                 val[1], val[2], method_body)

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

# reduce 258 omitted

# reduce 259 omitted

# reduce 260 omitted

# reduce 261 omitted

# reduce 262 omitted

def _reduce_263(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

def _reduce_264(val, _values, result)
                      result = @builder.binary_op(val[0], val[1], val[2])

    result
end

# reduce 265 omitted

# reduce 266 omitted

# reduce 267 omitted

def _reduce_268(val, _values, result)
                      result = val[0] << @builder.associate(nil, val[2], nil)

    result
end

def _reduce_269(val, _values, result)
                      result = [ @builder.associate(nil, val[0], nil) ]

    result
end

# reduce 270 omitted

def _reduce_271(val, _values, result)
                      rescue_body = @builder.rescue_body(val[1],
                                        nil, nil, nil,
                                        nil, val[2])

                      result = @builder.begin_body(val[0], [ rescue_body ])

    result
end

def _reduce_272(val, _values, result)
                      result = val

    result
end

def _reduce_273(val, _values, result)
                      unless @static_env.declared_forward_args?
                        diagnostic :error, :unexpected_token, { :token => 'tBDOT3' } , val[3]
                      end

                      result = [val[0], [*val[1], @builder.forwarded_args(val[3])], val[4]]

    result
end

def _reduce_274(val, _values, result)
                      unless @static_env.declared_forward_args?
                        diagnostic :error, :unexpected_token, { :token => 'tBDOT3' } , val[1]
                      end

                      result = [val[0], [@builder.forwarded_args(val[1])], val[2]]

    result
end

def _reduce_275(val, _values, result)
                      result = [ nil, [], nil ]

    result
end

# reduce 276 omitted

def _reduce_277(val, _values, result)
                      result = []

    result
end

# reduce 278 omitted

# reduce 279 omitted

def _reduce_280(val, _values, result)
                      result = val[0] << @builder.associate(nil, val[2], nil)

    result
end

def _reduce_281(val, _values, result)
                      result = [ @builder.associate(nil, val[0], nil) ]

    result
end

def _reduce_282(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_283(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_284(val, _values, result)
                      result = [ @builder.associate(nil, val[0], nil) ]
                      result.concat(val[1])

    result
end

def _reduce_285(val, _values, result)
                      assocs = @builder.associate(nil, val[2], nil)
                      result = val[0] << assocs
                      result.concat(val[3])

    result
end

def _reduce_286(val, _values, result)
                      result =  [ val[0] ]

    result
end

def _reduce_287(val, _values, result)
                      # When branch gets invoked by RACC's lookahead
                      # and command args start with '[' or '('
                      # we need to put `true` to the cmdarg stack
                      # **before** `false` pushed by lexer
                      #   m [], n
                      #     ^
                      # Right here we have cmdarg [...0] because
                      # lexer pushed it on '['
                      # We need to modify cmdarg stack to [...10]
                      #
                      # For all other cases (like `m n` or `m n, []`) we simply put 1 to the stack
                      # and later lexer pushes corresponding bits on top of it.
                      last_token = @last_token[0]
                      lookahead = last_token == :tLBRACK || last_token == :tLPAREN_ARG

                      if lookahead
                        top = @lexer.cmdarg.pop
                        @lexer.cmdarg.push(true)
                        @lexer.cmdarg.push(top)
                      else
                        @lexer.cmdarg.push(true)
                      end

    result
end

def _reduce_288(val, _values, result)
                      # call_args can be followed by tLBRACE_ARG (that does cmdarg.push(0) in the lexer)
                      # but the push must be done after cmdarg.pop() in the parser.
                      # So this code does cmdarg.pop() to pop 0 pushed by tLBRACE_ARG,
                      # cmdarg.pop() to pop 1 pushed by command_args,
                      # and cmdarg.push(0) to restore back the flag set by tLBRACE_ARG.
                      last_token = @last_token[0]
                      lookahead = last_token == :tLBRACE_ARG
                      if lookahead
                        top = @lexer.cmdarg.pop
                        @lexer.cmdarg.pop
                        @lexer.cmdarg.push(top)
                      else
                        @lexer.cmdarg.pop
                      end

                      result = val[1]

    result
end

def _reduce_289(val, _values, result)
                      result = @builder.block_pass(val[0], val[1])

    result
end

def _reduce_290(val, _values, result)
                      if !@static_env.declared_anonymous_blockarg?
                        diagnostic :error, :no_anonymous_blockarg, nil, val[0]
                      end

                      result = @builder.block_pass(val[0], nil)

    result
end

def _reduce_291(val, _values, result)
                      result = [ val[1] ]

    result
end

def _reduce_292(val, _values, result)
                      result = []

    result
end

def _reduce_293(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_294(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]) ]

    result
end

def _reduce_295(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_296(val, _values, result)
                      result = val[0] << @builder.splat(val[2], val[3])

    result
end

def _reduce_297(val, _values, result)
                      result = @builder.array(nil, val[0], nil)

    result
end

# reduce 298 omitted

def _reduce_299(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_300(val, _values, result)
                      result = val[0] << @builder.splat(val[2], val[3])

    result
end

def _reduce_301(val, _values, result)
                      result = [ @builder.splat(val[0], val[1]) ]

    result
end

# reduce 302 omitted

# reduce 303 omitted

# reduce 304 omitted

# reduce 305 omitted

# reduce 306 omitted

# reduce 307 omitted

# reduce 308 omitted

# reduce 309 omitted

# reduce 310 omitted

# reduce 311 omitted

def _reduce_312(val, _values, result)
                      result = @builder.call_method(nil, nil, val[0])

    result
end

def _reduce_313(val, _values, result)
                      @lexer.cmdarg.push(false)

    result
end

def _reduce_314(val, _values, result)
                      @lexer.cmdarg.pop

                      result = @builder.begin_keyword(val[0], val[2], val[3])

    result
end

def _reduce_315(val, _values, result)
                      @lexer.state = :expr_endarg

    result
end

def _reduce_316(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[3])

    result
end

def _reduce_317(val, _values, result)
                      @lexer.state = :expr_endarg

    result
end

def _reduce_318(val, _values, result)
                      result = @builder.begin(val[0], nil, val[3])

    result
end

def _reduce_319(val, _values, result)
                      result = @builder.begin(val[0], val[1], val[2])

    result
end

def _reduce_320(val, _values, result)
                      result = @builder.const_fetch(val[0], val[1], val[2])

    result
end

def _reduce_321(val, _values, result)
                      result = @builder.const_global(val[0], val[1])

    result
end

def _reduce_322(val, _values, result)
                      result = @builder.array(val[0], val[1], val[2])

    result
end

def _reduce_323(val, _values, result)
                      result = @builder.associate(val[0], val[1], val[2])

    result
end

def _reduce_324(val, _values, result)
                      result = @builder.keyword_cmd(:return, val[0])

    result
end

def _reduce_325(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0], val[1], val[2], val[3])

    result
end

def _reduce_326(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0], val[1], [], val[2])

    result
end

def _reduce_327(val, _values, result)
                      result = @builder.keyword_cmd(:yield, val[0])

    result
end

def _reduce_328(val, _values, result)
                      @context.in_defined = true

    result
end

def _reduce_329(val, _values, result)
                      @context.in_defined = false
                      result = @builder.keyword_cmd(:defined?, val[0],
                                                    val[2], [ val[4] ], val[5])

    result
end

def _reduce_330(val, _values, result)
                      result = @builder.not_op(val[0], val[1], val[2], val[3])

    result
end

def _reduce_331(val, _values, result)
                      result = @builder.not_op(val[0], val[1], nil, val[2])

    result
end

def _reduce_332(val, _values, result)
                      method_call = @builder.call_method(nil, nil, val[0])

                      begin_t, args, body, end_t = val[1]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

# reduce 333 omitted

def _reduce_334(val, _values, result)
                      begin_t, args, body, end_t = val[1]
                      result      = @builder.block(val[0],
                                      begin_t, args, body, end_t)

    result
end

# reduce 335 omitted

def _reduce_336(val, _values, result)
                      else_t, else_ = val[4]
                      result = @builder.condition(val[0], val[1], val[2],
                                                  val[3], else_t,
                                                  else_,  val[5])

    result
end

def _reduce_337(val, _values, result)
                      else_t, else_ = val[4]
                      result = @builder.condition(val[0], val[1], val[2],
                                                  else_,  else_t,
                                                  val[3], val[5])

    result
end

def _reduce_338(val, _values, result)
                      result = @builder.loop(:while, val[0], *val[1], val[2], val[3])

    result
end

def _reduce_339(val, _values, result)
                      result = @builder.loop(:until, val[0], *val[1], val[2], val[3])

    result
end

def _reduce_340(val, _values, result)
                      *when_bodies, (else_t, else_body) = *val[3]

                      result = @builder.case(val[0], val[1],
                                             when_bodies, else_t, else_body,
                                             val[4])

    result
end

def _reduce_341(val, _values, result)
                      *when_bodies, (else_t, else_body) = *val[2]

                      result = @builder.case(val[0], nil,
                                             when_bodies, else_t, else_body,
                                             val[3])

    result
end

def _reduce_342(val, _values, result)
                      *in_bodies, (else_t, else_body) = *val[3]

                      result = @builder.case_match(val[0], val[1],
                                             in_bodies, else_t, else_body,
                                             val[4])

    result
end

def _reduce_343(val, _values, result)
                      result = @builder.for(val[0], val[1], val[2], *val[3], val[4], val[5])

    result
end

def _reduce_344(val, _values, result)
                      @context.in_class = true
                      local_push

    result
end

def _reduce_345(val, _values, result)
                      k_class, ctx = val[0]
                      if @context.in_def
                        diagnostic :error, :class_in_def, nil, k_class
                      end
                      lt_t, superclass = val[2]
                      result = @builder.def_class(k_class, val[1],
                                                  lt_t, superclass,
                                                  val[4], val[5])

                      local_pop
                      @context.in_class = ctx.in_class

    result
end

def _reduce_346(val, _values, result)
                      @context.in_def = false
                      @context.in_class = false
                      local_push

    result
end

def _reduce_347(val, _values, result)
                      k_class, ctx = val[0]
                      result = @builder.def_sclass(k_class, val[1], val[2],
                                                   val[5], val[6])

                      local_pop
                      @context.in_def = ctx.in_def
                      @context.in_class = ctx.in_class

    result
end

def _reduce_348(val, _values, result)
                      @context.in_class = true
                      local_push

    result
end

def _reduce_349(val, _values, result)
                      k_mod, ctx = val[0]
                      if @context.in_def
                        diagnostic :error, :module_in_def, nil, k_mod
                      end
                      result = @builder.def_module(k_mod, val[1],
                                                   val[3], val[4])

                      local_pop
                      @context.in_class = ctx.in_class

    result
end

def _reduce_350(val, _values, result)
                      def_t, (name_t, ctx) = val[0]
                      result = @builder.def_method(def_t, name_t, val[1],
                                  val[2], val[3])

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_351(val, _values, result)
                      def_t, recv, dot_t, (name_t, ctx) = val[0]
                      result = @builder.def_singleton(def_t, recv, dot_t, name_t, val[1],
                                  val[2], val[3])

                      local_pop
                      @current_arg_stack.pop
                      @context.in_def = ctx.in_def

    result
end

def _reduce_352(val, _values, result)
                      result = @builder.keyword_cmd(:break, val[0])

    result
end

def _reduce_353(val, _values, result)
                      result = @builder.keyword_cmd(:next, val[0])

    result
end

def _reduce_354(val, _values, result)
                      result = @builder.keyword_cmd(:redo, val[0])

    result
end

def _reduce_355(val, _values, result)
                      result = @builder.keyword_cmd(:retry, val[0])

    result
end

# reduce 356 omitted

def _reduce_357(val, _values, result)
                      result = [ val[0], @context.dup ]

    result
end

def _reduce_358(val, _values, result)
                      result = [ val[0], @context.dup ]

    result
end

def _reduce_359(val, _values, result)
                      result = val[0]
                      @context.in_argdef = true

    result
end

def _reduce_360(val, _values, result)
                      if @context.in_class && !@context.in_def && !(context.in_block || context.in_lambda)
                        diagnostic :error, :invalid_return, nil, val[0]
                      end

    result
end

# reduce 361 omitted

# reduce 362 omitted

def _reduce_363(val, _values, result)
                      result = val[1]

    result
end

# reduce 364 omitted

# reduce 365 omitted

# reduce 366 omitted

def _reduce_367(val, _values, result)
                      else_t, else_ = val[4]
                      result = [ val[0],
                                 @builder.condition(val[0], val[1], val[2],
                                                    val[3], else_t,
                                                    else_,  nil),
                               ]

    result
end

# reduce 368 omitted

def _reduce_369(val, _values, result)
                      result = val

    result
end

# reduce 370 omitted

# reduce 371 omitted

def _reduce_372(val, _values, result)
                      result = @builder.arg(val[0])

    result
end

def _reduce_373(val, _values, result)
                      result = @builder.multi_lhs(val[0], val[1], val[2])

    result
end

def _reduce_374(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_375(val, _values, result)
                      result = val[0] << val[2]

    result
end

# reduce 376 omitted

def _reduce_377(val, _values, result)
                      result = val[0].
                                  push(val[2])

    result
end

def _reduce_378(val, _values, result)
                      result = val[0].
                                  push(val[2]).
                                  concat(val[4])

    result
end

def _reduce_379(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_380(val, _values, result)
                      result = [ val[0], *val[2] ]

    result
end

def _reduce_381(val, _values, result)
                      result = @builder.restarg(val[0], val[1])

    result
end

def _reduce_382(val, _values, result)
                      result = @builder.restarg(val[0])

    result
end

# reduce 383 omitted

# reduce 384 omitted

def _reduce_385(val, _values, result)
                      @context.in_argdef = false

    result
end

def _reduce_386(val, _values, result)
                      result = val[1]

    result
end

def _reduce_387(val, _values, result)
                      result = val[0].concat(val[2]).concat(val[3])

    result
end

def _reduce_388(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_389(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_390(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_391(val, _values, result)
                      result = val[1]

    result
end

def _reduce_392(val, _values, result)
                      result = []

    result
end

# reduce 393 omitted

def _reduce_394(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_395(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[6]).
                                  concat(val[7])

    result
end

def _reduce_396(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_397(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_398(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

# reduce 399 omitted

def _reduce_400(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_401(val, _values, result)
                      if val[1].empty? && val[0].size == 1
                        result = [@builder.procarg0(val[0][0])]
                      else
                        result = val[0].concat(val[1])
                      end

    result
end

def _reduce_402(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_403(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_404(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_405(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_406(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_407(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

# reduce 408 omitted

def _reduce_409(val, _values, result)
                      result = @builder.args(nil, [], nil)

    result
end

def _reduce_410(val, _values, result)
                      @lexer.state = :expr_value

    result
end

def _reduce_411(val, _values, result)
                      @max_numparam_stack.has_ordinary_params!
                      @current_arg_stack.set(nil)
                      @context.in_argdef = false
                      result = @builder.args(val[0], val[1], val[2])

    result
end

def _reduce_412(val, _values, result)
                      @max_numparam_stack.has_ordinary_params!
                      @current_arg_stack.set(nil)
                      @context.in_argdef = false
                      result = @builder.args(val[0], val[1].concat(val[2]), val[3])

    result
end

def _reduce_413(val, _values, result)
                      result = []

    result
end

def _reduce_414(val, _values, result)
                      result = val[2]

    result
end

def _reduce_415(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_416(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_417(val, _values, result)
                      @static_env.declare val[0][0]
                      result = @builder.shadowarg(val[0])

    result
end

# reduce 418 omitted

def _reduce_419(val, _values, result)
                      @static_env.extend_dynamic
                      @max_numparam_stack.push(static: false)
                      result = @context.dup
                      @context.in_lambda = true

    result
end

def _reduce_420(val, _values, result)
                      @lexer.cmdarg.push(false)

    result
end

def _reduce_421(val, _values, result)
                      lambda_call = @builder.call_lambda(val[0])
                      args = @max_numparam_stack.has_numparams? ? @builder.numargs(@max_numparam_stack.top) : val[2]
                      begin_t, body, end_t = val[4]

                      @max_numparam_stack.pop
                      @static_env.unextend
                      @lexer.cmdarg.pop
                      @context.in_lambda = val[1].in_lambda

                      result      = @builder.block(lambda_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_422(val, _values, result)
                      @context.in_argdef = false
                      @max_numparam_stack.has_ordinary_params!
                      result = @builder.args(val[0], val[1].concat(val[2]), val[3])

    result
end

def _reduce_423(val, _values, result)
                      @context.in_argdef = false
                      if val[0].any?
                        @max_numparam_stack.has_ordinary_params!
                      end
                      result = @builder.args(nil, val[0], nil)

    result
end

def _reduce_424(val, _values, result)
                      result = @context.dup
                      @context.in_lambda = true

    result
end

def _reduce_425(val, _values, result)
                      @context.in_lambda = val[1].in_lambda
                      result = [ val[0], val[2], val[3] ]

    result
end

def _reduce_426(val, _values, result)
                      result = @context.dup
                      @context.in_lambda = true

    result
end

def _reduce_427(val, _values, result)
                      @context.in_lambda = val[1].in_lambda
                      result = [ val[0], val[2], val[3] ]

    result
end

def _reduce_428(val, _values, result)
                      result = @context.dup
                      @context.in_block = true

    result
end

def _reduce_429(val, _values, result)
                      @context.in_block = val[1].in_block
                      result = [ val[0], *val[2], val[3] ]

    result
end

def _reduce_430(val, _values, result)
                      begin_t, block_args, body, end_t = val[1]
                      result      = @builder.block(val[0],
                                      begin_t, block_args, body, end_t)

    result
end

def _reduce_431(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      result = @builder.call_method(val[0], val[1], val[2],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_432(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                      lparen_t, args, rparen_t)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_433(val, _values, result)
                      method_call = @builder.call_method(val[0], val[1], val[2],
                                      nil, val[3], nil)

                      begin_t, args, body, end_t = val[4]
                      result      = @builder.block(method_call,
                                      begin_t, args, body, end_t)

    result
end

def _reduce_434(val, _values, result)
                      lparen_t, args, rparen_t = val[1]
                      result = @builder.call_method(nil, nil, val[0],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_435(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      result = @builder.call_method(val[0], val[1], val[2],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_436(val, _values, result)
                      lparen_t, args, rparen_t = val[3]
                      result = @builder.call_method(val[0], val[1], val[2],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_437(val, _values, result)
                      result = @builder.call_method(val[0], val[1], val[2])

    result
end

def _reduce_438(val, _values, result)
                      lparen_t, args, rparen_t = val[2]
                      result = @builder.call_method(val[0], val[1], nil,
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_439(val, _values, result)
                      lparen_t, args, rparen_t = val[2]
                      result = @builder.call_method(val[0], val[1], nil,
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_440(val, _values, result)
                      lparen_t, args, rparen_t = val[1]
                      result = @builder.keyword_cmd(:super, val[0],
                                  lparen_t, args, rparen_t)

    result
end

def _reduce_441(val, _values, result)
                      result = @builder.keyword_cmd(:zsuper, val[0])

    result
end

def _reduce_442(val, _values, result)
                      result = @builder.index(val[0], val[1], val[2], val[3])

    result
end

def _reduce_443(val, _values, result)
                      result = @context.dup
                      @context.in_block = true

    result
end

def _reduce_444(val, _values, result)
                      @context.in_block = val[1].in_block
                      result = [ val[0], *val[2], val[3] ]

    result
end

def _reduce_445(val, _values, result)
                      result = @context.dup
                      @context.in_block = true

    result
end

def _reduce_446(val, _values, result)
                      @context.in_block = val[1].in_block
                      result = [ val[0], *val[2], val[3] ]

    result
end

def _reduce_447(val, _values, result)
                      @static_env.extend_dynamic
                      @max_numparam_stack.push(static: false)

    result
end

def _reduce_448(val, _values, result)
                      args = @max_numparam_stack.has_numparams? ? @builder.numargs(@max_numparam_stack.top) : val[1]
                      result = [ args, val[2] ]

                      @max_numparam_stack.pop
                      @static_env.unextend

    result
end

def _reduce_449(val, _values, result)
                      @static_env.extend_dynamic
                      @max_numparam_stack.push(static: false)

    result
end

def _reduce_450(val, _values, result)
                      @lexer.cmdarg.push(false)

    result
end

def _reduce_451(val, _values, result)
                      args = @max_numparam_stack.has_numparams? ? @builder.numargs(@max_numparam_stack.top) : val[2]
                      result = [ args, val[3] ]

                      @max_numparam_stack.pop
                      @static_env.unextend
                      @lexer.cmdarg.pop

    result
end

def _reduce_452(val, _values, result)
                      result = [ @builder.when(val[0], val[1], val[2], val[3]),
                                 *val[4] ]

    result
end

def _reduce_453(val, _values, result)
                      result = [ val[0] ]

    result
end

# reduce 454 omitted

def _reduce_455(val, _values, result)
                      @lexer.state = :expr_beg
                      @lexer.command_start = false
                      @pattern_variables.push
                      @pattern_hash_keys.push

                      result = @context.in_kwarg
                      @context.in_kwarg = true

    result
end

def _reduce_456(val, _values, result)
                      @pattern_variables.pop
                      @pattern_hash_keys.pop
                      @context.in_kwarg = val[1]

    result
end

def _reduce_457(val, _values, result)
                      result = [ @builder.in_pattern(val[0], *val[2], val[3], val[5]),
                                 *val[6] ]

    result
end

def _reduce_458(val, _values, result)
                      result = [ val[0] ]

    result
end

# reduce 459 omitted

def _reduce_460(val, _values, result)
                      result = [ val[0], nil ]

    result
end

def _reduce_461(val, _values, result)
                      result = [ val[0], @builder.if_guard(val[1], val[2]) ]

    result
end

def _reduce_462(val, _values, result)
                      result = [ val[0], @builder.unless_guard(val[1], val[2]) ]

    result
end

# reduce 463 omitted

def _reduce_464(val, _values, result)
                      # array patterns that end with comma
                      # like 1, 2,
                      # must be emitted as `array_pattern_with_tail`
                      item = @builder.match_with_trailing_comma(val[0], val[1])
                      result = @builder.array_pattern(nil, [ item ], nil)

    result
end

def _reduce_465(val, _values, result)
                      result = @builder.array_pattern(nil, [val[0]].concat(val[2]), nil)

    result
end

def _reduce_466(val, _values, result)
                      result = @builder.find_pattern(nil, val[0], nil)

    result
end

def _reduce_467(val, _values, result)
                      result = @builder.array_pattern(nil, val[0], nil)

    result
end

def _reduce_468(val, _values, result)
                      result = @builder.hash_pattern(nil, val[0], nil)

    result
end

# reduce 469 omitted

def _reduce_470(val, _values, result)
                      result = @builder.match_as(val[0], val[1], val[2])

    result
end

# reduce 471 omitted

def _reduce_472(val, _values, result)
                      result = @builder.match_alt(val[0], val[1], val[2])

    result
end

# reduce 473 omitted

def _reduce_474(val, _values, result)
                      result = val[0]
                      @pattern_hash_keys.push

    result
end

def _reduce_475(val, _values, result)
                      result = val[0]
                      @pattern_hash_keys.push

    result
end

# reduce 476 omitted

# reduce 477 omitted

def _reduce_478(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.array_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_479(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.find_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_480(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.hash_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_481(val, _values, result)
                      pattern = @builder.array_pattern(val[1], nil, val[2])
                      result = @builder.const_pattern(val[0], val[1], pattern, val[2])

    result
end

def _reduce_482(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.array_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_483(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.find_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_484(val, _values, result)
                      @pattern_hash_keys.pop
                      pattern = @builder.hash_pattern(nil, val[2], nil)
                      result = @builder.const_pattern(val[0], val[1], pattern, val[3])

    result
end

def _reduce_485(val, _values, result)
                      pattern = @builder.array_pattern(val[1], nil, val[2])
                      result = @builder.const_pattern(val[0], val[1], pattern, val[2])

    result
end

def _reduce_486(val, _values, result)
                      result = @builder.array_pattern(val[0], val[1], val[2])

    result
end

def _reduce_487(val, _values, result)
                      result = @builder.find_pattern(val[0], val[1], val[2])

    result
end

def _reduce_488(val, _values, result)
                      result = @builder.array_pattern(val[0], [], val[1])

    result
end

def _reduce_489(val, _values, result)
                      @pattern_hash_keys.push
                      result = @context.in_kwarg
                      @context.in_kwarg = false

    result
end

def _reduce_490(val, _values, result)
                      @pattern_hash_keys.pop
                      @context.in_kwarg = val[1]
                      result = @builder.hash_pattern(val[0], val[2], val[3])

    result
end

def _reduce_491(val, _values, result)
                      result = @builder.hash_pattern(val[0], [], val[1])

    result
end

def _reduce_492(val, _values, result)
                      @pattern_hash_keys.push

    result
end

def _reduce_493(val, _values, result)
                      @pattern_hash_keys.pop
                      result = @builder.begin(val[0], val[2], val[3])

    result
end

def _reduce_494(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_495(val, _values, result)
                      result = val[0]

    result
end

def _reduce_496(val, _values, result)
                      result = [ *val[0], val[1] ]

    result
end

def _reduce_497(val, _values, result)
                      result = [ *val[0], val[1] ]

    result
end

def _reduce_498(val, _values, result)
                      result = [ *val[0], val[1], *val[3] ]

    result
end

# reduce 499 omitted

def _reduce_500(val, _values, result)
                      # array patterns that end with comma
                      # like [1, 2,]
                      # must be emitted as `array_pattern_with_tail`
                      item = @builder.match_with_trailing_comma(val[0], val[1])
                      result = [ item ]

    result
end

def _reduce_501(val, _values, result)
                      # array patterns that end with comma
                      # like [1, 2,]
                      # must be emitted as `array_pattern_with_tail`
                      last_item = @builder.match_with_trailing_comma(val[1], val[2])
                      result = [ *val[0], last_item ]

    result
end

def _reduce_502(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_503(val, _values, result)
                      result = [ val[0], *val[2] ]

    result
end

def _reduce_504(val, _values, result)
                      result = [ val[0], *val[2], val[4] ]

    result
end

def _reduce_505(val, _values, result)
                      result = @builder.match_rest(val[0], val[1])

    result
end

def _reduce_506(val, _values, result)
                      result = @builder.match_rest(val[0])

    result
end

def _reduce_507(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_508(val, _values, result)
                      result = [ *val[0], val[2] ]

    result
end

# reduce 509 omitted

def _reduce_510(val, _values, result)
                      result = [ *val[0], *val[2] ]

    result
end

def _reduce_511(val, _values, result)
                      result = val[0]

    result
end

def _reduce_512(val, _values, result)
                      result = val[0]

    result
end

def _reduce_513(val, _values, result)
                      result = val[0]

    result
end

def _reduce_514(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_515(val, _values, result)
                      result = [ *val[0], val[2] ]

    result
end

def _reduce_516(val, _values, result)
                      result = @builder.match_pair(*val[0], val[1])

    result
end

def _reduce_517(val, _values, result)
                      result = @builder.match_label(*val[0])

    result
end

def _reduce_518(val, _values, result)
                    result = [:label, val[0]]

    result
end

def _reduce_519(val, _values, result)
                    result = [:quoted, [val[0], val[1], val[2]]]

    result
end

def _reduce_520(val, _values, result)
                      result = [ @builder.match_rest(val[0], val[1]) ]

    result
end

def _reduce_521(val, _values, result)
                      result = [ @builder.match_rest(val[0], nil) ]

    result
end

def _reduce_522(val, _values, result)
                      result = val

    result
end

# reduce 523 omitted

def _reduce_524(val, _values, result)
                      result = [ @builder.match_nil_pattern(val[0][0], val[0][1]) ]

    result
end

# reduce 525 omitted

def _reduce_526(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], val[2])

    result
end

def _reduce_527(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], val[2])

    result
end

def _reduce_528(val, _values, result)
                      result = @builder.range_inclusive(val[0], val[1], nil)

    result
end

def _reduce_529(val, _values, result)
                      result = @builder.range_exclusive(val[0], val[1], nil)

    result
end

# reduce 530 omitted

# reduce 531 omitted

# reduce 532 omitted

def _reduce_533(val, _values, result)
                      result = @builder.range_inclusive(nil, val[0], val[1])

    result
end

def _reduce_534(val, _values, result)
                      result = @builder.range_exclusive(nil, val[0], val[1])

    result
end

# reduce 535 omitted

# reduce 536 omitted

# reduce 537 omitted

# reduce 538 omitted

# reduce 539 omitted

# reduce 540 omitted

# reduce 541 omitted

# reduce 542 omitted

def _reduce_543(val, _values, result)
                      result = @builder.accessible(val[0])

    result
end

# reduce 544 omitted

def _reduce_545(val, _values, result)
                      result = @builder.assignable(@builder.match_var(val[0]))

    result
end

def _reduce_546(val, _values, result)
                      name = val[1][0]
                      unless static_env.declared?(name)
                        diagnostic :error, :undefined_lvar, { :name => name }, val[1]
                      end

                      lvar = @builder.accessible(@builder.ident(val[1]))
                      result = @builder.pin(val[0], lvar)

    result
end

def _reduce_547(val, _values, result)
                      non_lvar = @builder.accessible(val[1])
                      result = @builder.pin(val[0], non_lvar)

    result
end

def _reduce_548(val, _values, result)
                      expr = @builder.begin(val[1], val[2], val[3])
                      result = @builder.pin(val[0], expr)

    result
end

def _reduce_549(val, _values, result)
                      result = @builder.const_global(val[0], val[1])

    result
end

def _reduce_550(val, _values, result)
                      result = @builder.const_fetch(val[0], val[1], val[2])

    result
end

def _reduce_551(val, _values, result)
                      result = @builder.const(val[0])

    result
end

def _reduce_552(val, _values, result)
                      assoc_t, exc_var = val[2]

                      if val[1]
                        exc_list = @builder.array(nil, val[1], nil)
                      end

                      result = [ @builder.rescue_body(val[0],
                                      exc_list, assoc_t, exc_var,
                                      val[3], val[4]),
                                 *val[5] ]

    result
end

def _reduce_553(val, _values, result)
                      result = []

    result
end

def _reduce_554(val, _values, result)
                      result = [ val[0] ]

    result
end

# reduce 555 omitted

# reduce 556 omitted

def _reduce_557(val, _values, result)
                      result = [ val[0], val[1] ]

    result
end

# reduce 558 omitted

def _reduce_559(val, _values, result)
                      result = [ val[0], val[1] ]

    result
end

# reduce 560 omitted

# reduce 561 omitted

# reduce 562 omitted

def _reduce_563(val, _values, result)
                      result = @builder.string_compose(nil, val[0], nil)

    result
end

def _reduce_564(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_565(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_566(val, _values, result)
                      string = @builder.string_compose(val[0], val[1], val[2])
                      result = @builder.dedent_string(string, @lexer.dedent_level)

    result
end

def _reduce_567(val, _values, result)
                      string = @builder.string(val[0])
                      result = @builder.dedent_string(string, @lexer.dedent_level)

    result
end

def _reduce_568(val, _values, result)
                      result = @builder.character(val[0])

    result
end

def _reduce_569(val, _values, result)
                      string = @builder.xstring_compose(val[0], val[1], val[2])
                      result = @builder.dedent_string(string, @lexer.dedent_level)

    result
end

def _reduce_570(val, _values, result)
                      opts   = @builder.regexp_options(val[3])
                      result = @builder.regexp_compose(val[0], val[1], val[2], opts)

    result
end

def _reduce_571(val, _values, result)
                      result = @builder.words_compose(val[0], val[1], val[2])

    result
end

def _reduce_572(val, _values, result)
                      result = []

    result
end

def _reduce_573(val, _values, result)
                      result = val[0] << @builder.word(val[1])

    result
end

def _reduce_574(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_575(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_576(val, _values, result)
                      result = @builder.symbols_compose(val[0], val[1], val[2])

    result
end

def _reduce_577(val, _values, result)
                      result = []

    result
end

def _reduce_578(val, _values, result)
                      result = val[0] << @builder.word(val[1])

    result
end

def _reduce_579(val, _values, result)
                      result = @builder.words_compose(val[0], val[1], val[2])

    result
end

def _reduce_580(val, _values, result)
                      result = @builder.symbols_compose(val[0], val[1], val[2])

    result
end

def _reduce_581(val, _values, result)
                      result = []

    result
end

def _reduce_582(val, _values, result)
                      result = val[0] << @builder.string_internal(val[1])

    result
end

def _reduce_583(val, _values, result)
                      result = []

    result
end

def _reduce_584(val, _values, result)
                      result = val[0] << @builder.symbol_internal(val[1])

    result
end

def _reduce_585(val, _values, result)
                      result = []

    result
end

def _reduce_586(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_587(val, _values, result)
                      result = []

    result
end

def _reduce_588(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_589(val, _values, result)
                      result = []

    result
end

def _reduce_590(val, _values, result)
                      result = val[0] << val[1]

    result
end

def _reduce_591(val, _values, result)
                      result = @builder.string_internal(val[0])

    result
end

def _reduce_592(val, _values, result)
                      result = val[1]

    result
end

def _reduce_593(val, _values, result)
                      @lexer.cmdarg.push(false)
                      @lexer.cond.push(false)

    result
end

def _reduce_594(val, _values, result)
                      @lexer.cmdarg.pop
                      @lexer.cond.pop

                      result = @builder.begin(val[0], val[2], val[3])

    result
end

def _reduce_595(val, _values, result)
                      result = @builder.gvar(val[0])

    result
end

def _reduce_596(val, _values, result)
                      result = @builder.ivar(val[0])

    result
end

def _reduce_597(val, _values, result)
                      result = @builder.cvar(val[0])

    result
end

# reduce 598 omitted

# reduce 599 omitted

# reduce 600 omitted

def _reduce_601(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.symbol(val[0])

    result
end

def _reduce_602(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.symbol_compose(val[0], val[1], val[2])

    result
end

def _reduce_603(val, _values, result)
                      result = val[0]

    result
end

def _reduce_604(val, _values, result)
                      if @builder.respond_to? :negate
                        # AST builder interface compatibility
                        result = @builder.negate(val[0], val[1])
                      else
                        result = @builder.unary_num(val[0], val[1])
                      end

    result
end

def _reduce_605(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.integer(val[0])

    result
end

def _reduce_606(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.float(val[0])

    result
end

def _reduce_607(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.rational(val[0])

    result
end

def _reduce_608(val, _values, result)
                      @lexer.state = :expr_end
                      result = @builder.complex(val[0])

    result
end

def _reduce_609(val, _values, result)
                      result = @builder.ivar(val[0])

    result
end

def _reduce_610(val, _values, result)
                      result = @builder.gvar(val[0])

    result
end

def _reduce_611(val, _values, result)
                      result = @builder.cvar(val[0])

    result
end

def _reduce_612(val, _values, result)
                      result = @builder.ident(val[0])

    result
end

def _reduce_613(val, _values, result)
                      result = @builder.ivar(val[0])

    result
end

def _reduce_614(val, _values, result)
                      result = @builder.gvar(val[0])

    result
end

def _reduce_615(val, _values, result)
                      result = @builder.const(val[0])

    result
end

def _reduce_616(val, _values, result)
                      result = @builder.cvar(val[0])

    result
end

def _reduce_617(val, _values, result)
                      result = @builder.nil(val[0])

    result
end

def _reduce_618(val, _values, result)
                      result = @builder.self(val[0])

    result
end

def _reduce_619(val, _values, result)
                      result = @builder.true(val[0])

    result
end

def _reduce_620(val, _values, result)
                      result = @builder.false(val[0])

    result
end

def _reduce_621(val, _values, result)
                      result = @builder.__FILE__(val[0])

    result
end

def _reduce_622(val, _values, result)
                      result = @builder.__LINE__(val[0])

    result
end

def _reduce_623(val, _values, result)
                      result = @builder.__ENCODING__(val[0])

    result
end

def _reduce_624(val, _values, result)
                      result = @builder.accessible(val[0])

    result
end

def _reduce_625(val, _values, result)
                      result = @builder.accessible(val[0])

    result
end

def _reduce_626(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_627(val, _values, result)
                      result = @builder.assignable(val[0])

    result
end

def _reduce_628(val, _values, result)
                      result = @builder.nth_ref(val[0])

    result
end

def _reduce_629(val, _values, result)
                      result = @builder.back_ref(val[0])

    result
end

def _reduce_630(val, _values, result)
                      @lexer.state = :expr_value

    result
end

def _reduce_631(val, _values, result)
                      result = [ val[0], val[2] ]

    result
end

def _reduce_632(val, _values, result)
                      result = nil

    result
end

# reduce 633 omitted

def _reduce_634(val, _values, result)
                      @context.in_argdef = false
                      result = @builder.args(nil, [], nil)

    result
end

def _reduce_635(val, _values, result)
                      result = @builder.args(val[0], val[1], val[2])

                      @lexer.state = :expr_value
                      @context.in_argdef = false

    result
end

# reduce 636 omitted

def _reduce_637(val, _values, result)
                      result = @context.dup
                      @context.in_kwarg = true
                      @context.in_argdef = true

    result
end

def _reduce_638(val, _values, result)
                      @context.in_kwarg = val[0].in_kwarg
                      @context.in_argdef = false
                      result = @builder.args(nil, val[1], nil)

    result
end

def _reduce_639(val, _values, result)
                      result = val[0].concat(val[2]).concat(val[3])

    result
end

def _reduce_640(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_641(val, _values, result)
                      result = val[0].concat(val[1])

    result
end

def _reduce_642(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_643(val, _values, result)
                      @static_env.declare_forward_args
                      result = [ @builder.forward_arg(val[0]) ]

    result
end

def _reduce_644(val, _values, result)
                      result = val[1]

    result
end

def _reduce_645(val, _values, result)
                      result = []

    result
end

def _reduce_646(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_647(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[6]).
                                  concat(val[7])

    result
end

def _reduce_648(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_649(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_650(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_651(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_652(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_653(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_654(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[4]).
                                  concat(val[5])

    result
end

def _reduce_655(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_656(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_657(val, _values, result)
                      result = val[0].
                                  concat(val[1])

    result
end

def _reduce_658(val, _values, result)
                      result = val[0].
                                  concat(val[2]).
                                  concat(val[3])

    result
end

def _reduce_659(val, _values, result)
                      result = val[0]

    result
end

def _reduce_660(val, _values, result)
                      result = []

    result
end

def _reduce_661(val, _values, result)
                      result = val[0]

    result
end

def _reduce_662(val, _values, result)
                      diagnostic :error, :argument_const, nil, val[0]

    result
end

def _reduce_663(val, _values, result)
                      diagnostic :error, :argument_ivar, nil, val[0]

    result
end

def _reduce_664(val, _values, result)
                      diagnostic :error, :argument_gvar, nil, val[0]

    result
end

def _reduce_665(val, _values, result)
                      diagnostic :error, :argument_cvar, nil, val[0]

    result
end

# reduce 666 omitted

def _reduce_667(val, _values, result)
                      @static_env.declare val[0][0]

                      @max_numparam_stack.has_ordinary_params!

                      result = val[0]

    result
end

def _reduce_668(val, _values, result)
                      @current_arg_stack.set(val[0][0])
                      result = val[0]

    result
end

def _reduce_669(val, _values, result)
                      @current_arg_stack.set(0)
                      result = @builder.arg(val[0])

    result
end

def _reduce_670(val, _values, result)
                      result = @builder.multi_lhs(val[0], val[1], val[2])

    result
end

def _reduce_671(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_672(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_673(val, _values, result)
                      check_kwarg_name(val[0])

                      @static_env.declare val[0][0]

                      @max_numparam_stack.has_ordinary_params!

                      @current_arg_stack.set(val[0][0])
                      @context.in_argdef = false

                      result = val[0]

    result
end

def _reduce_674(val, _values, result)
                      @current_arg_stack.set(nil)
                      @context.in_argdef = true
                      result = @builder.kwoptarg(val[0], val[1])

    result
end

def _reduce_675(val, _values, result)
                      @current_arg_stack.set(nil)
                      @context.in_argdef = true
                      result = @builder.kwarg(val[0])

    result
end

def _reduce_676(val, _values, result)
                      @context.in_argdef = true
                      result = @builder.kwoptarg(val[0], val[1])

    result
end

def _reduce_677(val, _values, result)
                      @context.in_argdef = true
                      result = @builder.kwarg(val[0])

    result
end

def _reduce_678(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_679(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_680(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_681(val, _values, result)
                      result = val[0] << val[2]

    result
end

# reduce 682 omitted

# reduce 683 omitted

def _reduce_684(val, _values, result)
                      result = [ @builder.kwnilarg(val[0][0], val[0][1]) ]

    result
end

def _reduce_685(val, _values, result)
                      @static_env.declare val[1][0]

                      result = [ @builder.kwrestarg(val[0], val[1]) ]

    result
end

def _reduce_686(val, _values, result)
                      result = [ @builder.kwrestarg(val[0]) ]

    result
end

def _reduce_687(val, _values, result)
                      @current_arg_stack.set(0)
                      @context.in_argdef = true
                      result = @builder.optarg(val[0], val[1], val[2])

    result
end

def _reduce_688(val, _values, result)
                      @current_arg_stack.set(0)
                      @context.in_argdef = true
                      result = @builder.optarg(val[0], val[1], val[2])

    result
end

def _reduce_689(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_690(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_691(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_692(val, _values, result)
                      result = val[0] << val[2]

    result
end

# reduce 693 omitted

# reduce 694 omitted

def _reduce_695(val, _values, result)
                      @static_env.declare val[1][0]

                      result = [ @builder.restarg(val[0], val[1]) ]

    result
end

def _reduce_696(val, _values, result)
                      result = [ @builder.restarg(val[0]) ]

    result
end

# reduce 697 omitted

# reduce 698 omitted

def _reduce_699(val, _values, result)
                      @static_env.declare val[1][0]

                      result = @builder.blockarg(val[0], val[1])

    result
end

def _reduce_700(val, _values, result)
                      @static_env.declare_anonymous_blockarg

                      result = @builder.blockarg(val[0], nil)

    result
end

def _reduce_701(val, _values, result)
                      result = [ val[1] ]

    result
end

def _reduce_702(val, _values, result)
                      result = []

    result
end

# reduce 703 omitted

def _reduce_704(val, _values, result)
                      result = val[1]

    result
end

def _reduce_705(val, _values, result)
                      result = []

    result
end

# reduce 706 omitted

def _reduce_707(val, _values, result)
                      result = [ val[0] ]

    result
end

def _reduce_708(val, _values, result)
                      result = val[0] << val[2]

    result
end

def _reduce_709(val, _values, result)
                      result = @builder.pair(val[0], val[1], val[2])

    result
end

def _reduce_710(val, _values, result)
                      result = @builder.pair_keyword(val[0], val[1])

    result
end

def _reduce_711(val, _values, result)
                      result = @builder.pair_label(val[0])

    result
end

def _reduce_712(val, _values, result)
                      result = @builder.pair_quoted(val[0], val[1], val[2], val[3])

    result
end

def _reduce_713(val, _values, result)
                      result = @builder.kwsplat(val[0], val[1])

    result
end

# reduce 714 omitted

# reduce 715 omitted

# reduce 716 omitted

# reduce 717 omitted

# reduce 718 omitted

# reduce 719 omitted

# reduce 720 omitted

# reduce 721 omitted

# reduce 722 omitted

# reduce 723 omitted

def _reduce_724(val, _values, result)
                      result = [:dot, val[0][1]]

    result
end

def _reduce_725(val, _values, result)
                      result = [:anddot, val[0][1]]

    result
end

# reduce 726 omitted

# reduce 727 omitted

# reduce 728 omitted

# reduce 729 omitted

def _reduce_730(val, _values, result)
                      result = val[1]

    result
end

def _reduce_731(val, _values, result)
                      result = val[1]

    result
end

def _reduce_732(val, _values, result)
                      result = val[1]

    result
end

# reduce 733 omitted

# reduce 734 omitted

# reduce 735 omitted

def _reduce_736(val, _values, result)
                    yyerrok

    result
end

# reduce 737 omitted

# reduce 738 omitted

# reduce 739 omitted

def _reduce_740(val, _values, result)
                    result = nil

    result
end

def _reduce_none(val, _values, result)
  val[0]
end

  end   # class Ruby32
end   # module Parser
